@ECHO OFF
@REM BEGINPROLOGUE************************************************/
@REM                                                             */
@REM MODULE: FRNODBEV.CMD                     VisualInfo         */
@REM                                                             */
@REM 5697-250, 5621-326, 5655-036, 5622-213, 5655-071, 5655-072  */
@REM     (C) Copyright IBM Corp. 1993, 1994, 1995, 1996.         */
@REM         All Rights Reserved.                                */
@REM         US Government Users Restricted Rights -             */
@REM         Use, duplication or disclosure restricted by GSA    */
@REM         ADP Schedule Contract with IBM Corp.                */
@REM                                                             */
@REM     Licensed Materials - Property of IBM                    */
@REM                                                             */
@REM                                                             */
@REM Date: January 1996                                          */
@REM                                                             */
@REM Status: Version 1 Release 1 Modification 0                  */
@REM                                                             */
@REM Description: frnodbev.cmd - this command file is used to    */
@REM                             obtain enviromental info about  */
@REM                             system running VI components    */
@REM                                                             */
@REM Dependencies:                                               */
@REM This assumes the following:                                 */
@REM     there is a %FRNROOT%:\log subdirectory                  */
@REM     the library server database name is libsrvr2            */
@REM     the object server database name is objsrvr2             */
@REM     if used %CMPATH% is the path to cmlib                   */
@REM     if used %ETC% is the path to \tcpip\etc                 */
@REM     if used, ibmlan.ini is in c:\ibmlan                     */
@REM                                                             */
@REM Restrictions:                                               */
@REM                                                             */
@REM                                                             */
@REM Notes:                                                      */
@REM  - calls FRNODBDB.CMD and FRNODBQM.EXE                      */
@REM  - calls FRNODBEW.CMD to dump the frnoinst.ini file         */
@REM                                                             */
@REM *ENDPROLOGUE**************************************************/
@ECHO off
@rem
@rem
@rem get syslevel
@rem
syslevel  > %FRNROOT%\log\frndbenv.txt
@rem
@rem get the config sys
@rem
call frnodbdb.cmd 4 c:\config.sys
@rem
@rem get the network table
@rem
call frnodbdb.cmd 4 %FRNROOT%\FRNOLINT.TBL
@rem
@rem get dlls
@rem
DIR %FRNROOT%\DLL >> %FRNROOT%\log\frndbenv.txt
@rem
@rem get the cache control tables
@rem
cd %FRNROOT%\LSTMGR\CTL
if exist FRNCACHE.CTL call frnodbdb.cmd 4 FRNCACHE.CTL
if exist FRNOCSVR.CTL call frnodbdb.cmd 4 FRNOCSVR.CTL
cd %FRNROOT%
@rem
@rem get the database manager info
@rem
if not exist %FRNROOT%\SYSLEVEL.VIS GOTO CHKOS2
DIR %FRNROOT%\LIBSRVR2\DLL >> %FRNROOT%\log\frndbenv.txt
call frnodbdb.cmd 1
TYPE %FRNROOT%\LOG\vidbadmn.rpt >> %FRNROOT%\log\frndbenv.txt
call frnodbdb.cmd 2
TYPE %FRNROOT%\LOG\vidbls.rpt >> %FRNROOT%\log\frndbenv.txt
call frnodbdb.cmd 3
TYPE %FRNROOT%\LOG\vidbos.rpt >> %FRNROOT%\log\frndbenv.txt
if exist %FRNROOT%\LOG\vidbadmn.rpt  DEL %FRNROOT%\LOG\vidbadmn.rpt
if exist %FRNROOT%\LOG\vidbls.rpt  DEL %FRNROOT%\LOG\vidbls.rpt
if exist %FRNROOT%\LOG\vidbos.rpt  DEL %FRNROOT%\LOG\vidbos.rpt
@rem
@rem get communication data
@rem
:CHKOS2
if exist c:\ibmlan\ibmlan.ini type c:\ibmlan\ibmlan.ini >> %FRNROOT%\log\frndbenv.txt
for %%H in (%cmpath%\*.ndf) do call frnodbdb.cmd 4 %%H
if exist %etc%\hosts type %etc%\hosts >> %FRNROOT%\log\frndbenv.txt
for %%H in (%etc%\resolv*) do call frnodbdb.cmd 4 %%H
@rem
@rem get hardware data
@rem
@ECHO ON
@echo " "   >> %FRNROOT%\log\frndbenv.txt
@echo " "   >> %FRNROOT%\log\frndbenv.txt
@ECHO OFF
FRNODBQM >> %FRNROOT%\log\frndbenv.txt
@rem
@rem get ini file data
@rem
if not exist %FRNROOT%\frnoinst.ini GOTO DONE
FRNODBEW.CMD >> %FRNROOT%\log\frndbenv.txt
:DONE
