@ECHO OFF
@REM BEGINPROLOGUE************************************************/
@REM                                                             */
@REM MODULE: FRNODBIM.CMD                     VisualInfo         */
@REM                                                             */
@REM     5697-250, 5621-326                                      */
@REM     (C) Copyright IBM Corp. 1996                            */
@REM         All Rights Reserved.                                */
@REM         US Government Users Restricted Rights -             */
@REM         Use, duplication or disclosure restricted by GSA    */
@REM         ADP Schedule Contract with IBM Corp.                */
@REM                                                             */
@REM     Licensed Materials - Property of IBM                    */
@REM                                                             */
@REM                                                             */
@REM Date: January 1996                                          */
@REM                                                             */
@REM Status: Version 2 Release 1 Modification 0                  */
@REM                                                             */
@REM Description: FRNODBIM.CMD - this command file is used to    */
@REM                             established a trace/debug       */
@REM                             environment for the VI Client   */
@REM                             application and run it.         */
@REM                                                             */
@REM Dependencies:                                               */
@REM This assumes the following:                                 */
@REM     FRNROOT is %drive%\frnroot                              */
@REM     there is a %drive%\frnroot\log subdirectory             */
@REM     the default drive is c unless passed as the first       */
@REM          parameter when this command file is envoked.       */
@REM     the system has a copy of PKZIP available.               */
@REM This does NOT                                               */
@REM     Set all NO values to YES in frnroot\LOG\LOG.CTL         */
@REM     change LOGGING from 0 to 2 in frnroot\LSTMGR\FRNCACHE.CTL */
@REM     change LOGGING from 0 to 2 in frnroot\LSTMGR\FRNOCSVR.CTL */
@REM                                                             */
@REM Restrictions:                                               */
@REM                                                             */
@REM                                                             */
@REM Notes:                                                      */
@REM  - addtional information may be provided here               */
@REM                                                             */
@REM *ENDPROLOGUE**************************************************/
@ECHO off
@echo off
rem
rem Try to get the drive correct
rem     If the user enters the drive correctly - great!
rem     Otherwise, with no entry, we start with c and go to f.
rem     If the user enters the wrong drive, all bets are off.
rem
if "%1" == "" set drive=c
if not "%1" == "" set drive=%1
:TSTDRV
%drive%:
cd %FRNROOT%
if exist FRNOLINT.TBL goto CLEANUP
if "%drive%" == "f" goto NODRV
if "%drive%" == "e" set drive=f
if "%drive%" == "d" set drive=e
if "%drive%" == "c" set drive=d
goto TSTDRV
:NODRV
echo Please enter "frnodbim 'drive'", where 'drive' is the VisualInfo drive
goto ENDCMD
rem
rem
rem
%drive%:
:CLEANUP
CD %FRNROOT%\LOG
if exist DATRACE.LOG erase DATRACE.LOG
if exist DAMEN.LOG   erase DAMEM.LOG
if exist FMDUMP.LOG  erase FMDUMP.LOG
if exist STDERR.OUT  erase STDERR.OUT
CD %FRNROOT%
rem
rem DA trace
rem
SET DA_TRACE_FLUSH=%frnroot%\LOG\DATRACE.LOG
rem
rem DA Memory allocation (generally not needed)
rem
rem SET DA_DEBUG_MEM=%frnroot%\LOG\DAMEM.LOG
rem
rem IS/2 trace  goes in frnroot\WORK\LOG\TRACE001.LOG
rem             which will wrap, so I do not delete it
rem
SET FIWSRASALWAYSDUMP=1
rem
rem Folder Manager trace
rem     /T gives time information
rem     /P gives parameter information
rem     leaving both /T and /P off the command line gives both
rem             time and parameter information
rem
SET FRNFMDUMP=/D%frnroot%\LOG\FMDUMP.LOG /T
rem
rem Trace class library exceptions
SET ICLUI TRACETO=STDOUT
rem
rem call application redirecting stdout and stderr
rem
echo on
FRNOIMG 1> %frnroot%\LOG\FRNOIMG.OUT 2> %frnroot%\LOG\FRNOIMG.ERR
@echo off
rem
rem Create the zip file
rem
%drive%:
cd %frnroot%\log
if exist FRNDBIMG.ZIP  erase FRNDBIMG.ZIP
pkzip frndbimg.zip datrace.* fmdump.* frnoimg.* %frnroot%\work\log\?????001.log
:ENDCMD
echo on
