@ECHO OFF
@REM BEGINPROLOGUE************************************************/
@REM                                                             */
@REM MODULE: frnodll.cmd                      VisualInfo         */
@REM                                                             */
@REM     5621-326, 5655-036, 5622-213, 5655-071, 5655-072        */
@REM     (C) Copyright IBM Corp. 1993, 1994. All Rights Reserved.*/
@REM         US Government Users Restricted Rights -             */
@REM         Use, duplication or disclosure restricted by GSA    */
@REM         ADP Schedule Contract with IBM Corp.                */
@REM                                                             */
@REM     Licensed Materials - Property of IBM                    */
@REM                                                             */
@REM                                                             */
@REM Date: October 1993                                          */
@REM                                                             */
@REM Status: Version 1 Release 1 Modification 0                  */
@REM                                                             */
@REM Description: frnodll.cmd - this command file is used to     */
@REM                           verify that prereqs are present   */
@REM                           to generate index classes         */
@REM                                                             */
@REM Dependencies:                                               */
@REM Restrictions:                                               */
@REM                                                             */
@REM                                                             */
@REM Notes:                                                      */
@REM  - addtional information may be provided here               */
@REM                                                             */
@REM *ENDPROLOGUE**************************************************/


@ECHO off
IF '%1' == '' GOTO :ERROR1
IF '%2' == '' GOTO :ERROR1
call startdbm
call sqlprep %1.sqc %2 /B /I=CS /F=ISO 1>frnodll.log 2>frnodll.out
IF ERRORLEVEL 1 GOTO :ERROR
call ICC /C /DES32TO16 /Sp1 /Gm+ /Fd- /Ge- /Gd+  /Fo%1.obj %1.C 1>>frnodll.log 2>>frnodll.out
IF ERRORLEVEL 1 GOTO :ERROR
call ilink /NOFREE /DE /CO /NOI /NOD /ALIGN:32 /PACKCODE /PACKDATA /EXEPACK %1,%1.dll,NUL,sql_dyn+frnococl,%1 1>>frnodll.log 2>>frnodll.out
IF ERRORLEVEL 1 GOTO :ERROR
call sqlbind %1.bnd %2 /I=CS /F=ISO 1>>frnodll.log 2>>frnodll.out
IF ERRORLEVEL 1 GOTO :ERROR
call stopdbm
@ECHO Successful verification. >>frnodll.out
@echo on
@ECHO Successful verification.
@ECHO off
goto :END
:ERROR1
@ECHO Parameter is missing. 1: SQC filename.  2: Database name. >>frnodll.out
@echo on
@ECHO Parameter is missing. 1: SQC filename.  2: Database name.
@ECHO off
goto :END
:ERROR
call stopdbm
@ECHO A step failed during verification. See FRNODLL.LOG. >>frnodll.out
@echo on
@ECHO A step failed during verification. See FRNODLL.LOG and FRNODLL.OUT.
@ECHO off
:END
PAUSE
