@ECHO OFF
@REM BEGINPROLOGUE************************************************/
@REM                                                             */
@REM MODULE: frnoinsu.cmd                      VisualInfo        */
@REM                                                             */
@REM     5621-326, 5655-036, 5622-213, 5655-071, 5655-072        */
@REM     (C) Copyright IBM Corp. 1993, 1994. All Rights Reserved.*/
@REM         US Government Users Restricted Rights -             */
@REM         Use, duplication or disclosure restricted by GSA    */
@REM         ADP Schedule Contract with IBM Corp.                */
@REM                                                             */
@REM     Licensed Materials - Property of IBM                    */
@REM                                                             */
@REM                                                             */
@REM Date: October 1993                                          */
@REM                                                             */
@REM Status: Version 1 Release 1 Modification 0                  */
@REM                                                             */
@REM Description: frnoinsu.cmd - this command file is used to    */
@REM                           verify that prereqs are present   */
@REM                           and generate index classes        */
@REM                                                             */
@REM System      : IBM PS/2                                      */
@REM OS          : OS/2 2.1                                      */
@REM Compiler    :                                               */
@REM Dependencies:                                               */
@REM Restrictions:                                               */
@REM                                                             */
@REM                                                             */
@REM Notes:                                                      */
@REM  - addtional information may be provided here               */
@REM                                                             */
@REM *ENDPROLOGUE**************************************************/

@ECHO OFF
REM
REM %1 ----  Database Name
REM %2 ----  Lib Path Root
REM %3 ----  Test Script File Name
REM
@IF EXIST FRNOTEST.EXE GOTO FINDMAKE
GOTO :ERROR1

:FINDMAKE
@IF EXIST FRNOINVE.EXE GOTO SETUP
GOTO :ERROR2


:SETUP
REM
REM   call verification command file
REM   "makedll ibmtest dbname > frnoinvr.log"
REM
ECHO .
ECHO ---------------------------------------------------------
ECHO FRNOINVE (system verification program) is executing
ECHO ---------------------------------------------------------
FRNOINVE %1 %2
@IF ERRORLEVEL 1 GOTO ERROR3

ECHO ---------------------------------------------------------
ECHO FRNOTEST Folder Manager Setup) is executing
ECHO ---------------------------------------------------------
FRNOTEST -n%1 %3.SCR

@IF ERRORLEVEL 1 GOTO ERROR4

ECHO .
ECHO .
ECHO -----------------------------------------
ECHO SUCCESS: FRNOTEST ended successfully.
ECHO -----------------------------------------
CALL STARTDBM
CALL DBM START USING DATABASE %1
CALL DBM ALTER TABLE AVT00004 FOREIGN KEY (ATTRIBUTE00012) REFERENCES SBTCLASSDEFS ON DELETE CASCADE
CALL DBM ALTER TABLE AVT00005 FOREIGN KEY (ATTRIBUTE00033) REFERENCES SBTCLASSDEFS ON DELETE CASCADE
CALL DBM STOP USING DATABASE
ECHO ---------------------------------------------------------------
ECHO SUCCESS: Folder Manager Setup and Verification were successful.
ECHO ---------------------------------------------------------------
GOTO END

:ERROR1
ECHO .
ECHO ******************************************************
ECHO ERROR: FRNOTEST NOT FOUND!.
ECHO ******************************************************
ECHO .
GOTO END

:ERROR2
ECHO .
ECHO ******************************************************
ECHO ERROR: FRNOINVE NOT FOUND!.
ECHO ******************************************************
ECHO .
GOTO END

:ERROR3
CLS
ECHO .
ECHO ******************************************************
ECHO ERROR: FRNOINVE ended with errors.
ECHO ******************************************************
ECHO .
GOTO WHAT2DO

:ERROR4
CLS
ECHO .
ECHO .
ECHO ******************************************************
ECHO ERROR: FRNOTEST ended with errors.
ECHO ******************************************************
ECHO .
ECHO .
GOTO WHAT2DO

:WHAT2DO
ECHO .
ECHO PERFORM THE FOLLOWING STEPS BEFORE CONTINUING.
ECHO .
ECHO .
ECHO 1)  If the error occurred during system logon, be sure the
ECHO .   Library Server and the Object Sevrer are up and
ECHO .   running.  This includes the Communications Isolator.
ECHO .   You can bring up the Window List to check for them.
ECHO .
ECHO 2)  If the error occurred during the creation of Index Classes,
ECHO .   Attributes, or Content Classes, you should:
ECHO .
ECHO .   a) Shut Down the database servers
ECHO .
ECHO .   b) Re-create the databases.
ECHO .
ECHO 3)  You may need to re-install for any other errors.
ECHO .
GOTO END

:END
PAUSE
