/*                                                               */
/* BEGINPROLOGUE************************************************/
/*                                                             */
/* MODULE: ALTLLDB.CMD                      VisualInfo         */
/*                                                             */
/*     5621-326, 5655-036, 5622-213, 5655-071, 5655-072        */
/*     (C) Copyright IBM Corp. 1993, 1995. All Rights Reserved.*/
/*         US Government Users Restricted Rights -             */
/*         Use, duplication or disclosure restricted by GSA    */
/*         ADP Schedule Contract with IBM Corp.                */
/*                                                             */
/*     Licensed Materials - Property of IBM                    */
/*                                                             */
/*                                                             */
/* Date: August  1995                                          */
/*                                                             */
/* Status: Version 1 Release 3 Modification 0                  */
/*                                                             */
/* Description: FRNOLLBD.CMD                                   */
/*                           This command file is used to do   */
/*                           reverse migrartion of the library */
/*                           server database from version2 to  */
/*                           version 1.                        */
/*                                                             */
/*                           If the Library Server Name is not */
/*                           passed to it when it is invoked   */
/*                           it uses the default name LIBSRVR2 */
/*                                                             */
/*                                                             */
/* System      : IBM PS/2                                      */
/* OS          : OS/2 2.1, 3.0                                 */
/* Compiler    :                                               */
/* Dependencies:                                               */
/* Restrictions:                                               */
/*                                                             */
/*                                                             */
/* Notes:                                                      */
/*  - addtional information may be provided here               */
/*                                                             */
/* *ENDPROLOGUE**************************************************/

Say ' '
say 'Please Enter the Library Server Name and Press Enter (default is  LIBSRVR2)'

PULL LIBNAME

IF LIBNAME = "" then LIBNAME = 'LIBSRVR2'

"Call DBM Start Database manager"
"Call DBM Start Using Database" LIBNAME

IF rc \= 0  then
do
  Say ' '
  say 'The Databse, ' LIBNAME ' was not found. The process terminated abnormally.'
  return
end

"Call DBM EXPORT from" LIBNAME "TO objsrvr.ixf of ixf messages msgs.txt select objservcode, objservname, sysid, txnname, hlqname, userid, changed, objservflags from sbtobjectserver"
"Call DBM drop table sbtobjectserver"
"Call DBM IMPORT to" LIBNAME "FROM objsrvr.ixf of ixf replace_create into sbtobjectserver messages msg.txt"
IF rc \= 0  then
do
  Say ' '
  say 'Database migration failed for Database ' LIBNAME
  return
end
else
do
  Say ' '
  say  'Database migration successfull for Database ' LIBNAME
  Say ' '
  return
end
