/*                                                             */
/* BEGINPROLOGUE************************************************/
/*                                                             */
/* MODULE: FRNOLLDM.CMD                     VisualInfo         */
/*                                                             */
/*     5621-326, 5655-036, 5622-213, 5655-071, 5655-072        */
/*     (C) Copyright IBM Corp. 1993, 1995. All Rights Reserved.*/
/*         US Government Users Restricted Rights -             */
/*         Use, duplication or disclosure restricted by GSA    */
/*         ADP Schedule Contract with IBM Corp.                */
/*                                                             */
/*     Licensed Materials - Property of IBM                    */
/*                                                             */
/*                                                             */
/* Date: August  1995                                          */
/*                                                             */
/* Status: Version 1 Release 3 Modification 0                  */
/*                                                             */
/* Description: FRNOLLDM.CMD:                                   */
/*                           This command file is used to add  */
/*                           The 3 Columns, CONNTYPE, INETADDR,*/
/*                           and PORT to SBTOBJECTSERVER table */
/*                           for the Library Server Database   */
/*                           and bind the programs             */
/*                                                             */
/*                           If the Library Server Name is not */
/*                           passed when the user is prompted, */
/*                           Thd default name LIBSRVR2 is used */
/*                                                             */
/*                                                             */
/* System      : IBM PS/2                                      */
/* OS          : OS/2 2.1, 3.0                                 */
/* Compiler    :                                               */
/* Dependencies:                                               */
/* Restrictions:                                               */
/*                                                             */
/*                                                             */
/* Notes:                                                      */
/*  - addtional information may be provided here               */
/*                                                             */
/* *ENDPROLOGUE**************************************************/

Say ' '
say 'Please Enter the Library Server Name and Press Enter (default is  LIBSRVR2)'

PULL LIBNAME

IF LIBNAME = "" then LIBNAME = 'LIBSRVR2'

"Call DBM Start Database manager"
"Call DBM Start Using Database" LIBNAME

IF rc \= 0  then
do
  Say ' '
  say 'The Databse, ' LIBNAME ' was not found. The process terminated abnormally.'
  return
end

"Call DBM UPDATE SBTCLASSDEFS SET DLLSTATUS=-1"


IF rc \= 0  then
do
  Say ' '
  say 'Updating SBTCLASSDEFS Table Failed.'
  return
end
else

"Call DBM UPDATE SBTCLASSDEFS SET DLLSTATUS=1 WHERE CLASSID=0"


IF rc \= 0  then
do
  Say ' '
  say 'Updating SBTCLASSDEFS Table Failed.'
  return
end
else
do
"COPY   .\BIND\"LIBNAME".BSP .\BIND\"LIBNAME".000"
"COPY   .\BIND\FRNOLLMN.BSP .\BIND\"LIBNAME".BSP"
end


"Call DBM UPDATE SBTVIEWDEFS SET DLLSTATUS=-1 WHERE DLLSTATUS=0"

"Call DBM ALTER Table SBTOBJECTSERVER ADD CONNTYPE CHAR(1) NOT NULL WITH DEFAULT ADD INETADDR CHAR(64) NOT NULL WITH DEFAULT ADD PORT INTEGER NOT NULL WITH DEFAULT"


IF rc \= 0  then
do
  Say ' '
  say 'The Columns were not added to the SBTOBJECTSERVER Table for Database ' LIBNAME
  return
end
else
do

  Say ' '
  say  'Three columns were added to SBTOBJECTSERVER Table for Database ' LIBNAME
  Say ' '
  say  'Starting the Bind for the Library server  Programs to the Database ' LIBNAME
  "START FRNOLBND" LIBNAME
  return
end
