/*$Revision:   1.21  $ $Date:   14 Apr 1994 18:20:14  $ $Author:   RAINE  $*/
/*BEGINPROLOGUE*************************************************/
/*                                                             */
/* MODULE: FRNOICGD.H                    VisualInfo            */
/*                                                             */
/*     5621-326, 5655-036, 5622-213, 5655-071, 5655-072        */
/*     (C) Copyright IBM Corp. 1993, 1994. All Rights Reserved.*/
/*         US Government Users Restricted Rights -             */
/*         Use, duplication or disclosure restricted by GSA    */
/*         ADP Schedule Contract with IBM Corp.                */
/*                                                             */
/*     Licensed Materials - Property of IBM                    */
/*                                                             */
/*                                                             */
/* Date: January 1993                                          */
/*                                                             */
/* Status: Version 1 Release 1 Modification 0                  */
/*                                                             */
/* Description: frnoicgd.h - this module is a header file      */
/*              for global definitions                         */
/*                                                             */
/* Dependencies: None                                          */
/* Restrictions:                                               */
/*                                                             */
/* Entry Points:                                               */
/* Change History:                                             */
/*                                                             */
/* CODE CHANGE DRL   04-01-1993 Added description to user attr */
/*                                                             */
/*                                                             */
/* Notes:                                                      */
/*  - the DCR/PTR number should appear in a comment            */
/*    near the change                                          */
/*  - function names should have Capital letters as            */
/*    demonstrated above                                       */
/*                                                             */
/*ENDPROLOGUE***************************************************/


#ifdef __cplusplus
     extern "C" {
#endif

/************************************************************/
/* These defines are for internal use in the export program */
/************************************************************/
#define MAX_INT_FILES         256
#define MAX_INT_PATH_LEN      256
#define MAX_FILE_NAME_LEN     1024
#define EOS_LEN                 1
#define MAX_LANGUAGE_LEN        3
#define MAX_USERID_LEN          8
#define MAX_DESC_LEN          256
#define MAX_NOTE_LEN         1024
#define MAX_EXPORT_ATTR      4096
#define MAX_EXPORT_ALT_ATTR    20
#define MAX_ATTR_NAME_LEN      32
#define MAX_ATTR_VALUE_LEN     32
#define MAX_EXPORT_CLASS      256
#define MAX_EXPORT_ALT_CLASS   20
#define MAX_CLASS_NAME_LEN     32
#define MAX_NUM_IMPORT_ITEMS 1000
#define ALLOC_FLAG                 PAG_WRITE | PAG_READ

/************************************************************/
/* End internal use section                                 */
/************************************************************/

#define INT_EXPORT_HEADER       0
#define INT_EXPORT_DOCUMENT     1
#define INT_EXPORT_FOLDER       2
#define RS_TIMESTAMP_LENGTH    26
#define TIMESTAMP_SIZE         RS_TIMESTAMP_LENGTH + 1


#define USER_ATTR_UNSPEC     0    // unspecified user data type
#define USER_ATTR_TIMESTAMP  2    // user data timestamp
#define USER_ATTR_TIME       3    // user data time-of-day type
#define USER_ATTR_INTEGER    4    // user data integer
#define USER_ATTR_DECIMAL    5    // user data decimal
#define USER_ATTR_STRING     8    // user data string
#define USER_ATTR_ALPHA      9    // user data alpha characters only
#define USER_ATTR_DIGITS    10    // user data numeric characters only
#define USER_ATTR_NUMBER    11    // user data characters for a real

#define  INDEF_NOT_ALLOWED 0
#define  ALLOW_INDEF     1
#define  READ_NEXT 1
#define  DONT_READ_NEXT 0
#define  CONVERT   1
#define  NOCONVERT 0
#define  SWAP      1
#define  NOSWAP    0
#define  CODEDLEN   1
#define  HEXLENGTH 0

#pragma pack(1)

typedef struct _NEWATTRARRAY
{
USHORT     usOldID;
USHORT     usAttrType;
USHORT     usNewID;
}          NEWATTRARRAY,
           *PNEWATTRARRAY;


typedef struct _CLASSMATCHSTRUCT
{
CHAR       szClassName[SIM_CLASS_NAME_LENGTH+1];
USHORT     usOldID;
USHORT     usNewID;
USHORT     usNumAttrs;
USHORT     ausAttrNewIDs[4096];
}          CLASSMATCHSTRUCT,
           *PCLASSMATCHSTRUCT;

typedef struct _INTEGERATTRIBUTE
{
  PSZ                    aInteger[1];
} INTEGERATTRIBUTE,
 *PINTEGERATTRIBUTE;



typedef  struct _INTUSERATTRSTRUCT
{
  USHORT                  usAttrID;
  USHORT                  usAttrType;
  PSZ                     pszAttrName;
  PSZ                     pszAttrDesc;
} INTUSERATTRSTRUCT,
 *PINTUSERATTRSTRUCT;


typedef struct _INTUSERATTRINFOSTRUCT
{
  INTUSERATTRSTRUCT       aAttributes[1];
} INTUSERATTRINFOSTRUCT,
 *PINTUSERATTRINFOSTRUCT;


typedef struct _INTITEMATTRSTRUCT
{
  BOOL                   fAttrSys;
  ULONG                  ulLen;
  PVOID                  pAttrValue;
  USHORT                 usAttrID;
  USHORT                 usAttrType;
} INTITEMATTRSTRUCT,
 *PINTITEMATTRSTRUCT;


typedef struct _INTITEMATTRINFOSTRUCT
{
  INTITEMATTRSTRUCT      aAttributes[1];
} INTITEMATTRINFOSTRUCT,
 *PINTITEMATTRINFOSTRUCT;


typedef struct _INTIMPITEMATTRINFOSTRUCT
{
  PINTITEMATTRSTRUCT     aAttributes[1];
} INTIMPITEMATTRINFOSTRUCT,
 *PINTIMPITEMATTRINFOSTRUCT;


typedef struct _INTINDCLASSSTRUCT
{
  USHORT                 usClassID;
  USHORT                 usReserved;
  PSZ                    pszClassName;
  PSZ                    pszClassDesc;
  ULONG                  ulNumReqAttr;
  ULONG                  ulNumOptAttr;
  USHORT                 ausReqAttr[50];
  USHORT                 ausOptAttr[50];
} INTINDCLASSSTRUCT,
 *PINTINDCLASSSTRUCT;


typedef struct _INTINDCLASSINFOSTRUCT
{
  INTINDCLASSSTRUCT      aClasses[1];
} INTINDCLASSINFOSTRUCT,
 *PINTINDCLASSINFOSTRUCT;


typedef struct _INTNOTESTRUCT
{
  TIMESTAMP              tsCreated;
  ULONG                  ulReserved;
  ULONG                  ulLength;
  PVOID                  pContent;
  PSZ                    pszUserID;
  PSZ                    pszNoteDesc;
} INTNOTESTRUCT,
 *PINTNOTESTRUCT;


typedef struct _INTNOTEINFOSTRUCT
{
  INTNOTESTRUCT          aNote[1];
} INTNOTEINFOSTRUCT,
 *PINTNOTEINFOSTRUCT;

typedef struct _INTIMPNOTEINFOSTRUCT
{
  ULONG                  ulUID;
  ULONG                  ulNumNotes;
  INTNOTESTRUCT          aNote[20];
} INTIMPNOTEINFOSTRUCT,
 *PINTIMPNOTEINFOSTRUCT;

typedef struct _INTIHEADER
{
  ULONG                  ulStruct;
  ULONG                  ulCCSID;
  PSZ                    pszLang;
  PVOID                  Reserved1;
  PSZ                    pszSourceType;
  PSZ                    pszSourceID;
  PVOID                  Reserved2;
  PSZ                    pszSinkType;
  PSZ                    pszSinkID;
  ULONG                  ulNumAttr;
  PINTUSERATTRINFOSTRUCT pCIFAttr;
  ULONG                  ulNumClass;
  PINTINDCLASSINFOSTRUCT pCIFICls;
} INTIHEADER,
 *PINTIHEADER;


typedef struct _INTCIFHEADER
{
  INTIHEADER              Header;
  PINTUSERATTRINFOSTRUCT  pAttributes;
  PINTINDCLASSINFOSTRUCT  pClasses;
  PVOID                   Reserved3;
} INTCIFHEADER,
 *PINTCIFHEADER;


typedef  struct _INTCRELINFOSTRUCT
{
  ULONG                  ulREL;
  ULONG                  ulUID;
  PSZ                    pszString1;
  PSZ                    pszString2;
} INTCRELINFOSTRUCT,
 *PINTCRELINFOSTRUCT;

typedef struct _INTOBJECTSTRUCT
{
  ULONG                     ulObjectLen;
  ULONG                     ulObjectOffset;
  ULONG                     ulNumAttr;
  BOOL                      fObjectPart;
  BOOL                      fFirstPart;
  PINTIMPITEMATTRINFOSTRUCT pItemAttrs;
} INTOBJECTSTRUCT,
 *PINTOBJECTSTRUCT;

typedef struct _INTOBJINFOSTRUCT
{
  PINTOBJECTSTRUCT        pObject[1];
} INTOBJINFOSTRUCT,
 *PINTOBJINFOSTRUCT;

typedef  struct _INTCIUDATALIST
{
  ULONG                     Reserved1;
  PVOID                     Reserved2;
  PVOID                     Reserved3;
  ULONG                     ulParentID;   /* Id of parent                */
  ULONG                     ulUID;
  PVOID                     Reserved4;
  ULONG                     ulDataType;   /* Folder, Document, Object    */
  ULONG                     ulNumNotes;
  PINTIMPNOTEINFOSTRUCT     pItemNotes;
  ULONG                     ulNumAttr;
  PINTIMPITEMATTRINFOSTRUCT pItemAttrs;
  struct _INTCIUDATALIST   *pCIUData;
  ULONG                     ulNumObj;
  PINTOBJINFOSTRUCT         pObj;
} INTCIUDATALIST,
 *PINTCIUDATALIST;


typedef  struct _INTCIUHEADER
{
  BOOL                   fMoreCIU;
  ULONG                  ulCCSID;
  PSZ                    pszLang;
  PVOID                  Reserved1;
  BOOL                   fRoundTrip;
  PSZ                    pszProc;
  PINTCRELINFOSTRUCT     pCREL[25];
  PSZ                    pszCIUDesc;
  PINTCIUDATALIST        pCIUData;
} INTCIUHEADER,
 *PINTCIUHEADER;

typedef struct _INTIMPORTITEMSTRUCT
{
ULONG      ulUID;
ULONG      ulParentID;
ITEMID     szItemID;
ITEMID     szParentID;
}          INTIMPORTITEMSTRUCT,
           *PINTIMPORTITEMSTRUCT;

typedef struct _INTEXPORTITEMSTRUCT
{
PITEMID    pItemID;
}          INTEXPORTITEMSTRUCT,
           *PINTEXPORTITEMSTRUCT;

typedef struct _INTHEADER
{
  ULONG                 ulCCSID;
  CHAR                  szLang[257];
  PVOID                 Reserved1;
  CHAR                  szSourceType[257];
  CHAR                  szSourceID[257];
  PVOID                 Reserved2;
  CHAR                  szSinkType[257];
  CHAR                  szSinkID[257];
} INTHEADER,
 *PINTHEADER;

/******************************************************/
/* These structures and typedefs are for internal use */
/******************************************************/

typedef  struct _INTSTRUCTUSERATTR
{
  USHORT  usAttrID;
  USHORT  usAttrType;
  CHAR    szAttrName[257];
  CHAR    szAttrDesc[257];
} INTSTRUCTUSERATTR,
 *PINTSTRUCTUSERATTR;

struct my2byte
{
  unsigned int  byte1:8;
  unsigned int  byte2:8;
};


typedef struct _BYTESWAP
{
  union
  {
    struct my2byte bytes;
    USHORT       both;
  } addr;
} BYTESWAP;

typedef struct _user_attr
{
  ULONG             ulNumAttr;
  INTSTRUCTUSERATTR aAttr[4096];
} USER_ATTR,
 *PUSER_ATTR;

typedef struct _indx_class_info
{
  USHORT            usClassID;
  CHAR              szClassName[257];
  CHAR              szClassDesc[257];
  USHORT            usNumReqAttr;
  USHORT            aReqAttr[50];
  USHORT            usNumOptAttr;
  USHORT            aOptAttr[50];
} INDX_CLASS_INFO,
 *PINDX_CLASS_INFO;


typedef struct _indx_class
{
  ULONG                  ulNumClass;
  INDX_CLASS_INFO        ClassInfo[256];
} INDX_CLASS,
 *PINDX_CLASS;

typedef  struct _IMPINTITEMATTR
{
  struct _IMPINTITEMATTR *pvHead;
  struct _IMPINTITEMATTR *pvTail;
  INTITEMATTRSTRUCT       Attributes;
} IMPINTITEMATTR,
 *PIMPINTITEMATTR;


typedef  struct _IMPOBJECTLIST
{
  struct _IMPOBJECTLIST  *pvHead;
  struct _IMPOBJECTLIST  *pvTail;
  INTOBJECTSTRUCT         Object;
} IMPOBJECTLIST,
 *PIMPOBJECTLIST;

typedef struct _SAVEITEMS
{
ITEMID     szItemID;
USHORT     ulUID;
}          SAVEITEMS,
           *PSAVEITEMS;

typedef  struct _CIF
{
  USHORT                 usItemCount;
  USHORT                 usNewAttrIndex;
  BOOL                   fCurrItemFolder;
  BOOL                   fEndSubDoc;
  BOOL                   fTextFileOpened;
  unsigned int           Unit_Count;
  FILE                  *fpCIF;
  FILE                  *fpCIF1;
  FILE                  *fpTempTXT;
  LONG                   lFileCount;
  ULONG                  ulLogType;
  ULONG                  ulNumNewItems;    // Returned value
  ULONG                  ulCdPge;
  ULONG                  ulParents[40];
  ULONG                  ulParentsIndex;
  ULONG                  ulListIndx;
  ULONG                  ulCRELIndx;
  CHAR                   szTempFilename[2048];
  PSAVEITEMS             pSaveItems;
  PSAVEITEMS             pSaveItemsPtr;
  PINTCIUHEADER          pCIUHeader;
  PINTCIUDATALIST        pvList[MAX_NUM_IMPORT_ITEMS];
  PINTHEADER             pHeader;
  PUSER_ATTR             pAttrBuffer;
  PINDX_CLASS            pICBuffer;
  PNEWATTRARRAY          pNewAttrArray;
  PNEWATTRARRAY          pSaveNewAttrPtr;
  PCLASSMATCHSTRUCT      pClassMatch;
  PCLASSMATCHSTRUCT      pSaveClassMatch;
  PINTIMPORTITEMSTRUCT   pNewIDs;          // Save struct ptr for deallocation
  PINTIMPORTITEMSTRUCT   pNewItems;
  PINTUSERATTRINFOSTRUCT pUserAttrBlock;
  PINTINDCLASSINFOSTRUCT pClassMemoryBlock;
  PINTITEMATTRINFOSTRUCT pAttrMemoryBlock;
  PINTNOTEINFOSTRUCT     pNoteMemoryBlock;

} CIF,
 *HCIF;

#pragma pack()

#ifdef __cplusplus
     }
#endif
