/*BEGINPROLOGUE*************************************************/
/*                                                             */
/* MODULE: frnolg.h                         VisualInfo         */
/*                                                             */
/* 5621-326 (C) Copyright IBM Corp. 1993,1995.                 */
/* All Rights Reserved.                                        */
/*                                                             */
/* US Government Users Restricted Rights                       */
/* - Use, duplication or disclosure                            */
/* restricted by GSA ADP Schedule Con-                         */
/* tract with IBM Corp.                                        */
/*                                                             */
/* Licensed Materials - Property of IBM                        */
/*                                                             */
/*                                                             */
/* Date: October 1992                                          */
/*                                                             */
/* Status: Version 1 Release 1 Modification 0                  */
/*                                                             */
/* Description: frnolg.h   - this include is used by programs  */
/*                           calling the logon building block  */
/*                                                             */
/* Dependencies:                                               */
/* Restrictions:                                               */
/*                                                             */
/*                                                             */
/* Notes:                                                      */
/*  - addtional information may be provided here               */
/*                                                             */
/*ENDPROLOGUE***************************************************/

#ifdef __cplusplus
   extern "C" {
#endif

#ifndef FRNOLG
#define FRNOLG 1

//-----------------------------------------------------------------------
// Header file for logon building block....
//-----------------------------------------------------------------------

//------------------------------------------------------------------------
// User defined PM messages
//------------------------------------------------------------------------
// NOTE:  Any other message definitions here should
//        be careful to conflict with other message
//        defined.  Use WM_LOGON_DONE as example and
//        number consecutively.
//------------------------------------------------------------------------

#define LOG_BASE_ID              8000
#define IDM_INTERNAL_BASE        LOG_BASE_ID + 10
#define WM_LOGON_DONE            (WM_USER + IDM_INTERNAL_BASE + 10)

//------------------------------------------------------------------------
// Manifest constant definitiona
//------------------------------------------------------------------------
#define LG_STACKSIZE            65536
#define MAX_FILE_PATH_LENGTH      255
#define MINIMUM_USERID_LENGTH       1
#define MAXIMUM_USERID_LENGTH       8
#define MAX_PASSWORD_LENGTH         8
#define TITLESTRINGSIZE            80
#define HELPLIBSIZE                80
#define LIBTYPESIZE                80
#define MAXTEXT_SIZE              300   // Maximum length of a static text
#define MAX_CAPTION                64   // Maximum Caption length
#define ACCESS_DENIED               0   // user has been denied access to appl.
#define ACCESS_GRANTED              1   // user has been granted access
#define ACCESS_ERROR                2   // there was a fatal error during logon
#define ACCESS_FAILURE              3   // user id or password was invalid
#define ACCESS_SERVER_DENIED        4   // server not enabled as a workstation
#define ACCESS_DENIED_IP2LISTSERVERS 5  // Ip2ListServers call failed
#define WINCLASSLENGTH              7
#define SERVERTYPE_LENGTH           5
#define MAX_LOGO_TEXT              12
#define MAX_LOGO_TEXT_LEN          70

//------------------------------------------------------------------------
// String defines... these are strings which are not
// translated and do not participate in NLS
//------------------------------------------------------------------------
#define LSTYPE                      "FRNLS"
#define LG_IS2_INIT_DLL_NAME        "FIWSENV"
#define LG_IS2_INIT_FUN_NAME        "SimOpsInitEnv"
#define LG_CNF_INIT_DLL_NAME        "FRNOAUCF"
#define LG_CNF_INIT_FUN_NAME        "Ip2InitAuCnf"
#define LG_LSTYPE_LBLS_STRING       "FRNLSOS2"  // OS/2 Lan Based Library Server
#define LG_LSTYPE_HBLS_STRING       "FRNLSMVS"  // MVS Host Based Library Server
#define LG_LSTYPE_ABLS_STRING       "FRNLSAIX"  // AIX Based Library Server
#define LG_LSTYPE_WBLS_STRING       "FRNLSWNT"  // Windows Based Library Server
#define LG_LSTYPE_LBLS_HANDLE       1           // OS/2 Lan Based Library Server
#define LG_LSTYPE_HBLS_HANDLE       2           // MVS Host Based Library Server
#define LG_LSTYPE_ABLS_HANDLE       3           // AIX Based Library Server
#define LG_LSTYPE_WBLS_HANDLE       4           // Windows Based Library Server

//------------------------------------------------------------------------
// Macros...
//------------------------------------------------------------------------
#define ISCOMBOBOX          (((LONG)WC_COMBOBOX) & 0x0000ffff)
#define ISBUTTON            (((LONG)WC_BUTTON) & 0x0000ffff)

//------------------------------------------------------------------------
// Dialog defines
//------------------------------------------------------------------------
#define IDD_LOGON_DLG                     2500
#define IDD_ABOUT_DLG                     2501
#define IDD_LOGON_DL_CHGPASSWORD_DLG      2502
#define IDC_ABOUT_BMP                     2503
#define ID_LOG_RESOURCE                   8100

//------------------------------------------------------------------------
// Dialog box control definitions
//------------------------------------------------------------------------
#define LOGON_BASE_ID                     25010
#define IDC_LOGON_USERID                  LOGON_BASE_ID + 1
#define IDC_LOGON_PASSWORD                LOGON_BASE_ID + 2
#define IDC_LOGON_HELP                    LOGON_BASE_ID + 3
#define IDC_LOGON_OK                      LOGON_BASE_ID + 4
#define IDC_LOGON_CANCEL                  LOGON_BASE_ID + 5
#define IDC_LOGON_USERIDTEXT_ID           LOGON_BASE_ID + 6
#define IDC_LOGON_PASSWORDTEXT_ID         LOGON_BASE_ID + 7
#define IDC_LIBSVR_NAMETEXT_ID            LOGON_BASE_ID + 8
#define IDC_LIBSVR_NAME                   LOGON_BASE_ID + 9
#define IDC_LOGON_CHGPASSWORD             LOGON_BASE_ID + 10
#define IDC_LOGON_NEWPASSWORD             LOGON_BASE_ID + 11
#define IDC_LOGON_CHG_OK                  LOGON_BASE_ID + 12
#define IDC_LOGON_CHG_CANCEL              LOGON_BASE_ID + 13
#define IDC_LOGON_CHG_HELP                LOGON_BASE_ID + 14
#define IDC_LOGON_VRYPASSWORD             LOGON_BASE_ID + 15
#define IDC_LOGON_NEWPASSWORDTEXT_ID      LOGON_BASE_ID + 16
#define IDC_LOGON_VRYPASSWORDTEXT_ID      LOGON_BASE_ID + 17
#define IDC_ABOUT_TXT1                    LOGON_BASE_ID + 18
#define IDC_ABOUT_TXT2                    LOGON_BASE_ID + 19
#define IDC_ABOUT_TXT3                    LOGON_BASE_ID + 20
#define IDC_ABOUT_TXT4                    LOGON_BASE_ID + 21
#define IDC_ABOUT_TXT5                    LOGON_BASE_ID + 22
#define IDC_ABOUT_TXT6                    LOGON_BASE_ID + 23
#define IDC_ABOUT_TXT7                    LOGON_BASE_ID + 24
#define IDC_ABOUT_TXT8                    LOGON_BASE_ID + 25
#define IDC_ABOUT_TXT9                    LOGON_BASE_ID + 26
#define IDC_ABOUT_TXT10                   LOGON_BASE_ID + 27
#define IDC_ABOUT_TXT11                   LOGON_BASE_ID + 28
#define IDC_ABOUT_TXT12                   LOGON_BASE_ID + 29
#define IDC_ABOUT_OK                      LOGON_BASE_ID + 30
#define IDC_ABOUT_ICON                    LOGON_BASE_ID + 31
#define IDC_ABOUT_R_SIGN                  LOGON_BASE_ID + 32

//--------------------------------------------------------------------
// Message box defines
//--------------------------------------------------------------------
#define IDMB_LOGON_FAILURE                LOGON_BASE_ID + 50
#define IDMB_LOG_LG_DEFAULT               LOGON_BASE_ID + 51
#define IDMB_LOG_SIMOPSINIT               LOGON_BASE_ID + 52
#define IDMB_LOG_AUCNFINIT                LOGON_BASE_ID + 53
#define CRITICAL_ERR                      LOGON_BASE_ID + 54
#define IDMB_USEREXIT                     LOGON_BASE_ID + 55

//--------------------------------------------------------------------
// String defines.....
//--------------------------------------------------------------------
#define IDS_KDMS_MAIN                     LOGON_BASE_ID + 60
#define IDS_HELPTITLE                     LOGON_BASE_ID + 61
#define IDS_ABOUT                         LOGON_BASE_ID + 62
#define IDS_ABOUT_TXT1                    LOGON_BASE_ID + 63
#define IDS_ABOUT_TXT2                    LOGON_BASE_ID + 64
#define IDS_ABOUT_TXT3                    LOGON_BASE_ID + 65
#define IDS_ABOUT_TXT4                    LOGON_BASE_ID + 66
#define IDS_ABOUT_TXT5                    LOGON_BASE_ID + 67
#define IDS_ABOUT_TXT6                    LOGON_BASE_ID + 68
#define IDS_ABOUT_TXT7                    LOGON_BASE_ID + 69
#define IDS_ABOUT_TXT8                    LOGON_BASE_ID + 70
#define IDS_ABOUT_TXT9                    LOGON_BASE_ID + 71
#define IDS_ABOUT_TXT10                   LOGON_BASE_ID + 72
#define IDS_ABOUT_TXT11                   LOGON_BASE_ID + 73
#define IDS_ABOUT_TXT12                   LOGON_BASE_ID + 74
#define IDS_ABOUT_R_SIGN                  LOGON_BASE_ID + 75


#define IDS_LOG_KDMS_MAIN                 LOGON_BASE_ID + 78
#define IDS_ABOUT_TXT                     LOGON_BASE_ID + 79

#define IDS_USEREXIT                      LOGON_BASE_ID + 80

//-----------------------------------------------------------------------
//            *******  Data structure definitions  ********
//-----------------------------------------------------------------------

//-----------------------------------------------------------------------
//
// This is the data structure passed in to the Ip2Logon call.
// A caller of the Logon building block must allocate memory
// for this datas tructure, before calling the building block.
// The caller has the responsibilty for having set values for
// for the fields, as listed below:
//
//-----------------------------------------------------------------------
// Inputs Values:
//
//   hwnd         : Handle to your application window.
//
//   hmodResources     : set to the module handle of the resource dll
//                       you are using if you wish to override the default.
//
//   szProductName : set to null terminated product name description.
//
//   szHelpLibraryName : set to null terminated help library name.
//
//   fSessionType      : set to SIM_SS_CONFIG or SIM_SS_NORMAL.
//
//   fInitImageServices : set to TRUE if you want the configuration
//                        server initialized; FALSE, if not.
//
//   fInitConfigServer : set to TRUE if you want IS/2 services
//                       initialized; FALSE, if not.
//
//-----------------------------------------------------------------------
// Output Values:  The following valueds will be returned to the caller.
//
//   hSession           : This field will return the session handle
//                        returned from SimLibLogon.
//
//   pUserInfoStruct    : Pointer to USERLOGONINFOSTRUCT which contains
//                        information about the user obtained during the
//                        logon process.
//
//   szUserId           : Userid that tried logon.
//
//   szPassWord         : The password that the user typed in.
//
//   szLibName          : The library server that the user connected to.
//
//   szLibType          : The library server type that the user connected to.
//
//   chUserNewPsw       : String contains the new password the user changed.
//
//   fAuCnfInit_status  : If fInitConfigServer = TRUE this field will have
//                        a TRUE or FALSE status of the success of the
//                        initilization of the configuration server.
//                        if fInitConfigServer = FALSE, you may ignore this.
//
//   ulMinorRC          : Minor return code to assist in problem determination
//
//  NOTE:  For information about USERLOGONINFOSTRUCT and HSESSION types,
//         please refer to OIM documentation.
//------------------------------------------------------------
typedef struct _USERDATA
{
   HSESSION              hSession;
   PUSERLOGONINFOSTRUCT  pUserInfoStruct;
   HWND                  hwnd;
   HMODULE               hmodResources;
   CHAR                  szProductName[ TITLESTRINGSIZE + 1 ];
   CHAR                  szHelpLibraryName[ HELPLIBSIZE + 1 ];
   CHAR                  szUserId[ MAXIMUM_USERID_LENGTH + 1 ];
   CHAR                  szPassWord[ MAX_PASSWORD_LENGTH + 1 ];
   CHAR                  szLibName[ SERVERNAME_LENG + 1 ];
   CHAR                  szLibType[ LIBTYPESIZE + 1 ];
   CHAR                  chUserNewPsw[ MAX_PASSWORD_LENGTH + 1 ];
   BITS                  fSessionType;
   BOOL                  fInitImageServices;
   BOOL                  fInitConfigServer;
   BOOL                  fAuCnfInit_status;
   ULONG                 ulMinorRC;
} USERDATASTRUCT, *PUSERDATASTRUCT;

//----------------------------------------------------------------
// This data structure is used to pass all of the necessary logon
// data to the thread which handles logon.
//----------------------------------------------------------------
typedef struct _LOGONTHREADDATA
{
  CHAR            szLibName[SERVERNAME_LENG + 1];
  CHAR            szApplicationName[MAXIMUM_USERID_LENGTH + 1];
  CHAR            szUserId[MAXIMUM_USERID_LENGTH + 1];
  CHAR            szPWD[MAX_PASSWORD_LENGTH + 1];
  CHAR            sznewPWD[MAX_PASSWORD_LENGTH + 1];
  PSZ             pszProxyID;
  PSZ             pszProxyScope;
  BITS            fSessionType;
  PASYNCCTLSTRUCT pAsyncCtl;
  RCSTRUCT        RC;
  HWND            hwndLogonDialog;
} LOGONTHREADDATA, *PLOGONTHREADDATA;

//-----------------------------------------------------------------
// This data structure is used for the strings to be displayed in
// the product information (About) box.
//-----------------------------------------------------------------
typedef struct
{
   HWND    hwnd;                 // Parent Window Handle
   HMODULE hmod;                 // module handle for resource dll
   SHORT   sLogoDisplayTime;     // Timer value
   LONG    lColor;               // Color for the texts
   USHORT  usStrings;            // number of usStr's up to MAX_LOGO_TEXT
   USHORT  usStr[MAX_LOGO_TEXT]; // string ID's
   USHORT  usTitle;              // String resource for the title
   BOOL    fDisableTimer;        // Timer disable flag
} PRODINFOSTRUCT, *PPRODINFOSTRUCT;

//--------------------------------------------
// Used for logon thread function declaration
//--------------------------------------------
typedef VOID ( * _Optlink MYPFNTHREAD)(PVOID);

//-------------------------------------------------------------------------
//           ******* Externalized function prototypes ********
//-------------------------------------------------------------------------

//-------------------------------------------------------------------------
// Logon building block
//
// External interfaces:  Ip2Logon(puserdata)
// Parameters:           puserdata - input/output
//                       user data info structure that the user gets back
//                       after SUCCESSFUL completion of this function.
//                       (See frnolg.h for a discussion of data strucure).
// Return values:        TRUE   -> Successful completion
//                       FALSE  -> Could not logon
//
//-------------------------------------------------------------------------
ULONG SIMENTRY Ip2Logon(PUSERDATASTRUCT);

//-------------------------------------------------------------------------
// Abstract: Displays VisualInfo Client Application Product Information Box
//
// Input:
//
//   Symbolic Name          Description
//   -------------          -----------------------------------------------
//   hwndYourAppWindow      HWND to the parent window
//
//   fDisableTimer          BOOL a boolean flag to disable the timer
//
//                          NOTE: FALSE means check the profile and display
//                          the logo according to the users wishes.
//                          TRUE means display the logo and wait until the
//                          user presses the button.
//-------------------------------------------------------------------------
VOID  DisplayLogo(HWND, BOOL);
USHORT EXPENTRY MsgDisplayMsg(HWND, HMODULE, USHORT, PSZ, ULONG, ULONG, USHORT, ...);
USHORT EXPENTRY MsgDisplayErr(HWND, HMODULE, USHORT, PSZ, USHORT, USHORT, USHORT,
                              HERR, ...);
BOOL  EXPENTRY GetPrivString ( PSZ );
BOOL  EXPENTRY GetPassword( PSZ pszPassword );

#endif

#ifdef __cplusplus
   }
#endif

