/* *************************************************************/
/*                                                             */
/* MODULE: frnosmue.h                 Product Name - DAPS      */
/*                                                             */
/*     XXXX-XXX (C) Copyright IBM Corp. 1993,1995.  All rights  */
/*         Reserved.  US Government Users Restricted Rights -  */
/*         Use, duplication or disclosure restricted by GSA    */
/*         ADP Schedule Contract with IBM Corp.                */
/*                                                             */
/*     Licensed Materials - Property of IBM                    */
/*                                                             */
/*                                                             */
/* Date: July 1994                                             */
/*                                                             */
/* Status: Version 1 Release 1 Modification 1                  */
/*                                                             */
/* Description: frnosmbb.h - this include is used by programs  */
/*                           or DAPS components that access    */
/*                           the Scan Manager APIs             */
/*                                                             */
/* System      : IBM PS/2                                      */
/* OS          : OS/2 2.1                                      */
/* Compiler    : C Set/2                                       */
/* Dependencies:                                               */
/* Restrictions:                                               */
/*                                                             */
/*                                                             */
/*                                                             */
/* Notes:                                                      */
/*  - additional information may be provided here              */
/*                                                             */
/* *************************************************************/

/* *********************************************************** */
/* Defines                                                     */
/* *********************************************************** */

/* ERROR Return Codes */

#define UE_EXIT_FAILED              6899


/* INFORMATION Return Codes   */

#define UE_EXIT_DID_NOTHING         2800
#define UE_EXIT_INDEXED_DOC         2801
#define UE_EXIT_PUT_IN_WB           2802


/* *********************************************************** */
/* Function Prototypes                                         */
/* *********************************************************** */


/* User exit to index document */

ULONG APIENTRY Ip2ExitIndexDocument(
                       HSESSION hsession,    /* INPUT-session handle        */
                       PITEMID  pWBItemID,   /* INPUT- workbasket to use    */
                       ULONG    ulObjConCls, /* INPUT- content class to use */
                       PSIMSCN_INFO pScanInfo); /* INPUT- scan information  */


/* User exit to use scanner document data */

ULONG APIENTRY Ip2ExitUseDocumentData(
                        HSESSION hsession,       /* INPUT-session handle    */
                        PITEMID  pItemID,        /* INPUT- ID for document  */
                        PITEMID  pWBItemID,      /* INPUT- workbasket used  */
                        PSIMSCN_INFO pScanInfo); /* INPUT- scan information */

