/*BEGINPROLOGUE***************************************************/
/*                                                               */
/* MODULE: FRNP.H                                                */
/*                                                               */
/* COPYRIGHT:                                                    */
/* ----------                                                    */
/* Digital Library Version 1 - 5648-A08.                         */
/* VisualInfo Version 2 Release 2.0 - 5697-250.                  */
/* (C) Copyright IBM Corp., 1994, 1996.  All Rights Reserved     */
/*                                                               */
/* US Government Users Restricted Rights                         */
/* Use, duplication or disclosure restricted by GSA ADP Schedule */
/* Contract with IBM Corp.  Licensed Materials - Property of IBM */
/*                                                               */
/*                                                               */
/* Description: FRNP.H     - this include is used by programs    */
/*                           calling the Object Manager APIs     */
/*                                                               */
/* Dependencies:                                                 */
/* Restrictions:                                                 */
/*                                                               */
/* Change History:                                               */
/*                                                               */
/*  Date  Number  Name  Description                              */
/* ------ ------ ------ --------------------------------------   */
/*                                                               */
/* Notes:                                                        */
/*  - addtional information may be provided here                 */
/*                                                               */
/*ENDPROLOGUE*****************************************************/


#ifndef FRNP
#define FRNP 1

//
// The following is to support C++ compilers
//
#ifdef __cplusplus
   extern "C" {
#endif


//
// Include error defines
//
#include "frnperr.h"  /* M190 */

//
// Include global types
//
#include "frnptype.h"  /* M190 */

//
// Conditionally include subsystem global definitions
//

//
// Folder Manager - Object Management
//
#ifdef FRN_INCL_FO
#include "frnpfo.h"  /* M190 */
#endif

//
// Folder Manager - Object Index Management
//
#ifdef FRN_INCL_FI
// SimLib APIs
#include "frnpfi.h"  /* M190 */

//Ip2 APIs
#include "frnpfi2.h"  /* M190 */
#endif

/*
 * end support for C++
 */
#ifdef __cplusplus
   }
#endif

#endif   // end of FRNP.H
