/*BEGINPROLOGUE***************************************************/
/*                                                               */
/* MODULE: frnpauer.h                                            */
/*                                                               */
/* COPYRIGHT:                                                    */
/* ----------                                                    */
/* Digital Library Version 1 - 5648-A08.                         */
/* VisualInfo Version 2 Release 2.0 - 5697-250.                  */
/* (C) Copyright IBM Corp., 1993, 1996.  All Rights Reserved     */
/*                                                               */
/* US Government Users Restricted Rights                         */
/* Use, duplication or disclosure restricted by GSA ADP Schedule */
/* Contract with IBM Corp.  Licensed Materials - Property of IBM */
/*                                                               */
/*                                                               */
/* Description: frnpauer.h - this include is used by the         */
/*                           client application for error        */
/*                           message defines                     */
/*                                                               */
/* Dependencies:                                                 */
/* Restrictions:                                                 */
/*                                                               */
/*                                                               */
/* Notes:                                                        */
/*  - addtional information may be provided here                 */
/*                                                               */
/*ENDPROLOGUE*****************************************************/

#ifdef __cplusplus
   extern "C" {
#endif

#ifndef FRNPAUER
#define FRNPAUER 1

/****** Successful Completion *********************/
/*#define                                          0*/

/*************************************************/
/*****  DUMMY MESSAGE ID for HELPSUBTABLE       **/
/*************************************************/
#define   DUMMY_HELPSUBTABLE                     101

/*************************************************/
/*****  INFORMATION MESSAGES BEGIN ** 2500-2999 **/
/*************************************************/
#define   RM_FILE_REMOVED_ERR                   2500
/* Ring Manager FFST Error Messages                 */
#define   RM_UNEXPECTED_REQUEST                 2501
#define   RM_MOVE_ERROR                         2502
/*#define                                       2503*/
/*#define                                       2504*/
/*#define                                       2505*/
#define   WP_ITEMINWIP_RBKT                     2506
/*#define                                       2507*/
/*#define                                       2508*/
/*#define                                       2509*/
/*#define                                       2510*/
#define   WP_ACT_NOCLOSE                        2511
/*#define                                       2512*/
/*#define                                       2513*/
/*#define                                       2514*/
/*#define                                       2515*/
/*#define                                       2516*/
/*#define                                       2517*/
#define   FL_FLD_MSG_ADD_DELETED_ALL            2518
#define   FL_FLD_MSG_NEW_DELETED_ALL            2519
/*#define                                       2520*/
/*#define                                       2521*/
/*#define                                       2522*/
#define   IF_ITEM_CHECKED_OUT_INFO              2523
#define   IF_NEW_FOLDER_CREATED                 2524
/*#define                                       2525*/
#define   LW_ITEM_WAS_DELETED                   2526
/*#define                                       2527*/
#define   LW_WINDOW_IS_BUSY                     2528
#define   LW_NOMORE_WBITEMS                     2529
/*#define                                       2530*/
#define   LW_ITEM_WAS_OFFLINE                   2531
#define   LW_OPERATION_WAS_BUSY                 2532
/*#define                                       2533*/
#define   LW_SAVE_COMPLETE                      2534
#define   WP_BUSY_CHECKED_OUT                   2535
#define   WP_INVALID_UID                        2536
#define   WP_DEADLOCK                           2537
#define   WP_NOSTRT_WF                          2538
#define   WP_NOCHG_WF                           2539
#define   WP_NOROUTETO                          2540
#define   TC_PARTIALLOAD                        2541
#define   TC_CANTSETSORT                        2542

/* Messages 2600-2649 reserved for Advanced Client */

#define   VW_NOIMAGE_HANDLE                     2700
#define   VW_CANNOT_SET_MENU_ITEM               2701
#define   MSG_BROWSE_ONLY                       2702
#define   VW_CCS_SAVEFIRST                      2703

#define   LG_ALREADY_LOGON                      2711
#define   LG_ALREADY_LOGON_HERE                 2712
#define   LG_ALREADY_LOGON_ELSEWHERE            2713

#define   SM_NO_PAGES_IN_DOC                    2895
#define   SM_SAVE_DOC_IS_BUSY                   2896

#define   DA_STRING_LOAD_ERROR                  2900
#define   SR_NO_ITEMS_FOUND                     2901
#define   SR_SAVE_SUCCESSFUL                    2902

#define   IM_CANCEL_ACTIVE                      2916
#define   EM_CANCEL_ACTIVE                      2936
#define   EM_ERR_INSUFF_PRIVILEGES              2937
#define   MM_CANCEL_ACTIVE                      2940
#define   MM_ERR_INSUFF_PRIVILEGES              2941
#define   MM_USER_CANCEL                        2942
#define   MM_TOO_MANY_ADDRESSES                 2943

#define   FA_HELP_INIT_FAILED_INFO              2955
#define   FA_WIN_HELPS_FAILURE                  2956
#define   NT_CANT_FIND_TEXT                     2957
#define   LG_USER_NO_PRIVILEGES                 2958
#define   LG_PASSWORD_EXPIRED                   2959
#define   LG_PWD_CHANGED_SUCCESS                2960

/****** INFORMATION MESSAGES END * 2500-2999 *****/

/*************************************************/
/******  WARNING MESSAGES BEGIN ** 4100-4499 *****/
/*************************************************/
#define   FL_FLD_ERR_REM_CONT                   4100
#define   IF_CHECK_IT_BACK_IN                   4101
#define   DA_VERIFY_CANCEL                      4102
#define   LW_DELETE_SEL_QUEST                   4103
#define   LW_DELSELDEL_QUESTION                 4104
#define   LW_DELSEL_ERROR                       4105
#define   LW_DELETE_INFOLDER                    4106
#define   LW_DELETE_QUESTION                    4107

#define   LW_SEARCHSAVE_QUESTION                4109
#define   LW_SAVECHANGES_QUESTION               4110
#define   LW_DELETENULL_CLASS                   4111
#define   WP_ITEMINWB                           4112
#define   LW_DELSEL_BUSY                        4113
#define   WP_ADMIN_CHECK                        4114
#define   WP_CURR_HISTORY                       4115
#define   FL_FLD_MSG_REMOVEITEM                 4116
#define   FL_FLD_DISCARDNEWFOLDER               4117
#define   FL_FLD_MSG_ADD_DELETED                4118
#define   LW_SAVEPRINTCHANGES_QUESTION          4119
#define   LW_DELETE_PARENT_BUSY                 4120
#define   LW_DELSEL_PARENT_BUSY                 4121

#define   WP_BUSY_CHECKED_OUT_ERR               4122
#define   WP_INVALID_UID_ERR                    4123
#define   WP_ITEMINWIP_RBKT_ERR                 4124
#define   WP_DEADLOCK_ERR                       4125
#define   WP_NOROUTETO_ERR                      4126
#define   WP_NOSTRT_WF_ERR                      4127
#define   WP_NOCHG_WF_ERR                       4128
#define   WP_NOTINWB_PRTY_ERR                   4129
#define   WP_CONT_NOWB_ACCESS_ERR               4130
#define   WP_NEXT_WB_ACCESS_ERROR               4131
#define   WP_CONT_NOWF_ACCESS_ERR               4132

#define   RM_CLOSE_WINDOW_ERR                   4201
#define   RM_FILE_STILL_LOADING_ERR             4202
#define   RM_BAD_SITUATION_ERR                  4203
#define   RM_DUPLICATE_FILE_ERR                 4204
#define   RM_CANNOT_DISPLAY_ITEM_ERR            4205
#define   RM_CANNOT_ADD_ITEM_ERR                4206
#define   RM_CANNOT_REMOVE_ITEM_ERR             4207
#define   RM_CANNOT_DISPLAY_CLASS_ERR           4208
#define   RM_CANNOT_DISPLAY_NAME_ERR            4209
#define   RM_CANNOT_DISPLAY_STATUS_ERR          4210
#define   RM_CANNOT_DISPLAY_PREVIOUS_ERR        4211
#define   RM_CANNOT_DISPLAY_NEXT_ERR            4212
#define   RM_CANNOT_OPEN_WINDOW_ERR             4213
#define   RM_FILE_LOAD_ERR                      4214

/* Messages 4225-4299 reserved for Advanced Client */

#define   LG_WARNING                            4300
#define   SR_CANCEL_CANCEL                      4301
#define   SR_CANCEL_SAVE                        4302
#define   VW_WHOLE_DOC                          4303
#define   VW_LAST_PAGE                          4304
#define   SR_DELETE_CONFIRM                     4305
#define   MSG_SAVE_CHANGES                      4306
#define   SR_SEARCH_LIMIT                       4307

#define   DA_UNMOUNTED_RETRY_QUESTION           4320

#define   VW_MISSING_BASE_PARTS                 4330
#define   VW_MISSING_ANNOTATIONS                4331

#define   PM_Q_CANCEL_PRT                       4400
#define   PM_SKIP                               4401
#define   PM_NOTHING_TODO                       4402
#define   FA_Q_CANCEL_FAX                       4403
#define   PM_CM_CONFIRM_DELETE                  4410

#define   SM_CONFIRM_CANCEL                     4440
#define   SM_SAVE_ABORTED_DOC_CHANGED           4441
#define   SM_CM_CONFIRM_DELETE                  4442
#define   SM_CONFIRM_DOC_DELETE                 4443
#define   SM_INVALID_DTP                        4445

#define   IM_CONFIRM_CLOSE_TYPE                 4462
#define   IM_ERR_IMPORT_ERROR                   4463
#define   IM_ERR_IMPORT_ERROR_WBFULL            4464
#define   IM_ERR_FILE_NOT_FOUND                 4465

#define   EM_ERR_NO_BASE_PARTS_RETRY            4476
#define   EM_CONFIRM_CLOSE_TYPE                 4477
#define   EM_ERR_EXPORT_ERROR                   4478
#define   EM_ERR_FILE_CREATE                    4479
#define   EM_ERR_INVALID_PATH_RETRY             4480

#define   FL_FLD_ERR_ADD_CONT                   4481
#define   RM_WARNING_DUPLICATE                  4482

#define   MM_CONFIRM_CLOSE_TYPE                 4490
#define   MM_ERR_SEND_ERROR_RETRY               4491
#define   MM_ERR_RECEIVE_ERROR_RETRY            4492
#define   MM_ERR_FILE_CREATE                    4493

/****** WARNING MESSAGES END * 4100-4499 *****/

/*************************************************/
/**  ERROR MESSAGES BEGIN ** 6500-6999          **/
/*************************************************/
#define   DA_WIN_CREATE_API_ERROR               6500
#define   DA_GETMESSAGE_API_ERROR               6501
#define   DA_WIN_DIALOG_ERROR                   6502
#define   DA_WIN_CLIPBOARD_ERROR                6503
#define   DA_TIMESTAMP_FAILURE                  6504
#define   DA_STORAGE_ALLOCATION_FAILURE         6505
#define   DA_FM_API_FAILURE                     6506
#define   NT_OPEN_ERROR                         6507
#define   NT_SAVE_ERROR                         6508
#define   NT_CLOSE_ERROR                        6509
#define   NT_DELETE_ERROR                       6510
#define   DA_WIN_API_ERROR                      6511
#define   WP_UXLOADWBUSEREXIT_ERROR             6512
#define   DA_MDI_ERROR                          6513
#define   WP_WIP_API_ERROR                      6514
#define   WP_WORKFLOW_ERROR                     6515
#define   DA_START_THREAD_FAILURE               6516
#define   WP_GLOBALS_INIT_FAILURE               6517
#define   DA_WIN_HELPS_FAILURE                  6518
#define   WP_CHECKIN_ERROR                      6519
#define   WP_CHECKOUT_ERROR                     6520
#define   WP_ROUTETO_ERROR                      6521
#define   WP_PRIORITY_ERROR                     6522
#define   WP_ACTIVATE_ERROR                     6523
#define   WP_SUSPEND_ERROR                      6524
#define   WP_START_WORKFLOW_ERROR               6525
#define   WP_CHANGE_WORKFLOW_ERROR              6526
#define   WP_REMOVE_WORKFLOW_ERROR              6527
#define   WP_COMPLETE_WORKFLOW_ERROR            6528
#define   WP_REMOVE_WORKBASKET_ERROR            6529
#define   WP_ACT_WIN_POS_ERROR                  6530
#define   WP_ACTIVITY_LOG_ERROR                 6531
#define   WP_STARTPROC_ERROR                    6532
#define   FL_FLD_ERROR_DOQUERY                  6533
#define   LW_DM_MSG_QUERYUIDS                   6534
#define   FL_FLD_ERR_NEWFOLDER                  6535
#define   LW_LOM_CREATE_WIN_ERROR               6536
#define   FL_FLD_ERR_REMFOLDER                  6537
#define   WP_PRIORITY_INVALID                   6538
#define   FL_FLD_ERR_REMOVE                     6539
#define   DA_AUCNF_API_ERROR                    6540
#define   FL_FLD_INITDLGMEM_ERROR               6541
#define   FL_FLD_ADDNEWFOLD_ERROR               6542
#define   FL_FLD_ADDFOLDER_ERROR                6543
#define   FL_FLD_BUILDCLASSHEADER               6544
#define   FL_FLD_SEARCH_HARD_ERROR              6545
#define   FL_FLD_RESOURCE_ERROR                 6546
#define   FL_FLD_SETUP_ERROR                    6547
#define   FL_FLD_ERR_LIBOBJOPENOBJECT           6548
#define   TC_SEL_LOAD_ITEM_LISTBOX_ERROR        6549
#define   TC_SEL_INSERT_CLASS_ERROR             6550
#define   TC_SEL_INVALIDCLASS_ERROR             6551
#define   TC_SEL_BUILDCLASSLIST_ERROR           6552
#define   TC_SEL_FUN_INSERTITEM_ERROR           6553
#define   TC_SEL_LOADFOLDERLISTS_ERROR          6554
#define   TC_SEL_BUILDSORTEDITEMLIST_ERROR      6555
#define   DA_GETOBJECT_API_ERROR                6556
#define   LW_LOM_OPEN_OBJECT_ERROR              6557
#define   TC_SEL_BUILDCLASS_LIST_HEADER         6558
#define   TC_SEL_OPENITEMINTOLOW_ERROR          6559
#define   TC_SEL_ZERO_ITEMS_SELECTED_ERROR      6560
#define   TC_SEL_SEQ_NUMBER_ERROR               6561
#define   TC_SEL_ERR_LIBOBJOPENOBJECT           6562
#define   TC_SEL_ERR_LIBOBJCLOSEOBJECT          6563
#define   FR_FORMNOTFOUND                       6564
#define   FR_FRM_ERR_AUDIT                      6565
#define   FR_FRM_ERR_MINMAX                     6566
#define   DA_NLS_API_ERROR                      6567
#define   FR_FRM_INIT                           6568
#define   FR_FIELD_COUNT                        6569
#define   FR_INPUT_FOCUS                        6570
#define   FR_NLS_INIT                           6571
#define   FR_BUILD_FORM                         6572
#define   FR_FORMS_ERROR                        6573
#define   FR_LISTBOX_ERROR                      6574
#define   FR_INPUT_FIELDS                       6575
#define   FR_CREATE_BUTTONS                     6576
#define   FR_SIZE_POSITION                      6577
#define   FR_COMBO_BOX                          6578
#define   IF_CREATEFAIL                         6579
#define   IF_API_ERROR                          6580
#define   DA_API_ERROR                          6581
#define   IF_GENERAL_ERROR                      6582
#define   IF_FIELD_XFER_ERROR                   6583
#define   IF_AUTOFILE_ERR_REQD_FIELDS           6584
#define   IF_DISPLAY_CLEAR_FIELDS_ERROR         6585
#define   IF_UNABLE_TO_MODIFY_ERROR             6586
#define   IF_INVALID_DOCUMENT_CLASS             6587
#define   IF_AUTO_WIP_FAILURE                   6588
#define   IF_AUTO_FILE_FAILURE                  6589
#define   IF_REMOVE_FOLDERS_FAILURE             6590
#define   IF_SAVE_FAILURE                       6591
#define   IF_SAVE_FAILURE_NO_CLASS              6592
#define   WP_NOTINWB_PRTY                       6593
#define   DA_FREEMEM_API                        6594
#define   MD_API_ERROR                          6595
#define   DA_UPDATE_ERROR                       6596
#define   WP_MAX_SUSP_CLASS                     6597
#define   DA_KEYITEMSMSG                        6598
#define   DA_INSUFFICIENT_MEMORY                6599
#define   LW_API_ERROR                          6600
#define   LW_WIP_STARTUP_ERROR                  6601
#define   LW_FOLDER_STARTUP_ERROR               6602
#define   LW_CHILD_WINDOWS_STARTUP_ERROR        6603
#define   LW_LIST_MGR_ERROR                     6604
#define   LW_GENERAL_ERROR                      6605
#define   WP_BAD_WORKFLOW                       6606
#define   LW_DELETE_WARNING                     6607
#define   WP_NO_NOWORKBASKET                    6608
#define   FL_FLD_NOTFOUND                       6609
#define   FL_FLD_MSG_YOUMUSTSELECT              6610
#define   TC_SEL_CREATION_ERROR                 6611
#define   TC_SEL_TOOMANYINLIST_ERROR            6612
#define   LW_DELETE_BUSY_WARN                   6613
#define   DA_TOO_MANY_ATTRIBUTES                6614
#define   DA_ERROR_NETWORK_FAILURE              6615
#define   LW_ERROR_CHILDOPENFAIL                6616
#define   LW_TOO_MANY_LOWS                      6617
#define   LW_NOSEARCH_NOSAVE                    6618
#define   WP_BAD_TIME_ENTERED                   6619
#define   LW_ERROR_CHILDCLOSE_FAIL              6620
#define   LW_CLOSE_WARNING                      6621
#define   LW_CLOSE_FAILURE                      6622
#define   LW_DELETE_ITEMS_WARNING               6623
#define   LW_OPEN_FAILURE                       6624
#define   LW_SAVE_FAILURE                       6625
#define   LW_CLASS_READ_FAILURE                 6626
#define   WP_INITMENU_ERROR                     6627
#define   FL_FLD_ADDITEM_ERROR                  6628
#define   WP_ACTLOGS_ERROR                      6629
#define   WP_NOWB_ACCESS_ERROR                  6630
#define   WP_NO_WORKBASKET                      6631
#define   TC_TOCTOOBIG                          6632
#define   NT_MLEOVERFLOW_ERROR                  6633
#define   NT_CLIPBOARD_ERROR                    6634
#define   TC_USEREXIT_LOAD_ERROR                6635
#define   TC_USEREXIT_CALL_ERROR                6636
#define   NT_MAXNOTE_SIZE_INFO                  6637
#define   WP_BAD_DATE_ENTERED                   6639
#define   DA_BAD_POINTER                        6640
#define   DA_NOATTRIBUTES_DEFINED               6641
#define   DA_CANNOT_INSERT_CNR_RECORD           6642
#define   WP_WF_FIRST_WB_ACCESS_ERROR           6643
#define   WP_NOWF_ACCESS_ERROR                  6645

/* Messages 6650-6699 reserved for Advanced Client */

#define   LG_LOGOFF_ERR                         6710
#define   LG_USEREXIT_LOAD_FAIL                 6719
#define   LG_GETRESOURCEDLLHANDLE_ERR           6720
#define   LG_PASSWORD_VALIDATION_ERR            6721
#define   LG_QFCREATEQUERYFORMWIN_ERR           6722
#define   LG_IP2IMPORTFILES_ERR                 6723
#define   LG_IP2OPENSCANSESSION_ERR             6724
#define   LG_AUCNFPUTVAL_ERR                    6725
#define   LG_AUCLOSECS_ERR                      6726
#define   LG_FFST_INIT_ERROR                    6727
#define   LG_NO_ACCESS_TO_SYSTEM                6728
#define   LG_PUTPASSWORD_ERROR                  6729
#define   LG_AUCNFGETVAL_ERROR                  6730
#define   LG_ILLEGAL_UPDATE_PATRON              6731
#define   LG_MAX_LIBRARY_LOGONS_REACHED         6732
#define   LG_INVALID_USER_ID_PW                 6733
#define   LG_TIMEOUT_ERROR                      6734
#define   LG_LOGON_ATTEMPTS_EXCEEDED            6735
#define   LG_IP2LISTSERVERS_ERROR               6736
#define   LG_SIMLIBLOGON_ERROR                  6737
#define   LG_SIMOPSINIT_ERROR                   6738
#define   LG_AUCNFINIT_ERROR                    6739
#define   LG_DEFAULT_ERROR                      6740
#define   LG_PWD_SAME                           6741
#define   LG_STARTTHREAD_FAILED                 6742

#define   ERR_CREATE_QUEUE                      6743
#define   ERR_SELECT_SESSION                    6744
#define   VW_GETVIEWCFG_ERROR                   6745
#define   VW_PUTVIEWCFG_ERROR                   6746
#define   VW_OPEN_OBJECT_ERROR                  6747

#define   LG_IP2RECEIVEMAIL_ERR                 6748
#define   LG_IP2SENDMAIL_ERR                    6749

#define   VW_IWPM_ERROR                         6750
#define   VW_NOTVALID_IWPMHWND                  6751
#define   VW_WORKINGSET_EMPTY                   6752
#define   VW_NO_BASE_PARTS                      6753
#define   VW_CANNOT_OPEN_OBJECT                 6754
#define   VW_CONTENTCLASS_NOTSUPPORT            6755
#define   VW_NO_DELITEM_PRIV                    6756

#define   INVALID_INPUT_PARM                    6757
#define   ERR_OUT_OF_MEMORY                     6758
#define   ERR_GET_BUFFER                        6759
#define   ERR_CHANGE_DRV                        6760
#define   ERR_CHANGE_DIR                        6761
#define   ERR_GET_CURRENT_DIR                   6762
#define   ERR_GET_FULL_PATH                     6763
#define   ERR_WRITE_FILE                        6764
#define   ERR_OPEN_FILE                         6765
#define   ERR_GENERATE_FILENAME                 6766
#define   ERR_START_SESSION                     6767
#define   ERR_RESTORE_DRV                       6768
#define   ERR_RESTORE_DIR                       6769

#define   QM_SEARCH_RESULTS_ERROR               6770
#define   QM_LIB_OBJ_OPEN_ERROR                 6771
#define   QM_SEARCH_ERROR                       6772
#define   QM_SEARCH_INIT_ERROR                  6773
#define   QM_NO_ITEM_BOX_ERROR                  6774
#define   QM_SEARCH_ERROR1                      6775
#define   QF_NULL_DOCCLASSHANDLE                6776
#define   QM_FR_CREATE_ERROR                    6777
#define   QM_LIST_INIT_ERROR                    6778
#define   QM_LIST_ERROR                         6779
#define   DA_OS2_CALL_ERROR                     6780
#define   QM_ERROR_CLOSEWINDOW                  6781
#define   QF_INVALID_DOCCLASS                   6782
#define   DA_LOCREATE_ERROR                     6783
#define   DA_NOCLASSES_DEFINED                  6784
#define   DA_SENDDATA_FAILED                    6785
#define   DA_FORM_REBUILD_ERROR                 6786
#define   DA_RESET_ERROR_FLAGS_FAILED           6787
#define   QF_CANNOT_SEARCH                      6788
#define   DA_DATA_CONVERSION_ERROR              6789
#define   DA_INVALID_ATTRIBUTEID                6790
#define   QF_MUST_SPECIFY_ATTRIBUTE             6791
#define   SR_CANNOT_ADD_PAGE                    6792
#define   SR_NO_SEARCH_CLAUSE_DEFINED           6793
#define   DA_HELP_INIT_FAILED_INFO              6794
#define   DA_FORM_BAD_INPUT                     6795
#define   DA_WILDCARD_NOT_ALLOWED               6796
#define   QF_TOO_MANY_ITEMS                     6797
#define   SR_AUDIT_ERROR                        6798
#define   SR_NO_CONJUNCTION_FOUND               6799
#define   SR_SEARCH_RETRIEVE_ERROR              6800
#define   SR_INVALID_OPERATOR                   6801
#define   SR_ATTR_OPERATOR_MISMATCH             6802
#define   SR_INVALID_FORMAT                     6803
#define   DA_NOVIEWS_DEFINED                    6804
#define   SR_CANNOT_ADD_TO_CNR                  6805

#define   SR_START_OF_ATTR_NOT_FOUND            6807
#define   SR_END_OF_ATTR_NOT_FOUND              6808
#define   SR_START_OF_VALUE_NOT_FOUND           6809
#define   SR_END_OF_VALUE_NOT_FOUND             6810
#define   SR_CANNOT_LOAD_ALPHABET               6811
#define   SR_INVALID_IF                         6812

#define   SR_COPY_FAILED                        6814
#define   SR_GENERAL_PAGE_FAILED                6815
#define   SR_CRITERIA_PAGE_FAILED               6816
#define   SR_OPTIONS_PAGE_FAILED                6817
#define   SR_FORM_FAILED                        6818
#define   SR_TEMPLATE_FAILED                    6819
#define   SR_ADD_EXISTING_SEARCH_FAILED         6820
#define   SR_CREATE_CONTAINER_FAILED            6821
#define   SR_START_FILEROOM_FAILED              6822
#define   SR_SAVE_FAILED                        6823
#define   SR_BUILD_SEARCHINFO_ERROR             6825

#define   PM_POP_ERR                            6850
#define   PM_NO_PAGES_PRINTED                   6851
#define   PM_NO_POPS                            6852
#define   PM_RANGE_WARNING                      6853
#define   PM_ITEM_DELETED                       6854
#define   PM_SPOOL_ABEND                        6855
#define   PM_CONTENTCLASS_NOT_PRINTABLE         6856


/*------------------------------------------------*/
/* Printer Profiles container                     */
/*------------------------------------------------*/
#define   PM_CM_ERR_INITPOP                     6875
#define   PM_CM_ERR_REGISTRATION                6876
#define   PM_CM_ERR_CREATEPOP                   6877
#define   PM_CM_ERR_ADJUSTADDPOP                6878
#define   PM_CM_ERR_COPYPOP                     6879
#define   PM_CM_ERR_COPYNEWPOP                  6880
#define   PM_CM_ERR_RENAMEPOP                   6881
#define   PM_CM_ERR_RENAMENEWPOP                6882
#define   PM_CM_ERR_DELETEPOP                   6883
#define   PM_CM_ERR_DELETENEWPOP                6884
#define   PM_CM_ERR_SELECTPOP                   6885
#define   PM_CM_ERR_EXISTPOP                    6886

/*------------------------------------------------*/
/* DTP              container                     */
/*------------------------------------------------*/
#define   SM_CM_ERR_INITDTP                     6887
#define   SM_CM_ERR_CREATEDTP                   6888
#define   SM_CM_ERR_ADJUSTDTP                   6889
#define   SM_CM_ERR_COPYDTP                     6890
#define   SM_CM_ERR_RENAMEDTP                   6891
#define   SM_CM_ERR_DELETEDTP                   6892
#define   SM_CM_ERR_SELECTDTP                   6893
#define   SM_CM_ERR_EXISTDTP                    6894

#define   SM_BADWORKBASKET                      6900
#define   SM_ERR_INIT                           6901
#define   SM_ERR_CREATEVIEWWINDOW               6902
#define   SM_ERR_LOW_MEM                        6903
#define   SM_ERR_SCANNERHOZED                   6904
#define   SM_ERR_SAVEOBJECT                     6905
#define   SM_ERR_NOBASKETS                      6906
#define   SM_ERR_CANTGETBASKETS                 6907
#define   SM_ERR_CREATE_EVENT_FLAG              6908
#define   SM_ERR_QUERYOBJECT                    6909
#define   SM_ERR_NOSCANNERS                     6910
#define   SM_ERR_FAXOUTREQUEST                  6911
#define   SM_ERR_CREATEOBJECT                   6912
#define   SM_ERR_DELETEOBJECT                   6913
#define   SM_ERR_USE_DATA_EXIT_FAILED           6914
#define   SM_ERR_INDEX_EXIT_FAILED              6915

#define   IM_ERR_INIT_FAILURE                   6916
#define   IM_ERR_INVALID_DRIVE                  6917
#define   IM_ERR_DRIVE_NOT_READY                6918
#define   IM_ERR_DRIVE_SETUP                    6919
#define   IM_ERR_CLASS_SETUP                    6920
#define   IM_ERR_WORKBASKET_SETUP               6921
#define   IM_ERR_ATTRIBUTE_SETUP                6922
#define   IM_ERR_NO_NOINDEX                     6924
#define   IM_ERR_NO_CLASSES                     6925
#define   SM_ERR_NO_DTPS                        6926
#define   SM_ERR_DTP_UNKNOWN                    6927
#define   SM_ERR_FILTER                         6928
#define   SM_ERR_DSC                            6929

#define   EM_ERR_INIT_FAILURE                   6936
#define   EM_ERR_DISK_FULL                      6937
#define   EM_ERR_EXPORT_FAILURE                 6938
#define   EM_ERR_INVALID_PATH                   6939
#define   EM_ERR_NO_BASE_PARTS                  6940

#define   FA_ERROR_CREATING_MUTEX_SEMAPHORE     6955
#define   FA_FAX_INTERNAL_FAILURE               6956
#define   FA_SHARED_MEMORY_ALLOC_FAILURE        6957
#define   FA_START_THREAD_FAILURE               6958
#define   FA_COMMAND_LINE_LOGON_FAILURE         6959
#define   FA_COMMAND_LINE_PARSE_ERROR           6960
#define   FA_COMPLETION_ERROR                   6961
#define   FA_FAXROUTER_ERROR                    6962
#define   FA_FAXIN_QUEUE_READ_ERROR             6963
#define   FA_FAXIN_REQUEST_DATA_FAILED          6964
#define   FA_NO_ACCESS_TO_SYSTEM                6965
#define   FA_SEM_FAIL_OR_TIMEOUT                6966
#define   FA_EMPTY_FOLDER                       6967
#define   FA_UNEXPECTED_ERROR                   6968
#define   PM_PAGERANGE_ERR                      6969

#define   MM_ERR_INIT_FAILURE                   6970
#define   MM_ERR_UNEXPECTED_VIM_ERROR           6975
#define   MM_ERR_INVALID_PASSWORD               6976
#define   MM_ERR_INVALID_VIM_CONFIG             6977
#define   MM_ERR_NOT_INITIALIZED                6978
#define   MM_ERR_LOGON_FAILED                   6979
#define   MM_ERR_EXTRACTING_NOTE                6980
#define   MM_ERR_CURRENTUSER_NOTALLOWED         6981
#define   MM_ERR_MAX_LOGON_ATTEMPTS             6982
#define   MM_ERR_RECIPIENT_NOT_FOUND            6983
#define   MM_ERR_DISK_FULL                      6984
#define   MM_ERR_SEND_ERROR_NORECOV             6985
#define   MM_ERR_RECEIVE_ERROR_NORECOV          6986
#define   MM_ERR_CIF_INVALID                    6987
#define   MM_ERR_CIF_HAS_UNDEF_INDEX_CLASS      6988
#define   MM_ERR_CIF_HAS_UNDEF_ATTR             6989
#define   MM_ERR_RECIPIENT_LIST_TOO_LONG        6990
#define   MM_ERR_INVALID_PATH                   6991
#define   MM_ERR_INVALID_PATH_RETRY             6992
#define   MM_ERR_ITEM_DELETED                   6993
#define   MM_ERR_MAIL_ERROR                     6994
#define   MM_ERR_SEND_FAILED                    6995

#define   LW_IP2LIBOBJ_PARAMETER_NOT_VALID      8675
/*** ACTION (ERROR) MESSAGES END * 6500-6999 *****/

#endif

#ifdef __cplusplus
   }
#endif

