/*BEGINPROLOGUE***************************************************/
/*                                                               */
/* MODULE: FRNPERR.H                                             */
/*                                                               */
/* COPYRIGHT:                                                    */
/* ----------                                                    */
/* Digital Library Version 1 - 5648-A08.                         */
/* VisualInfo Version 2 Release 2.0 - 5697-250.                  */
/* (C) Copyright IBM Corp., 1994, 1996.  All Rights Reserved     */
/*                                                               */
/* US Government Users Restricted Rights                         */
/* Use, duplication or disclosure restricted by GSA ADP Schedule */
/* Contract with IBM Corp.  Licensed Materials - Property of IBM */
/*                                                               */
/*                                                               */
/* Description: FRNPERR.H  - CAPI error messages from specific   */
/*                           products and non-CAPI error         */
/*                           messages for ImagePlus.             */
/*                                                               */
/* Dependencies:                                                 */
/* Restrictions:                                                 */
/*                                                               */
/*                                                               */
/*  Notes:                                                       */
/*    The following ranges are reserved for global               */
/*    CAPI return codes and are in FRNPCAPI.H                    */
/*      1000-1299: Information messages      SIM_                */
/*      3000-3299: Warning messages          SIM_                */
/*      5000-5999: Action (Error) Messages   SIM_                */
/*                                                               */
/*    The following ranges are reserved for CAPI return          */
/*    codes for specific products (e.g. Folder Manager)          */
/*      1350-1399: Information messages      SIM_                */
/*      3350-3399: Warning messages          SIM_                */
/*      6000-6499: Action (Error) Messages   SIM_                */
/*                                                               */
/*    The following ranges are reserved for                      */
/*    non-CAPI return codes                                      */
/*      2000-2999: Information messages                          */
/*       2000 - 2050: Utilities               UTIL_              */
/*       2051 - 2099: LBOS                    LBSINFO_           */
/*       2100 - 2175: Install                                    */
/*       2176 - 2224: Sys Admin               SAINFO_            */
/*       2225 - 2300: Folder Manager                             */
/*       2301 - 2376: LBLS                                       */
/*       2377 - 2452: HBOS                                       */
/*       2453 - 2499: Overflow                                   */
/*       2500 - 2999: Client Appl and Advanced Client            */
/*      4000-4999: Warning messages                              */
/*       4000 - 4050: LBOS                    LBSWARNING_        */
/*       4051 - 4099: Folder Manager          OIM_               */
/*       4100 - 4499: Client Appl and Advanced Client            */
/*       4500 - 4599: Utilities               no standard        */
/*       4600 - 4675: Sys Admin               SAWARN_ SAINFO_    */
/*       4676 - 4750: Install                                    */
/*       4751 - 4825: LBLS                                       */
/*       4826 - 4900: HBOS                                       */
/*       4901 - 4999: Overflow                                   */
/*      6500-9999: Action (Error) Messages                       */
/*       6500 - 6999: Client Application and Advanced Client     */
/*       7000 - 7749: LBLS                    RC_ LLSERR_        */
/*       7750 - 7999: HBOS                    RC_                */
/*       8000 - 8099: Utilities               no standard        */
/*       8100 - 8499: Folder Manager          OIM_               */
/*       8500 - 8599: Sys Admin               SAERR_             */
/*       8600 - 8799: Library Client          LCERR_             */
/*       8800 - 8899: Daemon                  DMNERR_            */
/*       8900 - 8999: Install                 INS_               */
/*       9000 - 9099: Comm Iso                ISOERR_            */
/*       9100 - 9199: List Manager            LST_ERR_           */
/*       9200 - 9250: Utilities (Sys Config)  no standard        */
/*       9251 - 9699: Overflow                                   */
/*       9700 - 9999: LBOS                    LBSERR_            */
/*                                            LBSRCOD_           */
/*                                            ERRORSMS_          */
/*                                                               */
/*ENDPROLOGUE*****************************************************/
#ifndef FRNPERR
#define FRNPERR 1
#define USER_ERR_BASE                         5000

/****** Successful Completion ********************/
#define SIM_RC_OK                                0

/*************************************************/
/*** 1000-1999 RESERVED FOR CAPI INFORMATION MESSAGES ******/
/*************************************************/

/*************************************************/
/*** 2500-2999 RESERVED FOR Client Appl INFORMATION MESSAGES ******/
/*************************************************/

/*************************************************/
/***** Utilities Information Begin ** 2000-2050 **/
/*************************************************/
#define GENERATION_SUCCESSFUL                 2000
#define NG_USAGE                              2001
#define NG_RENAME                             2002
#define UTIL_UTILITY_STARTED                  2003
#define UTIL_UTILITY_ENDED                    2004
#define UTIL_UTILITY_ENDEDINERROR             2005
#define UTIL_UTILITY_COMPLETED                2006
#define UTIL_COMPLETEDWF                      2007
#define UTIL_NOACTLOGARCHIVAL                 2008
#define UTIL_ACTLOGSUCCESSFUL                 2009
#define UTIL_ACTLOGERR                        2010
#define UTIL_NEEDUNSUSPENSION                 2011
#define UTIL_EXPTIMECHKERR                    2012
#define UTIL_EXPTIMECHKSUCC                   2013
#define UTIL_UTILITY_STOPPED                  2014
#define UTIL_DB_TABLES_COMPLETE               2015
#define UTIL_DB_BIND_COMPLETE                 2016
#define UTIL_DB_TABLE_EMPTY                   2017
#define UTIL_SHUTDOWN_RENAME                  2018
#define UTIL_UTILITY_EXECUTING                2019
#define UTIL_UTILITY_IDLE                     2020
/*                                            2021 */
/****** Utilities Information End 2000-2050 ******/

/*************************************************/
/***** LBOS Information Begin ** 2051-2099 *******/
/*************************************************/
/*                                            2051 */
#define MTINFO_MOUNT_REJECTED                 2052
#define LBSINFO_FUNCTION_TERMINATED           2053
/*                                            2054 */
/*                                            2055 */
/*                                            2056 */
/*                                            2057 */
/*                                            2058 */
/*                                            2059 */
/*                                            2060 */
/*                                            2061 */
/*                                            2062 */
/*                                            2063 */
/*                                            2064 */
/*                                            2065 */
/*                                            2066 */
/*                                            2067 */
/*                                            2068 */
/*                                            2069 */
/*                                            2070 */
/*                                            2071 */
/*                                            2072 */
/*                                            2073 */
/*                                            2074 */
/*                                            2075 */
/*                                            2076 */
/*                                            2077 */
/*                                            2078 */
/*                                            2079 */
/*                                            2080 */
/*                                            2081 */
/***** LBOS Information End 2051-2099 ***********/

/*************************************************/
/***** Install Information Begin ** 2100-2175 ****/
/*************************************************/
#define INS_CMGR_UPDATE_OK                    2100
#define INS_ENDGOOD                           2102
#define INS_STARTING_DBM                      2103
#define INS_UPDATE_DBM_CFILE                  2104
#define INS_CREATE_DB                         2105
#define INS_UPDATE_DB_CFILE                   2106
#define INS_DYN_BIND                          2107
#define INS_START_USE                         2108
#define INS_CREATE_TBL                        2109
#define INS_LOAD_TBL                          2110
#define INS_STOPPING_DBM                      2111
#define INS_STOPPING_DB                       2112
#define INS_DBM_RUNNING                       2113
#define INS_DELETE_OLD_VERSION                2114
#define INS_CREATE_NEW_VERSION                2115
#define INS_COMPLETE                          2116
#define INS_CREATE_VIEW                       2117
#define NC_SUCCESS_VERIFY_FILE                2118
#define INS_FRNOUTNG_SUCCESS                  2119
/*                                            2120 */
/****** Install Information End 2100-2175 *******/

/*************************************************/
/*** Sys. Admin. Information Begin ** 2176-2224 **/
/*************************************************/
/*                                            2178 */
/***** Sys. Admin Information End 2176-2224 *****/
#define SAINFO_IC_DLL_BUSY                    2176
#define SAINFO_UTIL_LOCKED_BYOTHER            2177

/*************************************************/
/*** Folder Mgr. Information Begin ** 2225-2300 **/
/*************************************************/
#define OIM_VALID_INPUT_CHARS                 2225
#define OIM_RESERVED_FOR_HISTORY_LOG_1        2250
#define OIM_RESERVED_FOR_HISTORY_LOG_2        2251
#define OIM_RESERVED_FOR_HISTORY_LOG_3        2252
#define OIM_RESERVED_FOR_HISTORY_LOG_4        2253
#define OIM_RESERVED_FOR_HISTORY_LOG_5        2254
#define OIM_RESERVED_FOR_HISTORY_LOG_6        2255
#define OIM_RESERVED_FOR_HISTORY_LOG_7        2256
#define OIM_RESERVED_FOR_HISTORY_LOG_8        2257
#define OIM_RESERVED_FOR_HISTORY_LOG_9        2258
#define OIM_RESERVED_FOR_HISTORY_LOG_10       2259
#define OIM_RESERVED_FOR_HISTORY_LOG_11       2260
#define OIM_RESERVED_FOR_HISTORY_LOG_12       2261
#define OIM_RESERVED_FOR_HISTORY_LOG_13       2262
#define OIM_RESERVED_FOR_HISTORY_LOG_14       2263
#define OIM_RESERVED_FOR_HISTORY_LOG_15       2264
#define OIM_RESERVED_FOR_HISTORY_LOG_16       2265
#define OIM_RESERVED_FOR_HISTORY_LOG_17       2266
#define OIM_RESERVED_FOR_HISTORY_LOG_18       2267
#define OIM_RESERVED_FOR_HISTORY_LOG_19       2268
#define OIM_RESERVED_FOR_HISTORY_LOG_20       2269
#define OIM_RESERVED_FOR_HISTORY_LOG_21       2270
#define OIM_RESERVED_FOR_HISTORY_LOG_22       2271
#define OIM_RESERVED_FOR_HISTORY_LOG_23       2272
#define OIM_TOO_MANY_SEM_REQUESTS             2273
#define OIM_SEM_OWNER_DIED                    2274
#define OIM_SEM_INVALID_HANDLE                2275
/***** Folder Mgr. Information End 2225-2300 *****/

/*************************************************/
/***** LBLS Information Begin ** 2301-2376 *******/
/*************************************************/
/*                                            2301 */
/***** LBLS Information End 2301-2376 ************/
#define  RC_LLS_SSDK_HARDSTOP                 2301

/*************************************************/
/***** HBOS Information Begin ** 2377-2452 *******/
/*************************************************/
/*                                            2377 */
/***** HBOS Information End 2377-2452 ************/

/*************************************************/
/*** 2453-2499 OVERFLOW INFORMATION NUMBERS IF NEEDED  ******/
/*************************************************/
/* 2500 - 2999 - Client App, Advanced Client - see FRNPAUER.H */

/*************************************************/
/*** 3000-3999 RESERVED FOR CAPI WARNING MESSAGES **/
/*************************************************/
/****** CPI Warning/User Error Begin**************/
/****** Folder Manager starts at 3350 ************/
#define SIM_RC_WARNING_NO_ATTRIBUTE_VALUES    3352
#define SIM_RC_READ_PAST_EOF                  3353
#define SIM_RC_WARNING_ALL_QUERY_ROWS_NOT_USED   3354
#define SIM_RC_GRACE_PERIOD_UNDER_LIMIT       3355
#define SIM_RC_GRACE_PERIOD_OVER_LIMIT        3356
#define SIM_RC_GRACE_PERIOD_ENDED             3357
#define SIM_RC_WARNING_INVALID_LANGUAGE_CODE  3358
/****** CPI Warning/User Error End****************/

/*************************************************/
/*** 4100-4499 RESERVED FOR Client Appl WARNING MESSAGES ****/
/*************************************************/

/*************************************************/
/***** LBOS Warning Begin ** 4000-4050 ***********/
/*************************************************/
#define LBSWARNING_INACCURATE_VOL_INFO        4000
#define LBSWARNING_CANNOT_CLEAR_MST_ENTRY     4001
#define LBSWARNING_CANNOT_SUPPORT_DRIVE       4002
#define LBSWARNING_VOLUME_NOT_IN_DRIVE        4003
#define LBSWARNING_MST_ENTRY_NOT_FOUND        4004
#define LBSWARNING_DEV_MGR_INVALID_PARM       4005
#define LBSWARNING_ALL_DMS_DID_NOT_INIT       4006
#define LBSINFO_REFUSE_REQUESTS               4007
/*                                            4008 */
/*                                            4009 */
/*                                            4010 */
/*                                            4011 */
/*                                            4012 */
/*                                            4013 */
/*                                            4014 */
/*                                            4015 */
/*                                            4016 */
/*                                            4017 */
/*                                            4018 */
/***** LBOS Warning End 4000-4050 ****************/

/*************************************************/
/***** Folder Mgr. Warning Begin ** 4051-4099 ****/
/*************************************************/
#define OIM_WARNING_NO_INDEX_CREATED          4051
#define OIM_INTERNAL_TIMEOUT                  4052
#define OIM_ITEM_ALREADY_IN_WORKBASKET        4060
/*                                            4055 */
/***** Folder Mgr. Warning End 4051-4099 *********/
/* 4100 - 4499 - Client App, Advanced Client - see FRNPAUER.H */

/*************************************************/
/***** Utilities Warning Begin ** 4500-4599 ******/
/*************************************************/
/****Net Config Utility****/
/*RP*/
#define VERIFY_UNSUCCESSFUL                   4532
#define NC_SAVE_CURRENT_FILE                  4535
#define NC_CONFIRM_DELETE                     4536
#define ISOWARNING_CM_TRANS_NOT_AVAIL         4537
/*                                            4538 */
/***** Utilities Warning End 4500-4599 **********/

/*************************************************/
/***** Sys. Admin. Warning Begin ** 4600-4675 ****/
/*************************************************/
#define SAWARN_DELETE_CONFIRM                 4600
#define SAINFO_NOTFOUND                       4601
#define SAINFO_CLOSE_WINDOW                   4602
#define SAWARN_DELETE_OBJSERV                 4603
#define SAWARN_DELETE_NLSLANGUAGE             4604
#define SAWARN_LOGOFF_REMOTEUSER              4605
#define SAWARN_SUPER_ACCESS_TURNED_ON         4606
#define SAWARN_DELETE_HOST_COLLECTION         4607
#define SAWARN_WORKDIR_NOTFOUND               4608
/*                                                 */
/***** Sys. Admin. Warning End 4600-4675 **********/

/*************************************************/
/***** Install Warning Begin ** 4676-4750 ********/
/*************************************************/
#define INS_CREATE_SAMPLE_DB                  4676
/*                                            4677 */
/***** Install Warning End 4676-4750 *************/

/*************************************************/
/****  LBLS Warning Begin ** 4751-4825 ***********/
/*************************************************/
/*                                            4751 */
/***** LBLS Warning End 4751-4825 ****************/

/*************************************************/
/***** HBOS Warning Begin ** 4826-4900 ***********/
/*************************************************/
/*                                            4826 */
/***** HBOS Warning End 4826-4900 ****************/

/*************************************************/
/* 4901-4999 OVERFLOW WARNING NUMBERS IF NEEDED  ****/
/*************************************************/

/*************************************************/
/*** 5000-5999 RESERVED FOR CAPI ERROR MESSAGES **/
/*************************************************/

/*************************************************/
/*** 6500-6499 RESERVED FOR Client Appl ERROR MESSAGES ****/
/*************************************************/

/*************************************************/
/** Folder Mgr.(SIM_RC) Error Begin ** 6000-6499 */
/*************************************************/
/** CPI Error Begin **/
/*                                            6000 */
#define SIM_RC_ENV_VAR_NOT_FOUND              6018
#define SIM_RC_LIBRARY_NOT_VALID              6020
#define SIM_RC_ALLOCATE_CC                    6050
#define SIM_RC_CC_NOT_EXIST                   6051
#define SIM_RC_COMPLETION_ERROR               6052
#define SIM_RC_COMPLETION_MSG_NOT_POSTED      6053
#define SIM_RC_COMPLETION_SEM_ALREADY_POSTED  6054
#define SIM_RC_COMPLETION_SEM_TOO_MANY_POSTS  6055
#define SIM_RC_DOCSS_ERROR                    6056
#define SIM_RC_GETRESPONSE_TIMEOUT            6057
#define SIM_RC_NO_CC_TABLE                    6058
#define SIM_RC_NO_CC_ENTRY                    6059
#define SIM_RC_NO_CC_VIEWID                   6060
#define SIM_RC_QUERY_FAILED                   6061
#define SIM_RC_MAX_NUM_THREADS_EXCEEDED       6062
#define SIM_RC_INVALID_CC_TYPE                6063
#define SIM_RC_INVALID_CLASS_TYPE             6064
#define SIM_RC_INVALID_USCLASSID_VALUE        6065
#define SIM_RC_ITEM_NOT_A_WIP_ITEM            6066
#define SIM_RC_OPEN_FAILED                    6073
#define SIM_RC_ERROR_WRITING_TO_FILE          6074
#define SIM_RC_SEEK_ERROR                     6075
#define SIM_RC_INVALID_ACCESS_CODE            6076
#define SIM_RC_INVALID_LOCAL_STORAGE_MODE     6077
#define SIM_RC_INVALID_OBJECT_HANDLE          6078
#define SIM_RC_ERROR_READING_FROM_FILE        6079
#define SIM_RC_INVALID_HSESSION               6080
#define SIM_RC_INVALID_PRC                    6081
#define SIM_RC_INVALID_PASYNCCTL              6082
#define SIM_RC_INVALID_FOPTIONS               6083
#define SIM_RC_INVALID_HSYNC                  6084
#define SIM_RC_INVALID_MSGID                  6085
#define SIM_RC_NO_ASYNC_IN_TRANS              6086
#define SIM_RC_FUNC_NOT_IN_TRANS              6087
#define SIM_RC_DUPLICATE_PART                 6088
#define SIM_RC_SAME_COLLECTION                6089
#define SIM_RC_NEW_COLLECTION_NOT_FOUND       6090
#define SIM_RC_MGTCLASS_NOT_FOUND             6091
#define SIM_RC_STGCLASS_NOT_FOUND             6092
#define SIM_RC_PRIV_NOT_FOUND                 6100
#define SIM_RC_NO_SEARCH_CRITERIA             6106
#define SIM_RC_INVALID_READATTRIND            6107
#define SIM_RC_INVALID_STATDYN                6108
#define SIM_RC_INVALID_TYPEFILTER             6109
#define SIM_RC_INVALID_WIPFILTER              6110
#define SIM_RC_INVALID_SUSPENDFILTER          6111
#define SIM_RC_NO_VIEW                        6112
#define SIM_RC_SESSION_DB_VIEW_MISMATCH       6113
#define SIM_RC_INVALID_FILE_NAME              6200
#define SIM_RC_INVALID_FILE_NAME_PTR          6201
#define SIM_RC_INVALID_SEEK_OFFSET            6202
#define SIM_RC_INVALID_SEEK_ORIGIN            6203
#define SIM_RC_INVALID_VOL_NAME_OUTPUT_PTR    6204
#define SIM_RC_INVALID_OBJECT_ACCESS_HANDLE   6205
#define SIM_RC_INVALID_BUFFER_PTR             6206
#define SIM_RC_WARNING_COMMIT_ON_READ_ONLY    6207
#define SIM_RC_NO_WRITE_ACCESS                6208
#define SIM_RC_INVALID_OBJECT_NAME            6209
#define SIM_RC_INVALID_HITEM_VALUE            6210
#define SIM_RC_INVALID_PATTRIBUTELIST_VALUE   6211
#define SIM_RC_INVALID_PITEMIDFOLDER_VALUE    6212
#define SIM_RC_INVALID_PITEMIDITEM_VALUE      6213
#define SIM_RC_INVALID_PUSCLASSIDLIST_VALUE   6214
#define SIM_RC_INVALID_USACCESSLEVEL_VALUE    6215
#define SIM_RC_INVALID_USATTRIBUTEID_VALUE    6216
#define SIM_RC_INVALID_USDISPOSITION_VALUE    6217
#define SIM_RC_INVALID_USFILTER_VALUE         6218
#define SIM_RC_INVALID_USITEMTYPE_VALUE       6219
#define SIM_RC_INVALID_USNUMOFATTRS_VALUE     6220
#define SIM_RC_INVALID_USSUSPENDFILTER_VALUE  6221
#define SIM_RC_INVALID_USWIPFILTER_VALUE      6222
#define SIM_RC_INVALID_ITEM_OR_FOLDER_VALUE   6223
#define SIM_RC_PITEMIDFOLDER_NOT_A_FOLDER     6224
#define SIM_RC_PITEM_NOT_FOLDER_OR_DOCUMENT   6225
#define SIM_RC_INVALID_USATTRIBUTE_VALUE      6226
#define SIM_RC_INVALID_USINDEXCLASS_VALUE     6227
#define SIM_RC_REQUIRED_ATTRIBUTE_MISSING     6228
#define SIM_RC_INVALID_PASSED_ATTRIBUTE_DATA  6229
#define SIM_RC_INVALID_LOCATIONKIND_VALUE     6230
#define SIM_RC_INVALID_PLOCATION_VALUE        6231
#define SIM_RC_INVALID_AFFILIATEDTYPE_VALUE   6232
#define SIM_RC_INVALID_AFFILIATEDACTION_VALUE 6233
#define SIM_RC_INVALID_DATETIME_VALUE         6234
#define SIM_RC_ALLOWED_ATTEMPTS_EXCEEDED      6235
#define SIM_RC_INVALID_ITEM_TYPE              6236
#define SIM_RC_ATTRIBUTE_READ_ONLY            6237
#define SIM_RC_INVALID_ITEM_ID                6238
#define SIM_RC_INVALID_DB_NAME                6239
#define SIM_RC_INVALID_USERID                 6240
#define SIM_RC_INVALID_PASSWORD               6241
#define SIM_RC_INVALID_SESSION_TYPE           6242
#define SIM_RC_INVALID_USERID_CHARS           6243
#define SIM_RC_INVALID_USERID_LENGTH          6244
#define SIM_RC_INVALID_PASSWORD_CHARS         6245
#define SIM_RC_INVALID_PASSWORD_LENGTH        6246
#define SIM_RC_INVALID_DB_CHARS               6247
#define SIM_RC_INVALID_DB_LENGTH              6248
#define SIM_RC_ATTR_NOT_INITIALIZED           6249
#define SIM_RC_ITEM_CHECKEDOUT                6250
#define SIM_RC_INVALID_DATA_OPTIONS           6251
#define SIM_RC_ATTRIBUTES_NOT_MODIFIED        6252
#define SIM_RC_NO_OBJECT_CHECKEDOUT           6253
#define SIM_RC_RESIZE_FAILED                  6256
#define SIM_RC_OBJECT_ALREADY_EXISTS          6257
#define SIM_RC_ZERO_MEMORY_TRUNCATE           6258
#define SIM_RC_COMMUNICATIONS_ERROR           6259
#define SIM_RC_PRIVILEGE_ERROR                6260
#define SIM_RC_OBJECT_CHECKEDOUT              6261
#define SIM_RC_LIBRARY_UNAVAILABLE            6262
#define SIM_RC_INVALID_PATRONPASSWORD         6263
#define SIM_RC_OBJSERV_CANNOTRETRIEVE         6264
#define SIM_RC_OBJECT_BEINGPROMOTED           6265
#define SIM_RC_ITEM_NOT_FOUND                 6266
#define SIM_RC_PART_NOT_FOUND                 6267
#define SIM_RC_INVALID_OBJECT_NAME_PTR        6268
#define SIM_RC_INVALID_SMS_PTR                6269
#define SIM_RC_INVALID_DB_NAME_PTR            6270
#define SIM_RC_INVALID_APPLICATION_NAME_PTR   6271
#define SIM_RC_INVALID_USERID_PTR             6272
#define SIM_RC_INVALID_PASSWORD_PTR           6273
#define SIM_RC_INVALID_PITEMIDITEM_PTR        6274
#define SIM_RC_INVALID_PITEMIDFOLDER_PTR      6275
#define SIM_RC_INVALID_PATTRIBUTELIST_PTR     6276
#define SIM_RC_INVALID_DATETIME_PTR           6277
#define SIM_RC_INVALID_PUSCLASSIDLIST_PTR     6278
#define SIM_RC_INVALID_PATTRIBUTE_PTR         6279
#define SIM_RC_INVALID_PLATSESSION_TYPE       6280
#define SIM_RC_2ND_LEVEL_FUNCTION_NOT_FOUND   6281
#define SIM_RC_IP2_ENV_VAR_NOT_FOUND          6282
#define SIM_RC_WAF_ENV_VAR_NOT_FOUND          6283
#define SIM_RC_FAF_ENV_VAR_NOT_FOUND          6284
#define SIM_RC_LEVEL2_DLL_LOAD_FAIL           6285
#define SIM_RC_INVALID_PSMS_VALUE             6286
#define SIM_RC_LIB_CLIENT_ERROR               6288
#define SIM_RC_INVALID_INDEX_CLASS            6289
#define SIM_RC_ERROR_CREATING_SEMAPHORE       6290
#define SIM_INVALID_ULAUTHORITY               6291
#define SIM_RC_ERROR_REQUESTING_SEMAPHORE     6292
#define SIM_RC_ERROR_RELEASING_SEMAPHORE      6293
#define SIM_RC_ERROR_CLOSING_SEMAPHORE        6294
#define SIM_RC_FILE_RESERVED_BY_USER          6295
#define SIM_RC_INVALID_USERNAME               6296
#define SIM_RC_INVALID_SEARCH_STRING          6297
#define SIM_RC_NO_MULTIPLE_ALLVIEW_SEARCH     6298
#define SIM_RC_NO_SEARCH_VIEWS                6299
#define SIM_RC_VIEW_NOT_FOUND                 6300
#define SIM_RC_ATTR_NOT_IN_VIEW               6301
#define SIM_RC_INVALID_VIEWID                 6302
#define SIM_RC_EXCEEDED_INTERNAL_ARRAY_SIZE   6303
#define SIM_RC_SEARCH_INTERNAL_ERROR          6304
#define SIM_RC_USERID_UCASE_FAILED            6305
#define SIM_RC_PASSWORD_UCASE_FAILED          6306
#define SIM_RC_INVALID_FSEARCH                6307
#define SIM_RC_ERROR_PARSING_EXPRESSION       6308
#define SIM_RC_ERROR_CREATING_PARSE_SEMAPHORE 6309
#define SIM_RC_ERROR_REQUESTING_PARSE_SEMAPHORE 6310
#define SIM_RC_INVALID_PSZLANG_PTR            6311
#define SIM_RC_INVALID_PSZEVENTDESC_PTR       6312
#define SIM_RC_INVALID_PSZEVENTLOC_PTR        6313
#define SIM_RC_INVALID_POINTER                6314
#define SIM_RC_ERROR_PROCESSING_QUERY_DATA    6315
#define SIM_RC_MAX_LIBRARY_LOGONS_REACHED     6316
#define SIM_RC_PARENT_CHECKEDOUT              6317
#define SIM_RC_INVALID_ANNOTATIONSTRUCT_PTR   6318
#define SIM_RC_TRANS_ERROR_FTN_NOT_EXECUTED   6319
#define SIM_RC_PRC_INUSE                      6320
#define SIM_RC_PROCESSING_NOT_COMPLETE        6321
#define SIM_RC_ATTR_NOT_FOUND                 6322
#define SIM_RC_16_INIT_FAILED                 6350    /* 16 bit FM start */
#define SIM_RC_16_CONNECT_FAILED              6351
#define SIM_RC_16_NO_CONNECTION               6352
#define SIM_RC_16_CRTDATAHAN_FAILED           6353
#define SIM_RC_16_TERM_FAILED                 6354
#define SIM_RC_16_32BIT_NOTREADY              6355
#define SIM_RC_16_PARM_ERROR                  6356
#define SIM_RC_16_32BIT_NODATA                6357
#define SIM_RC_16_32BIT_DATATOOBIG            6358
#define SIM_RC_16_NO_MEM                      6359
#define SIM_RC_16_INVALID_HANDLE              6360
#define SIM_RC_16_TOOMANYCLIENTS              6361
#define SIM_RC_16_UNKNOWN_INST                6362   /* 16 bit FM end  */
#define SIM_RC_WIN_MAX_IO_SIZE_EXCEEDED       6363
#define SIM_RC_INVALID_FSTAGECONTROL          6364

#define SIM_RC_CREATEITEM_FAILED              6365
#define SIM_RC_CATALOGOBJECT_FAILED           6366
#define SIM_RC_STORENEWOBJECT_FAILED          6367
#define SIM_RC_LISTCLASSES_FAILED             6368
#define SIM_RC_GETCLASSINFO_FAILED            6369
#define SIM_RC_DELETEOBJECT_FAILED            6370
#define SIM_RC_DELETEITEM_FAILED              6371
#define SIM_RC_OPENITEMATTR_FAILED            6372
#define SIM_RC_WRITEATTR_FAILED               6373
#define SIM_RC_CLOSEATTR_FAILED               6374
#define SIM_RC_SEARCH_FAILED                  6375
#define SIM_RC_COPYOBJECT_FAILED              6376
#define SIM_RC_PROCEXTSRCH_FAILED             6377
#define SIM_RC_GETITEMINFO_FAILED             6378

#define SIM_RC_INVALID_NULL_PARAMETER         6379
#define SIM_RC_SEARCH_ITEM_NOT_FOUND          6380
#define SIM_RC_SRCHINDEX_CLASS_NOT_FOUND      6381
#define SIM_RC_UNKNOWN_SEARCHENGINE           6382
#define SIM_RC_LIBDYNQUERY_FAILED             6401
#define SIM_RC_LIBENDREQUEST_FAILED           6402
#define SIM_RC_LIBGETRESPONSE_FAILED          6403
#define SIM_RC_LIBGETQUERYREPLYINFO_FAILED    6404
#define SIM_RC_LIBFREEITEMPART_FAILED         6405

/** Folder Mgr.(SIM_RC) Error End ** 6000-6499 ***/

/* 6500 - 6999 - Client App, Advanced Client - see FRNPAUER.H */

/*************************************************/
/***** LBLS Error Begin ** 7000-7749 *************/
/*************************************************/
#define  RC_OK                                   0
#define  RC_ROW_NOT_FOUND                     7001
#define  RC_ORDER_MEMORY_ALLOC_FAILED         7002
#define  RC_NOT_SUPPORTED                     7003
#define  RC_ROW_NOT_UNIQUE                    7004
#define  RC_UNINTELLIGIBLE_ORDER              7005
#define  RC_ERROR_LOADING_RESOURCE_FILE       7006
#define  RC_LLS_QUERY_TOO_LONG                7007
#define  RC_ROLLED_BACK                       7008
#define  RC_TOOMANY_ORDERS                    7009
#define  RC_SMS_UPDATE_NOT_SUPPORTED          7010
/*                                            7011 */
#define  RC_ORDER_UNEXP_SQL_ERROR             7012
#define  RC_ORDER_NOT_DONE_PREV_ERROR         7013
#define  RC_ORDER_NOT_DONE_SUBSEQ_ERROR       7014
/*                                            7015 */
#define  RC_ORDER_INVAL_ACTION                7016
#define  RC_ORDER_INVAL_DOCID                 7017
#define  RC_ORDER_INVAL_LENGTH                7018
#define  RC_ORDER_INVAL_ORDER_NUMBER          7019
/*                                            7020 */
#define  RC_ORDER_MAX_RESP_BUFFERS            7021
/*                                            7022 */
#define  RC_LLSGMEM_NO_STORAGE                7023
#define  RC_OBJSRV_ENTRY_NOT_FOUND            7024
#define  RC_UNK_ERROR                         7025
/*                                            7026 */
#define  RC_ORDER_ISO_ALLOC_ERR               7027
/*                                            7028 */
/*                                            7029 */
#define  RC_ORDER_OS_BAD_BLOB_CODE            7030
#define  RC_ORDER_OS_BAD_CLASS                7031
#define  RC_ORDER_OS_BAD_NUMBER               7032
/*                                            7033 */
/*                                            7034 */
#define  RC_ENDTR_ROLLBACK_PREV_ERROR         7035
/*                                            7036 */
#define  RC_ORDER_OTHER_PATRO_NOT_SUPP        7037
#define  RC_ORDER_GRANT_PRIVS_DISALLOW        7038
#define  RC_INVALID_PARAMETER                 7039
/*                                            7040 */
#define  RC_INVALID_PRIVCODE                  7041
/*                                            7042 */
/*                                            7043 */
#define  RC_INVALID_ACTION                    7044
#define  RC_COLLECTION_NOT_FOUND              7045
#define  RC_INVALID_INDEX_CLASS               7046
#define  RC_INVALID_OBJSMS_PAIR               7047
#define  RC_BLOBNAME_ILLEGAL_ITEMID           7048
#define  RC_BLOBNAME_ILLEGAL_REPTYPE          7049
#define  RC_UPDSMS_SAME_COLLECTION            7050
#define  RC_LLSCONN_INVAL_PATRON_PSWD         7051
#define  RC_LLSCONN_GETSTORAGE_ERROR          7052
#define  RC_LLSCONN_MEMORYTABLE_ERROR         7053
#define  RC_LLSCONN_INVAL_RECONNECT           7054
#define  RC_LLSCONN_PATRON_NOTLOGGEDON        7055
#define  RC_LLSCONN_RESERVED_PATRON           7056
#define  RC_LLSCONN_INVAL_PATRON              7057

#define  RC_LOGOFFPATR_PROCSYM_FAILED         7058
#define  RC_LOGOFFPATR_PATRSYM_NOTFOUND       7059
#define  RC_LOGOFFPATR_INSTSYM_FAILED         7060
#define  RC_LOGOFFPATR_LOGONINST_NOTFOUND     7061
#define  RC_LOGOFFPATR_REMLOGON_FAILED        7062
#define  RC_LOGOFFPATR_REMPATR_FAILED         7063

#define  RC_AC_RESERVED_PATRON                7064
#define  RC_AC_INVALID_API_CLASS              7065
#define  RC_AC_INVALID_API_ACTION             7066
#define  RC_AC_ITEM_AND_VIEW_NOTALLOWED       7067
#define  RC_AC_TOMBSTONE_POLICY               7068
#define  RC_AC_INVAL_GEN_PRIVSET              7069
#define  RC_AC_VIEWID_NOT_FOUND               7070
#define  RC_AC_ITEMID_NOT_FOUND               7071
#define  RC_AC_INVALID_VIEW_REFMON            7072
#define  RC_AC_INVALID_ITEM_REFMON            7073
#define  RC_AC_VIEWACL_NOT_APPLICABLE         7074
#define  RC_AC_ITEMACL_NOT_APPLICABLE         7075
#define  RC_AC_INVAL_VIEWACL_PRIVSET          7076
#define  RC_AC_INVAL_ITEMACL_PRIVSET          7077
#define  RC_AC_VIEWDEF_UNEXP_SQL_ERROR        7078
#define  RC_AC_ITEMS_UNEXP_SQL_ERROR          7079
#define  RC_AC_ACL_PUB_UNEXP_SQL_ERROR        7080
#define  RC_AC_ACL_USER_UNEXP_SQL_ERROR       7081
#define  RC_AC_ACL_GRP_UNEXP_SQL_ERROR        7082
#define  RC_AC_ACL_NO_PRIVS                   7083
#define  RC_AC_INVAL_PRIVCODE                 7084
#define  RC_AC_PRIVTBL_UNEXP_SQL_ERROR        7085
#define  RC_AC_PATRONPRIVS_ROW_NOT_FOUND      7086
#define  RC_AC_PATRONS_UNEXP_SQL_ERROR        7087
#define  RC_AC_PATRONNAME_ROW_NOT_FOUND       7088
#define  RC_AC_VIEW_CHANGES_NOT_ALLOWED       7089
#define  RC_AC_ITEM_CHANGES_NOT_ALLOWED       7090
#define  RC_AC_USR1_DENIED_REQUEST            7091
#define  RC_AC_USR2_DENIED_REQUEST            7092
#define  RC_AC_INVAL_USR1_DIRECTIVE           7093
#define  RC_AC_INVAL_USR2_DIRECTIVE           7094
#define  RC_AC_ACCESSLIST_UNEXP_SQL_ERROR     7095
#define  RC_SETACL_INVAL_ACTION               7096
#define  RC_AC_SELECTPATRNAME_UNEXP_SQL_ERROR 7097
#define  RC_AC_ITEMPRIVS_NEEDED               7098
#define  RC_AC_ACLITEMID_NOT_FOUND            7099
#define  RC_AC_PATRON_PRIVCODE_NOT_FOUND      7100
#define  RC_AC_INVAL_USERKIND                 7101
#define  RC_AC_INVAL_INFOTYPE                 7102
#define  RC_AC_INVAL_USERKIND_PATRONTYPE      7103
#define  RC_AC_ITEM_TOPFOLDER                 7104
#define  RC_AC_INVAL_ACLID                    7105
#define  RC_AC_CONN_PATRON_IS_GROUP           7106
#define  RC_AC_CONN_PATRON_PASSWD_EXP         7107
#define  RC_AC_EXC_LOGON_MAX                  7108
#define  RC_AC_INCOMPATIBLE_ACL_CHOICE        7109
#define  RC_AC_INVALID_ACL_CHOICE             7110
#define  RC_AC_NO_PRIVNAME                    7111
#define  RC_AC_NO_DFLTITEMOWNER               7112
#define  RC_AC_NO_PATRONSECURITY              7113
#define  RC_AC_NO_DFLTITEMSECURITY            7114
#define  RC_AC_NO_DFLTITEMACL                 7115
#define  RC_AC_INVALID_SB_STATICQUERY_CLASS   7116
#define  RC_AC_RESERVED_ACL_NO_PRIVS          7117
#define  RC_LLSCHCKO_REPL_PEND                7118
#define  RC_LLSCHCKO_DENIED                   7119
#define  RC_LLSCHCKO_TOKEN_RESTRICT           7120
#define  RC_LLSCHCKO_TIME_TOO_SHORT           7121
#define  RC_LLSCHCKO_TIME_TOO_LONG            7122
#define  RC_LLSCHCKI_INVAL_PATRON             7123
/*                                            7124 */
#define  RC_LLSCHCKI_INVAL_PATRON_GRP         7125
#define  RC_ITEM_CHECKEDOUT_BYOTHER           7126
#define  RC_LICENSEKEY_ALREADY_EXISTS         7127
#define  RC_LLSCHCKI_INVAL_ITEM               7128
#define  RC_DESCR_ITEM_NOT_FND                7129
/*                                            7130 */
/*                                            7131 */
/*                                            7132 */
/*                                            7133 */
#define  RC_DESCR_MAX_TEXT_LINES              7134
/*                                            7135 */
#define  RC_PROPR_UPDATE_NOT_SUPPORTED        7136
/*                                            7137 */
#define  RC_NAME_BAD_NAME_LENGTH              7138
#define  RC_NAME_BAD_DIRECTORY_LENGTH         7139
/*                                            7140 */
#define  RC_NAME_UPDATE_NOT_SUPPORTED         7141
/*                                            7142 */
/*                                            7143 */
/*                                            7144 */
#define  RC_LLSLINK_UPDATE_NOT_SUPPORTED      7145
/*                                            7146 */
#define  RC_QUERY_PREPARE_FAILED              7147
#define  RC_QUERY_DYNAMIC_NOT_ALLOWED         7148
#define  RC_QUERY_SQL_TEXT_NOT_SELECT         7149
#define  RC_QUERY_INVAL_QUERY_CLASS           7150
#define  RC_QUERY_TOO_MANY_COLUMNS            7151
#define  RC_QUERY_BAD_NUM_FIELDS              7152
#define  RC_QUERY_TOO_LITTLE_WORKSTORE        7153
#define  RC_QUERY_UNSPPTD_COLUMN_TYPE         7154
#define  RC_QUERY_OPEN_CURSOR_FAILED          7155
#define  RC_QUERY_FETCH_FAILED                7156
#define  RC_QUERY_CLOSE_CURSOR_FAILED         7157
#define  RC_QUERY_BAD_MAX_ROWS                7158
#define  RC_QUERY_BAD_DESCRIPTORS             7159
#define  RC_QUERY_TEXT_INVAL_LEN              7160
/*                                            7161 */
/*                                            7162 */
#define  RC_QUERY_TABLE_ACCESS_DENIED         7163
#define  RC_QUERY_INVALID_HOSTVAR_FIELD       7164
#define  RC_LLSRECRD_INVAL_UOM                7165
#define  RC_LLSRECRD_INVAL_TIMESTAMP          7166
#define  RC_LLSRECRD_INVAL_LOC_LEN            7167
#define  RC_LLSRECRD_INVAL_DESCR_LEN          7168
/*                                            7169 */
#define  RC_LLSRECRD_BADKIND_ERR              7170
#define  RC_LLSITEMA_INVAL_LABEL_LEN          7171
#define  RC_LLSITEMA_UNK_ITEMID               7172
/*                                            7173 */
/*                                            7174 */
#define  RC_LLSITEMA_CYCLE_FOUND              7175
/*                                            7176 */
#define  RC_LLSPARTA_INVAL_LOCATION_LEN       7177
#define  RC_LLSPARTA_INVAL_PROVENANC_LEN      7178
/*                                            7179 */
/*                                            7180 */
#define  RC_LLSPARTA_INVAL_UPD_LOC            7181
#define  RC_LLSDPATR_BAD_PATRON_TYPE          7182
#define  RC_LLSDPATR_NO_PATRON                7183
#define  RC_LLSDPATR_NO_PASSWORD              7184
#define  RC_LLSDPATR_CANNOT_DELETE_SELF       7185
#define  RC_LLSDPATR_NO_OBJECT_SVR            7186
/*                                            7187 */
#define  RC_LLSDPATR_NOT_UNIQUE_USERID        7188
#define  RC_LLSDPATR_TRY_UPDATE_GROUP         7189
/*                                            7190 */
/*                                            7191 */
/*                                            7192 */
#define  RC_LLSDPATR_PATRON_NOT_FND           7193
/*                                            7194 */
#define  RC_LLSDPATR_NO_COLLECTION            7195
/*                                            7196 */
#define  RC_LLSDGRP_PATRON_IS_GROUP           7197
#define  RC_LLSDGRP_GROUP_IS_PATRON           7198
#define  RC_LLSDGRP_UPDATE_INVALID            7199
#define  RC_LLSDGRP_PATRON_NOT_FND            7200
#define  RC_LLSDGRP_PATRON_GRP_NOT_FND        7201
#define  RC_ALREADY_LOGGED_ON                 7202
#define  RC_WARNING_GRACE_PERIOD_UNDER_LIMIT  7203
#define  RC_WARNING_GRACE_PERIOD_OVER_LIMIT   7204
#define  RC_WARNING_HARD_STOP_UNDER_LIMIT     7205
#define  RC_LLS_EXCEEDED_LOGON_LIMIT          7206
#define  RC_CUSTOMER_DATA_KEY_MISMATCH        7207
#define  RC_CUSTOMER_ID_DOES_NOT_MATCH        7208
#define  RC_REUSING_SAME_KEY                  7209
#define  RC_LLS_MUST_INCREASE_USERS           7210
/*                                            7211 */
#define  RC_LLSSTORE_INVAL_FOLDERID           7212
#define  RC_ALREADY_LOGGED_ON_HERE            7213
#define  RC_ALREADY_LOGGED_ON_ELSEWHERE       7214
#define RC_NO_PWD_CHANGE_WHILE_ALREADY_LOGGED 7215
/*                                            7216 */
/*                                            7217 */
/*                                            7218 */
#define  RC_LLSSTORE_INVAL_ALABEL_LEN         7219
#define  RC_LLSSTORE_INVAL_LOC_LEN            7220
/*                                            7221 */
/*                                            7222 */
#define  RC_LLSSTORE_OBJ_SELECT_FAIL          7223
#define  RC_LLSSTORE_DUP_TRIP_ERROR           7224
/*                                            7225 */
/*                                            7226 */
#define  RC_ORDER_PART_REPLACE_PENDING        7227
#define  RC_LLSSTORE_INVAL_ACTION             7228
#define  RC_LLSSTORE_INVAL_COMBO              7229
#define  RC_LLSSTORE_INVAL_PROV_LEN           7230
/*                                            7231 */
/*                                            7232 */
/*                                            7233 */
/*                                            7234 */
#define  RC_LLSSTORE_OLD_CACHE_COPY           7235
/*                                            7236 */
#define  RC_LLSSTORE_INVAL_COLL_LEN           7237
/*                                            7238 */
/*                                            7239 */
/*                                            7240 */
/*                                            7241 */
/*                                            7242 */
#define  RC_DUPLICATE_ITEMNAME                7243
/*                                            7244 */
#define  RC_LLSRETRV_MAX_NAME_LEN_ERR         7245
#define  RC_LLSRETRV_INVAL_ACTION             7246
#define  RC_LLSRETRV_INVAL_CLASS_LABEL        7247
/*                                            7248 */
#define  RC_LLSRETRV_INVAL_CLASS_DIR          7249
#define  RC_LLS_USAGE                         7250
#define  RC_LLS_MONITOR_USAGE                 7251
#define  RC_LLS_INVALID_SERVER_NAME           7252
#define  RC_LLS_INVALID_SERVER_FORMAT         7253
#define  RC_LLS_FORCE_CLOSE                   7254
#define  RC_LLS_CLOSE                         7255
/*                                            7256 */
/*                                            7257 */
/*                                            7258 */
/*                                            7259 */
#define  RC_LLSRETRV_NOCONTENT                7260
/*                                            7261 */
/*                                            7262 */
#define  RC_LLSDISCA_NOAUTHZN                 7263
#define  RC_LLS_SERVER_NOT_AVAIL              7264
#define  RC_LLS_SERVER_NOT_DEFINED            7265
#define  RC_LLS_CONNECT_ERROR                 7266
#define  RC_LLS_WINDOW_REGISTER               7267
#define  RC_LLS_CREATE_DIST_THREAD            7268
#define  RC_LLS_DIST_PM                       7269
#define  RC_LLS_DIST_MSG                      7270
#define  RC_LLS_DIST_REG                      7271
#define  RC_LLS_DIST_WND                      7272
#define  RC_LLS_DIST_SND                      7273
#define  RC_LLS_DIST_PRM                      7274
#define  RC_LLS_DIST_SEM                      7275
#define  RC_LLS_DIST_RT                       7276
#define  RC_LLS_DIST_LOG                      7277
#define  RC_LLS_DIST_LOGINIT                  7278
#define  RC_LLS_DIST_DBSTART                  7279
#define  RC_LLS_DIST_DBUSE                    7280
#define  RC_LLS_DIST_DBUSING                  7281
#define  RC_LLS_DIST_ISOSVR                   7282
#define  RC_LLS_DIST_ISOINITSVR               7283
#define  RC_LLS_DIST_MEM                      7284
#define  RC_LLS_DIST_NOMEM                    7285
#define  RC_LLS_DIST_CNTL                     7286
#define  RC_LLS_DIST_LOAD                     7287
#define  RC_LLS_DIST_CON                      7288
#define  RC_LLS_DIST_WAIT                     7289
#define  RC_LLS_DIST_RESET                    7290
#define  RC_LLS_DIST_ISO                      7291
#define  RC_LLS_DIST_JOB                      7292
#define  RC_LLS_DIST_JOBWAIT                  7293
#define  RC_LLS_DIST_DEALLOC                  7294
#define  RC_LLSDISCA_CHKOUT_NOT_EXP           7295
#define  RC_LLS_DIST_NO                       7296
#define  RC_LLS_DIST_SEMREQ                   7297
#define  RC_LLSDISCA_INVAL_FORM_DELETE        7298
#define  RC_LLSDISCA_ACL_ITEM_IN_USE          7299
#define  RC_LLSMOVE_INVAL_ACTION              7300
#define  RC_LLSMOVE_UNSUPPORTED_ACT           7301
#define  RC_LLSMOVE_UNSUPPORTED_COPY          7302
#define  RC_LLS_DIST_JOBBR                    7303
#define  RC_LLS_DIST_CNTL_ROW                 7304
#define  RC_LLS_DIST_CNTL_NOTBOUND            7305
#define  RC_LLSMOVE_ISOGETNETID_FAILED        7306
#define  RC_LLS_ALREADY_RUNNING               7307
#define  RC_LLS_GRACE                         7308
#define  RC_LLS_HARDSTOP                      7309
#define  RC_LLS_CORRUPTED_KEY                 7310
#define  RC_LLS_SSDK_OS_VIOL                  7311
#define  RC_LLS_SSDK_ITEM_VIOL                7312
#define  RC_LLS_NEW_GRACE_PERIOD              7313
/*                                            7314 */
#define  RC_LLSMOVE_OS_IDENTICAL              7315
#define  RC_LLSMOVE_1_M_DISALLOWED            7316
#define  RC_LLS_SSDK_DEFLICKEY_VIOL           7317
#define  RC_LLS_DIST_SHAREDMEM                7318
#define  RC_LLSREPL_REPLACE_FAILED            7319
#define  RC_LLSBATCH_DISCARD_FAILED           7320
/*                                            7321 */
/*                                            7322 */
/*                                            7323 */
/*                                            7324 */
#define  RC_DUPLICATE_ATTRDEF                 7325
/*                                            7326 */
/*                                            7327 */
/*                                            7328 */
/*                                            7329 */
#define  RC_DUPLICATE_NLSKEYWORDDEF           7330
#define  RC_CLASSDEF_NOTFOUND                 7331
#define  RC_PARENTCLASSDEF_NOTFOUND           7332
#define  RC_ATTRDEF_NOTFOUND                  7333
#define  RC_ATTRDEF_INUSE                     7334
/*                                            7335 */
#define  RC_INVALID_ATTRIBUTEID               7336
#define  RC_INVALID_CLASSID                   7337
#define  RC_INVALID_VIEWID                    7338
#define  RC_INVALID_ATTRIBUTETYPE             7339
#define  RC_INVALID_PARENTCLASSID             7340
#define  RC_INVALID_TYPEOFINDEX               7341
#define  RC_INVALID_INDEXEDATTRFLAG           7342
#define  RC_NOATTRS_INCLASSDEF                7343
#define  RC_NOATTRS_INVIEWDEF                 7344
#define  RC_ITEMSEXIST_INCLASS                7345
#define  RC_ATTRIBUTE_NOTINCLASS              7346
#define  RC_CLASS_NOTFOUND                    7347
#define  RC_AVT_CODE_GENERATION               7348
#define  RC_NUM_ATTRS_ZERO                    7349
#define  RC_DOS_OPEN_DEF_FAILED               7350
#define  RC_DOS_WRITE_FAILED                  7351
#define  RC_DOS_CLOSE_FAILED                  7352
#define  RC_DOS_OPEN_SQC_FAILED               7353
#define  RC_INVALID_CHAR_LENGTH               7354
#define  RC_INVALID_ATTR_TYPE                 7355
#define  RC_DOS_CREATE_QUEUE_FAILED           7356
#define  RC_DOS_GETINFO_FAILED                7357
#define  RC_DOS_START_SESSION_FAILED          7358
#define  RC_DOS_SET_SESSION_FAILED            7359
#define  RC_DOS_READ_QUEUE_FAILED             7360
#define  RC_FREE_MEM_FAILED                   7361
#define  RC_PROCESS_FAILED                    7362
#define  RC_STARTING_PREP_FAILED              7363
#define  RC_PREP_FAILED                       7364
#define  RC_STARTING_COMPILE_FAILED           7365
#define  RC_COMPILE_FAILED                    7366
#define  RC_STARTING_BIND_FAILED              7367
#define  RC_BIND_FAILED                       7368
#define  RC_STARTING_LINK_FAILED              7369
#define  RC_LINK_FAILED                       7370
#define  RC_PREP_LINE_TOO_LONG                7371
#define  RC_COMPILE_LINE_TOO_LONG             7372
#define  RC_LINK_LINE_TOO_LONG                7373
#define  RC_BIND_LINE_TOO_LONG                7374
#define  RC_INSERTING_DLL_INFO                7375
#define  RC_PREPARING_FOR_CODE_GEN            7376
/*                                            7377 */
/*                                            7378 */
/*                                            7379 */
#define  RC_INVALID_ITEMID                    7380
#define  RC_INVALID_ACTION_CODE               7381
#define  RC_NO_CLASS_FOR_ITEM                 7382
#define  RC_VIEW_NOT_IN_CLASS                 7383
#define  RC_SETATTRVALUES_SQL_ERROR           7384
#define  RC_GET_CLASS_INFO_ERROR              7385
#define  RC_ERROR_LOADING_AVT_DLL             7386
#define  RC_ERROR_QUERY_PROC_ADDR             7387
/*                                            7388 */
#define  RC_MGMT_CODE_NOT_GENERATED           7389
#define  RC_ERROR_GENERATING_MGMT_CODE        7390
/*                                            7391 */
/*                                            7392 */
#define  RC_DEFAULT_ACL_ERROR                 7393
#define  RC_ATTRIBUTE_NOT_IN_VIEW             7394
#define  RC_REQUIRED_ATTRIBUTE                7395
#define  RC_INCONSISTENT_ATTR_TYPE            7396
#define  RC_BAD_ATTRIBUTE_LENGTH              7397
#define  RC_BAD_ACL_ITEM_ID                   7398
#define  RC_ATTRIBUTE_NOT_WRITABLE            7399
#define  RC_VIEW_NOT_IN_MEMORY                7400
#define  RC_VIEW_EXPR_NOT_IN_MEMORY           7401
#define  RC_CAN_NOT_ALLOCATE_SQLDA            7402
#define  RC_CAN_NOT_PREPARE_QUERY             7403
#define  RC_UNRECOGNIZED_OPTION               7404
#define  RC_FRNOCRTL_NOT_IN_FRNROOT           7405
#define  RC_SQL_DYN_NOT_IN_LIB_PATH           7406
/*                                            7407 */
#define  RC_LLSTREE_MAX_CHILDREN              7408
#define  RC_LLSTREE_BAD_FETCH                 7409
/*                                            7410 */
/*                                            7411 */
#define  RC_LLSTREE_OWNER_NOT_SUPPTD          7412
#define  RC_DUPLICATE_WORKSLIP                7413
#define  RC_WORKSLIP_UPDATE_FAILED            7414
#define  RC_WORKSLIP_DELETE_FAILED            7415
#define  RC_DUPLICATE_SUSPENDED_ITEM          7416
#define  RC_SUSPENDED_ITEM_UPDATE_FAILED      7417
#define  RC_SUSPENDED_ITEM_DELETE_FAILED      7418
/*                                            7419 */
#define  RC_INVALID_SEARCH_EXPRESSION         7420
#define  RC_SEARCHEXPR_NOTFOUND               7421
#define  RC_ATTRIBUTE_NOTINVIEW               7422
#define  RC_INCOMPATIBLE_VALUETYPE            7423
#define  RC_INCOMPATIBLE_VALUESIZE            7424
/*                                            7425 */
#define  RC_LINK_NOT_UNIQUE                   7426
#define  RC_LINK_NOT_FOUND                    7427
#define  RC_LINKS_FOR_CHILD_NOT_FOUND         7428
#define  RC_LINKS_FOR_PARENT_NOT_FOUND        7429
/*                                            7430 */
#define  RC_RESERVED_KEYWORDTYPE              7431
/*                                            7432 */
#define  RC_NAME_NOT_UNIQUE                   7433
/*                                            7434 */
#define  RC_NAMED_ITEM_FOR_DIR_NOT_FOUND      7435
#define  RC_NAMED_ITEM_FOR_USER_NOT_FOUND     7436
#define  RC_SEMAPHORE_ERROR                   7437
#define  RC_PROPR_ROW_NOT_UNIQUE              7438
#define  RC_PROP_VALUE_ROW_NOT_FOUND          7439
#define  RC_CLIENT_TIMEOUT                    7440
#define  RC_OSCOLL_ROW_NOT_FOUND              7441
#define  RC_INTERNAL_TIMEOUT                  7442
#define  RC_DUPLICATE_NLSLANGUAGE             7443
#define  RC_DUPLICATE_NLSLANGUAGENAME         7444
#define  RC_NLSLANGUAGE_NOTFOUND              7445
#define  RC_DUPLICATE_CNTLPARAMS_CONFIG       7446
#define  RC_CNTLPARAMS_CONFIG_NOTFOUND        7447
#define  RC_VIEW_NOTFOUND                     7448
#define  LLSERR_INSUFFICIENT_MEMORY           7449
#define  RC_FATAL_ERROR_IN_ORDER              7450
#define  LLSERR_INVALID_PARAMETER             7451
#define  LLSERR_INSUFFICIENT_DISK_SPACE       7452
#define  LLSERR_ERROR_READING_KEY_TABLE       7453
#define  LLSERR_IRMROOT_UNDEFINED             7454
#define  LLSERR_ISO_SESSION_FAILURE           7455
#define  LLSERR_INITIALIZATION_FAILURE        7456
/* gl-license  used 7457 */
#define  LLSERR_ERROR_CALC_HARDSTOP_DATE      7457
#define  LLSERR_ERROR_INSERTING_KEYS          7458
/* gl-license  used 7458 */
#define  LLSERR_PROCESSOR_PROD_FAILURE        7459
#define  LLSERR_SERVER_ALREADY_ACTIVE         7460
#define  LLSERR_START_DBM_FAILURE             7461
/*                                            7462 */
/*                                            7463 */
#define  LLSERR_CONFIGURATION_NOT_FOUND       7464
#define  LLSERR_PROCESSOR_CONS_FAILURE        7465
#define  LLSERR_BIND_FAILURE                  7466
#define  LLSERR_CREATETHREAD_ERROR            7467
#define  LLSERR_START_USING_DB_FAILURE        7468
/*                                            7469 */
#define  LLSERR_INVALID_ISOFIELDDESC          7470
#define  LLSERR_INVALID_REQUESTORDER          7471
#define  LLSERR_MEMORYTABLE_ERROR             7472
/*                                            7473 */
#define  LLSERR_INTERNAL_FAILURE              7474
#define  LLSERR_SYSTEM_ERROR                  7475
#define  RC_PACK_NETFIELDS_FAILED             7476
#define  RC_UNPACK_NETFIELDS_FAILED           7477
/*                                            7478 */
/*                                            7479 */
/*                                            7480 */
#define  RC_LADDER_RTN_FAILED                 7481
#define  RC_DB_ERROR_GETTING_MAX_VIEWID       7482
#define  RC_DELETING_VIEWS_ATTRS              7483
#define  RC_ERROR_STORING_VIEW_NAME           7484
#define  RC_ERROR_UPDATING_ACCESS_CONTROL     7485
#define  RC_DELETE_VIEW_DEF                   7486
#define  RC_REMOVING_VIEW_NAME                7487
#define  RC_INSERTING_VIEW_DEF                7488
#define  RC_UPDATING_VIEW_DLL_INFO            7489
#define  RC_INSERTING_VIEW_ATTRS              7490
#define  RC_ERROR_CREATING_VIEW               7491
#define  RC_SELECTING_VIEW_NAME               7492
#define  RC_DROPPING_VIEW                     7493
#define  RC_GET_CLASS_ACL_CODE                7494
#define  RC_GET_VIEW_ACCESS_CONTROL_INFO      7495
#define  RC_DB_ERROR_CREATING_INDEX           7496
#define  RC_DB_ERROR_DELETING_INDEX           7497
/*                                            7498 */
#define  RC_SERVER_NAME_MISSING               7499
#define  RC_JOBBER_NO_MEMORY                  7500
#define  RC_JOBBER_LOG_ERROR                  7501
#define  RC_JOBBER_CONNECT                    7502
#define  RC_JOBBER_INIT_CLIENT                7503
#define  RC_JOBBER_SESSION_FAILED             7504
#define  RC_JOBBER_SESSION_LOG                7505
#define  RC_JOBBER_REGISTER_FAILED            7506
#define  RC_JOBBER_INIT_CLIENT_JOB            7507
#define  RC_JOBBER_START_DBM_FAILED           7508
#define  RC_JOBBER_SEND_INIT                  7509
#define  RC_JOBBER_RCV_PCONTROL               7510
#define  RC_JOBBER_BAD_CMD_CODE               7511
#define  RC_JOBBER_DEALLOC_MSG                7512
#define  RC_JOBBER_DEREGISTER                 7513
#define  RC_JOBBER_ANCHOR                     7514
#define  RC_JOBBER_ERROR_COUNT                7515
#define  RC_JOBBER_ERROR_RCV_MSG              7516
#define  RC_JOBBER_UNREC_CMD                  7517
/*                                            7518 */
/*                                            7519 */
/*                                            7520 */
/*                                            7521 */
/*                                            7522 */
/*                                            7523 */
/*                                            7524 */
/*                                            7525 */
/*                                            7526 */
/*                                            7527 */
/*                                            7528 */
/*                                            7529 */
/*                                            7530 */
/*                                            7531 */
/*                                            7532 */
/*                                            7533 */
/*                                            7534 */
#define  RC_LOAD_ROW_DATA_PARM                7535
#define  RC_HOST_VARS_INVALID                 7536
#define  RC_LOAD_COL_DESC                     7537
#define  RC_ADD_QUERY_NON_MEM                 7538
#define  RC_ADD_QUERY_INS_UNQ                 7539
#define  RC_ADD_QUERY_UPD_CNT                 7540
#define  RC_ADD_QUERY_INS_QRY                 7541
#define  RC_CRE_EXPR_NO_MEM                   7542
#define  RC_CRE_EXPR_INS_UNQ                  7543
#define  RC_CRE_EXPR_MAX_QRY                  7544
#define  RC_CRE_EXPR_INS_QRY                  7545
#define  RC_QRY_PATRON_PRIV_SQL               7546
#define  RC_QRY_PATRON_PRIV_INFO              7547
/*                                            7548 */
/*                                            7549 */
/*                                            7550 */
#define  RC_CHILD_SERVER                      7551
#define  RC_CHILD_MSG                         7552
#define  RC_CHILD_DEALLOC                     7553
#define  RC_CHILD_RCV                         7554
/*                                            7555 */
/*                                            7556 */
/*                                            7557 */
/*                                            7558 */
/*                                            7559 */
#define  RC_CHILD_DBM                         7560
/*                                            7561 */
/*                                            7562 */
/*                                            7563 */
/*                                            7564 */
/*                                            7565 */
#define  RC_CHILD_ERRORS                      7566
#define  RC_COMMIT_ERROR                      7567
#define  RC_ROLLBACK_ERROR                    7568
#define  RC_ATTRIBUTE_NOT_FOUND               7569
#define  RC_INDEX_CLASS_NOT_FOUND             7570
#define  RC_VIEW_NOT_FOUND                    7571
/*                                            7572 */
/*                                            7573 */
/*                                            7574 */
#define RC_BAD_OS_CONN_TYPE                   7575     /*TCPIP*/
#define RC_BAD_OS_TCPIP_PORT                  7576     /*TCPIP*/
#define RC_NO_OS_TCPIP_INETADDR               7577     /*TCPIP*/
#define RC_NO_OS_SYSID                        7578     /*TCPIP*/
#define RC_NO_OS_TRANSID                      7579     /*TCPIP*/
#define RC_HB_MON_MSGQ_FAILURE                7580
#define RC_HB_NO_DB2_ATTACH                   7581
#define RC_HB_NO_STORAGE                      7582
#define RC_HB_NETWORKTBL_ERROR                7583
#define RC_HB_CNTL_ERROR                      7584
#define RC_HB_CNTL_NOROWS                     7585
/*                                            7586 */
/*                                            7587 */
/*                                            7588 */
#define  RC_PROD_NO_MEMORY                    7589
/*                                            7590 */
/*                                            7591 */
/*                                            7592 */
#define  RC_PROD_DORMANT                      7593
/*                                            7594 */
/*                                            7595 */
#define  RC_PROD_PANCHOR                      7596
#define  RC_PROD_RAM                          7597
#define  RC_PROD_CLEAR                        7598
#define  RC_PROD_CHILD                        7599
#define  RC_PROD_CHILD_RCV                    7600
#define  RC_PROD_CHILD_INIT                   7601
#define  RC_PROD_CHILD_DEALLOC                7602
/*                                            7603 */
#define  RC_PROD_INIT_CONTROL                 7604
#define  RC_PROD_SEND_CONTROL                 7605
#define  RC_PROD_RCV_CHILD                    7606
#define  RC_PROD_POST                         7607
/*                                            7608 */
/*                                            7609 */
#define RC_CRPKG_INTRDR_ENQ_FAILED            7610
#define RC_CRPKG_TSQ_READ_FAILED              7611
#define RC_CRPKG_TDQ_WRITE_FAILED             7612
#define RC_CRPKG_TSQTOTDQ_COPY_FAILED         7613
#define RC_CRPKG_INTRDR_LRECL_ERROR           7614
#define RC_CRPKG_TEXTSUB_ERROR                7615
#define RC_CRPKG_OVREAD_ERROR                 7616
#define RC_CRPKG_OVSUBSIZE_ERROR              7617
/*                                            7618 */
/*                                            7619 */
#define  RC_ORDER_INVALID_MAXVERSIONS         7620
#define  RC_DEF_INDEX_CLASS                   7621
#define  RC_DEFIC_SELECT_CLASS                7622
#define  RC_DEFIC_INSERT_CLASS                7623
#define  RC_DEFIC_INSERT_NLS                  7624
#define  RC_DEFIC_UPDATE_CLASS                7625
#define  RC_DEFIC_DEL_ATTRS                   7626
#define  RC_DEFIC_DEL_NLS                     7627
#define  RC_DEFIC_DEL_VIEW_NAMES              7628
#define  RC_DEFIC_DEL_CLASS                   7629
#define  RC_DEFIC_GET_CLASS_ATTR              7630
#define  RC_DEFIC_GET_CLASS_DEF               7631
#define  RC_DEFIC_EXEC_SQL                    7632
#define  RC_DEFIC_INSERT_ATTR                 7633
#define  RC_DEFIC_DLL_GEN                     7634
#define  RC_LLSDPATR_PRIVSET_NOTFOUND         7635
#define  RC_LLSDPATR_OWNER_NOTFOUND           7636
#define  RC_AC_GET_ACLITEM_UNEXP_SQL_ERROR    7637
#define  RC_AC_GET_ACLCODE_UNEXP_SQL_ERROR    7638
#define  RC_AC_NEW_ACL_NOT_UNIQUE             7639
#define  RC_AC_NEW_ACL_UNEXP_SQL_ERROR        7640
#define  RC_CHKOBC_COLLECTION_NOT_FOUND       7641
#define  RC_CHKOBC_OBJSRV_NOT_FOUND           7642
#define  RC_CHKOBC_RESERVED_OBJSVR            7643
#define  RC_CHKOB_COLLECTION_NOT_FOUND        7644
#define  RC_CHKOB_INDEXCLASS_NOT_FOUND        7645
#define  RC_CHKOB_ITEMS_ROW_NOT_FOUND         7646
#define  RC_CHKOB_ITEMS_UNEXP_SQL_ERROR       7647
#define  RC_CHKOB_OBJSRV_NOT_FOUND            7648
#define  RC_CHKOB_PATRONS_ROW_NOT_FOUND       7649
#define  RC_CHKOB_PATRONS_UNEXP_SQL_ERROR     7650
#define  RC_CHKOB_RESERVED_INDEX_CLASS        7651
#define  RC_CHKOB_RESERVED_OBJSVR             7652
#define  RC_DEFIC_SELECT_MAX_VIEW_ID          7653
#define  RC_DEFIC_INSERT_SBTABLES             7654
#define  RC_DEFIC_DEL_CALL_VIEW_DEFS          7655
#define  RC_DEFIC_DEL_SBTABLES                7656
#define  RC_LLSSTORE_BLOB_LEN_INVALID         7657
#define  RC_LLSSTORE_ITEM_CHECKEDOUT          7658
/*                                            7659 */
/*                                            7660 */
#define  RC_ORDER_PART_NOT_DOCSS_MANAGED      7661
/*                                            7662 */
#define  RC_OS_ORDER_INVALID_BLOBNAME         7663
#define  RC_ORDER_ISO_PACK_MSG_ERR            7664
#define  RC_ORDER_ISO_DEALLOC_ERR             7665
#define  RC_ORDER_ISO_SEND_ERR                7666
#define  RC_ORDER_ISO_RECV_ERR                7667
#define  RC_ORDER_ISO_UNPACK_MSG_ERR          7668
/*                                            7669 */
#define  RC_ORDER_UNEXPECTED_SQL_ERROR        7670
#define  RC_ORDER_ROW_NOT_FOUND_STR           7671
#define  RC_ORDER_ROW_NOT_FOUND_NUM           7672
#define  RC_ORDER_DUPLICATE_ROW_STR           7673
#define  RC_ORDER_DUPLICATE_ROW_NUM           7674
#define  RC_ORDER_OPEN_CURSOR_ERROR           7675
#define  RC_ORDER_CLOSE_CURSOR_ERROR          7676
#define  RC_ORDER_FETCH_WITH_CURSOR_ERROR     7677
/*                                            7678 */
#define  RC_CHKOB_INITCLIENT_FAILED           7679
#define  RC_CHKOBC_INITCLIENT_FAILED          7680
#define  RC_DEFIC_UPDATE_NLS                  7681
#define  RC_INVALID_CHAR_ATTRDEF              7682
#define  RC_INVALID_VARCHAR_ATTRDEF           7683
#define  RC_INVALID_DECIMAL_ATTRDEF           7684
#define  RC_SQLPROGRAM_NOTFOUND               7685
#define  RC_SQLPROGRAM_BAD_TIMESTAMP          7686
#define  RC_INSERT_EVENTS_ERROR               7687
#define  RC_CHKOB_INITCLIENT_NAME_FAILED      7688
/*                                            7689 */
/*                                            7690 */
/*                                            7691 */
/*                                            7692 */
/*                                            7693 */
#define  RC_DEFIC_BAD_TEXT_READ               7694
#define  RC_AVT_LINK_FAILED                   7695
#define  RC_VIEW_LINK_FAILED                  7696
/*                                            7697 */
/*                                            7698 */
/*                                            7699 */
#define  RC_CONFIG_ID_TOO_LONG                7700
#define  RC_CONFIG_INVAL_COL_LIMIT            7701
#define  RC_CONFIG_INVAL_CHKOUT_MAX           7702
#define  RC_CONFIG_INVAL_PROCESS_MAX          7703
/*                                            7704 */
/*                                            7705 */
#define  RC_CONFIG_INVAL_CLIENT_TIMEOUT       7706
#define  RC_CONFIG_INVAL_OBJSERV_TIMEOUT      7707
#define  RC_CONFIG_INVAL_FAILED_LOGONS        7708
#define  RC_CONFIG_INVAL_PW_DURATION          7709
#define  RC_CONFIG_INVAL_ROW_LIMIT            7710
#define  RC_CONFIG_INVAL_CHKOUT_VALS          7711
/*                                            7712 */
/*                                            7713 */
/*                                            7714 */
/*                                            7715 */
#define  RC_CONFIG_INVAL_TOMB_REQ             7716
#define  LLSERR_OPEN_CURSOR_ERROR             7717
#define  LLSERR_UNEXPECTED_SQL_ERROR          7718
#define  LLSERR_MEMORY_ALLOC_ERROR            7719
#define  LLSERR_NO_OBJECT_SERVER              7720
#define  LLSERR_NO_SMS_COLLECTION             7721
/*                                            7722 */
/*                                            7723 */
#define  RC_ISOPK_UNKNOWN_FIELDTYPE           7724
#define  RC_ISOPK_VCHAR_TOO_LONG              7725
#define  RC_ISOPK_INVALID_REQUESTORDER        7726
/*                                            7727 */
/*                                            7728 */
/*                                            7729 */
#define  RC_CNTL_CANNOT_UPDATE_IBMCONFIG      7730
#define  RC_CNTL_CANNOT_DELETE_IBMCONFIG      7731
#define  RC_DEFINE_NLSKEYWORD_IN_ALL_LANGS    7732
#define  RC_LLSDISCA_DELETE_AVTROW_FAILED     7733
#define  RC_PATRON_NOT_FOUND                  7734
#define  RC_ILLEGAL_OBJECTNAME                7735
#define  RC_ORDER_PART_NO_CONTENT             7736
#define  RC_ORDER_BAD_OBJECTNAME              7737
#define  RC_CONNECT_NOTYET_PERFORMED          7738
/***** LBLS Error End ** 7000-7749 ***************/

/*************************************************/
/***** HBOS Error Begin ** 7750-7999 *************/
/*************************************************/
/*                                            7750 */
#define  RC_OAM_RETRIEVE_ERROR                7751
#define  RC_OAM_STORE_ERROR                   7752
#define  RC_OAM_DELETE_ERROR                  7753
#define  RC_OAM_QUERY_ERROR                   7754
#define  RC_OAM_CHANGE_ERROR                  7755
#define  RC_OAM_ACCESS_ERROR                  7756
#define  RC_OAM_UNACCESS_ERROR                7757
#define  RC_ISORECV_ERROR                     7758
#define  RC_ISOSEND_ERROR                     7759
#define  RC_ISOINIT_ERROR                     7760
#define  RC_ISOINSV_ERROR                     7761
#define  RC_ISOINCL_ERROR                     7762
#define  RC_ISOENDC_ERROR                     7763
#define  RC_GETMAIN_NO_STORAGE                7764
#define  RC_GETMAIN_MAX_EXCEEDED              7765
#define  RC_TOO_MANY_CONV_ERROR               7766
#define  RC_BLANK_OBJECT_NAME                 7767
#define  RC_BLANK_COLLECTION_NAME             7768
#define  RC_OBJECT_SIZE_ERROR                 7769
#define  RC_SOURCE_SERVER_ERROR               7770
#define  RC_ISOALM_ERROR                      7771
#define  RC_CICS_RETRIEVE_ERROR               7772
#define  RC_CICS_START_ERROR                  7773
/*                                            7774 */
/***** HBOS Error End ** 7750-7999 ***************/

/*************************************************/
/***** Utilities Error Begin ** 8000-8099 ********/
/*************************************************/
#define ERROR_RDING_FILE                      8000
#define CREATE_FILE_ERROR                     8001
#define UTIL_ANYERROR                         8002
#define UTIL_LCTHREAD                         8003
#define UTIL_INVALIDMSG                       8004
#define INVALID_LU_NAME                       8005
#define INVALID_NICKNAME                      8006
#define FRNROOT_NOT_SET                       8007
#define UTIL_PRTHREAD                         8008
#define UNABLE_TO_OPEN_LOG                    8009
#define UTIL_BADTHREADNODE                    8010
#define UNABLE_TO_WRITE_MSG                   8011
#define OUT_OF_MEMORY                         8012
#define UTIL_SYMTBL                           8013
#define UTIL_INSUFFICIENT_MEMORY              8014
#define UTIL_DBTHREAD                         8015
#define UTIL_ISO_RECEIVE_ERROR                8016
#define UTIL_ISO_SEND_ERROR                   8017
#define SYSTEM_ERROR                          8018
#define UTIL_ISO_BLD_MSG_ERR                  8019
#define UTIL_ISOCONNECT                       8020
#define UTIL_ISO_INITCLIENT                   8021
#define UTIL_BAD_REXEC_REQUEST                8022
#define DUP_HOSTNAME                          8023
#define CLIENT_CS_PROTOCOL_MISMATCH           8024
#define CS_LS_PROTOCOL_MISMATCH               8025
#define CS_LM_PROTOCOL_MISMATCH               8026
#define LS_OS_PROTOCOL_MISMATCH               8027
#define INTERNAL_ERR                          8035
#define UTIL_INVALID_HANDLE                   8038
#define UTIL_INVALID_SERVERNAME               8039
#define UTIL_INVALID_SERVERTYPE               8040
#define UTIL_INVALID_UTILITYTYPE              8041
#define UTIL_INVALID_SERVERUSERID             8042
#define UTIL_INVALID_SERVERPASSWORD           8043
#define UTIL_INVALID_PATRONUSERID             8044
#define UTIL_INVALID_PATRONPASSWORD           8045
#define UTIL_INVALID_FREQUENCY                8046
#define UTIL_INVALID_DAYNUMBER                8047
#define UTIL_INVALID_STARTHOUR                8048
#define UTIL_INVALID_STARTMINUTE              8049
#define UTIL_INVALID_LIBRARYSERVERNAME        8050
#define UTIL_INVALID_LENGTHUTILITYPARMS       8051
#define UTIL_INVALID_PUTILITYPARMS            8052
#define UTIL_OUT_OF_MEMORY                    8053
#define UTIL_BEGINTHREAD_ERROR                8054
#define UTIL_INVALID_MSG_TYPE                 8055
#define UTIL_INVALID_SERVERUTILITY            8056
/*                                            8057 */
/*                                            8058 */
#define UTIL_INVALID_SCHEDULETYPE             8059
#define UTIL_SERVER_TERMINATING               8060
#define UTIL_ACTLOGTRANERR                    8061
#define UTIL_UNSUSPENDERR                     8062
#define UTIL_INVALID_EXECUTIONWINDOW          8063
#define UTIL_INVALID_REPEATTIME               8064
#define UTIL_NOSERVERNAME                     8065
#define UTIL_DB_INVALID_FILENAME_LEN          8066
#define UTIL_DB_INVALID_SERVERNAME            8067
#define UTIL_DB_UNQUAL_TBL_NAME               8068
#define UTIL_DB_SERVER_ERROR                  8069
#define UTIL_DB_INVALID_PARMS                 8070
#define UTIL_DB_START_ERROR                   8071
#define UTIL_DB_BIND_ERROR                    8072
#define UTIL_DB_UPDATE_ERROR                  8073
#define UTIL_DB_SELECT_ERROR                  8074
#define UTIL_DB_RUNSTAT_ERROR                 8075
#define UTIL_DB_REORG_ERROR                   8076
#define UTIL_DB_COMM_ERROR                    8077
#define UTIL_INVALID_DURATION                 8078
#define INVALID_CICS_NODE                     8079
#define CICS_GENERATION_INVALID               8080
#define UTIL_EVENT_SEM_ERROR                  8081
#define UTIL_POSTEVENTSEM_ERROR               8082
#define UTIL_WAITEVENTSEM_ERROR               8083
#define UTIL_LOGON_ERROR                      8084
#define FFST_HANDLE_NOT_INITIALIZED           8085
#define FFST_INVALID_MSG_NO                   8086
#define FFST_PARM_LST_ERROR                   8087
#define UTIL_INVALID_WEEKNUMBER               8088
#define UTIL_INVALID_WIPITEM                  8089
/*                                            8090 */
/***** Utilities Error End ** 8000-8099 **********/


/*************************************************/
/***** Folder Mgr. Error Begin ** 8100-8499 ******/
/*************************************************/
/*                                            8100 */
#define OIM_INVALID_PSZNATLANG_PTR            8101
#define OIM_ACTIVE_WIP_ITEM                   8102
#define OIM_INVALID_EVENTLOG_FORMAT           8103
#define OIM_HISTMSG_FILE_NOT_FOUND            8104
#define OIM_HISTMSG_ID_NOT_FOUND              8105
#define OIM_UCASE_FAILED                      8106
#define OIM_COLLECTION_NOT_FOUND              8107
#define OIM_OBJSRV_NOT_FOUND                  8108
#define OIM_INVALID_PRIORITY_CODE             8109
#define OIM_MUTEX_NOT_OPEN                    8110
#define OIM_MUTEX_REQUEST_ERROR               8111
#define OIM_BACKGROUND_SHUTDOWN               8112
#define OIM_NO_MUTEX_SEM_MADE                 8122
#define OIM_SHARED_MEM_FLAG_ERROR             8123
#define OIM_INVALID_CHECKOUT_NODE             8124
#define OIM_DUPLICATE_PSZPRIVNAME             8125
#define OIM_ACL_IN_USE                        8126
#define OIM_DUPLICATE_DATA_VIOLATION          8127
#define OIM_CNTL_RECORD_NOT_FOUND             8128
#define OIM_DUPLICATE_CNTL_RECORD             8129
#define OIM_CANNOT_UPDATE_DEFAULT_CNTL_RECORD 8130
#define OIM_CANNOT_DELETE_DEFAULT_CNTL_RECORD 8131
#define OIM_INVALID_FCHECK_VALUE              8132
#define OIM_INVALID_FCURRENTHISTORYREQUEST_VALUE     8133
#define OIM_INVALID_FOPEN_VALUE               8135
#define OIM_INVALID_FOVERLOAD_VALUE           8136
#define OIM_INVALID_FUPDATE_VALUE             8138
#define OIM_INVALID_INDEX_ATTR_LIST           8139
#define OIM_INVALID_HTOC_VALUE                8141
#define OIM_INVALID_PCLASSINDEX_VALUE         8144
#define OIM_INVALID_PSZOWNERNAME_VALUE        8146
#define OIM_INVALID_PSZINDEXNAME_VALUE        8147
#define OIM_INVALID_PITEMIDWBITEM_VALUE       8150
#define OIM_INVALID_PITEMIDWB_VALUE           8151
#define OIM_INVALID_PITEMIDWIPITEM_VALUE      8152
#define OIM_INVALID_HISTORY_LOG_DISPOSITION   8153
#define OIM_INVALID_USACTION_VALUE            8155
#define OIM_INVALID_CONFIG_ID_PTR             8165
#define OIM_INVALID_PSTAGINGCRITERIA_VALUE    8166
#define OIM_ITEM_NOT_IN_LAST_WORKBASKET       8167
#define OIM_ITEM_NOT_IN_WORKFLOW              8168
#define OIM_CONTROL_PARAMS_NOT_FOUND          8169
#define OIM_INVALID_CONTROL_PARAMS_PTR        8170
#define OIM_INVALID_PUSEREXITARRAY_VALUE      8171
#define OIM_INVALID_USEREXIT_COUNT_VALUE      8172
#define OIM_RC_ISO_CONNECT_FAILED             8173
#define OIM_RC_ISO_LISTSVR_FAILED             8174
#define OIM_RC_INPUTBUF_TOO_SMALL             8175
#define OIM_INVALID_PSERVERINFO_PTR           8176
#define OIM_NO_FRNINDX_ENTRY_FOUND            8177
#define OIM_NO_PAGES_IN_RANGE                 8178
#define OIM_PRIV_IN_USE                       8179
#define OIM_MSG_OR_MSG_FILE_NOT_FOUND         8180
#define OIM_BASE_VIEW_MISSING_FOR_IC          8181
#define OIM_GET_CONTENT_CLASS_INFO_FAILED     8182
#define OIM_OBJSERV_NOT_FOUND                 8183
#define OIM_NLSLANGUAGE_NOT_FOUND             8184
#define OIM_DUPLICATE_NLSLANGUAGE             8185
#define OIM_INDEX_CLASS_SQL_ERROR             8186
#define OIM_ERROR_ATTRIBUTES_MODIFIED         8201
#define OIM_INVALID_ATTRIBUTE_LENGTH          8214
#define OIM_INVALID_CC_VALUE                  8222
#define OIM_INVALID_PSZPATRON_VALUE           8226
#define OIM_INVALID_USPATRONTYPE_VALUE        8227
#define OIM_INVALID_PSZITEMID_VALUE           8230
#define OIM_INVALID_OBJSERVER                 8233
#define OIM_DUPLICATE_USERNAME                8234
#define OIM_ERROR_UNKNOWN_RESPONSEORDER       8247
#define OIM_ATTR_IN_USE                       8248
#define OIM_DUPLICATE_INDEX_CLASS             8249
#define OIM_INDEX_CLASS_NOTYET_READY          8250
#define OIM_INDEX_CLASS_NOT_EMPTY             8251
#define OIM_ERROR_UNEXPECTED_ORDER            8255
#define OIM_ERROR_TRANSACTION_IN_PROGRESS     8263
#define OIM_ERROR_TRANSACTION_NOT_IN_PROGRESS 8264
#define OIM_ERROR_CCID_NOTAVL                 8274
#define OIM_ERROR_CREATE_CCITEM               8275
#define OIM_ERROR_DUPLICATE_CCNAME            8276
#define OIM_ERROR_CCIDNAME_NOTMATCH           8277
#define OIM_INVALID_PITEMIDWBITEM_PTR         8279
#define OIM_NO_FILENAME                       8280
#define OIM_LOGON_PARMS_INVALID               8281
#define OIM_FR2_OBJECT_INVALID                8282
#define OIM_NO_FR2_OBJECTS                    8283
#define OIM_NO_MASTER_WS_OBJ                  8284
#define OIM_AFFILIATED_TOC_FAILED             8285
#define OIM_TIFF_NOT_STORED                   8286
#define OIM_WS_LOAD_FAILED                    8287
#define OIM_WS_KID_SEARCH_FAILED              8288
#define OIM_CANNOT_HIDE_PAGE                  8289
#define OIM_QUEUE_NOT_OPEN                    8290
#define OIM_CANNOT_MAKE_SEM                   8291
#define OIM_CANNOT_WRITE_QUEUE                8292
#define OIM_SEM_FAIL_OR_TIMEOUT               8293
#define OIM_REQUEST_DATA_FAILED               8294
#define OIM_SEM_POST_FAILED                   8295
#define OIM_IWPM_INIT_FAILED                  8296
#define OIM_QUEUE_READ_ERROR                  8297
#define OIM_OBJ_NOT_OPEN_ON_DISK              8298
#define OIM_INVALID_PITEMIDWB_PTR             8299
#define OIM_INVALID_PITEMIDWIPITEM_PTR        8300
#define OIM_INVALID_PUSEREXITARRAY_PTR        8302
#define OIM_INVALID_CC_PTR                    8303
#define OIM_INVALID_PATTRINFO_VALUE           8359
#define OIM_INVALID_FOPERATIONS_VALUE         8360
#define OIM_INVALID_PCLASSINFO_VALUE          8361
#define OIM_INVALID_IC_OR_VIEW_ID             8362
#define OIM_INVALID_FCLASSOPERATIONS_VALUE    8363
#define OIM_INVALID_WORKSTATION_PTR           8366
#define OIM_INVALID_ACL                       8368
#define OIM_INVALID_ATTRIBUTE_NAME            8375
#define OIM_INVALID_LANGUAGE_CODE             8376
#define OIM_INVALID_ATTRIBUTE_TYPE            8377
#define OIM_INVALID_HORIZONTAL_ORIENTATION    8378
#define OIM_INVALID_MODE                      8379
#define OIM_INVALID_NUMERICSELDEFAULT         8380
#define OIM_INVALID_USEBIDIRECTIONAL          8381
#define OIM_NO_ID_LIBRARY_ERROR               8382
#define OIM_INVALID_IC_NAME                   8383
#define OIM_INVALID_VIEW_NAME                 8384
#define OIM_INVALID_INDEXTYPE                 8385
#define OIM_INVALID_PCLASSATTRSTRUCT          8386
#define OIM_INVALID_ATTRACCESS                8387
#define OIM_INVALID_REQUIREDFIELD             8388
#define OIM_INVALID_INDEXSORTORDER            8389
#define OIM_INVALID_ACLID                     8391
#define OIM_INVALID_GROUPNAME                 8392
#define OIM_INVALID_CCID_VALUE                8394
#define OIM_PARTS_IN_CC                       8395
#define OIM_INVALID_PSZGROUPNAME_PTR          8396
#define OIM_INVALID_PSZNEWGROUPNAME_PTR       8397
#define OIM_INVALID_PSZPRIVNAME_PTR           8402
#define OIM_INVALID_PSZPRIVNAME_VALUE         8403
#define OIM_INVALID_PSZUSERNAME_PTR           8404
#define OIM_INVALID_PSZUSERNAME_VALUE         8405
#define OIM_INVALID_PUSERINFO_PTR             8406
#define OIM_INVALID_PSZOBJSERVNAME_PTR        8407
#define OIM_INVALID_PSZOBJSERVNAME_VALUE      8408
#define OIM_INVALID_PSZSMSCOLLNAME_VALUE      8409
#define OIM_INVALID_PPRIVSTRUCT_PTR           8410
#define OIM_PRIVSET_NOT_FOUND                 8415
#define OIM_INVALID_CONNECTION_HANDLE         8422
#define OIM_INVALID_BLOB_REFERENCE            8428
#define OIM_INVALID_ACCESS_ROW_COMMAND        8434
#define OIM_INVALID_ACCESS_ROW_USERKIND       8435
#define OIM_INVALID_PACCESSENTRIES_VALUE      8436
#define OIM_INVALID_USACLACTION               8437
#define OIM_DUPLICATE_ACL_ROW                 8438
#define OIM_INVALID_PRIV_OR_PATRON            8439
#define OIM_INVALID_PTIMEADJUSTFTN_VALUE      8440
#define OIM_INVALID_PSZACCESSNAME_PTR         8442
#define OIM_FFST_INIT_FAILED                  8450
#define OIM_INVALID_WB_NAME                   8451
#define OIM_ERROR_NO_WB_TABLE                 8456
#define OIM_ERROR_WB_NOT_EMPTY                8457
#define OIM_ERROR_WB_IN_WF                    8458
#define OIM_ERROR_WBITEM_IN_SUSPEND           8459
#define OIM_INVALID_WBITEMID_VALUE            8460
#define OIM_INVALID_NATLANGCODE               8462
#define OIM_INVALID_NATLANGNAME               8463
#define OIM_ERROR_ALREADY_IN_WORKFLOW         8464
#define OIM_INVALID_PWBINFO_PTR               8465
#define OIM_DUPLICATE_ACL                     8466
#define OIM_ACCESS_LIST_NOT_FOUND             8467
#define OIM_MISSING_WIPITEM                   8468
#define OIM_MISSING_WB_OR_WF_VIEW             8469
#define OIM_PASSED_ITEM_NOT_A_WB              8470
#define OIM_WB_NOT_IN_WF                      8471
#define OIM_WB_FULL                           8472
#define OIM_NO_WB_IN_WF                       8473
#define OIM_WF_NOT_EMPTY                      8475
#define OIM_DUPLICATE_WIP_ITEM                8476
#define OIM_INVALID_WF_ITEM                   8477
#define OIM_INVALID_WB_LIST                   8478
#define OIM_INVALID_INDEX_CLASS               8479
#define OIM_INVALID_PACCESSENTRIES_PTR        8480
#define OIM_INVALID_PWFINFOSTRUCT_PTR         8481
#define OIM_INVALID_PITEMIDWF_PTR             8482
#define OIM_INVALID_PSZACLNAME_PTR            8483
#define OIM_INVALID_PSZACLDESCRIPTION_PTR     8484
#define OIM_INVALID_ACLNAME                   8485
#define OIM_ITEM_NOT_IN_WORKBASKET            8486
#define OIM_EMPTY_WORKBASKET                  8487
#define OIM_DUPLICATE_OBJSERV                 8488
#define OIM_DUPLICATE_SMSCOLL                 8489
#define OIM_INVALID_PSZPRIVILEGE_STRING       8490
#define OIM_INVALID_RELEASE_CRITERIA          8491
#define OIM_INVALID_EXP_TIMESTAMP             8492
#define OIM_INVALID_DEADLINE_WB               8493
#define OIM_INVALID_NUM_AWAITED_CLASSES       8494
#define OIM_INVALID_AWAITED_CLASSES           8495
#define OIM_INVALID_READY_WB                  8496
#define OIM_PITEM_NO_INDEX_CLASS              8497
#define OIM_ITEM_NOT_SUSPENDED                8498
#define OIM_INVALID_PSZNATCODE_PTR            8499
/***** Folder Mgr. Error End ** 8100-8499 ********/

/*************************************************/
/***** Sys. Admin. Error Begin ** 8500-8599 ******/
/*************************************************/
#define SAERR_MAIN_INIT_ERROR                 8500
#define SAERR_MAIN_TERM_ERROR                 8501
#define SAERR_MAIN_WPCREATE_ERROR             8502
#define SAERR_MAIN_WPCOMMAND_ERROR            8503
#define SAERR_MAIN_WPHELPHM_ERROR             8504
#define SAERR_MAIN_WPHELPMEM_ERROR            8505
#define SAERR_UNKNOWN                         8506
#define SAERR_MAIN_CNRMEM_ERROR               8507
#define SAERR_MAIN_CNRLOADPTR_ERROR           8508
#define SAERR_MAIN_INITHELPFILE_ERROR         8509
#define SAERR_MAIN_INITHELP_ERROR             8510
#define SAERR_NOT_FOUND                       8511
#define SAERR_INIT_CNR_POPUP                  8512
#define SAERR_INIT_OBJECT_POPUP               8513
#define SAERR_INIT_DETAIL_VIEW                8514
#define SAERR_PM_GENERIC                      8515
#define SAERR_SMS_GENERIC                     8516
#define SAERR_FOLDER_MANAGER_GENERIC          8517
#define SAERR_NO_SYSATTR_IN_FMGRDB            8518
#define SAERR_NO_MEM_FOR_REQUEST              8519
#define SAERR_DUP_SYSATTR_IN_DB               8520
#define SAERR_IC_KEYFIELD_REFERENCED          8521
#define SAERR_INVALID_ENTRYFIELD_DATA         8522
#define SAERR_INVALID_LSCT_VALUE              8523
#define SAERR_DBUTIL_ERROR                    8524
#define SAERR_SELFLOGOFF                      8525
#define SAERR_OS2_GENERIC                     8526
#define SAERR_INVALID_DBINDEXNAME             8527
#define SAERR_DUPLICATE_DBINDEXNAME           8528
#define SAERR_DUPLICATE_INDEXVALUES           8529
#define SAERR_DBINDEX_NOT_FOUND               8530
#define SAERR_WORKBASKET_NOT_FOUND            8531
#define SAERR_WORKFLOW_NOT_FOUND              8532
#define SAERR_ACL_NOT_FOUND                   8533
#define SAERR_NOATTR_IN_INDEXCLASS            8534
#define SAERR_LIBRARY_LOGON_FAILED            8535
#define SAERR_INSUFFICIENT_PRIV               8536
#define SAERR_SMS_NO_REMOTEOBJSER             8537
#define SAERR_PRIVSET_NOT_FOUND               8538
#define SAERR_CONFIG_SERVER_FAILURE           8539
#define SAERR_INVALID_CCHANDLER_INFO          8540
#define SAERR_TOO_MANY_WB_IN_WF               8541
#define SAERR_IC_COLUMN_LENGTH_EXCEEDED       8542
#define SAERR_INDEX_CLASS_NOT_FOUND           8543
#define SAERR_SUBSET_NOT_FOUND                8544
#define SAERR_OBJECT_IN_USE                   8545

/*                                            8546 */
/***** Sys. Admin. Error End ** 8500-8599 ********/

/*************************************************/
/***** Library Client Error Begin ** 8600-8799 ***/
/*************************************************/
#define LCERR_NO_ERR                          0
/*                                            8600 */
#define LCERR_NO_CONNECT_REPLY                8601
#define LCERR_CANNOT_DISCARD_REQ              8602
#define LCERR_INVALID_PROPERTY_TYPE           8603
#define LCERR_INVALID_CHANGED_LEN             8604
#define LCERR_NULL_LST_MGR_PTR                8605
#define LCERR_SSDK_ILLEGAL_FUNCTION           8606
#define LCERR_REQ_BLK_INCOMPLETE              8607
#define LCERR_MAX_REQBLK_ORDERS_REACHED       8608
#define LCERR_NOT_ITEMPART_HANDLE             8609
#define LCERR_NO_SESS_BLK_STG                 8610
#define LCERR_INVALID_PRIORITY                8611
#define LCERR_BAD_ELEMENT_HANDLE              8612
#define LCERR_NO_REQ_BLK_ARRAY_STORAGE        8613
#define LCERR_ERROR_IN_RECONNECT              8614
/*                                            8615 */
#define LCERR_ILLEGAL_ORDER_CODE              8616
#define LCERR_ILLEGAL_QUERY_NUMBER            8617
#define LCERR_ILLEGAL_RECORD_COUNT            8618
#define LCERR_INVALID_CHECKIN_SCOPE           8619
#define LCERR_INVALID_CHECKOUT_TOKEN          8620
/*                                            8621 */
#define LCERR_XTRACT_LENGTH_FAIL              8622
#define LCERR_INSUFF_RECONNECT_INFO           8623
#define LCERR_UNABLE_OPEN_FILE                8624
#define LCERR_INSUFFICIENT_MEMORY             8625
#define LCERR_XTRACT_STORAGE_FAIL             8626
#define LCERR_COPY_FILE_FAILED                8627
#define LCERR_NO_SUCH_PART                    8628
#define LCERR_LST_MGR_ERROR                   8629
#define LCERR_PASSWORD_ENCRYPTION_EXIT_ERROR  8630
/*                                            8631 */
/*                                            8632 */
#define LCERR_LIVE_SESSION                    8633
#define LCERR_NO_REQ_BLOCK_STG                8634
#define LCERR_GETRESPONSE_TIMEOUT             8635
#define LCERR_NO_ORDERS_TO_DO                 8636
/*                                            8637 */
/*                                            8638 */
/*                                            8639 */
/*                                            8640 */
/*                                            8641 */
/*                                            8642 */
/*                                            8643 */
/*                                            8644 */
#define LCERR_ILLEGAL_REPLY_NUMBER            8645
#define LCERR_ILLEGAL_ORDER_NUMBER            8646
/*                                            8647 */
/*                                            8648 */
/*                                            8649 */
/*                                            8650 */
/*                                            8651 */
/*                                            8652 */
/*                                            8653 */
/*                                            8654 */
/*                                            8655 */
/*                                            8656 */
/*                                            8657 */
/*                                            8658 */
/*                                            8659 */
/*                                            8660 */
/*                                            8661 */
/*                                            8662 */
#define LCERR_NO_REQ_BLK_TO_SRQ               8663
#define LCERR_WRONG_BLOB_SIZE                 8664
/*                                            8665 */
#define LCERR_NO_CONNECT_LIB_ISSUED           8666
#define LCERR_NULL_SESSION                    8667
/*                                            8668 */
/*                                            8669 */
#define LCERR_ILLEGAL_2ND_PARM                8670
#define LCERR_ILLEGAL_3RD_PARM                8671
#define LCERR_ILLEGAL_4TH_PARM                8672
#define LCERR_ILLEGAL_5TH_PARM                8673
#define LCERR_ILLEGAL_6TH_PARM                8674
#define LCERR_ILLEGAL_PARM                    8675
#define LCERR_NO_ORDER_BLOCK_STG              8676
#define LCERR_UNIMPLEMENTED_API               8677
#define LCERR_CCH_BAD_WORKLIST                8678
#define LCERR_CONNECT_LIB_ISSUED              8679
#define LCERR_INVALID_REPLYORDER              8680
#define LCERR_ORDER_NOTAQUERY_REPLY           8681
#define LCERR_QUERY_FAILED                    8682
#define LCERR_INVALID_QUERYREPLY_DATA         8683
#define LCERR_TOOMANY_CLASSATTRS              8684
#define LCERR_TOOMANY_DBMSINDEXATTRS          8685
#define LCERR_ILLEGAL_7TH_PARM                8686
#define LCERR_ILLEGAL_8TH_PARM                8687
#define LCERR_ILLEGAL_9TH_PARM                8688
#define LCERR_INCOMPATABLE_OPTIONS            8689
#define LCERR_INVALID_FOLDERID                8690
#define LCERR_INVALID_OWNERID                 8691
#define LCERR_INVALID_ITEMID                  8692
#define LCERR_INVALID_LOCATION                8693
#define LCERR_INVALID_STOREHINT               8694
#define LCERR_INVALID_PARTDESCRIPTION         8695
#define LCERR_INVALID_OBJECTSERVERNAME        8696
#define LCERR_INVALID_COLLECTIONNAME          8697
/*                                            8698 */
#define LCERR_INVALID_SEMTYPE                 8699
#define LCERR_INVALID_CONTENTCLASS            8700
#define LCERR_INVALID_ITEMNAME                8701
#define LCERR_INVALID_PARENTLOCATION          8702
#define LCERR_INVALID_CHILDLOCATION           8703
#define LCERR_INVALID_LINKKIND                8704
#define LCERR_INVALID_WORKFLOWID              8705
#define LCERR_INVALID_WORKBASKETID            8706
#define LCERR_INVALID_WORKSLIPITEMID          8707
#define LCERR_RESERVED_INDEX_CLASS_USED       8708
#define LCERR_INVALID_DELETE_SCOPE            8709
#define LCERR_INVALID_LENGTH                  8710
#define LCERR_EXCEED_LENGTH                   8711
#define LCERR_INVALID_ATTRIBUTE_TYPE          8712
#define LCERR_OPTIONS_POINTER_NOT_SET         8713
/*                                            8714 */
/*                                            8715 */
#define LCERR_INVALID_EXPIRES_TIMESTAMP       8716
#define LCERR_INVALID_SUSP_TIMESTAMP          8717
#define LCERR_INVALID_ACTION_VALUE            8718
#define LCERR_INVALID_SEARCH_OPCODE           8719
#define LCERR_INVALID_ATTRIBUTE_NAME          8720
#define LCERR_INVALID_CLASS_NAME              8721
#define LCERR_INVALID_VIEW_NAME               8722
#define LCERR_INVALID_LANGUAGE_CODE           8723
#define LCERR_INVALID_ATTRIBUTE_ID            8724
#define LCERR_INVALID_CLASS_ID                8725
#define LCERR_INVALID_VIEW_ID                 8726
#define LCERR_INVALID_INDEX_NAME              8727
#define LCERR_INVALID_INDEX_FLAGS             8728
#define LCERR_INVALID_ATTRIBUTE_FLAG          8729
/*                                            8730 */
#define LCERR_INVALID_ACCESSCHOICE            8731
#define LCERR_INVALID_REPTYPE                 8732
/*                                            8733 */
#define LCERR_INVALID_MANAGEMENT_CLASS        8734
#define LCERR_INVALID_QUERYOPTION             8735
#define LCERR_BAD_OPTIMIZATIONOPTION          8736
#define LCERR_LIKE_REQUIRES_STRINGATTR        8737
#define LCERR_INVALID_CURRENT_CLASSID         8738
#define LCERR_INVALID_AWAITING_CLASSID        8739
#define LCERR_HOSTVAR_VALUE_REQUIRED          8740
#define LCERR_INVALID_WORKLIST_NAME           8741
#define LCERR_INVALID_LANGUAGE_NAME           8742
#define LCERR_INVALID_STORAGE_CLASS           8743
#define LCERR_WIPSTATUS_FLAG_NOT_SET          8744
#define LCERR_WIPFLAG_NOT_SET                 8745
#define LCERR_USEWBID_FLAG_NOT_SET            8746
#define LCERR_SUSPTYPE_FLAG_NOT_SET           8747
#define LCERR_RELTYPE_FLAG_NOT_SET            8748
#define LCERR_NEXTWB_FLAG_NOT_SET             8749
#define LCERR_INVALID_KEYWORD_STRING          8750
#define LCERR_CANNOT_CREATE_SEMAPHORE         8751
#define LCERR_SEMAPHORE_ERROR                 8752
#define LCERR_DUPSESSIONS_EXIST               8753
/*                                            8754 */
/*                                            8755 */
#define LCERR_INVAL_PROPERTY_VALUE            8756
#define LCERR_INVAL_DESCRIBE_TEXT             8757
#define LCERR_INVALID_ACL_ITEMID              8758
#define LCERR_ILLEGAL_UPDATE_PATRON           8759
#define LCERR_INVALID_ATTR_LIST               8760
#define LCERR_CORRUPTED_SESSION               8761
#define LCERR_INVALID_SMS_RETENTION           8762
#define LCERR_CANNOTDUP_DUPSESSION            8763
#define LCERR_ILLEGAL_COMMPROTOCOL            8764 /* added for mvs tcpip */
#define LCERR_ILLEGAL_ADDRESS                 8765 /* added for mvs tcpip */
#define LCERR_ILLEGAL_PORTNUMBER              8766 /* added for mvs tcpip */
#define LCERR_ILLEGAL_OBJSERV_NAME            8767 /* added for mvs tcpip */
#define LCERR_ILLEGAL_NEW_OBJSERV_NAME        8768 /* added for mvs tcpip */
#define LCERR_ILLEGAL_SYSID                   8769 /* added for mvs tcpip */
#define LCERR_ILLEGAL_TXNNAME                 8770 /* added for mvs tcpip */
#define LCERR_ILLEGAL_HLQNAME                 8771 /* added for mvs tcpip */
#define LCERR_ILLEGAL_FLAG                    8772 /* added for mvs tcpip */
/***** Library Client Error End ** 8600-8799 ******/

/*************************************************/
/***** Daemon Error Begin ** 8800-8899 ***********/
/*************************************************/
#define DMNERR_INVALID_MSGLENGTH              8800
#define DMNERR_NOSERVERS_DEFINED              8801
#define DMNERR_GETSTORAGE_ERROR               8802
#define DMNERR_BAD_ORDER                      8804
#define DMNERR_CONNECTQUEUE_ERROR             8805
#define DMNERR_CREATEQUEUE_ERROR              8806
#define DMNERR_INVALID_ORDER                  8807
#define DMNERR_INVALID_REQBLK_LENGTH          8810
#define DMNERR_WRITEQUEUE_ERROR               8811
#define DMNERR_READQUEUE_ERROR                8812
#define DMNERR_CLOSEQUEUE_ERROR               8813
#define DMNERR_SHARESTORAGE_ERROR             8814
#define DMNERR_TRANSLATION_ERROR              8815
#define DMNERR_GETRESP_TIMEOUT                8816
#define DMNERR_SYM_TAB_ERROR                  8817
#define DMNERR_SEM_ERROR                      8818
#define DMNERR_BEGINTHREAD_ERROR              8819
#define DMNERR_OSTHREAD_ABORTED               8820
#define DMNERR_REQUESTBLOCK_NOTFOUND          8825
#define DMNERR_SENDMSG_FAILED                 8826
#define DMNERR_UPDATEREQBLK_FAILED            8828
#define DMNERR_CREATE_ELM_ERROR               8830
#define DMNERR_CONNECT_SELF_ERROR             8832
#define DMNERR_INIT_ERROR                     8833
#define DMNERR_ISO_CONNECT_ERROR              8836
#define DMNERR_INIT_SERVER_ERROR              8837
#define DMNERR_BAD_MESSAGE                    8838
#define DMNERR_THREAD_KILLED                  8840
#define DMNERR_INIT_CLIENT_ERROR              8841
#define DMNERR_GETNETID_ERROR                 8842
/* This is only for Windows environment - JTZ - 3/95 */
#define DMNERR_DUP_INIT_ERROR                 8843
/***** Daemon Error End ** 8800-8899 *************/

/*************************************************/
/***** Install Error Begin ** 8900-8999 **********/
/*************************************************/
#define INS_NO_HLP_FILE_FOUND                 8900
#define INS_UE_CNNT_USE_HLPS                  8901
#define INS_HLP_ERR_IN_UE                     8902
#define INS_SELECT_CMGR_CFILE                 8903
#define INS_ERR_CMGR_CFILE                    8904
#define INS_ASKQUESTION                       8905
#define INS_CMGR_NOT_UPDATED                  8906
#define INS_INFO_NOT_COMPLETE                 8907
#define INS_CMGR_CFILE_INVALID                8908
#define INS_CMGR_CFILE_NOT_COPIED             8909
#define INS_CMGR_CFILE_EXISTS                 8910
#define INS_CMGR_CFILE_ACTIVE                 8911
#define INS_PRINTER_NOT_OPEN                  8912
#define INS_NOWIN                             8914
#define INS_NOMEM                             8915
#define INS_MSG_USAGE                         8916
#define INS_DBEXIST                           8917
#define INS_ENDBAD                            8918
#define INS_BADARG                            8919
#define INS_BADNUMARGS                        8920
#define INS_INV_UOW                           8921
#define INS_ERR_STARTDBM                      8922
#define INS_ERR_STOPDBM                       8923
#define INS_ERR_UPDCONFIG                     8924
#define INS_ERR_UPDDB                         8925
#define INS_ERR_DBCREATE                      8926
#define INS_ERR_DYNBIND                       8927
#define INS_ERR_STARTUSE                      8928
#define INS_ERR_STOPUSE                       8929
#define INS_ERR_CRTTBL                        8930
#define INS_ERR_DBDROP                        8931
#define INS_FAILED                            8932
#define INS_REXX_AND_PROGRAM_CFG_REQD         8933
#define INS_HEX_NUMBER_REQD                   8934
#define INS_INVALID_PATH                      8935
#define INS_INVALID_DRIVE_FORMAT              8936
/*RP*/
#define INS_BOOTFIND_ERROR                    8937
#define INS_OPEN_FILE_ERROR                   8938
#define INS_INSTALL_GETVAR_ERROR              8939
#define INS_INSTALL_PROD_ERROR                8940
#define INS_INVALID_NODE                      8941
#define INS_GET_ERROR                         8942
#define INS_PUT_ERROR                         8943
#define INS_FILE_NOT_ENTERED                  8944
#define INS_FILE_NOT_FOUND                    8945
#define INS_FRNOUTNG_ERROR                    8946
#define INS_HELP_MEM                          8947
#define INS_NO_DBASE_NAME                     8948
#define INS_NO_DIR_PATH                       8949
#define INS_VERIFY_ERROR                      8951
#define INS_CANCEL_MESSAGE                    8953
#define INS_LBLS_FILE_MISSING                 8955
#define INS_LBOS_FILE_MISSING                 8957
#define INS_SQLLIB_NOT_IN_PATH                8958
#define INS_VERIFY_FILE_NOT_FOUND             8959
#define INS_INSTALL_PROD_ERROR2               8960
#define INS_PARM_MISSING                      8961
#define INS_INTERNAL_ERROR                    8962
#define INS_LBLS_BIND_ERROR                   8963
#define INS_ERR_MEMORY                        8964
#define INS_ERR_COLLECT_DB_STATUS             8965
#define INS_ERR_USER_STATUS                   8966
#define INS_ERR_TOKEN                         8967
#define INS_ERR_SQL_IMPORT                    8968
#define INS_ERR_SYSTEMCMD                     8969
#define INS_ERR_NOIMPORTFILE                  8970
#define INS_ERR_CMRECORD_START                8971
#define INS_ERR_CMSETUP_START                 8972
#define INS_ERR_CMRECORD_RUNNING              8973
#define INS_ERR_CMSETUP_RUNNING               8974
#define INS_ERR_RESPONSE_FILE                 8975
#define INS_ERR_DRIVE                         8976
#define INS_ERR_STAGING                       8977
#define INS_ERR_STAGING_HPFS                  8978
#define INS_ERR_OSERVER_NAME                  8979
#define INS_ERR_LSERVER_NAME                  8980
#define INS_ERR_SAME_SERVER                   8981

/***** Install Error End ** 8900-8999 ************/

/*************************************************/
/***** Comm. Isolator Error Begin ** 9000-9099 ***/
/*************************************************/
#define ISOERR_BADISOHANDLE                   9000
#define ISOERR_BAD_PARTNER_HANDLE             9001
#define ISOERR_BAD_MSG_LENGTH                 9002
#define ISOERR_DUPLICATE_SERVERNAME           9003
#define ISOERR_DUPLICATE_CLIENTNAME           9004
#define ISOERR_UNKNOWN_SERVER                 9005
#define ISOERR_GETSTORAGE_ERROR               9006
#define ISOERR_RECEIVE_ERROR                  9007
#define ISOERR_CANNOT_CREATEQUEUE             9008
#define ISOERR_CANNOT_USEQUEUE                9009
#define ISOERR_INVALID_QUEUEOPTION            9010
#define ISOERR_CANNOTACCESS_SERVERQUEUE       9011
#define ISOERR_UNKNOWN_APPTYPE                9012
#define ISOERR_RECEIVEMSG_TIMEOUT             9013
#define ISOERR_PEEKMSG_NOMESSAGE              9014
#define ISOERR_MESSAGE_TOOSHORT               9015
#define ISOERR_SYM_TAB_ERROR                  9016
#define ISOERR_FRNROOT_NOT_SET                9017
#define ISOERR_FILE_OPEN_ERR                  9018
#define ISOERR_NET_TBL_ERR                    9019
#define ISOERR_APPC_ERROR                     9020
#define ISOERR_UNKNOWN_MESSAGE                9021
#define ISOERR_MISMATCH_LEVELS                9022
#define ISOERR_PACKET_HEADER_ERROR            9023
#define ISOERR_CONNECT_FAILED                 9024
#define ISOERR_SENDING_INITREPLY              9025
#define ISOERR_EXISTINGQUEUE_REQUIRED         9026
#define ISOERR_VCHAR_TOO_LONG                 9027
#define ISOERR_STRING_TOO_LONG                9028
#define ISOERR_UNEXPECTED_MESSAGE             9029
#define ISOERR_SERVER_NOT_AVAILABLE           9030
#define ISOERR_SERVER_STARTING                9031
#define ISOERR_SERVER_NOT_FOUND               9032
#define ISOERR_MAX_SERVERS_STARTED            9033
#define ISOERR_AUTOSTART_FAILED               9034
#define ISOERR_ISOLATOR_NOT_STARTED           9035
#define ISOERR_PARTNER_ABENDED                9036
#define ISOERR_CREATE_NET_SVR_ERR             9037
#define ISOERR_DESTROY_WINDOW_FAILED          9038
#define ISOERR_LINK_NOT_FOUND                 9039
#define ISOERR_NOT_PARTNER_HANDLE             9040
#define ISOERR_NULL_HANDLE                    9041
#define ISOERR_INVALID_PRIORITY               9042
#define ISOERR_CANNOT_GET_COMM_CONFIG         9043
#define ISOERR_NO_CLIENT_PORT                 9044
#define ISOERR_NO_IRM_ALIAS                   9045
#define ISOERR_INVLD_RESP_HANDLE              9046
#define ISOERR_INVLD_USER_PASSWORD            9047
#define ISOERR_CONVERSION_FAILED              9048
#define ISOERR_NO_FRNLU                       9049
#define ISOERR_NULL_SERVERNAME                9050
#define ISOERR_BEGINTHREAD_ERROR              9051
#define ISOERR_SEMAPHORE_ERROR                9052
#define ISOERR_INVALID_LUNAME                 9053
#define ISOERR_CONVERSION_NOT_AVAIL           9054
#define ISOERR_INVALID_FIELDTYPE              9055
#define ISOERR_DUP_NT_SERVER                  9056
#define ISOERR_INVLD_LENGTH                   9057
#define ISOERR_INVLD_LOCATION                 9058
#define ISOERR_INVLD_SCOPE                    9059
#define ISOERR_INVLD_PROTOCOL                 9060
#define ISOERR_DUP_NT_ALIAS                   9061
#define ISOERR_INVLD_START                    9062
#define ISOERR_TP_MISSING                     9063
#define ISOERR_INVLD_LUNAME                   9064
#define ISOERR_INVLD_SVR_ENTRY                9065
#define ISOERR_INIT_FAILED                    9066
#define ISOERR_LOG                            9067
#define ISOERR_FRNROOT_INVALID                9068
#define ISOERR_GET_SEND_AUTHORITY             9069
#define ISOERR_INTERNAL_ERROR                 9070
#define ISOERR_SERVER_NAME                    9071
#define ISOERR_SERVICE_ERROR                  9072
#define ISOERR_APPC_VERB                      9073
#define ISOERR_APPC_PRIMARY                   9074
#define ISOERR_APPC_SECONDARY                 9075
#define ISOERR_INVALID_TIMEOUT                9076
#define ISOERR_DOS_ERROR                      9077
#define ISOERR_NETID_ERROR                    9078
#define ISOERR_CMLOAD_FAILED                  9079
#define ISOERR_CM_NOT_INITIALIZED             9080
#define ISOERR_INVLD_RET_CNTL                 9081
#define ISOERR_SESSION_NOT_AVAIL              9082
#define ISOERR_CS_NOT_LOCAL                   9083
#define ISOERR_LM_ERROR                       9084
#define ISOERR_ENV_PARMS_INVALID              9085
#define ISOERR_OS_ERROR                       9086
#define ISOERR_ALREADYRUNNING                 9087
#define ISOERR_NAMESVR_ALIAS                  9088
#define ISOERR_PRIORITY                       9089
#define ISOERR_SERVER_DB_NAME                 9090
#define ISOERR_INVALID_PORT                   9091
#define ISOERR_SOCKET_ERROR                   9092
#define ISOERR_SOCKET_FUNCTION                9093
#define ISOERR_TCP_NOT_INITIALIZED            9094
#define ISOERR_NAME_RESOLVE                   9095
/***** Comm. Isolator Error End ** 9000-9099 *****/

/*************************************************/
/***** List Manager Error Begin ** 9100-9199 *****/
/*************************************************/
#define LST_ERR_REQUEST_FAILED                9100
#define LST_ERR_INITIALIZATION_FAILED         9101
#define LST_ERR_TERMINATION_FAILED            9102
#define LST_ERR_FRNROOT_UNDEFINED             9103
#define LST_ERR_WKSTNID_UNDEFINED             9104
#define LST_ERR_INVALID_SESSION_HANDLE        9105
#define LST_ERR_INVALID_LIST_HANDLE           9106
#define LST_ERR_INVALID_ELEM_HANDLE           9107
#define LST_ERR_INVALID_ACCESS_MODE           9108
#define LST_ERR_INVALID_STORENAME             9109
#define LST_ERR_INVALID_USERNAME              9110
#define LST_ERR_INVALID_ELEMLEN               9111
#define LST_ERR_INVALID_ELEMKEY               9112
#define LST_ERR_INVALID_RETENTION             9113
#define LST_ERR_INVALID_STORETYPE             9114
#define LST_ERR_INVALID_DESTROY               9115
#define LST_ERR_INVALID_LISTNAME              9116
#define LST_ERR_INVALID_NOTIFY                9117
#define LST_ERR_INVALID_NUMLISTS              9118
#define LST_ERR_INVALID_NUMELEMS              9119
#define LST_ERR_INVALID_REQUEST               9120
#define LST_ERR_LIST_NOT_FOUND                9121
#define LST_ERR_DUPLICATE_LISTNAME            9122
#define LST_ERR_ELEM_NOT_FOUND                9123
#define LST_ERR_ELEM_IN_USE                   9124
#define LST_ERR_ISO_SESSION_FAILURE           9125
#define LST_ERR_INSUFFICIENT_MEMORY           9126
#define LST_ERR_DUPLICATE_KEY                 9127
#define LST_ERR_LIST_IN_USE                   9128
#define LST_ERR_INSUFFICIENT_DISK_SPACE       9129
#define LST_ERR_FILE_ACCESS_FAILURE           9130
#define LST_ERR_DATABASE_INCONSISTENT         9131
#define LST_ERR_INSUFFICIENT_FHANDLES         9132
#define LST_ERR_LOGFILE_OPEN_FAILURE          9133
#define LST_ERR_SERVER_ALREADY_ACTIVE         9134
#define LST_ERR_LIST_ALREADY_OPEN             9135
#define LST_ERR_DUPLICATE_SIGNON_ID           9136
#define LST_ERR_INTERNAL_FAILURE              9139
/*                                            9140 */
/***** List Manager Error End ** 9100-9199 *******/
/***** Utility System Config *********************/
#define REQ_FIELD_MISSING                     9200
#define INVD_CHARACTER_SPACE                  9201
#define DUP_LST_SERVER                        9202
#define LST_SERVER_NAME_RESERVED              9203
#define INVALID_LM                            9204
#define NO_LM_TO_CS_SERVER_LINK               9205
#define INVALID_NETCONFIG_FILE_VERSION        9206
#define NETCONFIG_FILE_NOT_FOUND              9207
#define INVALID_NETCONFIG_FILE                9208
#define NETCONFIG_FILE_NOT_VERIFIED           9209
#define NODE_LIST_NOT_EMPTY                   9210
#define NO_OBJ_TO_LIB_SERVER_LINK             9211
#define NO_LIB_TO_OBJ_SERVER_LINK             9212
#define NO_CLIENT_TO_CS_LINK                  9213
#define NO_CS_TO_CLIENT_LINK                  9214
#define NO_LS_TO_CS_LINK                      9215
#define DUP_NICKNAME                          9216
#define DUP_APPN_NODE                         9217
#define DUP_LIB_SERVER                        9218
#define DUP_OBJ_SERVER                        9219
#define OBJ_SERVER_NAME_RESERVED              9220
#define LIB_SERVER_NAME_RESERVED              9221
#define NODE_NOT_FOUND                        9222
#define DUP_RELATION                          9223
#define INVALID_CLIENT                        9224
#define INVALID_CS                            9225
#define DUP_NODE_NAME                         9226
#define NO_NODES_DEFINED                      9227
#define NO_RELATIONS_DEFINED                  9228
#define RELATION_NOT_FOUND                    9229
#define INVALID_LS                            9230
#define INVALID_OS                            9231
#define INVALID_CS_RELATION                   9233
#define NC_INVALID_TP_NAME                    9234
#define NO_LS_TO_CS_LINK_LOCAL                9235
#define NO_OS_TO_LS_TO_CS_LINK_LOCAL          9236
/****************************************************/

/***** Overflow         ** 9251-9699 *************/
/*************************************************/
#define RC_PWUE_UNEXPECTED_ERROR                  9650


/*************************************************/
/*************************************************/
/***  INTERCHANGE ERROR Begin 9400-9499     ******/
/*************************************************/
/***** Interchange Error End ** 9400-9499 ******************/
#define INT_ATTR_OR_CLASS_CREATED             9401
#define INT_INSUFFICIENT_DATA                 9402
#define INT_INCORRECT_DATA                    9403
#define INT_CIF_NOT_OPENED                    9404
#define INT_ALREADY_AT_TOP_LEVEL              9405
#define INT_NOT_ALL_EXPORT_ITEMS_ENDED        9406
#define INT_DOC_IN_DOC_NOT_ALLOWED            9407
#define INT_OBJ_IN_FOLDER_NOT_ALLOWED         9408
#define INT_ERROR_IN_CIF                      9409
#define INT_INCORRECT_LEVEL_IN_CIF            9410
#define INT_REQUIRED_FIELD_MISSING            9411
#define INT_INCORRECT_DATA_IN_CIF             9412
#define INT_MEMORY_ALLOCATION_ERROR           9413
#define INT_UNEXPECTED_END_OF_CIF             9414
#define INT_DISK_FULL_ERROR                   9415
#define INT_GET_SYSTEM_SNAPSHOT_FAILED        9416
#define INT_GET_USER_SNAPSHOT_FAILED          9417
#define INT_GET_NOTES_FAILED                  9418
#define INT_GET_FOLDER_TOC_FAILED             9419
#define INT_GET_DOCUMENT_TOC_FAILED           9420
#define INT_OPEN_OBJECT_FAILED                9421
#define INT_GET_OBJECT_FILENAME_FAILED        9422
#define INT_CLOSE_OBJECT_FAILED               9423
#define INT_GET_ATTR_INFO_FAILED              9424
#define INT_GET_CLASS_INFO_FAILED             9425
#define INT_CREATE_ITEM_FAILED                9426
#define INT_READ_OBJECT_FAILED                9427
#define INT_CREATE_OBJECT_FAILED              9428
#define INT_INVALID_ATTRIBUTE                 9429
#define INT_INVALID_CLASS                     9430
#define INT_ALLOCATE_ATTRIBUTE_MEMORY         9431
#define INT_ALLOCATE_NOTE_MEMORY              9432
#define INT_ALLOCATE_NOTE_ATTRIBUTE           9433
#define INT_ALLOCATE_OBJECT_BUFFER            9434
#define INT_ALLOCATE_OBJECT_ATTRIBUTE         9435
#define INT_ALLOCATE_NEWIDS_FAILED            9436
#define INT_ALLOCATE_SAVEITEMS                9437
#define INT_QUERY_OBJECT_FAILED               9438
#define INT_ADD_FOLDER_ITEM_FAILED            9439
#define INT_LIST_CLASSES_FAILED               9440
#define INT_MEMORY_FREEUP_FAILED              9441
#define INT_CLASS_ATTRS_LIMIT_EXCEEDED        9442
#define INT_CLOSE_TOC_FAILED                  9443
#define INT_WRITE_OBJECT_FAILED               9444
#define INT_ADD_AFF_OBJECT_FAILED             9445
#define INT_GET_ITEM_TYPE_FAILED              9446
#define INT_TOO_MANY_ATTRIBUTES               9447
#define INT_TOO_MANY_ITEMS                    9448
#define INT_TOO_MANY_CLASSES                  9449
#define INT_INVALID_ITEM_TYPE                 9450
#define INT_OPEN_FAILURE                      9451
#define INT_INVALID_ATTRIBUTE_TYPE            9452

/*************************************************/
/***** LBOS Error Begin ** 9700-9999 *************/
/*************************************************/
/*                                                9700 */
/*                                                9701 */
#define LBSERR_DUPLICATE_MGTTRANSITION            9712
#define ERRORSMS_SERVER_SHUTDOWN_FAILURE          9713
#define ERRORSMS_SERVER_RESPONSE_FAILURE          9714
#define ERRORSMS_WINDOW_CREATE_FAILED             9715
#define LBSERR_SERVER_INIT_FAILURE                9716
#define LBSERR_STAGE_INIT_FAILURE                 9717
#define LBSERR_DATABASE_INIT_FAILURE              9718
#define LBSERR_CONSUMER_INIT_FAILURE              9719
#define LBSERR_TABLE_INIT_FAILURE                 9720
#define LBSERR_DORMANT_PROCESS_PROD_FAILURE       9721
#define LBSERR_DOS_FUNCTION                       9722
#define LBSERR_RECOV_OBJECT_CORRUPTED             9723
#define LBSERR_RECOV_MOUNT_VOLUME                 9724
#define LBSERR_RECOV_FILE_COPY                    9725
#define LBSERR_RECOV_GET_FILE_SIZE                9726
#define LBSERR_RECOV_SET_FILE_SIZE                9727
#define LBSERR_RECOV_SET_FILE_ATTRIBUTES          9728
#define LBSERR_RECOV_DELETE_FILE                  9729
#define LBSERR_RECOV_STAGE_FILE_COLLECTION        9730
#define LBSERR_RECOV_STAGE_FILE_NAME              9731
#define LBSERR_RECOV_RENAME_FILE                  9732
#define ERRORSMS_ADSM_MANAGEMENT_CLASS_ERROR      9733
#define LBSERR_ADSM_MGMT_CLASS_NOT_FOUND          9734
#define LBSERR_ADSM_MGMT_CLASS_OFFLINE            9735
#define LBSERR_ADSM_INVALID_API_VERSION           9736
#define LBSERR_ADSM_FILE_EXISTS                   9737
#define LBSERR_ADSM_OBJECT_LOCKED                 9738
/*                                                9739 */
#define LBSERR_ADSM_API_FAILURE                   9740
#define LBSERR_RECOVER_ADSM_FUNC                  9741
#define LBSERR_CMNF_API_FAILURE                   9742
#define LBSERR_SUSPEND_WRITE_ERROR_VOL            9743  // 36844 CL
#define LBSERR_STAGE_SPACE_REDUCED                9744
#define LBSERR_DB_AUTO_UPDATE_FAILED              9745  // 10896 CL
/*                                                9746 */
/*                                                9747 */
/*                                                9748 */
/*                                                9749 */
#define LBSERR_SYSTEM_HAS_RECOVERED               9750
#define LBSERR_MNT_DLL_INIT_FAILED                9751
#define LBSERR_MIGRATE_INVALID_SMSINFO            9752
#define LBSERR_ERROR_STARTING_THREAD              9753
#define LBSERR_SYSTEM_CANNOT_RECOVER              9754
#define LBSERR_DEV_MGR_DLL_NOT_FOUND              9755
#define LBSERR_OPEN_FILE_LIMIT_REACHED            9756
#define LBSERR_INVALID_DEV_MGR_DLL                9757
#define LBSERR_DEV_MGR_FUNC_NOT_FOUND             9758
#define LBSERR_DEV_MGR_INITS_FAILED               9759
#define LBSERR_CANNOT_SUPPORT_DRIVES              9760
#define LBSERR_DEV_MGR_DLL_NOT_CONFIGURE          9761
#define LBSERR_CONFIG_DM_INFO_NOT_FOUND           9762
#define LBSERR_DEV_MGR_CANNOT_MOUNT_VOL           9763
#define LBSERR_TABLE_CANNOT_BE_LOCKED             9764
#define LBSERR_DEVICE_NOT_AVAILABLE               9765
#define LBSERR_DEV_MGR_VOL_ENTRY_NOT_FND          9766
#define LBSERR_VOLUME_OFFLINE                     9767
#define LBSERR_MOUNT_LIMIT_REACHED                9768
#define LBSERR_SEMAPHORE_LIMIT_REACHED            9769
#define LBSERR_INVALID_STORAGE_CLASS              9770
#define LBSERR_MOUNT_CANNOT_BE_DONE_NOW           9771
#define LBSERR_LL_LIST_HANDLE                     9772
#define LBSERR_LL_LIST_HANDLE_PTR                 9773
#define LBSERR_LL_SEARCH_KEY_PTR                  9774
#define LBSERR_LL_SEARCH_KEY_LENGTH               9775
#define LBSERR_LL_LIST_EMPTY                      9776
#define LBSERR_LL_RECORD_NOT_FOUND                9777
#define LBSERR_LL_LIST_ALREADY_LOCKED             9778
#define LBSERR_LL_NO_MORE_RECORDS                 9779
#define LBSERR_LL_NO_PREV_RECORDS                 9780
#define LBSERR_LL_LIST_NOT_UNLOCKED               9781
#define LBSERR_LL_LIST_NOT_LOCKED                 9782
#define LBSERR_LL_CANNOT_RESET_LIST               9783
#define LBSERR_DEV_MGR_MOUNTER_NOT_TOLD           9784
#define LBSERR_NETWORK_FAILURE                    9785
#define LBSERR_DEV_MGR_REQUEST_BUSY               9786
#define LBSERR_INVALID_STARVE_TIME_PARM           9787
#define LBSERR_MAX_DBM_APPLS_EXCEEDED             9788
#define ERRORSMS_NOT_AUTHORIZED                   9789
#define ERRORSMS_INVALID_ATTRIBUTES               9790
#define LBSRCOD_INVALID_OBJECT_STATUS             9791
#define LBSERR_MIGRATE_ORDER                      9792
#define LBSERR_OBJECT_SERVER_ERROR                9793
#define LBSERR_OBJECTSERVER_INVALID               9794
#define LBSERR_LIBRARYPATRON_INVALID              9795
#define LBSERR_LIBRARYSERVER_TABLE_INVALID        9796
#define LBSERR_INVALID_LISTBOXMSGS                9797
#define LBSRCOD_MOUNT_DELETED                     9798
#define LBSERR_OBJECT_NOT_FOUND                   9799
#define LBSERR_ATTEMPT_INIT                       9800
#define LBSERR_ATTEMPT_TERM                       9801
#define LBSERR_SERVER_ALREADY_ACTIVE              9802
#define LBSERR_BIND_FAILURE                       9803
#define LBSERR_FRNROOT_UNDEFINED                  9804
#define LBSERR_CREATE_DIR_FAILURE                 9805
#define LBSERR_ISOLATOR_INIT_FAILURE              9806
#define LBSERR_INITIALIZATION_COMPLETE            9807
#define LBSERR_TERMINATION_COMPLETE               9808
#define LBSERR_ALLOCATE_MEMORY                    9809
#define LBSERR_DEALLOCATE_MEMORY                  9810
#define LBSERR_CREATE_DIR                         9811
#define LBSERR_REMOVE_DIR                         9812
#define LBSERR_START_SESSION                      9813
#define LBSERR_STOP_SESSION                       9814
#define LBSERR_FILENAME                           9815
#define LBSERR_COPY_FILE                          9816
#define LBSERR_DEALLOCATE_CONTROL                 9817
#define LBSERR_ACCESS_DATE                        9818
#define LBSERR_STAGE_SPACE                        9819
#define LBSERR_VOLUME_SPACE                       9820
#define LBSERR_MOUNT_VOLUME                       9821
#define LBSERR_FIND_FILES                         9822
#define LBSERR_FIND_CLOSE                         9823
#define LBSERR_DISMOUNT_VOLUME                    9824
#define LBSERR_GENERATE_FILE                      9825
#define LBSERR_VOLUME_DIRS                        9826
#define LBSERR_PENDING_ACTION                     9827
#define LBSERR_SELECT_VOLUME                      9828
#define LBSERR_STAGE_OBJECT                       9829
#define LBSERR_ENTER_FUNCTION                     9830
#define LBSERR_EXIT_FUNCTION                      9831
#define LBSERR_DISK_SPACE                         9832
#define LBSERR_ISO_CONNECT                        9833
#define LBSERR_ISO_DISCONNECT                     9834
#define LBSERR_ISO_INITSERV                       9835
#define LBSERR_ISO_ENDSERV                        9836
#define LBSERR_ISO_INITCLIENT                     9837
#define LBSERR_ISO_ENDCLIENT                      9838
#define LBSERR_ISO_SEND                           9839
#define LBSERR_ISO_RECEIVE                        9840
#define LBSERR_ISO_ALLOC                          9841
#define LBSERR_ISO_DEALLOC                        9842
#define LBSERR_ISO_PASSINIT                       9843
#define LBSERR_ISO_REJECTINIT                     9844
#define LBSERR_MOUNTER_INIT_FAILURE               9845
#define LBSERR_DESTAGER_INIT_FAILURE              9846
#define LBSERR_PURGER_INIT_FAILURE                9847
#define LBSERR_MIGRATOR_INIT_FAILURE              9848
#define LBSERR_SEMAPHORE                          9849
#define LBSERR_START_INIT                         9850
#define LBSERR_START_TERM                         9851
#define LBSERR_DESTAGE_FILES                      9852
#define LBSERR_DESTAGE_OBJECT                     9853
#define LBSERR_DESTAGE_COMPLETE                   9854
#define LBSERR_MIGRATE_OBJECTS                    9855
#define LBSERR_MIGRATE_OBJECT_MGT_CLASS           9856
#define LBSERR_MIGRATE_OBJECT_STG_CLASS           9857
#define LBSERR_MIGRATE_OBJECT_STAGE_AREA          9858
#define LBSERR_MIGRATE_OBJECT_ACTION_DATE         9859
#define LBSERR_MIGRATE_OBJECT_DISCARD             9860
#define LBSERR_DATABASE_ERROR                     9861
#define LBSERR_INVALID_CONFIGURATION_ID           9862
#define LBSERR_INVALID_NUM_PROCESSORS             9863
#define LBSERR_INVALID_LIBRARY_TIMEOUT            9864
#define LBSERR_INVALID_CLIENT_TIMEOUT             9865
#define LBSERR_INVALID_PURGER_TIMEOUT             9866
#define LBSERR_INVALID_MOUNT_TIMEOUT              9867
#define LBSERR_INVALID_PURGER_CYCLE               9868
#define LBSERR_INVALID_DESTAGER_CYCLE             9869
#define LBSERR_INVALID_STAGE_BATCH_SIZE           9870
#define LBSERR_INVALID_MIGRATION_BATCH_SIZE       9871
#define LBSERR_INVALID_OBJECT_PATH                9872
#define LBSERR_RECOVERY_REQUIRED                  9873
#define LBSERR_INVALID_PARAMETER                  9874
#define LBSERR_LIBRARY_SERVER_ERROR               9875
#define LBSERR_INVALID_STAGE_FILENAME             9876
#define LBSERR_INVALID_STORAGECLASS               9877
#define LBSERR_INVALID_MGTCLASS                   9878
#define LBSERR_INVALID_MGTTRANSITION              9879
#define LBSERR_INVALID_COLLECTION                 9880
#define LBSERR_INVALID_VOLUME                     9881
#define LBSERR_VOLUME_UNAVAILABLE                 9882
#define LBSERR_FILE_ACCESS_FAILURE                9883
#define LBSERR_INVALID_OBJECT_STATUS              9884
#define LBSERR_TIME_UNAVAILABLE                   9885
#define LBSERR_INSUFFICIENT_MEMORY                9886
#define LBSERR_INSUFFICIENT_DISK_SPACE            9887
#define LBSERR_SPAWN_FAILURE                      9888
#define LBSERR_ISO_SESSION_FAILURE                9889
#define LBSERR_FILENAME_GENERATION_FAILURE        9890
#define LBSERR_PROCESSOR_PROD_FAILURE             9891
#define LBSERR_PROCESSOR_CONS_FAILURE             9892
#define LBSERR_INTERNAL_FAILURE                   9893
#define LBSERR_INVALID_STAGE_PATH                 9894
#define LBSERR_INVALID_TRANSITION_PERIOD          9895
#define LBSERR_INVALID_TARGET_TRANSITIONID        9896
#define LBSERR_INVALID_STAGE_CYCLE                9897
#define LBSERR_INVALID_DAYS_SINCE_ENTERED         9898
#define LBSERR_INVALID_STAGE_SIZE                 9899
#define LBSERR_INVALID_STAGE_PERCENT_START        9900
#define LBSERR_INVALID_STAGE_PERCENT_STOP         9901
#define LBSERR_INVALID_STAGE_SERVER_ACTIVE        9902
#define LBSERR_INVALID_MIGRATOR_CYCLE             9903
#define LBSERR_INVALID_VOLUME_SUBDIR_BUCKETS      9904
#define LBSERR_INVALID_VOLUME_STATUS              9905
#define LBSERR_INVALID_MIGRATOR_START_TIME        9906
#define LBSERR_INVALID_MIGRATION_DURATION         9907
#define LBSERR_VOLUME_STATUS_ERROR                9908
#define LBSERR_MGTTRANSITIONS_NOT_FOUND           9909
#define LBSERR_STGGRPCLASSES_NOT_FOUND            9910
#define LBSERR_STGCLASS_VOLUMES_NOT_FOUND         9911
#define LBSERR_VOLUME_TABLE_EMPTY                 9912
#define LBSERR_STORAGEGROUP_TABLE_EMPTY           9913
#define LBSERR_MGTCLASS_TABLE_EMPTY               9914
#define LBSERR_INVALID_STGGRP_VOLUME              9915
#define LBSERR_SQL_DEADLOCK                       9916
#define LBSERR_ISO_NET_SERVER                     9917
#define LBSERR_STORE_ORDER                        9918
#define LBSERR_RETRIEVE_ORDER                     9919
#define LBSERR_DISCARD_ORDER                      9920
#define LBSERR_REPLACE_ORDER                      9921
#define LBSERR_MOVE_ORDER                         9922
#define LBSERR_SMS_ORDER                          9923
#define LBSRCOD_OBJECT_NOT_FOUND                  9924
#define LBSRCOD_OBJECT_SEND_FAILURE               9925
#define LBSRCOD_OBJECT_RECEIVE_FAILURE            9926
#define LBSRCOD_OBJECT_ACCESS_FAILURE             9927
#define LBSRCOD_INSUFFICIENT_MEMORY               9928
#define LBSRCOD_SQL_ERROR                         9929
#define LBSRCOD_OBJECT_WRITE_FAILURE              9930
#define LBSRCOD_INVALID_ORDER_TYPE                9931
#define LBSRCOD_COMMUNICATIONS_ERROR              9932
#define LBSRCOD_INVALID_COLLECTION                9933
#define LBSRCOD_INVALID_MGTCLASS                  9934
#define LBSRCOD_MOUNTER_ERROR                     9935
#define LBSRCOD_VOLUME_NOT_MOUNTED                9936
#define LBSRCOD_OBJECT_DISCARDED                  9937
#define LBSRCOD_SOURCE_TARGET_CONFLICT            9938
#define LBSRCOD_INVALID_STORAGECLASS              9939
#define LBSRCOD_INTERNAL_LOGIC_ERROR              9940
   /* SMS Errror Codes */
#define ERRORSMS_INVALID_LIBRARY_SERVER           9941
#define ERRORSMS_INVALID_REMOTE_SERVER            9942
#define ERRORSMS_INVALID_OBJECT_SERVER            9943
#define ERRORSMS_INVALID_RETENTION                9944
#define ERRORSMS_ACTIVE_CONFIGURATION             9945
#define ERRORSMS_COULD_NOT_COPY_FILES             9946
#define ERRORSMS_INVALID_DIRECTORY                9947
#define ERRORSMS_SERVER_SYSTEM_FAILURE            9948
#define ERRORSMS_INVALID_PATH                     9949
#define ERRORSMS_INVALID_PRCSTRUCT                9950
#define ERRORSMS_COULD_NOT_LOCK_SEMAPHORE         9951
#define ERRORSMS_COULD_NOT_UNLOCK_SEMAPHORE       9952
#define ERRORSMS_LBOS_COMM_FAILURE                9953
#define ERRORSMS_ENTITY_ASSOCIATED                9954
#define ERRORSMS_INVALID_MOUNTTIMEOUT             9955
#define ERRORSMS_LBOS_FAILURE_PROCESSING          9956
#define ERRORSMS_INVALID_ASSOC_NAME               9957
#define ERRORSMS_ALREADY_ASSOCIATED               9958
#define ERRORSMS_INVALID_PASSWORD                 9959
#define ERRORSMS_INVALID_ENTITYTYPE               9960
#define ERRORSMS_INVALID_USERID                   9961
#define ERRORSMS_INVALID_PASYNCCTL                9962
#define ERRORSMS_INVALID_VALIDATION               9963
#define ERRORSMS_DOESNOT_EXIST                    9964
#define ERRORSMS_INVALID_PENTITYINFO              9965
#define ERRORSMS_INVALID_HLBOS                    9966
#define ERRORSMS_INVALID_SUBDIRS_AMOUNT           9967
#define ERRORSMS_NOT_ASSOCIATED                   9968
#define ERRORSMS_OUT_OF_MEMORY                    9969
#define ERRORSMS_LBOS_STILL_UP                    9970
#define ERRORSMS_INVALID_FREESPACE_SIZE           9971
#define ERRORSMS_SEMAPHORE_NOT_CLOSED             9972
#define ERRORSMS_INVALID_STATUS_DEFINED           9973
#define ERRORSMS_INVALID_TRANSITION_PERIOD        9974
#define ERRORSMS_INVALID_MAXIMUM_PROCESS          9975
#define ERRORSMS_INVALID_ASSOC_ENTITYTYPE         9976
#define ERRORSMS_INVALID_VALIDATION_NAME          9977
#define ERRORSMS_INVALID_NAME                     9978
#define ERRORSMS_SMSSERVER_NOT_UP                 9979
#define ERRORSMS_REFERENCE_BY_OBJECT              9980
#define ERRORSMS_SQL_FAILURE                      9981
#define ERRORSMS_REFERENTIAL_INTEG_VIOLATION      9982
#define ERRORSMS_ENTITY_ALREADY_EXIST             9983
#define ERRORSMS_NOT_DISASSOCIATED                9984
#define ERRORSMS_INFORMATION_NOT_AVAILABLE        9985
#define ERRORSMS_SEMAPHORE_NOT_CREATED            9986
#define ERRORSMS_COULD_NOT_FREE_MEMEORY           9987
#define ERRORSMS_INVALID_MGTTRANSITIONS           9988
#define ERRORSMS_INVALID_STORAGECLASS             9989
#define ERRORSMS_INVALID_MANAGEMENT_CLASS         9990
#define ERRORSMS_REF_BY_COLLECTION                9991
#define ERRORSMS_ASYNC_PROCESS_FAILED             9992
#define ERRORSMS_INVALID_VOLUME                   9993
#define ERRORSMS_INVALID_DEVMGR                   9994
#define ERRORSMS_INVALID_COLLECTION               9995
#define ERRORSMS_INVALID_STAGER_SIZE              9996
#define ERRORSMS_INVALID_STORAGEGROUP             9997
#define ERRORSMS_INVALID_CONTROL                  9998
#define LBSRCOD_VOLUME_INIT_ERROR                 9999
/***** LBOS Error End ** 9700-9999 ******************/

/*************************************************/
/* 9200-9699 OVERFLOW ERROR NUMBERS IF NEEDED  ****/
/*************************************************/

#ifdef AIX
static char *CopyRight = "5648-A08 (C) Copyright IBM Corp. 1994, 1996";
static char *CopyRightVI = "5697-250 (C) Copyright IBM Corp. 1994, 1996";
#endif

#endif
