/*BEGINPROLOGUE***************************************************/
/*                                                               */
/* MODULE: frnpfi2.h                                             */
/*                                                               */
/* COPYRIGHT:                                                    */
/* ----------                                                    */
/* Digital Library Version 1 - 5648-A08.                         */
/* VisualInfo Version 2 Release 2.0 - 5697-250.                  */
/* (C) Copyright IBM Corp., 1994, 1996.  All Rights Reserved     */
/*                                                               */
/* US Government Users Restricted Rights                         */
/* Use, duplication or disclosure restricted by GSA ADP Schedule */
/* Contract with IBM Corp.  Licensed Materials - Property of IBM */
/*                                                               */
/*                                                               */
/* Description: frnpfi2.h  - this include is used by programs    */
/*                           calling the Object Index Mgr APIs   */
/*                                                               */
/* Dependencies:                                                 */
/* Restrictions:                                                 */
/*                                                               */
/*                                                               */
/* Notes:                                                        */
/* 07/19/95  Tom Lee changed OBJSERVINFOSTRUCT for MVS TCPIP     */
/*                   support                                     */
/* 07/19/95  Ivy Yu  changed  Ip2DefineObjServ structure         */
/*                           for mvs tcpip support               */
/* 06/21/96  Tom Lee F1547 Added Advanced Search authority 179   */
/*ENDPROLOGUE*****************************************************/

#ifndef FRNPFI2
#define FRNPFI2 1

//
// The following is to support C++ compilers
//
#ifdef __cplusplus
   extern "C" {
#endif

/*
 * Common definitions
 */

#include "frnplcli.h"
#include "frnpfi.h"

/*
 * structure packing
 */
#pragma pack(1)


/*
 * Patron/userid name length and password length
 */
#ifndef OIM_MINIMUM_USERID_LENGTH
   #define OIM_MINIMUM_USERID_LENGTH       1
   #define OIM_MAXIMUM_USERID_LENGTH       8
   #define OIM_MAX_PASSWORD_LENGTH         8
#endif

/*
 * Special semantic types that are non-CAPI
 */
#define OIM_SEMTYPE_VIEWITEM   2080    // item is an index class view def
#define OIM_SEMTYPE_CLASSITEM  2112    // item is an index class def
#define OIM_SEMTYPE_CONTENTCLASS_ITEM 4096  // item is a content class def

/*
 * History Log Entry Types
 */
#define OIM_EVENT_END_WORKFLOW               1
#define OIM_EVENT_START_WORKFLOW             2
#define OIM_EVENT_ROUTE_WIP_ITEM             3
#define OIM_EVENT_CHANGE_WORKFLOW            4
#define OIM_EVENT_REMOVE_FROM_WORKFLOW       5
#define OIM_EVENT_COMPLETE_WORKFLOW          6
#define OIM_EVENT_CHECK_IN                   7
#define OIM_EVENT_CHECK_OUT                  8
#define OIM_EVENT_ADD_WB_ITEM                9
#define OIM_EVENT_REMOVE_WB_ITEM             10
#define OIM_EVENT_SET_WB_ITEM_PRIORITY       11
#define OIM_EVENT_SUSPEND_ITEM               12
#define OIM_EVENT_SUSPEND_ITEM_TIME          13
#define OIM_EVENT_SUSPEND_ITEM_ANY_CLASS     14
#define OIM_EVENT_SUSPEND_ITEM_ALL_CLASS     15
#define OIM_EVENT_ACTIVATE_ITEM              16
#define OIM_EVENT_ACTIVATE_ITEM_TIME         17
#define OIM_EVENT_ACTIVATE_ITEM_ANY_CLASS    18
#define OIM_EVENT_ACTIVATE_ITEM_ALL_CLASS    19
 /* start, change workflow on a workflow that has its events discarded */
#define OIM_EVENT_START_WORKFLOW_DISCARD     20
#define OIM_EVENT_CHANGE_WORKFLOW_DISCARD    21
/* add separator */
#define OIM_EVENT_START_OIMHL_SEPARATOR      22
#define OIM_EVENT_START_ENDWF_SEPARATOR      23
/* User events */
#define OIM_EVENT_USER_PRINTREADY_START      500
#define OIM_EVENT_USER_NONPRINTREADY_START   5000


/*
 * WIP Item status
 */
#define OIM_ITEMS_NOT_IN_WORKFLOW            1
#define OIM_CURRENT_WORKFLOW_ITEMS           2  /* set by start wf */
#define OIM_COMPLETED_WORKFLOW_ITEMS         4  /* set by exp time util */
#define OIM_CANCELLED_WORKFLOW_ITEMS         8  /* set by remove wf */
#define OIM_FINISHED_WORKFLOW_ITEMS         16  /* set by complete wf */

#define OIM_ITEMS_SUSPENDED                 32
#define OIM_ITEMS_NOT_SUSPENDED             64

#define OIM_VALID_WIP_OPTIONS OIM_ITEMS_NOT_IN_WORKFLOW    | \
                              OIM_CURRENT_WORKFLOW_ITEMS   | \
                              OIM_COMPLETED_WORKFLOW_ITEMS | \
                              OIM_CANCELLED_WORKFLOW_ITEMS | \
                              OIM_FINISHED_WORKFLOW_ITEMS  | \
                              OIM_ALL

#define OIM_ALL                            128

#define OIM_ROLLBACK                         1
#define OIM_COMMIT                           2

#define OIM_LEVEL_1_UPDATE                   1  /* TOC control */
#define OIM_LEVEL_2_UPDATE                   2

#define OIM_OBJECT                           1
#define OIM_MEMORY                           2
#define OIM_FILE                             3

#define OIM_UPDATE_PRIVILEGE_VEC             1
#define OIM_UPDATE_PRIVILEGE_DESC            2
#define OIM_UPDATE_PRIVILEGE_BOTH            4

#define OIM_UPDATE_USER_PASSWORD             UPDATE_PATRON_PASSWORD
#define OIM_UPDATE_USER_PATRONPRIV           UPDATE_PATRON_PATRONPRIV
#define OIM_UPDATE_USER_DFLTITEMACL          UPDATE_PATRON_DFLTITEMACL
#define OIM_UPDATE_USER_DFLTITEMOWNER        UPDATE_PATRON_DFLTITEMOWNER
#define OIM_UPDATE_USER_SECURITY             UPDATE_PATRON_SECURITY
#define OIM_UPDATE_USER_DFLTSECURITY         UPDATE_PATRON_DFLTSECURITY
#define OIM_UPDATE_USER_OBJSERV              UPDATE_PATRON_OBJSERV
#define OIM_UPDATE_USER_SMSCOLL              UPDATE_PATRON_SMSCOLL
#define OIM_UPDATE_USER_NEWNAME              UPDATE_PATRON_NEWNAME

#define OIM_PATRON_TYPE_PUBLIC              0  /* creating user */
#define OIM_PATRON_TYPE_OWNER               1
#define OIM_PATRON_TYPE_GROUP               2
#define OIM_PATRON_TYPE_USER                3
#define OIM_LIST_FOR_ITEM                   0
#define OIM_LIST_FOR_VIEW                   1

/*
 * System attribute defines
 */
#define OIM_SYSTEM_ATTR_BASE                 0XF000
#define OIM_ID_ATTR_END                      -1
#define OIM_ID_UID                           OIM_SYSTEM_ATTR_BASE
#define OIM_ID_SUPER_CLASS                   OIM_SYSTEM_ATTR_BASE +  1
#define OIM_ID_CLASS                         OIM_SYSTEM_ATTR_BASE +  2
#define OIM_ID_WORKFLOW                      OIM_SYSTEM_ATTR_BASE +  3
#define OIM_ID_RELEASE_TYPE                  OIM_SYSTEM_ATTR_BASE +  4
#define OIM_ID_CHECKOUT                      OIM_SYSTEM_ATTR_BASE +  5
#define OIM_ID_WIP_STATUS                    OIM_SYSTEM_ATTR_BASE +  6
#define OIM_ID_ADD_REM_TIMESTAMP             OIM_SYSTEM_ATTR_BASE +  7
#define OIM_ID_SYS_MOD_TIMESTAMP             OIM_SYSTEM_ATTR_BASE +  8
#define OIM_ID_ITEM_CREATE_TIMESTAMP         OIM_SYSTEM_ATTR_BASE +  9
#define OIM_ID_ITEM_NAME                     OIM_SYSTEM_ATTR_BASE +  10

/* Content class ranges. New user content classes start at 4097 */

#define IBM_FIRST_ID1                            1
#define IBM_LAST_ID1                          4096
#define USR_FIRST_ID                          4097
#define USR_LAST_ID                          32767

// Defines for usContentClsType in Ip2ListContentClasses
#define    OIM_SA_ALL_CC      0  // List IBM and user defined content classes
#define    OIM_SA_IBM_CC      1  // List only IBM defined content classes
#define    OIM_SA_USR_CC      2  // List only user defined content classes

/*
 * Attribute operations defines
 */
#define OIM_ATTR_CHANGE_NAME                0
#define OIM_ATTR_CHANGE_ALL                 1

/*
 * Access list actions
 */
#define OIM_ADD_ACL                          1
#define OIM_MODIFY_ACL                       2
#define OIM_DELETE_ACL                       3

/*
 * Object Server Action (used by Ip2DefineObjServ)
 */
#define OIM_ADD_OBJSERV             ACTION_ADD
#define OIM_DELETE_OBJSERV          ACTION_DELETE
#define OIM_MODIFY_OBJSERV          ACTION_UPDATE

/*
 * Object Server Collection Action (used by Ip2DefineObjServCol)
 */
#define OIM_ADD_OBJSERVCOL          ACTION_ADD
#define OIM_DELETE_OBJSERVCOL       ACTION_DELETE
#define OIM_MODIFY_OBJSERVCOL       ACTION_UPDATE

/*
 * Natural language actions
 */
#define OIM_ADD_NATLANG             ACTION_ADD
#define OIM_DELETE_NATLANG          ACTION_DELETE
#define OIM_MODIFY_NATLANG          ACTION_UPDATE

/****************************************/
/* Privilege bit settings               */
/****************************************/
#define ALL_PRIVS  "ALLPRIVILEGESACL"
/****************************************/
/* Base Privilege Defines               */
/****************************************/

#define OIM_SCAN                        1
#define OIM_PRINT                       2
#define OIM_FAXIN                       3
#define OIM_FAXOUT                      4
#define OIM_IMPORT                      5
#define OIM_EXPORT                      6
#define OIM_OCR                         7
#define OIM_FILEROOM                    8


/****************************************/
/* SysAdmin defines                     */
/****************************************/

#define OIM_SUPER_ADMIN               100
#define OIM_USER_ID                   101
#define OIM_USER_GROUPS               102
#define OIM_PRIV_SET                  103
#define OIM_ACL                       104
#define OIM_SA_WORKBASKET             105
#define OIM_SA_WORKFLOW               106
#define OIM_ATTRS                     107
#define OIM_CLASS                     108
#define OIM_VIEW                      109
#define OIM_SMS                       110
#define OIM_CC                        111
#define OIM_LIB_SERV_CONFIG           112
#define OIM_LIB_SERV_BACKUP           113
#define OIM_LBOS_BACKUP               114
#define OIM_SNAPSHOT_ALL              115

/****************************************/
/* Server defines                       */
/****************************************/

#define OIM_SERVER                    130
#define OIM_SA_SMS                    135
#define OIM_FAXSERVER                 136

/****************************************/
/* private defines - user               */
/****************************************/

#define OIM_SA_USER                   140

#define OIM_CREATE_ITEMS              150
#define OIM_DELETE_ITEMS              151
#define OIM_SUSP_AND_ACTIVATE_ITEMS   152
#define OIM_CHECK_IN_OUT_ITEMS        153
#define OIM_SEARCH_INDEX_INFO         154
#define OIM_UPDATE_AVT_INFO           155
#define OIM_CHANGE_INDEX_CLASS        156
#define OIM_READ_NOTELOG              157
#define OIM_ADD_NOTE_TO_NOTELOG       158
#define OIM_UPDATE_NOTELOG            159
#define OIM_READ_HISTORY              160
#define OIM_READ_TOC                  161
#define OIM_LINK_ITEMS                162
#define OIM_REMOVE_LINKS              163
#define OIM_READ_BASE_PART            164
#define OIM_UPDATE_BASE_PART          165
#define OIM_ADD_NEW_BASE_PART         166
#define OIM_DELETE_BASE_PART          167
#define OIM_READ_WORKBASKET           168
#define OIM_ADD_ITEMS_TO_WB           169
#define OIM_REMOVE_ITEMS_TO_WB        170
#define OIM_CHANGE_ITEMS_TO_WB        171
#define OIM_ADD_ITEMS_TO_WF           172
#define OIM_REMOVE_ITEMS_TO_WF        173
#define OIM_CHANGE_ITEMS_TO_WF        174

/****************************************/
/* Defines for utility                  */
/****************************************/
#define OIM_DB_UTILITY                175
#define OIM_LICENSE                   176
#define OIM_SA_NLS                    177
#define OIM_SA_OBJSERV                178

/***************************************/
/* Defines advanced search privilege   */
/***************************************/
#define OIM_ADV_SEARCH                179 

/* Defines related to object server information */

#define OIM_OBJSERVNAME_LENGTH 26
#define OIM_OBJSERVTXN_LENGTH 4
#define OIM_OBJSERVHLQ_LENGTH 8
#define OIM_OBJSERVSYSID_LENGTH 4

#define OIM_OBJSERVCOMM_APPC    0
#define OIM_OBJSERVCOMM_TCPIP    1
#define OIM_OBJSERVADDR_LENGTH  64

/* Defines related to object server information */

#define OIM_PRIVNAME_LENGTH 26

/*
 * OIM TypeDefs
 */

/*
 * Release Criteria Structure
 */

/* Defines for usReleaseType in RELCRITERIASTRUCT */
#define OIM_NO_CRITERIA         0
#define OIM_SUSP_TIME_ONLY      1
#define OIM_SUSP_ANY_CLASS      2
#define OIM_SUSP_ALL_CLASS      3
#define OIM_NOT_SUSPENDED       4

typedef struct _RELCRITERIASTRUCT {
   ULONG             ulStruct;        // size
   USHORT            usReleaseType;   // Release criteria type
   ITEMID            itemidDeadlineWB;// WB for time suspension criteria
   TIMESTAMP         tsExpDateTime;   // Time suspension expiration date/time
   ITEMID            itemidReadyWB;   // WB for awaited class criteria
   USHORT            usNumAwaitedClasses;
                                      // Number of classes in pusAwaitedClasses
   PUSHORT           pusAwaitedClasses;
                                      // Awaited classes IDs array
   } RELCRITERIASTRUCT, *PRELCRITERIASTRUCT;

/*
 * Access list summary structure
 */
#define ACCESS_LIST_DESC_SIZE    255

typedef struct _ACCESSLISTSUMMARY
{
   ULONG    ulStruct;        // size
   ULONG    ulACLID;         // ACL ID
   CHAR     chAccessListName[ACCESS_LIST_NAME_SIZE + 1];
   CHAR     chAccessListDesc[ACCESS_LIST_DESC_SIZE + 1];
#ifdef __WIN16__
   LONG     iACLRecordCount;
#else
   INT      iACLRecordCount;
#endif
   PVOID    pAccessData;
} ACCESSLISTSUMMARY, *PACCESSLISTSUMMARY;

/*
 * Access list row command structure
 */
typedef struct _ACCESSDATA {
   ULONG       ulStruct;        // size
   ULONG       ulRowCommand;
#ifdef __WIN16__
   LONG        usPatronType;
#else
   USER_KIND   usPatronType;
#endif
   CHAR        chPatron[PATRON_ID_SIZE];
   CHAR        chPrivName[PUB_ACCESS_SIZE];
} ACCESSDATA, *PACCESSDATA;

/*
 * Index class/view operations defines
 */
#define OIM_CLASS_CHANGE_NAME               0
#define OIM_CLASS_CHANGE_ALL                1
#define OIM_CLASS_CHANGE_ALL_BUT_ATTR       2

/*
 * Index class/view ACL source defines
 */
#define OIM_USER                            ACLUSE_USER
#define OIM_PATRON                          ACLUSE_PATRON
#define OIM_INDEXCLASS                      ACLUSE_INDEXCLASS
#define OIM_CONTROL                         ACLUSE_CONTROL
#define OIM_DEFAULT                         ACLUSE_DEFAULT
#define OIM_NONE                            ACLUSE_NONE

typedef struct {
   SMALLINTSTR achSqlType;
   INTSTR      achMinSize;
   INTSTR      achMaxSize;
   VARCHAR32   AttrName;
} ATTRINFOQUERYSTRUCT, *PATTRINFOQUERYSTRUCT;

/*
 * Group and User Information struct
 */
typedef struct _GROUPINFOSTRUCT {
   ULONG  ulStruct;
   ULONG  ulGroupID;
   CHAR   szGroupName[USERIDENT_LENGTH+1];
   } GROUPINFOSTRUCT, *PGROUPINFOSTRUCT;

typedef struct _USERINGROUPINFO {
   ULONG ulStruct;
   ULONG ulUserID;
   CHAR  szUserName[USERIDENT_LENGTH+1];
   } USERINGROUPINFO, *PUSERINGROUPINFO;

typedef struct _USERINFOSTRUCT {
      ULONG          ulStruct;
      CHAR           szUserName[USERIDENT_LENGTH+1];
      CHAR           szNewUserName[USERIDENT_LENGTH+1];
      CHAR           szPassword[9];
      CHAR           szPrivName[OIM_PRIVNAME_LENGTH+1];
      CHAR           szDfltItemACL[17];
      CHAR           szDfltItemOwner[USERIDENT_LENGTH+1];
      SHORT          sPatronSecurity;
      SHORT          sDfltItemSecurity;
      CHAR           szObjectServer[OIM_OBJSERVNAME_LENGTH+1];
      CHAR           szSMSCollection[81];
      } USERINFOSTRUCT, *PUSERINFOSTRUCT;

/*
 * Privilege Set Struct
 * A privilege string is 400 bits, stored as one byte per bit
 * ..as a character string ('0' or '1') plus the null terminator.
 */
#define PRIVILEGE_STRING_LEN  401
typedef struct _PRIVILEGESTRUCT {
    ULONG    ulStruct;
    USHORT   usPrivID;
    CHAR     szPrivName[OIM_PRIVNAME_LENGTH+1];   //26
    CHAR     szPrivDescr[255]; //254
    CHAR     szPrivilege[PRIVILEGE_STRING_LEN];
    } PRIVILEGESTRUCT, *PPRIVILEGESTRUCT;

/*
 * Object server and collection
 */
typedef struct _COLLINFOSTRUCT {
    ULONG    ulStruct;
    SHORT    sSMSCollCode;      /* which collection ID */
    SHORT    sSMSObjServCode;   /* which object server ID */
    CHAR     szSMSCollName[81];
    } COLLINFOSTRUCT, *PCOLLINFOSTRUCT;

typedef struct _OBJSERVINFOSTRUCT {
    ULONG    ulStruct;
    SHORT    sObjServCode;    // internal ID for the structure
    USHORT   usObjServFlags;  // flags
    LONG     lPortNumber;     
    TIMESTAMP tsChanged;      // timestamp of entry change
    CHAR     szSysID[OIM_OBJSERVSYSID_LENGTH+1];  // system ID
    CHAR     szTxnName[OIM_OBJSERVTXN_LENGTH+1];  // transaction name
    CHAR     szHlqName[OIM_OBJSERVHLQ_LENGTH+1];  // high level qual value
    CHAR     szObjServName[OIM_OBJSERVNAME_LENGTH+1];
    CHAR     szCommProtocol;                       // Protocol type - MVS TCP/IP support 
    CHAR     szAddress[OIM_OBJSERVADDR_LENGTH+1];  // Obj server addr - MVS
                                                   // TCP/IP support
    } OBJSERVINFOSTRUCT, *POBJSERVINFOSTRUCT;

/*
 * Return data saved structure from DB - used by FIPMODC2.C & FIPDELC2.C
 */
typedef struct {
   CHAR              szCCitemID[17];  // Item ID
   CHAR              szCCname[9];     // Return data from DB
} MODCCRETURNDATA;
typedef MODCCRETURNDATA * PMODCCRETURNDATA;

/*
 * TIMEDATESTRUCT
 */
#define TIMESTR_LENGTH        9
#define DATESTR_LENGTH       11

typedef struct _TIMEDATESTRUCT {
        CHAR szTime[TIMESTR_LENGTH];
        CHAR szDate[DATESTR_LENGTH];
        } TIMEDATESTRUCT;
typedef TIMEDATESTRUCT *PTIMEDATESTRUCT;

/*
 * Workflow information structure
 */
#define OIM_WF_NAME_LENGTH 30
#define OIM_WB_NAME_LENGTH 80

#define OIM_WF_SAVE_HISTORY      1     // cmdHistoryLogDisposition values
#define OIM_WF_DISCARD_HISTORY   2

typedef struct _WFINFOSTRUCT {
   ULONG    ulStruct;
   CHAR     szWorkFlowName[OIM_WF_NAME_LENGTH + 1];
   CHAR     chAccessListName[ACCESS_LIST_NAME_SIZE + 1];
   USHORT   cmdHistoryLogDisposition;
   USHORT   usNbrItemsinWf;    // number of items in workflow
   USHORT   usNbrWbIds;        // number of workbaskets in workflow
   PITEMID  pWbIds;
                // user's evaluated privilege string for this WF
   UCHAR    szWorkFlowPrivString[SIM_PRIVSTRING_LENGTH+1];
} WFINFOSTRUCT, *PWFINFOSTRUCT;

/*
 * ITEMNAMESTRUCT for workflow/workbasket. Names are not translated,
 * ..so there is no language code affiliated with the name string,
 * ..unlike attributes, class names, etc.
 */

#define OIM_ITEMNAME_LENGTH 80

typedef struct _ITEMNAMESTRUCT {
   ULONG          ulStruct;
   ITEMID         WItemID;
   CHAR           szIDName[OIM_ITEMNAME_LENGTH+1];
} ITEMNAMESTRUCT, *PITEMNAMESTRUCT;

/*
 * NATLANGSINFOSTRUCT for national language
 */
typedef struct _NATLANGSINFOSTRUCT {
   ULONG          ulStruct;
   CHAR           szLanguageCode[SIM_LANGUAGE_CODE_LENGTH+1];
   CHAR           szLanguageName[SIM_LANGUAGE_NAME_LENGTH+1];
} NATLANGSINFOSTRUCT, *PNATLANGSINFOSTRUCT;

/*
 * Structure for workflow list
 */
typedef struct _WFLISTSTRUCT {
   ULONG    ulStruct;
   ITEMID   itemidWF;
   CHAR     szWorkFlowName[OIM_WF_NAME_LENGTH];
} WFLISTSTRUCT, *PWFLISTSTRUCT;

/* Priority defines for workflow APIs*/
#define OIM_NO_PRIORITY_CHANGE         60000
#define OIM_WIP_DEFAULT_PRIORITY       60001
/* typedefs for contentclass information */
#ifndef SBOLB
typedef CHAR     DLLNAME[9];
#endif
typedef CHAR     EXTSTRING[4];
typedef CHAR     DESCRIPTION[41];
/*
 * Content Class Handler Struct
 */
typedef struct _CONTENTCLASSHANDLER {
   ULONG              ulStruct;
   ULONG              ulContentClassID;
   CONTENTCLASSNAME   szContentClassName;
   DESCRIPTION        szContentClsDescription;
   DLLNAME            szLoadDll;
   PARMSTRING         szImportParmString;
   PARMSTRING         szExportParmString;
   DLLNAME            szDisplayDll;
   DIRECTORYPATH      szPathAndPgm;
   DIRECTORYPATH      szWorkDir;
   PARMSTRING         szParmString;
   EXTSTRING          szExtension;
}  CONTENTCLASSHANDLER, *PCONTENTCLASSHANDLER;

/*
 * Work basket entry structure
 */

// Load limits must range between min and max
// NO_LOAD_LIMIT is a special value outside the range
#define OIM_WB_MIN_LOAD_LIMIT  0
#define OIM_WB_MAX_LOAD_LIMIT  9999
#define OIM_WB_NO_LOAD_LIMIT   65535

#define OIM_WB_FUNCTION_LENGTH 32   /* DLL, function name for exits */
#define OIM_WB_DLL_LENGTH 8

typedef struct _WORKBASKETINFOSTRUCT {
   ULONG    ulStruct;               // size
   CHAR     szWorkBasketName[OIM_WB_NAME_LENGTH + 1]; //WB name
   CHAR     chAccessListName[ACCESS_LIST_NAME_SIZE + 1];
   USHORT   usWBLoadLimit;          //Work basket load limit
#ifdef __WIN16__
   BOOL32   bRemoveAfterIndex;      //Remove the item after it
                                    //is indexed when flag is TRUE
   BOOL32   bSystemCntl;            //System control when it is TRUE
#else
   BOOL     bRemoveAfterIndex;      //Remove the item after it
                                    //is indexed when flag is TRUE
   BOOL     bSystemCntl;            //System control when it is TRUE
#endif
   CHAR     szUserFunName[OIM_WB_FUNCTION_LENGTH+1]; // User function name
   CHAR     szUserDLLName[OIM_WB_DLL_LENGTH+1];   // User exit full path name
                                                  // evaluated priv string
   UCHAR    szWorkBasketPrivString[SIM_PRIVSTRING_LENGTH+1];
} WORKBASKETINFOSTRUCT, *PWORKBASKETINFOSTRUCT;

/*
 * SERVERSINFOSTRUCT for national language
 */
#define SERVERNAME_LENG  35
#define SERVERTYPE_LENG   8

typedef struct _SERVERINFOSTRUCT {
   ULONG          ulStruct;
   CHAR           szServerName[SERVERNAME_LENG + 1];
   CHAR           szServerType[SERVERTYPE_LENG + 1];
} SERVERINFOSTRUCT, *PSERVERINFOSTRUCT;

/*
 * LISTHISTORYSTRUCT for Ip2ListHistoryEvent
 */

typedef struct _HISTLOGENTRY {
   USHORT       usEventCode;
   CHAR         tsCreated[RS_TIMESTAMP_LENGTH + 1];
   CHAR         Location[98];
   CHAR        *pszEventData;
} HISTLOGENTRY, *PHISTLOGENTRY;

typedef struct _LISTHISTORYSTRUCT {
   ULONG         ulStruct;
   ULONG         ulNumOfEntries;
   HISTLOGENTRY  EventLogEntries[1];
} LISTHISTORYSTRUCT, *PLISTHISTORYSTRUCT;

typedef struct {
   CHAR        szSessionTS[RS_TIMESTAMP_LENGTH + 1];
   SHORT       sEventCode;
   CHAR        szCreated[RS_TIMESTAMP_LENGTH + 1];
#ifdef __WIN16__
   LONG        iUserid;
#else
   INT         iUserid;
#endif
   CHAR        szItemID[RS_ITEM_ID_LENGTH + 1];
   CHAR        szRepType[RS_REPTYPE_LENGTH + 1];
#ifdef __WIN16__
   LONG        iPartNum;
#else
   INT         iPartNum;
#endif
   SHORT       sVersionNum;
   SHORT       sUnitOfMeasr;
#ifdef __WIN16__
   LONG        iMeasure;
#else
   INT         iMeasure;
#endif
   VARCHAR98   Location;
   VARCHAR220  EventData;
} EVENTINFOSTRUCT, *PEVENTINFOSTRUCT;

/*
 * CONTROLPARAMS for control record APIs
 */
typedef struct {
   ULONG                ulStruct;
   CHAR                 achConfigID[RS_CONFIGID_LENGTH + 1];
   CHAR                 achTablePrefix [RS_QUALIFIER_LENGTH + 1];
   CHAR                 achLanguageCode[RS_LANGUAGE_CODE_LENGTH +1];
   USHORT               usColumnLimit;
   ULONG                ulRowLimit;
#ifdef __WIN16__
   BOOL32               bTombstoneReq;
#else
   BOOL                 bTombstoneReq;
#endif
   ULONG                ulCheckoutMin;
   ULONG                ulCheckoutMax;
   SHORT                sMaxFailedLogons;
   USHORT               usPasswordDuration;
#ifdef __WIN16__
   BOOL32               bOwnerEnabled;
   BOOL32               bPubAccessEnabled;
#else
   BOOL                 bOwnerEnabled;
   BOOL                 bPubAccessEnabled;
#endif
#ifdef __WIN16__
   LONG                 sAccessListChoice;
#else
   ACL_USE              sAccessListChoice;
#endif
   CHAR                 chAccessListName[ACCESS_LIST_NAME_SIZE];
#ifdef __WIN16__
   LONG                 sSMSChoice;
#else
   OBJ_SMS_DEFAULT      sSMSChoice;
#endif
   USHORT               usMaxVersions;
#ifdef __WIN16__
   BOOL32               bAllowDynQuery;
#else
   BOOL                 bAllowDynQuery;
#endif
   USHORT               usDLLThreshold;
   USHORT               usQueryThreshold;
#ifdef __WIN16__
   BOOL32               bCheckRACF;
   BOOL32               bItemReferenceFlag;
#else
   BOOL                 bCheckRACF;
   BOOL                 bItemReferenceFlag;
#endif
   ULONG                ulLibCodepage;
   LONG                 lClientTimeout;
   LONG                 lObjServTimeout;
   USHORT               usProcessMax;
// ULONG                ulUserID;
// CHAR                 achCreated[RS_TIMESTAMP_LENGTH+1];
   USHORT               usCacheTableFlags;
   USHORT               usRestrictLogons;
   LONG                 lControlFlags;
} CONTROLPARAMS, *PCONTROLPARAMS;

/*
 * NAMELANGUAGESTRUCT for attribute, index class and view names and IDs
 */
typedef struct _NAMELANGUAGESTRUCT {
   ULONG          ulStruct;
   CHAR           achLanguageCode[SIM_LANGUAGE_CODE_LENGTH+1];
   CHAR           szName[SIM_CLASS_NAME_LENGTH+1];
} NAMELANGUAGESTRUCT, *PNAMELANGUAGESTRUCT;

/*
 * Folder manager IP2 function prototypes
 */

ULONG SIMENTRY Ip2ActivateItem(
      HSESSION        hSession,        // Handle to a folder manager session.
      PITEMID         pitemidItem,     // Pointer to an item ID.
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);            // Pointer to return data structure.

ULONG SIMENTRY Ip2AddContentClass(
      HSESSION           hSession,   // Handle to a folder manager session.
      PCONTENTCLASSINFO  pClsInfo,   // Pointer to workbasket id.
      PASYNCCTLSTRUCT    pAsyncCtl,  // Pointer to asynchronous control block.
      PRCSTRUCT          pRC);       // Pointer to return data structure.

ULONG SIMENTRY Ip2AddIndex(
      HSESSION        hSession,        // Handle to a SIM session.
      USHORT          usIndexClass,    // Index class identifier.
      PCLASSINDEXSTRUCT pClassIndex,   // Pointer to class index information.
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);            // Pointer to return data structure.

ULONG SIMENTRY Ip2AddWorkBasketItem(
      HSESSION        hSession,        // Handle to a folder manager session.
      PITEMID         pitemidWB,       // Pointer to workbasket id.
      PITEMID         pitemidItem,     // Pointer to an item ID.
      USHORT          usInitialPriority,  // Priority of item placed in a workbasket.
#ifdef __WIN16__
      BOOL32          fOverload,       // Overload condition action.
#else
      BOOL            fOverload,       // Overload condition action.
#endif
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);            // Pointer to return data structure.

ULONG SIMENTRY Ip2ChangeItemAccess(
      HSESSION        hSession,        // Handle to a folder manager session.
      HITEM           hItem,           // Handle to a virtual item.
      USHORT          usAccessLevel,   // Desired access level.
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);            // Pointer to return data structure.

ULONG SIMENTRY Ip2ChangeWorkFlow(
      HSESSION        hSession,        // Handle to a folder manager session.
      PITEMID         pitemidWipItem,  // Pointer to item id to be routed to a specified workbasket.
      PITEMID         pszWorkflowItemID, // Pointer to workflow item ID.
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);            // Pointer to return data structure.

ULONG SIMENTRY Ip2CheckInItem(
      HSESSION        hSession,        // Handle to a folder manager session.
      PITEMID         pitemidItem,     // Pointer to an item ID.
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);            // Pointer to return data structure.

ULONG SIMENTRY Ip2CheckOutItem(
      HSESSION        hSession,        // Handle to a folder manager session.
      PITEMID         pitemidItem,     // Pointer to an item ID.
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);            // Pointer to return data structure.

ULONG SIMENTRY Ip2CloseTOC(
      HSESSION        hSession,        // Handle to a folder manager session.
      HTOC            hTOC,            // Handle to the table of contents.
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);            // Pointer to return data structure.

ULONG SIMENTRY Ip2CompleteWorkFlow(
      HSESSION        hSession,        // Handle to a folder manager session.
      PITEMID         pitemidWipItem,  // Pointer to item id to be routed to a specified workbasket.
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);            // Pointer to return data structure.

ULONG SIMENTRY Ip2DeleteHistory(
      HSESSION        hSession,        // Handle to a folder manager session.
      PITEMID         pitemidItem,     // Pointer to an item ID.
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);            // Pointer to return data structure.

ULONG SIMENTRY Ip2DeleteIndex(
      HSESSION        hSession,        // Handle to a SIM session.
      USHORT          usIndexClass,    // Index class identifier.
      PSZ             pszIndexName,    // Pointer to the index name
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);            // Pointer to return data structure.

ULONG SIMENTRY Ip2EndTransaction(
      HSESSION        hSession,        // Handle to a folder manager session.
      USHORT          usAction,        // Save/ignore the current database changes.
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);            // Pointer to return data structure.

ULONG SIMENTRY Ip2ListAttrs(
      HSESSION        hSession,        // Handle to a folder manager session.
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);            // Pointer to return data structure.

ULONG SIMENTRY Ip2ListWorkFlows(
      HSESSION        hSession,        // Handle to a folder manager session.
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);            // Pointer to return data structure.


ULONG SIMENTRY Ip2GetContentClassHandlers(
      HSESSION        hSession,        // Handle to a folder manager session.
      PSZ             pszWorkStationID,// Pointer to a WorkStationID
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);            // Pointer to return data structure.

ULONG SIMENTRY Ip2GetNextWorkBasketItem(
      HSESSION        hSession,        // Handle to a folder manager session.
      PITEMID         pitemidWB,       // Pointer to workbasket id.
#ifdef __WIN16__
      BOOL32          fOpen,           // Whether to leave item open
#else
      BOOL            fOpen,           // Whether to leave item open
#endif
      USHORT          usAccessLevel,   // Desired access level.
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);            // Pointer to return data structure.

ULONG SIMENTRY Ip2GetSuspendCriteria(
      HSESSION        hSession,        // Handle to a folder manager session.
      PITEMID         pitemidItem,     // Pointer to an item ID.
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);            // Pointer to return data structure.

ULONG SIMENTRY Ip2GetTOCUpdates(
      HSESSION        hSession,        // Handle to a folder manager session.
      HTOC            hTOC,            // Handle to the table of contents.
      USHORT          usUpdate,        // Flag indicating how TOC should be updated.
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);            // Pointer to return data structure.

ULONG SIMENTRY Ip2GetWorkBasketInfo(
      HSESSION        hSession,        // Handle to a folder manager session.
      PITEMID         pitemidWB,       // Pointer to workbasket id.
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);            // Pointer to return data structure.

ULONG SIMENTRY Ip2GetWorkBasketItemPriority(
      HSESSION        hSession,        // Handle to a folder manager session.
      PITEMID         pitemidWBItem,   // Pointer to item which requires a priority change.
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);            // Pointer to return data structure.

ULONG SIMENTRY Ip2GetWorkFlowInfo(
      HSESSION        hSession,        // Handle to a folder manager session.
      PITEMID         pszWorkflowItemID, // Pointer to workflow item ID.
#ifdef __WIN16__
      BOOL32          fCount,          // TRUE=>compute item count in wrkfl.
#else
      BOOL            fCount,          // TRUE=>compute item count in wrkfl.
#endif
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);            // Pointer to return data structure.

ULONG SIMENTRY Ip2ListContentClasses(
      HSESSION        hSession,        // Handle to a folder manager session.
      USHORT          usContentClsType, // Content class type ALL/IBM/USR
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);            // Pointer to return data structure.

ULONG SIMENTRY Ip2ListHistory(
      HSESSION        hSession,        // Handle to a folder manager session.
      PITEMID         pitemidItem,     // Pointer to an item ID.
#ifdef __WIN16__
      BOOL32          fCurrentHistoryRequest, // Return activity log (TRUE or FALSE)?
#else
      BOOL            fCurrentHistoryRequest, // Return activity log (TRUE or FALSE)?
#endif
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);            // Pointer to return data structure.

ULONG SIMENTRY Ip2ListUserExits(
      HSESSION        hSession,        // Handle to a folder manager session.
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);            // Pointer to return data structure.

ULONG SIMENTRY Ip2ModifyContentClass(
      HSESSION        hSession,        // Handle to a folder manager session.
      PCONTENTCLASSINFO  pClsInfo,     // Pointer to workbasket id.
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);            // Pointer to return data structure.

ULONG SIMENTRY Ip2GetNextWorkBasketInWorkFlow(
      HSESSION        hSession,        // Handle to a folder manager session.
      PITEMID         pitemidWipItem,  // Pointer to item id to be routed to a specified workbasket.
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);            // Pointer to return data structure.

ULONG SIMENTRY Ip2RemoveFromWorkFlow(
      HSESSION        hSession,        // Handle to a folder manager session.
      PITEMID         pitemidWipItem,  // Pointer to item id to be routed to a specified workbasket.
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);            // Pointer to return data structure.

ULONG SIMENTRY Ip2RemoveWorkBasketItem(
      HSESSION        hSession,        // Handle to a folder manager session.
      PITEMID         pitemidWB,       // Pointer to workbasket id.
      PITEMID         pitemidItem,     // Pointer to an item ID.
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);            // Pointer to return data structure.

ULONG SIMENTRY Ip2RouteWipItem(
      HSESSION        hSession,        // Handle to a folder manager session.
      PITEMID         pitemidWipItem,  // Pointer to item id to be routed to a specified workbasket.
      PITEMID         pitemidWB,       // Pointer to workbasket id.
#ifdef __WIN16__
      BOOL32          fOverload,       // Overload condition action.
#else
      BOOL            fOverload,       // Overload condition action.
#endif
      SHORT           sPriority,       // Priority for item moving into a workbasket.
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);            // Pointer to return data structure.

ULONG SIMENTRY Ip2SetUserExits(
      HSESSION        hSession,        // Handle to a folder manager session.
      SHORT           sUserExitCount,  // Count of user exit functions.
      PUSEREXITDATA   pUserExitArray,  // Pointer to array of pointer to ftns.
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);            // Pointer to return data structure.

ULONG SIMENTRY Ip2SetUserTimeoutAdjustment(
      HSESSION        hSession,        // Handle to a SIM session.
      PFNTIMEOUTFTN   pTimeAdjustFtn,  // Pointer to time adjustment function.
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);            // Pointer to return data structure.

ULONG SIMENTRY Ip2SetWorkBasketItemPriority(
      HSESSION        hSession,        // Handle to a folder manager session.
      PITEMID         pitemidWBItem,   // Pointer to item which requires a priority change.
      USHORT          usPriorityValue, // New value for the item's priority.
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);            // Pointer to return data structure.

ULONG SIMENTRY Ip2StartTransaction(
      HSESSION        hSession,        // Handle to a folder manager session.
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);            // Pointer to return data structure.

ULONG SIMENTRY Ip2StartWorkFlow(
      HSESSION        hSession,        // Handle to a folder manager session.
      PITEMID         pitemidItem,     // Pointer to an item ID.
      PITEMID         pszWorkflowItemID, // Pointer to workflow item ID.
      PITEMID         pitemidWB,       // Pointer to workbasket id (optional)
#ifdef __WIN16__
      BOOL32          fOverload,       // Overload condition action.
#else
      BOOL            fOverload,       // Overload condition action.
#endif
      USHORT          usInitialPriority, // New value for the item's priority.
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);            // Pointer to return data structure.

ULONG SIMENTRY Ip2SuspendItem(
      HSESSION        hSession,        // Handle to a folder manager session.
      PITEMID         pitemidItem,     // Pointer to an item ID.
      PRELCRITERIASTRUCT pReleaseCriteria,  // Pointer to criteria to cause automatic release of this item from suspension.
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);            // Pointer to return data structure.

ULONG SIMENTRY Ip2TOCStatus(
      HSESSION        hSession,        // Handle to a folder manager session.
      HTOC            hTOC,            // Handle to the table of contents.
      USHORT          usCheck,         // How extensively TOC should be checked for changes.
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);            // Pointer to return data structure.

ULONG SIMENTRY Ip2XrefAttr(
      HSESSION        hSession,        // Handle to a folder manager session.
      USHORT          usAttributeId,   // Unique attribute identifier.
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);            // Pointer to return data structure.

ULONG SIMENTRY Ip2XrefWorkFlow(
      HSESSION        hSession,        // Handle to a folder manager session.
      PITEMID         pszWorkflowItemID, // Pointer to workflow item ID.
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);            // Pointer to return data structure.

ULONG SIMENTRY Ip2CreateAttr(
      HSESSION        hSession,        // Handle to a SIM session.
      PATTRINFOSTRUCT pAttrInfo,       // Pointer to attribute information structure.
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);            // Pointer to return data structure.

ULONG SIMENTRY Ip2CreateClass(
      HSESSION        hSession,        // Handle to a SIM session.
      PCLASSINFOSTRUCT pClassInfo,     // Pointer to class information structure.
      USHORT          usIndexClass,    // Index class identifier.
      USHORT          usACL,           // ACL source.
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);            // Pointer to return data structure.

ULONG SIMENTRY Ip2DeleteContentClass(
      HSESSION           hSession,       // Handle to a SIM session
      USHORT             usContentClsID, // Pointer to group name
      PASYNCCTLSTRUCT    pAsyncCtl,      // Pointer to asynchronous control block.
      PRCSTRUCT          pRC);           // Pointer to return data structure

ULONG SIMENTRY Ip2QueryPrivBuffer(
      PSZ             pszPrivilege,    // Privilege byte string.
      ULONG           ulAuthority,     // ulFlags
      PRCSTRUCT       pRC);

ULONG SIMENTRY Ip2GetLibSessionInfo(
      HSESSION           hSession,       // Handle to a SIM session
      PASYNCCTLSTRUCT    pAsyncCtl,      // Pointer to asynchronous control block.
      PRCSTRUCT          pRC);           // Pointer to return data structure

ULONG SIMENTRY Ip2GetIndexClassStatus(
      HSESSION           hSession,       // Handle to a SIM session
      USHORT             usIdxClassID,   // Index class ID
      PASYNCCTLSTRUCT    pAsyncCtl,      // Pointer to asynchronous control block.
      PRCSTRUCT          pRC);           // Pointer to return data structure

ULONG SIMENTRY Ip2TOCCount(
      HSESSION        hSession,        // Handle to a folder manager session.
      PITEMID         pitemidItem,     // Pointer to an item ID.
      USHORT          usItemType,      // The item type.
      USHORT          usWipFilter,     // WIP status of search items.
      USHORT          usSuspendFilter, // Suspend status of search items.
      USHORT          usNbrOfClasses,  // # of index class identifiers in pusClassIdList.
      PUSHORT         pusClassIdList,  // Pointer to index class identifiers list that indicates TOC items.
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);            // Pointer to return data structure.

ULONG SIMENTRY Ip2CreateWorkFlow(
      HSESSION        hSession,        // Handle to a SIM session.
      PWFINFOSTRUCT   pwfInfo,         // Pointer to workflow information.
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);            // Pointer to return data structure.

ULONG SIMENTRY Ip2ModifyWorkFlow(
      HSESSION        hSession,        // Handle to a SIM session.
      PITEMID         pitemidWF,       // WF itemid.
      PWFINFOSTRUCT   pwfInfo,         // Pointer to workflow information.
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);            // Pointer to return data structure.

ULONG SIMENTRY Ip2DeleteWorkFlow(
      HSESSION        hSession,        // Handle to a SIM session.
      PITEMID         pitemidWF,       // WF itemid.
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);            // Pointer to return data structure.

ULONG SIMENTRY Ip2CreateWorkBasket(
      HSESSION              hSession,  // Handle to a SIM session.
      PWORKBASKETINFOSTRUCT pWorkBasketInfo, // Pointer to work basket info
      PASYNCCTLSTRUCT       pAsyncCtl, // Pointer to asynchronous control block.
      PRCSTRUCT             pRC);      // Pointer to return data structure.

ULONG SIMENTRY Ip2ListWorkBaskets(
      HSESSION        hSession,        // Handle to a folder manager session.
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);            // Pointer to return data structure.

ULONG SIMENTRY Ip2ModifyWorkBasket(
      HSESSION        hSession,        // Handle to a SIM session.
      PITEMID         pWBitemID,       // Workbasket item id
      PWORKBASKETINFOSTRUCT pWorkBasketInfo, // Pointer to work basket info
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);            // Pointer to return data structure.

ULONG SIMENTRY Ip2DeleteWorkBasket(
      HSESSION        hSession,        // Handle to a SIM session.
      PITEMID         pWBitemID,       // Workbasket item id
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);            // Pointer to return data structure.

ULONG SIMENTRY Ip2QueryClassPriv(
      HSESSION        hSession,        // Handle to a SIM session.
      USHORT          usClassType,     // class or view switch
      USHORT          usID,            // Class or view id
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);            // Pointer to return data structure.

ULONG SIMENTRY Ip2ListServers(
      PSERVERINFOSTRUCT  pServrInfo,      // Input pointer to return buffer
      ULONG              ulServrInfoSize, // Size of the return buffer
      BITS               fSrchfilter,     // Search filter - reserved for future
      PRCSTRUCT          pRC);            // Pointer to return data structure.

ULONG SIMENTRY Ip2UpdateAccessList(
      HSESSION        hSession,        // Handle to a SIM session.
      PSZ             pszACLName,      // Name associated with an ACL.
      PSZ             pszACLDescription,// Description associated with an ACL.
      USHORT          usACLAction,     // Action to be taken on the ACL.
      PACCESSDATA     pAccessEntries,  //  Pointer to access list row commands.
      USHORT          usAccessEntryCount,  // Size of ACL row command list.
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);             // Pointer to return data structure.

ULONG SIMENTRY Ip2WriteHistoryEvent (
      HSESSION        hSession,      // Handle to a folder manager session.
      PITEMID         pszItemID,     // Pointer to an item ID.
      SHORT           sEventCode,    // Short event code
      PSZ             pszEvent,      // Event description text(254)
      PSZ             pszLocation,   // where  event took place
      PASYNCCTLSTRUCT pAsyncCtl,     // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);          // Pointer to return data structure.

/* The following APIs are unpublished.  They are not defined in the     */
/* Application Programming Reference, and are unsupported. Some data    */
/* structures used exclusively by these APIs are also unpublished.      */

ULONG SIMENTRY Ip2DeleteAttr(
      HSESSION        hSession,        // Handle to a SIM session.
      USHORT          usAttributeId,   // Unique attribute identifier.
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);            // Pointer to return data structure.

ULONG SIMENTRY Ip2ModifyAttr(
      HSESSION        hSession,        // Handle to a SIM session.
      USHORT          usAttributeId,   // Unique attribute identifier.
      PATTRINFOSTRUCT pAttrInfo,       // Pointer to attribute information structure.
      BITS            fOperations,     // Type of operation:
                                       //   Change attribute name
                                       //   Change all
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);            // Pointer to return data structure.

ULONG SIMENTRY Ip2DeleteClass(
      HSESSION        hSession,        // Handle to a SIM session.
      USHORT          usClassType,     // Type of ID.
      USHORT          usID,            // Index class or view identifier.
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);            // Pointer to return data structure.

ULONG SIMENTRY Ip2ModifyClass(
      HSESSION        hSession,        // Handle to a SIM session.
      PCLASSINFOSTRUCT pClassInfo,     // Pointer to class information structure.
      USHORT          usClassType,     // Type of ID.
      USHORT          usID,            // Index class or view identifier.
      BITS            fClassOperations,  // Type of operation:
                                         //   Change class/view name
                                         //   Change class/view all
      USHORT          usACL,           // ACL source.
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);            // Pointer to return data structure.

ULONG SIMENTRY Ip2AddGroup(
      HSESSION           hSession,     // Handle to a SIM session
      PSZ                pszGroupName, // Pointer to group name
      PASYNCCTLSTRUCT    pAsyncCtl,    // Pointer to asynchronous control block.
      PRCSTRUCT          pRC);         // Pointer to return data structure

ULONG SIMENTRY Ip2DeleteGroup(
      HSESSION           hSession,     // Handle to a SIM session
      PSZ                pszGroupName, // Pointer to group name
      PASYNCCTLSTRUCT    pAsyncCtl,    // Pointer to asynchronous control block.
      PRCSTRUCT          pRC);         // Pointer to return data structure

ULONG SIMENTRY Ip2ModifyGroup(
      HSESSION           hSession,        // Handle to a SIM session
      PSZ                pszGroupName,    // Pointer to current group name
      PSZ                pszNewGroupName, // Pointer to new group name
      PASYNCCTLSTRUCT    pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT          pRC);            // Pointer to return data structure

ULONG SIMENTRY Ip2ListGroups(
      HSESSION           hSession,     // Handle to a SIM session
      PSZ                pszGroupName, // Pointer to the group name
      PASYNCCTLSTRUCT    pAsyncCtl,    // Pointer to asynchronous control block.
      PRCSTRUCT          pRC);         // Pointer to return data structure

ULONG SIMENTRY Ip2AddUserToGroup(
      HSESSION        hSession,        // Handle to a SIM session.
      PSZ             pszGroupName,    // Pointer to the group name
      PSZ             pszUserName,     // Pointer to the user name
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block
      PRCSTRUCT       pRC);            // Pointer to return data structure.

ULONG SIMENTRY Ip2ListUsersInGroup(
      HSESSION        hSession,        // Handle to a SIM session.
      PSZ             pszGroupName,    // Pointer to the group name
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block
      PRCSTRUCT       pRC);            // Pointer to return data structure.

ULONG SIMENTRY Ip2RemoveUserFromGroup(
      HSESSION        hSession,        // Handle to a SIM session.
      PSZ             pszGroupName,    // Pointer to the group name
      PSZ             pszUserName,     // Pointer to the user name
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block
      PRCSTRUCT       pRC);            // Pointer to return data structure.

ULONG SIMENTRY Ip2CreateControlParams(
      HSESSION        hSession,        // Handle to a SIM session.
      PCONTROLPARAMS  pControlParams,  // Pointer to Control Params struct.
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);            // Pointer to return data structure.

ULONG SIMENTRY Ip2ListControlParams(
      HSESSION        hSession,        // Handle to a SIM session.
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);            // Pointer to return data structure.

ULONG SIMENTRY Ip2ModifyControlParams(
      HSESSION        hSession,        // Handle to a SIM session.
      PCONTROLPARAMS  pControlParams,  // Pointer to Control Params struct.
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);            // Pointer to return data structure.

ULONG SIMENTRY Ip2DeleteControlParams(
      HSESSION        hSession,        // Handle to a SIM session.
      PSZ             pszConfigID,     // Pointer to config ID string
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);            // Pointer to return data structure.

ULONG SIMENTRY Ip2ListAttrNames(
      HSESSION        hSession,        // Handle to a SIM session.
      USHORT          usAttributeId,   // Unique attribute identifier.
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);            // Pointer to return data structure.

ULONG SIMENTRY Ip2ListCheckedOutItems(
      HSESSION         hSession,    // Handle to a SIM session.
      PSZ              pszUserName, // User name  with NULL-terminator
      PASYNCCTLSTRUCT  pAsyncCtl,   // Pointer to asynchronous control block.
      PRCSTRUCT        pRC);        // Pointer to return data structure.

ULONG SIMENTRY Ip2ListClassNames(
      HSESSION        hSession,        // Handle to a SIM session.
      USHORT          usClassId,       // Index class identifier.
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);            // Pointer to return data structure.

ULONG SIMENTRY Ip2ListClassViewNames(
      HSESSION        hSession,        // Handle to a SIM session.
      USHORT          usViewId,        // Index class view identifier.
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);            // Pointer to return data structure.

ULONG SIMENTRY Ip2DefineNatLang(
      HSESSION              hSession,  // Handle to a SIM session.
#ifdef __WIN16__
      LONG                  action,
#else
      ACTION_CODE           action,
#endif
      PSZ                   pszLanguageCode,
      PSZ                   pszLanguageName,
      PASYNCCTLSTRUCT       pAsyncCtl, // Pointer to asynchronous control block.
      PRCSTRUCT             pRC);      // Pointer to return data structure.

ULONG SIMENTRY Ip2ListNatLang(
      HSESSION        hSession,        // Handle to a folder manager session.
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);            // Pointer to return data structure.

ULONG SIMENTRY Ip2DefineObjServColl(
      HSESSION           hSession,             // Handle to a SIM session
#ifdef __WIN16__
      LONG               action,               // ACTION_ADD, or ACTION_DELETE
#else
      ACTION_CODE        action,               // ACTION_ADD, or ACTION_DELETE
#endif
      PSZ                pszObjectServerName,  // Object server name
      PSZ                pszSMSCollectionName, // SMS collection name
      PSZ                pszNewSMSCollectionName, // new SMS collection name
      PASYNCCTLSTRUCT    pAsyncCtl,            // Pointer to a Async struct
      PRCSTRUCT          pRC);                 // Pointer to return data struct

ULONG SIMENTRY Ip2DefineObjServ(
      HSESSION                   hSession,                        // Handle to a SIM session
      POBJSERVINFOSTRUCT         pObjServ,                       // MVS TCP/IP support added by Ivy Yu
      PSZ                        pszNewObjectServerName,         //New Object Server name
      USHORT                     usOSAction,                   // Action to be taken
      PASYNCCTLSTRUCT            pAsyncCtl,                    // Pointer to a Async struct
      PRCSTRUCT                  pRC);                           // Pointer to return data struct

ULONG SIMENTRY Ip2ListObjServ (
      HSESSION           hSession,       // Handle to a SIM session
      PASYNCCTLSTRUCT    pAsyncCtl,      // Pointer to async struct
      PRCSTRUCT          pRC);           // Pointer to the return struct

ULONG SIMENTRY Ip2ListObjServColl(
      HSESSION        hSession,          // Handle to a SIM session.
      PSZ             pszObjServName,    // server name with null terminator
      PASYNCCTLSTRUCT pAsyncCtl,         // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);              // Pointer to return data structure.

ULONG SIMENTRY Ip2SetPrivBuffer(
      PSZ             pszPrivilege,    // Privilege byte string.
      ULONG           ulAuthority);    // Authority flag

ULONG SIMENTRY Ip2CreatePrivSet(
      HSESSION        hSession,        // Handle to a SIM session
      PPRIVILEGESTRUCT pPrivStruct,    // Pointer to privilege struct
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);            // Pointer to return data structure

ULONG SIMENTRY Ip2DeletePrivSet(
      HSESSION        hSession,        // Handle to a SIM session
      PSZ             pszPrivName,     // Privilege set name
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);            // Pointer to return data structure

ULONG SIMENTRY Ip2ModifyPrivSet(
      HSESSION        hSession,        // Handle to a SIM session
      PPRIVILEGESTRUCT  pPrivStruct,   // Pointer to privstruct
      ULONG           fModFlag,        // Modification flag
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);            // Pointer to return data structure

ULONG SIMENTRY Ip2ListPrivSet(
      HSESSION        hSession,        // Handle to a SIM session
      PSZ             pszPrivName,     // Privilege name
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);            // Pointer to return data structure

ULONG SIMENTRY Ip2SetReserve(
      HSESSION           hSession,       // Handle to a SIM session
      PRCSTRUCT          pRC);           // Pointer to return data structure

ULONG SIMENTRY Ip2AddUser(
      HSESSION           hSession,     // Handle to a SIM session
      PUSERINFOSTRUCT    pUserInfo,    // Pointer to userinfo struct
      PASYNCCTLSTRUCT    pAsyncCtl,    // Pointer to asynchronous control block.
      PRCSTRUCT          pRC);         // Pointer to return data structure

ULONG SIMENTRY Ip2DeleteUser(
      HSESSION           hSession,     // Handle to a SIM session
      PSZ                pszUserName,  // User name
      PASYNCCTLSTRUCT    pAsyncCtl,    // Pointer to asynchronous control block.
      PRCSTRUCT          pRC);         // Pointer to return data structure

ULONG SIMENTRY Ip2ModifyUser(
      HSESSION           hSession,     // Handle to a SIM session
      PUSERINFOSTRUCT    pUserInfo,    // Pointer to userinfo struct
      ULONG              fModFlag,     // Modification flag
      PASYNCCTLSTRUCT    pAsyncCtl,    // Pointer to asynchronous control block.
      PRCSTRUCT          pRC);         // Pointer to return data structure

ULONG SIMENTRY Ip2ListUser(
      HSESSION           hSession,     // Handle to a SIM session
      PSZ                pszUserName,  // User name
      PASYNCCTLSTRUCT    pAsyncCtl,    // Pointer to asynchronous control block.
      PRCSTRUCT          pRC);         // Pointer to return data structure

ULONG SIMENTRY Ip2ListGroupsOfUser(
      HSESSION        hSession,        // Handle to a SIM session.
      PSZ             pszUserName,     // User name
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);            // Pointer to return data structure.

ULONG SIMENTRY Ip2ListAccessLists(
      HSESSION        hSession,        // Handle to a SIM session.
      PSZ             pszAccessName,   // Access list name.
      PASYNCCTLSTRUCT pAsyncCtl,       // Pointer to asynchronous control block.
      PRCSTRUCT       pRC);            // Pointer to return data structure.

/* * * * end of unpublished API list * * * */

/*
 * structure packing default
 */
#pragma pack()

/*
 * end support for C++
 */
#ifdef __cplusplus
   }
#endif

#endif // End of FRNPFI2.H
