/*BEGINPROLOGUE***************************************************/
/*                                                               */
/* MODULE: FRNPLCLI.H                                            */
/*                                                               */
/* COPYRIGHT:                                                    */
/* ----------                                                    */
/* Digital Library Version 1 - 5648-A08.                         */
/* VisualInfo Version 2 Release 2.0 - 5697-250.                  */
/* (C) Copyright IBM Corp., 1994, 1996.  All Rights Reserved     */
/*                                                               */
/* US Government Users Restricted Rights                         */
/* Use, duplication or disclosure restricted by GSA ADP Schedule */
/* Contract with IBM Corp.  Licensed Materials - Property of IBM */
/*                                                               */
/*                                                               */
/* Description: FRNPLCLI.H - this include is used by programs    */
/*                           calling the Library Client APIs     */
/*                                                               */
/* Dependencies:                                                 */
/*                                                               */
/* Restrictions:                                                 */
/*                                                               */
/* Notes:                                                        */
/*                                                               */
/* Change History:                                               */
/*                                                               */
/*  Date  Number  Name  Description                              */
/* ------ ------ ------ --------------------------------------   */
/*                                                               */
/*ENDPROLOGUE*****************************************************/


#ifdef __cplusplus
     extern "C" {
#endif

/************************************************************************/
/* #includes of external files                                          */
/************************************************************************/

#ifndef LC_INCLUDED

#define LC_INCLUDED

#ifdef _Windows
     #include "frnolmla.h"             /* needed for STOREID and LISTID */
#else
  #ifndef INCL_LSTAPI_INCLUDED    
     #include "frnolmla.h"             /* needed for STOREID and LISTID */
  #endif                          
#endif

#include "frnplldf.h"

#ifndef CICS_ENV
#pragma pack(1)
#endif

/* BA091495-pjs */
// The following EXPENTRY definition in AIX is for Digital Library only.
#ifdef AIX
  #ifndef EXPENTRY
    #define EXPENTRY
  #endif
#endif
/* EA091495-pjs */

/************************************************************************/
/* #defines                                                             */
/************************************************************************/

#define CPBLTY_SIZE          RS_CAPABILITY_LENGTH + 1
#define ITEM_DESC_SIZE       RS_ITEMDESCR_LENGTH + 1
#define PART_DESC_SIZE       RS_PARTDESCR_LENGTH + 1
#define DIRECTORY_SIZE       RS_DIRNAME_LENGTH + 1
#define DOC_NAME_SIZE        RS_ITEMNAME_LENGTH + 1
#define DOC_ID_SIZE          RS_ITEM_ID_LENGTH + 1
#define FOLDER_ID_SIZE       DOC_ID_SIZE
#define LABEL_SIZE           RS_LABEL_LENGTH + 1
#define LINK_NAME_SIZE       RS_LINKNAME_LENGTH + 1
#define ALOCATION_SIZE       RS_LOCATION_LENGTH + 1
#define LOCATION_SIZE        RS_LOCATION_LENGTH + 1
#define OS_ID_SIZE           RS_OSID_LENGTH + 1
#define PATRON_ID_SIZE       RS_PATRONID_LENGTH + 1
#define PASSWORD_SIZE        RS_PASSWORD_LENGTH + 1
#define OWNER_ID_SIZE        PATRON_ID_SIZE
#define POSITION_SIZE        RS_POSITION_LENGTH + 1
#define PRIV_SET_SIZE        RS_PRIVSET_LENGTH + 1
#define PROP_STRING_SIZE     RS_PROPVALUE_LENGTH + 1
#define PROVENANCE_SIZE      RS_PROVENANCE_LENGTH + 1
#define PUB_ACCESS_SIZE      RS_PRIVNAME_LENGTH + 1
#define REP_TYPE_SIZE        RS_REPTYPE_LENGTH + 1
#define RESOURCE_SIZE        RS_RESOURCE_LENGTH + 1
#define SQL_QUERY_SIZE       RS_TEXTSTRING_LENGTH + 1
#define STORE_ID_SIZE        RS_STORE_ID_LENGTH + 1
#define STORE_HINT_SIZE      RS_STORE_HINT_LENGTH + 1
#define SUBSTORE_ID_SIZE     RS_SUBSTORE_ID_LENGTH + 1
#define TABLESET_ID_SIZE     RS_SUBSTORE_ID_LENGTH + 1
#define TIMESTAMP_SIZE       RS_TIMESTAMP_LENGTH + 1
#define SMS_COLL_SIZE        RS_COLLECTION_NAME_LENGTH + 1
#define MGMT_CLASS_SIZE      RS_MANAGEMENT_CLASS_LENGTH + 1
#define STG_CLASS_SIZE       RS_STORAGE_CLASS_LENGTH + 1
#define SYS_ID_SIZE          RS_CONN_NAME_LENGTH + 1
#define TXN_SIZE             RS_TRANS_NAME_LENGTH + 1
#define HLQ_SIZE             RS_QUALIFIER_LENGTH + 1
#define WORKFLOWID_SIZE      RS_ITEM_ID_LENGTH + 1
#define WORKBASKETID_SIZE    RS_ITEM_ID_LENGTH + 1
#define WSID_SIZE            RS_WSID_LENGTH + 1

#define MAX_MSG 256                    /*need better way to do this...*/


/************************************************************************/
/* typedefs                                                             */
/************************************************************************/

typedef char   CPBLTY           [CPBLTY_SIZE];
typedef char   ITEM_DESC        [ITEM_DESC_SIZE];
typedef char   PART_DESC        [PART_DESC_SIZE];
#ifndef _Windows
typedef char   DIRECTORY        [DIRECTORY_SIZE];
#endif
typedef char   DOC_ID           [DOC_ID_SIZE];
typedef char   DOC_NAME         [DOC_NAME_SIZE];
typedef char   FOLDER_ID        [FOLDER_ID_SIZE];
typedef char   LABEL            [LABEL_SIZE];
typedef char   LINK_NAME        [LINK_NAME_SIZE];
typedef short  LINK_KIND;
typedef char   ALOCATION        [ALOCATION_SIZE];
typedef char   LOCATION         [LOCATION_SIZE];
typedef char   OS_ID            [OS_ID_SIZE];
typedef char   OWNER_ID         [OWNER_ID_SIZE];
typedef char   LCPASSWORD       [PASSWORD_SIZE];
typedef char   LC_PASSWORD      [PASSWORD_SIZE];
typedef char   PATRON_ID        [PATRON_ID_SIZE];
#ifndef FRNAFX 
typedef char   POSITION         [POSITION_SIZE];
#endif
#ifdef PRIV_SET  /* A289jww */
#undef PRIV_SET  /* A289jww */
#endif           /* A289jww */
typedef char   PRIV_SET         [PRIV_SET_SIZE];
typedef char   PROP_STRING      [PROP_STRING_SIZE];
typedef char   PROVENANCE       [PROVENANCE_SIZE];
typedef char   PUB_ACCESS       [PUB_ACCESS_SIZE];
typedef char   REP_TYPE         [REP_TYPE_SIZE];
typedef char   RESOURCE         [RESOURCE_SIZE];
typedef char   SQL_QUERY        [SQL_QUERY_SIZE];
typedef char   STORE_ID         [STORE_ID_SIZE];
typedef char   STORE_HINT       [STORE_HINT_SIZE];
typedef char   SUBSTORE_ID      [SUBSTORE_ID_SIZE];
typedef char   TABLESET_ID      [TABLESET_ID_SIZE];
typedef char   TIMESTAMP        [TIMESTAMP_SIZE];
typedef char   SMS_COLL         [SMS_COLL_SIZE];
typedef char   MGMT_CLASS       [MGMT_CLASS_SIZE];
typedef char   STG_CLASS        [STG_CLASS_SIZE];
typedef char   SYS_ID           [SYS_ID_SIZE];
typedef char   TXN              [TXN_SIZE];
typedef char   HLQ              [HLQ_SIZE];
typedef char   NLS_KEYWORD      [RS_NLSKEYWORD_SIZE];
typedef char   WS_ID            [WSID_SIZE];

typedef SHORT          SEQ_NUM;
typedef ULONG          PAGE_NUM;
typedef ULONG          PART_NUM;
typedef ULONG          EXPIRE_DATE;
typedef SHORT          SEM_TYPE;
typedef SHORT          INDEX_CLASS;
typedef BYTE           SCOPE;
typedef SHORT          UOM;
typedef LONG           MEASURE;
typedef SHORT          VERSION;
typedef SHORT          FLAGS;
typedef ULONG          UPDATEFLAGS;
typedef ULONG          Days;
typedef ULONG          Hours;
typedef ULONG          MINUTES;
typedef ULONG          Minutes;
typedef ULONG          Token;
typedef SHORT          Kind;
typedef ULONG          Milliseconds;
typedef ULONG          Priority;

typedef SHORT          SECMONID;
typedef ULONG          Integer;
typedef ULONG          Interval;
typedef ULONG          ULongInt;
typedef USHORT         UShortInt;
typedef USHORT         LC_COUNT;
typedef void          *EVENT;
typedef ULONG          BLOB_LENGTH;
typedef SHORT          MAX_TUPL;
typedef SHORT          NAT_LANG;
typedef char           NULL_CHAR;
typedef ULONG          ULRESERVED;
typedef ULONG          RESP_HANDLE;
typedef ULONG          SESSION_ID;
typedef USHORT         SESSION_PRTY;

typedef CPBLTY           *CPBLTY_P;
typedef ITEM_DESC        *ITEM_DESC_P;
typedef PART_DESC        *PART_DESC_P;
#ifndef _Windows
typedef DIRECTORY        *DIRECTORY_P;
#endif
typedef DOC_ID           *DOC_ID_P;
typedef DOC_NAME         *DOC_NAME_P;
typedef EXPIRE_DATE      *EXPIRE_DATE_P;
typedef FOLDER_ID        *FOLDER_ID_P;
typedef LABEL            *LABEL_P;
typedef LOCATION         *LOCATION_P;
typedef SHORT            *NAT_LANG_P;
typedef OWNER_ID         *OWNER_ID_P;
typedef ULONG            *PAGE_NUM_P;
typedef LCPASSWORD       *PASSWORD_P;
typedef PATRON_ID        *PATRON_ID_P;
typedef SHORT (EXPENTRY LIBEVENTPROC) (ULONG, VOID *);
typedef LIBEVENTPROC     *PLIBEVENTPROC;
typedef PROP_STRING      *PROP_STRING_P;
typedef PROVENANCE       *PROVENANCE_P;
typedef PUB_ACCESS       *PUB_ACCESS_P;
typedef REP_TYPE         *REP_TYPE_P;
typedef void             *REPLY_P;
typedef RESOURCE         *RESOURCE_P;
typedef char             *RESP_HANDLE_P;
typedef void             *RESP_MESSAGE_P;
typedef SEM_TYPE         *SEM_TYPE_P;
typedef void             *SESSION_P;
typedef ULONG            *SESSION_ID_P;
typedef SMS_COLL         *SMS_COLL_P;
typedef SQL_QUERY        *SQL_QUERY_P;
typedef STORE_ID         *STORE_ID_P;
typedef STORE_HINT       *STORE_HINT_P;
typedef SUBSTORE_ID      *SUBSTORE_ID_P;

/*********************************************/
/*********************************************/
/*                                           */
/* Define the format of returned query data. */
/*                                           */
/* Note:  structures beginning with the      */
/*        prefix LIBF describe the layout of */
/*        formatted query data.  Structures  */
/*        beginning with the prefix LIBU     */
/*        describe unformatted query data.   */
/*                                           */
/*********************************************/
/*********************************************/

/*************************************/
/* The layout of the SBTITEMS table. */
/*************************************/

typedef struct {
   CHAR          achItemID[RS_ITEM_ID_LENGTH];
   CHAR          achContainer[RS_ITEM_ID_LENGTH];
   SMALLINTSTR   achSemType;
   INTSTR        achAccessListCode;
   INTSTR        achOwnerUserID;
   SMALLINTSTR   achIndxClasCode;
   SMALLINTSTR   achSecurity;
   CHAR          achCreated[RS_TIMESTAMP_LENGTH];
   CHAR          achChanged[RS_TIMESTAMP_LENGTH];
   SMALLINTSTR   achWipStatus;
   CHAR          achUserTS[RS_TIMESTAMP_LENGTH];
   SMALLINTSTR   achUserFlags;
   SMALLINTSTR   achItemFlags;
   VARCHAR50     ItemName;
} SBTITEMSROW;

/********************************************************/
/* Define the data returned from LibQueryClassAttrs (). */
/********************************************************/

typedef struct {
   SMALLINTSTR achAttributeID;
   SMALLINTSTR achSQLType;
   INTSTR      achMinimumSize;
   INTSTR      achMaximumSize;
   INTSTR      achUserFlags;

   VARCHAR32   AttrName;
} LIBFATTRDEFROW;

typedef struct {
   USHORT usAttributeID;
   USHORT usSQLType;
   ULONG  ulMinimumSize;
   ULONG  ulMaximumSize;
   ULONG  ulUserFlags;

   VARCHAR32   AttrName;
} LIBUATTRDEFROW;

/**********************************************************/
/* Define the data returned from LibQueryIndexClasses (), */
/* using query option QUERYOPTION_CLASSDEF.               */
/**********************************************************/

typedef struct {
   SMALLINTSTR achClassID;
   SMALLINTSTR achParentClassID;
   SMALLINTSTR achClassFlags;
   SMALLINTSTR achDLLStatus;

   VARCHAR32   ClassName;

   CHAR        DfltACLItemID[RS_ITEM_ID_LENGTH];

   CHAR        achDfltObjServName[RS_OSID_LENGTH];

   VARCHAR44   achDfltSMSCollName;

   SMALLINTSTR achDfltMaxVersions;

   CHAR        achCreatedBy[RS_PATRONID_LENGTH];
   CHAR        achCreated[RS_TIMESTAMP_LENGTH];
} LIBFCLASSDEFROW;

typedef struct {
   USHORT      usClassID;
   USHORT      usParentClassID;
   USHORT      usClassFlags;
   SHORT       sDLLstatus;

   VARCHAR32   ClassName;

   CHAR        DfltACLItemID[RS_ITEM_ID_LENGTH];

   CHAR        achDfltObjServName[RS_OSID_LENGTH];

   VARCHAR44   achDfltSMSCollName;

   USHORT      usDfltMaxVersions;

   CHAR        achCreatedBy[RS_PATRONID_LENGTH];
   CHAR        achCreated[RS_TIMESTAMP_LENGTH];
} LIBUCLASSDEFROW;

/**********************************************************/
/* Define the data returned from LibQueryIndexClasses (), */
/* using query option QUERYOPTION_CLASSATTRS.             */
/**********************************************************/

typedef struct {
   SMALLINTSTR achClassID;

   SMALLINTSTR achSequenceNum;
   SMALLINTSTR achAttributeID;
   SMALLINTSTR achAttrFlags;
   SMALLINTSTR achSQLType;
   INTSTR      achMinimumSize;
   INTSTR      achMaximumSize;
   INTSTR      achUserFlags;

   VARCHAR32   AttrName;
} LIBFCLASSATTRSROW;

typedef struct {
   USHORT      usClassID;

   USHORT      usAttrSeqNum;
   SHORT       sAttributeID;
   USHORT      usAttrFlags;
   USHORT      usSQLType;
   ULONG       ulMinimumSize;
   ULONG       ulMaximumSize;
   ULONG       ulUserFlags;

   VARCHAR32   AttrName;
} LIBUCLASSATTRSROW;


/**********************************************************/
/* Define the data returned from LibQueryControlInfo ()   */
/**********************************************************/

typedef struct {
   CHAR        achConfigID[RS_CONFIGID_LENGTH];
   CHAR        achTablePrefix[RS_TABLEPREFIX_LENGTH];
   CHAR        achLanguageCode[RS_LANGUAGE_CODE_LENGTH];
   USHORT      usColumnLimit;
   ULONG       ulRowLimit;
   USHORT      usTombstoneReq;
   ULONG       ulCheckoutMin;
   ULONG       ulCheckoutMax;
   USHORT      usMaxFailedLogons;
   USHORT      usPasswordDuration;
   USHORT      usOwnerEnabled;
   USHORT      usPubAccessEnabled;
   USHORT      usAccessListChoice;
   CHAR        achAccessListItemID[RS_ITEM_ID_LENGTH];
   USHORT      usSMSChoice;
   USHORT      usMaxVersions;
   USHORT      usAllowDynQuery;
   USHORT      usDLLThreshold;
   USHORT      usQueryThreshold;
   USHORT      usCheckRACF;
   USHORT      usItemRefFlag;
   USHORT      usLibCodePage;
   ULONG       ulClientTimeout;
   ULONG       ulObjServTimeout;
   USHORT      usProcessMax;
   ULONG       ulUserID;
   CHAR        achCreated[RS_TIMESTAMP_LENGTH];
   USHORT      usCacheTableFlags;
   USHORT      usRestrictLogons;
   LONG        lControlFlags;

} LIBUCNTLROW;

typedef struct {

   CHAR        achConfigID[RS_CONFIGID_LENGTH];
   CHAR        achTablePrefix[RS_TABLEPREFIX_LENGTH];
   CHAR        achLanguageCode[RS_LANGUAGE_CODE_LENGTH];
   SMALLINTSTR achColumnLimit;
   INTSTR      achRowLimit;
   SMALLINTSTR achTombstoneReq;
   INTSTR      achCheckoutMin;
   INTSTR      achCheckoutMax;
   SMALLINTSTR achMaxFailedLogons;
   SMALLINTSTR achPasswordDuration;
   SMALLINTSTR achOwnerEnabled;
   SMALLINTSTR achPubAccessEnabled;
   SMALLINTSTR achAccessListChoice;
   CHAR        achAccessListItemID[RS_ITEM_ID_LENGTH];
   SMALLINTSTR achSMSChoice;
   SMALLINTSTR achMaxVersions;
   SMALLINTSTR achAllowDynQuery;
   SMALLINTSTR achDLLThreshold;
   SMALLINTSTR achQueryThreshold;
   SMALLINTSTR achCheckRACF;
   SMALLINTSTR achItemRefFlag;
   SMALLINTSTR achLibCodePage;
   INTSTR      achClientTimeout;
   INTSTR      achObjServTimeout;
   SMALLINTSTR achProcessMax;
   INTSTR      achUserID;
   CHAR        achCreated[RS_TIMESTAMP_LENGTH];
   SMALLINTSTR achCacheTableFlags;
   SMALLINTSTR achRestrictLogons;
   INTSTR      achControlFlags;

} LIBFCNTLROW;

/**********************************************************/
/* Define the data returned from LibQueryCheckedOutInfo() */
/**********************************************************/

typedef struct {
   CHAR        achItemID[RS_ITEM_ID_LENGTH];
   CHAR        achUserName[RS_PATRONID_LENGTH];
   CHAR        achGroupID[RS_ITEM_ID_LENGTH];
   CHAR        achCreated[RS_TIMESTAMP_LENGTH];
   CHAR        achExpires[RS_TIMESTAMP_LENGTH];

} LIBUCHECKEDOUTROW;

typedef struct {

   CHAR        achItemID[RS_ITEM_ID_LENGTH];
   CHAR        achUserName[RS_PATRONID_LENGTH];
   CHAR        achGroupID[RS_ITEM_ID_LENGTH];
   CHAR        achCreated[RS_TIMESTAMP_LENGTH];
   CHAR        achExpires[RS_TIMESTAMP_LENGTH];

} LIBFCHECKEDOUTROW;

/**********************************************************/
/* Define the data returned from LibQueryEventInfo()      */
/**********************************************************/

typedef struct {

   CHAR        achSessionTS[RS_TIMESTAMP_LENGTH];
   USHORT      usEventCode;
   CHAR        achCreated[RS_TIMESTAMP_LENGTH];
   ULONG       ulUserID;
   CHAR        achItemID[RS_ITEM_ID_LENGTH];
   CHAR        achRepType[RS_REPTYPE_LENGTH];
   ULONG       ulPartNum;
   USHORT      usVersionNum;
   USHORT      usUnitOfMeasure;
   ULONG       ulMeasure;
   VARCHAR98   Location;
   VARCHAR220  EventData;

} LIBUEVENTROW;

typedef struct {

   CHAR        achSessionTS[RS_TIMESTAMP_LENGTH];
   SMALLINTSTR achEventCode;
   CHAR        achCreated[RS_TIMESTAMP_LENGTH];
   INTSTR      achUserID;
   CHAR        achItemID[RS_ITEM_ID_LENGTH];
   CHAR        achRepType[RS_REPTYPE_LENGTH];
   INTSTR      achPartNum;
   SMALLINTSTR achVersionNum;
   SMALLINTSTR achUnitOfMeasure;
   INTSTR      achMeasure;
   VARCHAR98   Location;
   VARCHAR220  EventData;


} LIBFEVENTROW;

/***********************************************************/
/* Define the data returned from LibQueryItemInfo() - ITEM */
/***********************************************************/

typedef struct {

   CHAR        achItemID[RS_ITEM_ID_LENGTH];
   CHAR        achContainer[RS_ITEM_ID_LENGTH];
   USHORT      usSemType;
   ULONG       ulAccessListCode;
   ULONG       ulOwnerUserID;
   USHORT      usIndexClassCode;
   USHORT      usSecurity;
   CHAR        achCreated[RS_TIMESTAMP_LENGTH];
   CHAR        achChanged[RS_TIMESTAMP_LENGTH];
   USHORT      usWIPStatus;
   CHAR        achUserTS[RS_TIMESTAMP_LENGTH];
   USHORT      usUserFlags;
   USHORT      usItemFlags;
   VARCHAR50   ItemName;

} LIBUITEM_ITEMROW;

typedef struct {

   CHAR        achItemID[RS_ITEM_ID_LENGTH];
   CHAR        achContainer[RS_ITEM_ID_LENGTH];
   SMALLINTSTR achSemType;
   INTSTR      achAccessListCode;
   INTSTR      achOwnerUserID;
   SMALLINTSTR achIndexClassCode;
   SMALLINTSTR achSecurity;
   CHAR        achCreated[RS_TIMESTAMP_LENGTH];
   CHAR        achChanged[RS_TIMESTAMP_LENGTH];
   SMALLINTSTR achWIPStatus;
   CHAR        achUserTS[RS_TIMESTAMP_LENGTH];
   SMALLINTSTR achUserFlags;
   SMALLINTSTR achItemFlags;
   VARCHAR50   ItemName;

} LIBFITEM_ITEMROW;

/***********************************************************/
/* Define the data returned from LibQueryItemInfo() - ACL  */
/***********************************************************/

typedef struct {

   CHAR        achItemID[RS_ITEM_ID_LENGTH];
   ULONG       ulAccessListCode;
   ULONG       ulUserID;
   USHORT      usUserKind;
   USHORT      usPrivCode;

} LIBUITEM_ACLROW;

typedef struct {

   CHAR        achItemID[RS_ITEM_ID_LENGTH];
   INTSTR      achAccessListCode;
   INTSTR      achUserID;
   SMALLINTSTR achUserKind;
   SMALLINTSTR achPrivCode;


} LIBFITEM_ACLROW;

/***********************************************************/
/* Define the data returned from LibQueryItemInfo() - LINKS*/
/***********************************************************/

typedef struct {

   CHAR        achParentItemID[RS_ITEM_ID_LENGTH];
   CHAR        achChildItemID[RS_ITEM_ID_LENGTH];
   CHAR        achLinkItemID[RS_ITEM_ID_LENGTH];
   USHORT      usLinkKind;
   CHAR        achChanged[RS_TIMESTAMP_LENGTH];
   VARCHAR88   ParentLoc;
   VARCHAR88   ChildLoc;

} LIBUITEM_LINKSROW;

typedef struct {

   CHAR        achParentItemID[RS_ITEM_ID_LENGTH];
   CHAR        achChildItemID[RS_ITEM_ID_LENGTH];
   CHAR        achLinkItemID[RS_ITEM_ID_LENGTH];
   SMALLINTSTR achLinkKind;
   CHAR        achChanged[RS_TIMESTAMP_LENGTH];
   VARCHAR88   ParentLoc;
   VARCHAR88   ChildLoc;

} LIBFITEM_LINKSROW;

/***********************************************************/
/* Define the data returned from LibQueryItemInfo() - PROP */
/***********************************************************/

typedef struct {

   CHAR        achItemID[RS_ITEM_ID_LENGTH];
   VARCHAR32   PropertyName;
   CHAR        achChanged[RS_TIMESTAMP_LENGTH];
   VARCHAR100  Value;

} LIBUITEM_PROPROW;

typedef struct {

   CHAR        achItemID[RS_ITEM_ID_LENGTH];
   VARCHAR32   PropertyName;
   CHAR        achChanged[RS_TIMESTAMP_LENGTH];
   VARCHAR100  Value;

} LIBFITEM_PROPROW;

/***********************************************************/
/* Define the data returned from LibQueryItemInfo() - DESC */
/***********************************************************/

typedef struct {

   CHAR        achItemID[RS_ITEM_ID_LENGTH];
   USHORT      usSeqNum;
   CHAR        achChanged[RS_TIMESTAMP_LENGTH];
   VARCHAR3900 ItemDescr;


} LIBUITEM_DESCROW;

typedef struct {

   CHAR        achItemID[RS_ITEM_ID_LENGTH];
   SMALLINTSTR achSeqNum;
   CHAR        achChanged[RS_TIMESTAMP_LENGTH];
   VARCHAR3900 ItemDescr;

} LIBFITEM_DESCROW;

/***********************************************************/
/* Define the data returned from LibQueryItemInfo() - NAME */
/***********************************************************/

typedef struct {

   CHAR        achItemID[RS_ITEM_ID_LENGTH];
   ULONG       ulUserID;
   CHAR        achChanged[RS_TIMESTAMP_LENGTH];
   VARCHAR80   Name;
   VARCHAR120  Directory;

} LIBUITEM_NAMEROW;

typedef struct {

   CHAR        achItemID[RS_ITEM_ID_LENGTH];
   INTSTR      achUserID;
   CHAR        achChanged[RS_TIMESTAMP_LENGTH];
   VARCHAR80   Name;
   VARCHAR120  Directory;

} LIBFITEM_NAMEROW;

/***********************************************************/
/* Define the data returned from LibQueryItemInfo() - PARTS*/
/***********************************************************/

typedef struct {

   CHAR        achItemID[RS_ITEM_ID_LENGTH];
   CHAR        achRepType[RS_REPTYPE_LENGTH];
   ULONG       ulPartNum;
   ULONG       ulPartLen;
   USHORT      usVersionNum;
   CHAR        achCreated[RS_TIMESTAMP_LENGTH];
   CHAR        achChanged[RS_TIMESTAMP_LENGTH];
   USHORT      usObjServCode;
   USHORT      usSMSCOLLCode;
   USHORT      usPartFlags;
   USHORT      usContentClass;
   VARCHAR98   PartLoc;
   USHORT      usAffiliations;
   ULONG       ulPartSeqNum;
   VARCHAR200  PartDescr;

} LIBUITEM_PARTSROW;

typedef struct {

   CHAR        achItemID[RS_ITEM_ID_LENGTH];
   CHAR        achRepType[RS_REPTYPE_LENGTH];
   INTSTR      ulPartNum;
   INTSTR      ulPartLen;
   SMALLINTSTR usVersionNum;
   CHAR        achCreated[RS_TIMESTAMP_LENGTH];
   CHAR        achChanged[RS_TIMESTAMP_LENGTH];
   SMALLINTSTR usObjServCode;
   SMALLINTSTR usSMSCOLLCode;
   SMALLINTSTR usPartFlags;
   SMALLINTSTR usContentClass;
   VARCHAR98   PartLoc;
   SMALLINTSTR usAffiliations;
   INTSTR      ulPartSeqNum;
   VARCHAR200  PartDescr;

} LIBFITEM_PARTSROW;






/*****************************************************************/
/* Define the data returned from LibQueryIndexesOnIndexClass (). */
/*****************************************************************/

typedef struct {
   SMALLINTSTR achAttributeID;
   SMALLINTSTR achAttrFlags;

   SMALLINTSTR achIndexFlags;
   VARCHAR18   IndexName;
} LIBFDBMSINDEXROW;

typedef struct {
   USHORT      usAttributeID;
   USHORT      usAttrFlags;

   USHORT      usIndexFlags;
   VARCHAR18   IndexName;
} LIBUDBMSINDEXROW;

/*************************************************************/
/* Define the data returned from LibQueryIndexClassViews (), */
/* using query option QUERYOPTION_VIEWDEF.                   */
/*************************************************************/

typedef struct {
   SMALLINTSTR achViewID;
   SMALLINTSTR achClassID;

   VARCHAR32   ViewName;

   CHAR        ACLItemID[RS_ITEM_ID_LENGTH];

   SMALLINTSTR achDLLStatus;
   SMALLINTSTR achViewFlags;
} LIBFVIEWDEFROW;

typedef struct {
   USHORT      usViewID;
   USHORT      usClassID;

   VARCHAR32   ViewName;

   CHAR        ACLItemID[RS_ITEM_ID_LENGTH];

   SHORT       sDLLStatus;
   USHORT      usViewFlags;
} LIBUVIEWDEFROW;

/*************************************************************/
/* Define the data returned from LibQueryIndexClassViews (), */
/* using query option QUERYOPTION_VIEWATTRS.                 */
/*************************************************************/

typedef struct {
   SMALLINTSTR achViewID;
   SMALLINTSTR achClassID;

   SMALLINTSTR achSequenceNum;
   SMALLINTSTR achAttributeID;
   SMALLINTSTR achSQLType;
   INTSTR      achMinimumSize;
   INTSTR      achMaximumSize;
   INTSTR      achUserFlags;

   SMALLINTSTR achAttrViewFlags;
   SMALLINTSTR achAttrClassFlags;

   VARCHAR32   AttrName;
} LIBFVIEWATTRSROW;

typedef struct {
   USHORT      usViewID;
   USHORT      usClassID;

   USHORT      usAttrSeqNum;
   SHORT       sAttributeID;
   USHORT      usSQLType;
   ULONG       ulMinimumSize;
   ULONG       ulMaximumSize;
   ULONG       ulUserFlags;

   USHORT      usAttrViewFlags;
   USHORT      usAttrClassFlags;

   VARCHAR32   AttrName;
} LIBUVIEWATTRSROW;

/*********************************************************/
/* Define the data returned from LibQueryPatronPrivs (). */
/*********************************************************/

typedef struct {
   CHAR        achPrivName[RS_PRIVNAME_LENGTH];
   CHAR        achPrivDescr[RS_PRIVDESCR_LENGTH];
   CHAR        achPrivSet[RS_PRIVSET_LENGTH];
} LIBQUERYPRIVSROW;

typedef LIBQUERYPRIVSROW LIBUQUERYPRIVSROW;
typedef LIBQUERYPRIVSROW LIBFQUERYPRIVSROW;

/**********************************************************/
/* Define the data returned from LibQueryNLSLanguages (). */
/**********************************************************/

typedef struct {
   CHAR        achLanguageCode [RS_LANGUAGE_CODE_LENGTH];
   VARCHAR32   LanguageName;
} LIBUNLSLANGUAGESROW;

typedef LIBUNLSLANGUAGESROW LIBFNLSLANGUAGESROW;

/*********************************************************/
/* Define the data returned from LibQueryNLSKeywords (). */
/*********************************************************/

typedef struct {
   CHAR        achLanguageCode [RS_LANGUAGE_CODE_LENGTH];
   SMALLINTSTR achKeywordType;
   SMALLINTSTR achKeywordCode;
   VARCHAR32   KeywordString;
} LIBFNLSKEYWORDSROW;

typedef struct {
   CHAR        achLanguageCode [RS_LANGUAGE_CODE_LENGTH];
   USHORT      usKeywordType;
   USHORT      usKeywordCode;
   VARCHAR32   KeywordString;
} LIBUNLSKEYWORDSROW;

/**********************************************************/
/* Define the data returned from LibQueryObjectServers(). */
/**********************************************************/

typedef struct {
   SMALLINTSTR achObjServCode;
   CHAR        achObjServName[RS_OSID_LENGTH];
   CHAR        achSysId[RS_OSID_LENGTH];
   CHAR        achTxnName[RS_CONN_NAME_LENGTH];
   CHAR        achHLQName[RS_QUALIFIER_LENGTH];
   INTSTR      achUserId;
   CHAR        achChanged[RS_TIMESTAMP_LENGTH];
   SMALLINTSTR achObjServFlags;
   CHAR        achCommProtocol; /* added for mvs tcpip */
   INTSTR      achPortNumber;   /* added for mvs tcpip */
   CHAR        achAddress[RS_NETWORK_ADDRESS_LENGTH]; /* added for
                                                        mvs tcpip */
} LIBFOBJSERVROW;

typedef struct {
   SHORT       sObjServCode;
   CHAR        achObjServName[RS_OSID_LENGTH];
   CHAR        achSysId[RS_OSID_LENGTH];
   CHAR        achTxnName[RS_CONN_NAME_LENGTH];
   CHAR        achHLQName[RS_QUALIFIER_LENGTH];
   LONG        lUserId;
   CHAR        achChanged[RS_TIMESTAMP_LENGTH];
   SHORT       sObjServFlags;
} LIBUOBJSERVROW;

/***********************************************************/
/* Define the data returned from LibQuerySMSCollections(). */
/***********************************************************/

typedef struct {
   SMALLINTSTR achObjServCode;
   SMALLINTSTR achSmsCollCode;
   INTSTR      achUserId;
   CHAR        achChanged[RS_TIMESTAMP_LENGTH];
   VARCHAR44   CollectionName;
} LIBFSMSCOLLROW;

typedef struct {
   SHORT       sObjServCode;
   SHORT       sSmsCollCode;
   LONG        lUserId;
   CHAR        achChanged[RS_TIMESTAMP_LENGTH];
   VARCHAR44   CollectionName;
} LIBUSMSCOLLROW;

/*************************************************************/
/* Define the data returned from LibQueryPartInfo (),        */
/*************************************************************/

typedef struct {
   CHAR        achItemID[RS_ITEM_ID_LENGTH];
   CHAR        achRepType[RS_REPTYPE_LENGTH];
   INTSTR      achPartNum;
   INTSTR      achPartSize;
   SMALLINTSTR achVersionNum;
   CHAR        achCreated[RS_TIMESTAMP_LENGTH];
   CHAR        achChanged[RS_TIMESTAMP_LENGTH];
   SMALLINTSTR achContentClass;
   CHAR        achMgtClass[RS_MANAGEMENT_CLASS_LENGTH];
   CHAR        achStgClass[RS_STORAGE_CLASS_LENGTH];
   CHAR        achDataClass[RS_DATACLASS_LENGTH];
   INTSTR      achRetention;
   INTSTR      achEstRetrieveTime;
   INTSTR      achAvail;
   SMALLINTSTR achNumPages;
   CHAR        achExpires[RS_TIMESTAMP_LENGTH];
   CHAR        achLastRef[RS_TIMESTAMP_LENGTH];
   CHAR        achLastStgClassTrans[RS_TIMESTAMP_LENGTH];
   CHAR        achObjectName[RS_OBJECT_NAME_LENGTH];
   CHAR        achObjectServerName[RS_OSID_LENGTH];
   VARCHAR80   achCollectionName;
} LIBFPARTINFOROW;

typedef struct {
   CHAR        achItemID[RS_ITEM_ID_LENGTH];
   CHAR        achRepType[RS_REPTYPE_LENGTH];
   ULONG       ulPartNum;
   ULONG       ulPartSize;
   SHORT       sVersionNum;
   CHAR        achCreated[RS_TIMESTAMP_LENGTH];
   CHAR        achChanged[RS_TIMESTAMP_LENGTH];
   SHORT       sContentClass;
   CHAR        achMgtClass[RS_MANAGEMENT_CLASS_LENGTH];
   CHAR        achStgClass[RS_STORAGE_CLASS_LENGTH];
   CHAR        achDataClass[RS_DATACLASS_LENGTH];
   LONG        lRetention;
   LONG        lEstRetrieveTime;
   ULONG       ulAvail;
   USHORT      usNumPages;
   CHAR        achExpires[RS_TIMESTAMP_LENGTH];
   CHAR        achLastRef[RS_TIMESTAMP_LENGTH];
   CHAR        achLastStgClassTrans[RS_TIMESTAMP_LENGTH];
   CHAR        achObjectName[RS_OBJECT_NAME_LENGTH];
   CHAR        achObjectServerName[RS_OSID_LENGTH];
   VARCHAR80   achCollectionName;
} LIBUPARTINFOROW;

/*********************************************************/
/* Define the data returned from LibQueryActiveUsers (). */
/*********************************************************/

typedef struct {
   CHAR        achUserName [RS_PATRONID_LENGTH + 1];
   CHAR        achWorkstationID [RS_WSID_LENGTH + 1];
   SMALLINTSTR achLogonCount;
} LIBFACTIVEUSERROW;

typedef struct {
   CHAR        achUserName [RS_PATRONID_LENGTH + 1];
   CHAR        achWorkstationID [RS_WSID_LENGTH + 1];
   USHORT      usLogonCount;
} LIBUACTIVEUSERROW;

/***************************************************************/
/* Define the data returned from LibQueryLicenseViolations (), */
/***************************************************************/

typedef struct {
   CHAR        achViolationDate[RS_DATE_LENGTH];
   CHAR        achViolationTime[RS_TIME_LENGTH];
   LONG        achUserName[RS_PATRONID_LENGTH];
   CHAR        achWorkstationID[RS_WSID_LENGTH];
   SMALLINTSTR achMaxUsers;
   SMALLINTSTR achNumUsers;
   CHAR        achHardStopDate[RS_DATE_LENGTH];
} LIBFVIOLATIONROW;

typedef struct {
   CHAR        achViolationDate[RS_DATE_LENGTH];
   CHAR        achViolationTime[RS_TIME_LENGTH];
   LONG        achUserName[RS_PATRONID_LENGTH];
   CHAR        achWorkstationID[RS_WSID_LENGTH];
   SHORT       sMaxUsers;
   SHORT       sNumUsers;
   CHAR        achHardStopDate[RS_DATE_LENGTH];
} LIBUVIOLATIONROW;

/*********************************************************/
/* Define the data returned from LibQueryLicenseInfo (), */
/*********************************************************/

typedef struct {
   CHAR        achCustomerId[RS_CUSTOMERID_LENGTH];
   SMALLINTSTR achMaxUsers;
   INTSTR      achNumViolations;
   CHAR        achHardStopDate[RS_DATE_LENGTH];
   SMALLINTSTR achMaxLoggedOnUsers;
} LIBFLICENSEINFOROW;

typedef struct {
   CHAR        achCustomerId[RS_CUSTOMERID_LENGTH];
   SHORT       sMaxUsers;
   LONG        lNumViolations;
   CHAR        achHardStopDate[RS_DATE_LENGTH];
   SHORT       sMaxLoggedOnUsers;
} LIBULICENSEINFOROW;

/*****************************************************/
/* Define the data returned from LibQueryWBItems (), */
/*****************************************************/

typedef struct {
   CHAR        achWorkbasketId[RS_ITEM_ID_LENGTH];
   CHAR        achItemId[RS_ITEM_ID_LENGTH];
   SMALLINTSTR achBasePriority;
   SMALLINTSTR achCurrentPriority;
   CHAR        achEnteredWB[RS_TIMESTAMP_LENGTH];
   SMALLINTSTR achWIPStatus;
} LIBFWBITEMSINFOROW;

typedef struct {
   CHAR        achWorkbasketId[RS_ITEM_ID_LENGTH];
   CHAR        achItemId[RS_ITEM_ID_LENGTH];
   SHORT       sBasePriority;
   SHORT       sCurrentPriority;
   CHAR        achEnteredWB[RS_TIMESTAMP_LENGTH];
   SHORT       sWIPStatus;
} LIBUWBITEMSINFOROW;

/*************************************************************/
/*************************************************************/
/* End the definition of the layouts of returned query data. */
/*************************************************************/
/*************************************************************/

/****************************/
/* Define enumerated types. */
/****************************/

typedef enum {
        ATTR_FOLDERID,                 /* folder doc id in library    */
        ATTR_ITEMNAME,                 /* label used in folder support*/
        ATTR_LOCATION,                 /* obj. loc. if not in library */
        ATTR_OWNERID,                  /* owner, not connected patron */
        ATTR_PUBACCESS,                /* public privileges           */
        ATTR_SEMTYPE,                  /* sematic type                */
        ATTR_STOREHINT,                /* hint about medium or loc.   */
        ATTR_PARTDESC,                 /* Part Description - LibSIP   */
        ATTR_OBJSERV,                  /* For DefineObjectServer      */
        ATTR_SMSCOLL,
        ATTR_SECURITY,
        ATTR_TIMESTAMP,
        ATTR_USERFLAGS,
        ATTR_WIPSTATUS,
        ATTR_CONTENTCLASS,
        ATTR_PATRONPRIV,               /* For DefinePatron            */
        ATTR_PASSWORD,                 /* For DefinePatron            */
        ATTR_NEWNAME,                  /* For DefinePatron            */
        ATTR_SYSID,                    /* For DefineObjectServer      */
        ATTR_TXN,                      /* For DefineObjectServer      */
        ATTR_HLQ,                      /* For DefineObjectServer      */
        ATTR_COMMPROTOCOL,             /* for defineobjsectserver     */
        ATTR_ADDRESS,                  /* for defineobjsectserver     */
        ATTR_PORTNUMBER,               /* for defineobjsectserver     */
        ATTR_MAXVERSIONS,
        ATTR_USERSHORT,
        ATTR_USERLONG,
        ATTR_ACCESS,
        ATTR_ACL,
        ATTR_OWNERENABLED,
        ATTR_ACITEMCHANGES,
        ATTR_MGMTCLASS,
        ATTR_STGCLASS,
        ATTR_RETENTION,
        ATTR_TABLEPREFIX,              /* For Define Control Params   */
        ATTR_MAXCOLUMNS,               /* For Define Control Params   */
        ATTR_MAXROWS,                  /* For Define Control Params   */
        ATTR_TOMBSTONEREQ,             /* For Define Control Params   */
        ATTR_CHECKOUTMIN,              /* For Define Control Params   */
        ATTR_CHECKOUTMAX,              /* For Define Control Params   */
        ATTR_MAXFAILEDLOGONS,          /* For Define Control Params   */
        ATTR_PASSWORDDURATION,         /* For Define Control Params   */
        ATTR_PUBACCESSENABLED,         /* For Define Control Params   */
        ATTR_ACCESSLISTCHOICE,         /* For Define Control Params   */
        ATTR_ACCESSLISTCODE,           /* For Define Control Params   */
        ATTR_SMSCHOICE,                /* For Define Control Params   */
        ATTR_ALLOWDYNQUERY,            /* For Define Control Params   */
        ATTR_DLLTHRESHOLD,             /* For Define Control Params   */
        ATTR_QUERYTHRESHOLD,           /* For Define Control Params   */
        ATTR_CHECKRACF,                /* For Define Control Params   */
        ATTR_SETITEMREFFLAG,           /* For Define Control Params   */
        ATTR_LIBRARYCODEPAGE,          /* For Define Control Params   */
        ATTR_CLIENTTIMEOUT,            /* For Define Control Params   */
        ATTR_OBJSERVTIMEOUT,           /* For Define Control Params   */
        ATTR_MAXPROCESSES,             /* For Define Control Params   */
        ATTR_RESTRICTLOGONS,           /* For Define Control Params   */
        ATTR_CACHETABLEFLAGS,          /* For Define Control Params   */
        ATTR_LANGUAGECODE,             /* For Define Control Params   */
        ATTR_CONTROLFLAGS,             /* For Define Control Params   */

        ATTR_FORCEENUM_TOULONG = 1000000
} ATTR;

typedef enum {
   ACLUSE_USER       = 0,
   ACLUSE_PATRON,
   ACLUSE_INDEXCLASS,
   ACLUSE_CONTROL,
   ACLUSE_DEFAULT,
   ACLUSE_NONE,
   ACLUSE_NEW_AC_ITEM,

   ACLUSE_FORCEENUM_TOULONG = 1000000
} ACL_USE;


/* OPTIONs for LibQueryItemInfo() */
typedef enum {
   RET_ITEM_ITEM,
   RET_ITEM_ACL,
   RET_ITEM_LINKS,
   RET_ITEM_PROP,
   RET_ITEM_DESC,
   RET_ITEM_NAME,
   RET_ITEM_PARTS,
   RET_ITEM_CHLINKS,
   RET_ITEM_PARLINKS,

   RET_ITEM_FORCEENUM_TOULONG = 1000000
} RET_ITEM;


/* Values for the LibSetAccessList() API field, bInfoType */
typedef enum {
   ACLINFO_ITEM = 10,
   ACLINFO_VIEW = 11,

   ACLINFO_FORCEENUM_TOULONG = 1000000
} ACL_INFO;

typedef enum {
   USERKIND_PUBLIC = 0,
   USERKIND_OWNER  = 1,
   USERKIND_GROUP  = 2,
   USERKIND_USER   = 3,

   USERKIND_FORCEENUM_TOULONG = 1000000
} USER_KIND;

/*************************************************************/
/* Define structures for specifying optional API parameters. */
/*************************************************************/

typedef struct {
  BOOL               bUseFolderId;
  FOLDER_ID          pszFolderId;
  BOOL               bUseSecurity;
  BOOL               bUseDfltSecurity;
  SHORT              sSecurity;
  BOOL               bUseOwnerId;
  BOOL               bUseDfltItemOwner;
  OWNER_ID           pszOwnerId;
  BOOL               bUseAccessChoice;
  ACL_USE            usACLUse;
  DOC_ID             pszACLID;
  BOOL               bUseItemName;
  LABEL              pszItemName;
  BOOL               bUseSemType;
  SEM_TYPE           sSemType;
  BOOL               bUseTimeStamp;
  BOOL               bUseServerTimeStamp;
  TIMESTAMP          pszTimeStamp;
  BOOL               bUseOwnerEnabled;
  BOOL               bOwnerEnabledItem;
  BOOL               bUseACLItemChanges;
  BOOL               bACItemChanges;
  BOOL               bUseUserFlags;
  SHORT              sUserFlags;
  BOOL               bUseWIPStatus;
  SHORT              sWIPStatus;
} ITEM_ATTRS;

typedef ITEM_ATTRS * PITEM_ATTRS;

typedef struct {
  BOOL               bUseLocation;
  LOCATION           pszLocation;
  BOOL               bUseStoreHint;
  STORE_HINT         pszStoreHint;
  BOOL               bUsePartDesc;
  PART_DESC          pszPartDesc;
  BOOL               bUseOsId;
  OS_ID              pszOsId;
  BOOL               bUseSMSCollection;
  SMS_COLL           pszSMSCollection;
  BOOL               bUseMgmtClass;
  MGMT_CLASS         pszMgmtClass;
  BOOL               bUseStgClass;
  STG_CLASS          pszStgClass;
  BOOL               bUseRetention;
  LONG               lRetention;
  BOOL               bUseContentClass;
  SHORT              sContentClass;
  BOOL               bUseUserShort;
  SHORT              sUserShort;
  BOOL               bUseUserLong;
  SHORT              lUserLong;
  } PART_ATTRS;

typedef PART_ATTRS * PPART_ATTRS;

typedef struct {
  BOOL               bUseOsId;
  OS_ID              pszOsId;
  BOOL               bUseSMSCollection;
  SMS_COLL           pszSMSCollection;
  BOOL               bUseMgmtClass;
  MGMT_CLASS         pszMgmtClass;
  BOOL               bUseStgClass;
  STG_CLASS          pszStgClass;
  BOOL               bUseRetention;
  LONG               lRetention;
  } MOVE_ATTRS;

typedef MOVE_ATTRS * PMOVE_ATTRS;

typedef struct {
  BOOL               bUseSMSCollection;
  SMS_COLL           pszSMSCollection;
  BOOL               bUseMgmtClass;
  MGMT_CLASS         pszMgmtClass;
  BOOL               bUseStgClass;
  STG_CLASS          pszStgClass;
  BOOL               bUseRetention;
  LONG               lRetention;
  } UPDSMS_ATTRS;

typedef UPDSMS_ATTRS * PUPDSMS_ATTRS;

typedef struct {
     BOOL    bUseDefaultObjectServer;
     CHAR    szDefaultObjectServerName[RS_OSID_LENGTH + 1];

     BOOL    bUseDefaultCollection;
     CHAR    szDefaultCollection[RS_COLLECTION_NAME_LENGTH + 1];

     BOOL    bUseDefaultMaxVersions;
     USHORT  usDefaultMaxVersions;

     BOOL    bUseAccessChoice;
     ACL_USE usACLUse;
     DOC_ID  pszACLID;

     BOOL    bUseAttrList;
} INDEXCLASSOPTIONS;

typedef INDEXCLASSOPTIONS *PINDEXCLASSOPTIONS;

typedef struct {
  BOOL       bUseSecurity;
  BOOL       bUseDfltSecurity;
  SHORT      sSecurity;
  BOOL       bUseOwner;
  BOOL       bUseDfltViewOwner;
  OWNER_ID   achViewOwner;
  BOOL       bUseIndexClassACL;
  BOOL       bUseDfltIndexClassACL;
  DOC_ID     achACLID;
  BOOL       bUseOwnerEnabledView;
  BOOL       bOwnerEnabledView;
  BOOL       bUseACViewChanges;
  BOOL       bACViewChanges;
  BOOL       bUseAttrList;
  } VIEW_ATTRS;

typedef VIEW_ATTRS * PVIEW_ATTRS;

typedef struct {
  BOOL               bUseWorkflowID;
  CHAR               szWorkflowID [RS_ITEM_ID_LENGTH + 1];
  BOOL               bUseWorkbasketID;
  CHAR               szWorkbasketID [RS_ITEM_ID_LENGTH + 1];
  BOOL               bUseWorkbasketOrder;
  SHORT              sWorkbasketOrder;
  BOOL               bUseWIPStatus;
  SHORT              sWIPStatus;
  BOOL               bUseWIPFlag;
  SHORT              sWIPFlag;
  USHORT             usIndexClassID;
  BOOL               bUseBasePriority;
  SHORT              sBasePriority;
  BOOL               bUseCurrentPriority;
  SHORT              sCurrentPriority;
  BOOL               bUseItemStatus;
  SHORT              sItemStatus;
  BOOL               bUseEnteredWB;
  CHAR               szEnteredWB[RS_TIMESTAMP_LENGTH + 1];
  BOOL               bUseEnteredWF;
  CHAR               szEnteredWF[RS_TIMESTAMP_LENGTH + 1];
  } WORKSLIP_ATTRS;

typedef WORKSLIP_ATTRS * PWORKSLIP_ATTRS;

typedef struct {
  USHORT             usCurrentClassID;
  BOOL               bUseSuspensionType;
  SHORT              sSuspensionType;
  BOOL               bUseReleaseType;
  SHORT              sReleaseType;
  BOOL               bUseNextWorkbasketID;
  CHAR               szNextWorkbasketID [RS_ITEM_ID_LENGTH + 1];
  BOOL               bUseExpiresTS;
  CHAR               szExpiresTS [RS_TIMESTAMP_LENGTH + 1];
  BOOL               bUseSuspendedTS;
  CHAR               szSuspendedTS [RS_TIMESTAMP_LENGTH + 1];
  SHORT              sDeleteScope;
  } SUSPITEM_ATTRS;

typedef SUSPITEM_ATTRS * PSUSPITEM_ATTRS;

typedef struct {
  BOOL               bUseOsId;
  OS_ID              pszOsId;
  BOOL               bUseSysId;
  SYS_ID             pszSysId;
  BOOL               bUseTxnName;
  TXN                pszTxnName;
  BOOL               bUseHLQ;
  HLQ                pszHLQ;
  } OBJSERV_ATTRS;

typedef OBJSERV_ATTRS * POBJSERV_ATTRS;


typedef enum {
     TYPE_INT = 1,
     TYPE_UINT,
     TYPE_SHORT,
     TYPE_USHORT,
     TYPE_CHAR,
     TYPE_UCHAR,
     TYPE_LONG,
     TYPE_ULONG,
     TYPE_PSZ,

     TYPE_FORCEENUM_TOULONG = 1000000
} INDEX_ATTR_TYPE;

typedef struct {
  SHORT           sIndexAttrID;
  INDEX_ATTR_TYPE usAttrType;
  union {
    INT    iValue;
    UINT   uiValue;
    SHORT  sValue;
    USHORT usValue;
    CHAR   chValue;
    UCHAR  uchValue;
    LONG   lValue;
    ULONG  ulValue;
    PSZ    pszValue;
    } value;
  } INDEX_ATTRS;

typedef INDEX_ATTRS * PINDEX_ATTRS;



/* Any changes to this struct must be made to llsdefic.c
   lLLsGenerateAVTcode() as well.
*/

typedef struct {
   SHORT            usAttrID;
   ATTRIBUTETYPE    attrType;
   SHORT            sLength;
   /* Use the following #defs when setting sLength to
      perform the following actions:

       RS_SET_TO_NULL - Set the attribute value to NULL.
                        Allowed for any attr type that is not required.
                        Important: For char data types setting pszValue
                          to NULL will automatically assume RS_SET_TO_NULL.

       RS_USE_NULL_TERMINATED_STRING - For char data types the pszValue
                                       points to a NULL terminated string.

      sLength>0 - For char types use pszValue for specified length.
                  (Not null terminated, and pszValue must be non-NULL)
       */
   CHAR             achValue[32+1];

   union {
      PSZ    pszValue; /* Pointer to NULL terminated string */
      SHORT  sValue;
      LONG   lValue;
      double dblValue;
   } value;
} ATTRVALUELIST;

/************************************************/
/** LCERR: MOVED ALL RETURN CODES TO FRNPERR.H **/
/************************************************/

/***************************************************/
/* Define a macro which specifies the calling      */
/* convention for all library client API routines. */
/***************************************************/

#ifdef _Windows
  #ifdef __WIN32__
  #define LIBENTRY __stdcall
  #else
  #define LIBENTRY _System
  #endif
#else
#define LIBENTRY _System
#endif

/************************************************************************/
/* Function prototypes                                                  */
/************************************************************************/

SHORT LIBENTRY LibSetAttrValues (SESSION_P      pSession,
                                 ACTION_CODE    action,
                                 PSZ            achItemID,
                                 USHORT         usViewID,
                                 TRUE_FALSE     bUseDefaultACL,
                                 PSZ            achACLItemID,
                                 USHORT         usNumAttrs,
                                 ATTRVALUELIST  attrList []);

BOOL LIBENTRY LibQueryCache (VOID);

SHORT LIBENTRY LibRemoveItemPart (SESSION_P     pSession,
                                 PSZ            pszItem,
                                 PSZ            pszXform,
                                 PAGE_NUM       ulPart,
                                 SHORT          sVersionNum);

SHORT LIBENTRY LibAllocateItemPart (SESSION_P pSession, BLOB_LENGTH ulSize,
                                    CACHE_HINT storage, LONG lRetentionPeriod,
                                    HELEMENT * phElement);

SHORT LIBENTRY LibCheckIn (SESSION_P      pSession,
                           CHECK_IN_SCOPE usScope,
                           PSZ            pszCheckoutID,
                           TRUE_FALSE     bItemChanged);

SHORT LIBENTRY LibCheckOut (SESSION_P  pSession,
                            PSZ        pszCheckoutGroupID,
                            PSZ        pszItem,
                            TRUE_FALSE bContents,
                            Hours      ulDuration,
                            TRUE_FALSE bItemChanged);

SHORT LIBENTRY LibChooseLibrary( SESSION_P pSession,
                                 PSZ       pszDatabase,
                                 PSZ       pszTableset,
                                 PSZ       pszPatron,
                                 PSZ       pszPW,
                                 BOOL      bChangePassword,
                                 PSZ       pszNewPW,
                                 BOOL      bClientServer,
                                 PSZ       pszRepPatron,
                                 PSZ       pszRepPW );

SHORT LIBENTRY LibUpdateSessionPatron( SESSION_P pSession,
                                       PSZ       pszPatron,
                                       PSZ       pszPW );

SHORT LIBENTRY LibConnectLibrary( SESSION_P pSession,
                                  Priority  ulPrty );

SHORT LIBENTRY LibDisconnectLibrary( SESSION_P pSession );

SHORT LIBENTRY LibDisconnectPatron (SESSION_P pSession,
                                    PSZ       pszPatron,
                                    PSZ       pszWorkstationID,
                                    BOOL      bComplete,
                                    USHORT   *pusBadOrderCode,
                                    LONG     *plSQLCode);

/* ivy added 3 new paramaters for mvs tcpip support */
SHORT LIBENTRY LibDefineObjectServer (SESSION_P pSession,
                                      ACTION_CODE action,
                                      ULONG ulUpdateFlags,
                                      PSZ pszObjectServerName,
                                      PSZ pszNewObjectServerName,
                                      PSZ pszSysID,
                                      PSZ pszTxnName,
                                      PSZ pszHLQ,
                                      PCHAR pszCommProtocol,
                                      PSZ pszAddress,
                                      ULONG ulPortNumber,
                                      ULONG ulFlags);

SHORT LIBENTRY LibDefineSMSCollection (SESSION_P pSession,
                                       ACTION_CODE action,
                                       PSZ pszObjectServerName,
                                       PSZ pszSMSCollectionName,
                                       PSZ pszNewSMSCollectionName);

#define UPDATE_PATRON_PASSWORD      0x00000001
#define UPDATE_PATRON_PATRONPRIV    0x00000002
#define UPDATE_PATRON_DFLTITEMACL   0x00000004
#define UPDATE_PATRON_DFLTITEMOWNER 0x00000008
#define UPDATE_PATRON_SECURITY      0x00000010
#define UPDATE_PATRON_DFLTSECURITY  0x00000020
#define UPDATE_PATRON_OBJSERV       0x00000040
#define UPDATE_PATRON_SMSCOLL       0x00000080
#define UPDATE_PATRON_NEWNAME       0x00000100

#define PATRON_PASSWORD        1L
#define PATRON_PATRONPRIV      2L
#define PATRON_DFLTITEMACL     4L
#define PATRON_DFLTITEMOWNER   8L
#define PATRON_SECURITY       16L
#define PATRON_DFLTSECURITY   32L
#define PATRON_OBJSERV        64L
#define PATRON_SMSCOLL       128L
#define PATRON_NEWNAME       256L

SHORT LIBENTRY LibDefinePatron (SESSION_P  pSession,
                                PATR_ACT   sDefinePatronAction,
                                TRUE_FALSE bPatron,
                                TRUE_FALSE bResetLogonAttempts,
                                ULONG      ulUpdateFlags,
                                PSZ        pszPatron,
                                PSZ        pszNewName,
                                PSZ        pszPW,
                                PSZ        pszPatronPriv,
                                PSZ        pszDfltItemACL,
                                PSZ        pszDfltItemOwner,
                                SHORT      sSecurity,
                                SHORT      sDfltSecurity,
                                PSZ        pszObjectServerName,
                                PSZ        pszSMSCollectionName);

SHORT LIBENTRY LibDefinePatronGroup (SESSION_P pSession, PATR_ACT sAction,
                                     PSZ pszPatron, PSZ pszGroup);

SHORT LIBENTRY LibDefineNLSLanguage (SESSION_P pSession,
                                     ACTION_CODE action,
                                     CHAR * pchLanguageCode,
                                     PSZ    pszLanguageName);

SHORT LIBENTRY LibDefineNLSKeyword (SESSION_P pSession,
                                    ACTION_CODE action,
                                    CHAR * pchLanguageCode,
                                    USHORT usKeywordType,
                                    USHORT usKeywordCode,
                                    PSZ pszKeywordString);

SHORT LIBENTRY LibQueryNLSLanguages (SESSION_P pSession,
                                     TRUE_FALSE bFormatted);

SHORT LIBENTRY LibQueryNLSKeywords (SESSION_P  pSession,
                                    CHAR *     pchLanguageCode,
                                    USHORT     usKeywordType,
                                    USHORT     usMinKeywordCode,
                                    USHORT     usMaxKeywordCode,
                                    TRUE_FALSE bFormatted);

SHORT LIBENTRY LibDefineIndexClassAttr (SESSION_P pSession,
                                        ACTION_CODE action,
                                        USHORT usAttributeID,
                                        CHAR * pchLanguageCode,
                                        PSZ pszAttributeName,
                                        USHORT usAttributeType,
                                        ULONG  ulMinLength,
                                        ULONG  ulMaxLength,
                                        ULONG  ulUserFlags);

SHORT LIBENTRY LibDefineIndexClass (SESSION_P pSession,
                                    ACTION_CODE action,
                                    USHORT usClassID,
                                    CHAR * pchLanguageCode,
                                    PSZ pszClassName,
                                    USHORT usParentClassID,
                                    USHORT usNumAttrs,
                                    LIBCLASSATTRINFO attrList [],
                                    INDEXCLASSOPTIONS * pOptions);

SHORT LIBENTRY LibDefineIndexOnIndexClass (SESSION_P pSession,
                                           ACTION_CODE action,
                                           USHORT usClassID,
                                           PSZ pszIndexName,
                                           USHORT usIndexFlags,
                                           USHORT usNumAttrs,
                                           LIBCLASSATTRINFO attrList []);

SHORT LIBENTRY LibDefineIndexClassView (SESSION_P pSession,
                                        ACTION_CODE action,
                                        USHORT usClassID,
                                        USHORT usViewID,
                                        CHAR * pchLanguageCode,
                                        PSZ pszViewName,
                                        USHORT usNumAttrs,
                                        LIBCLASSATTRINFO attrList [],
                                        PVIEW_ATTRS pOptions);

SHORT LIBENTRY LibQueryClassAttrs (SESSION_P pSession,
                                      CHAR * pchLanguageCode,
                                      USHORT usMinAttrID,
                                      USHORT usMaxAttrs,
                                      TRUE_FALSE bFormatted);



SHORT LIBENTRY LibQueryControlInfo (SESSION_P pSession,
                                   PSZ  pszConfigID,
                                   ULONG ulMaxRows,
                                   TRUE_FALSE bFormatted);

SHORT LIBENTRY LibQueryCheckedoutInfo (SESSION_P pSession,
                                   PSZ  pszItemID,
                                   PSZ  pszUserName,
                                   PSZ  pszGroupID,
                                   PSZ  pszExpireBegin,
                                   PSZ  pszExpireEnd,
                                   ULONG ulMaxRows,
                                   TRUE_FALSE bFormatted);

SHORT LIBENTRY LibQueryItemInfo (SESSION_P pSession,
                                   PSZ  pszSrchItemID,
                                   ULONG ulOption,
                                   ULONG ulMaxRows,
                                   TRUE_FALSE bFormatted);

SHORT LIBENTRY LibQueryEventInfo (SESSION_P pSession,
                                  USHORT usEventCode,
                                  PSZ  pszItemID,
                                  PSZ  pszBeginTimestamp,
                                  PSZ  pszEndTimestamp,
                                  ULONG ulMaxRows,
                                  TRUE_FALSE bFormatted);



SHORT LIBENTRY LibQueryIndexClasses (SESSION_P pSession,
                                     LIBQUERYOPTION queryOption,
                                     CHAR * pchLanguageCode,
                                     USHORT usMinClassID,
                                     USHORT usMaxClasses,
                                     TRUE_FALSE bFilterByUserAccess,
                                     TRUE_FALSE bFormatted);

SHORT LIBENTRY LibQueryIndexesOnIndexClass (SESSION_P pSession,
                                            USHORT usClassID,
                                            USHORT usMaxRows,
                                            TRUE_FALSE bFormatted);

SHORT LIBENTRY LibQueryIndexClassViews (SESSION_P pSession,
                                        LIBQUERYOPTION queryOption,
                                        CHAR * pchLanguageCode,
                                        USHORT usMinViewID,
                                        USHORT usMaxViews,
                                        TRUE_FALSE bFilterByUserAccess,
                                        TRUE_FALSE bFormatted);

SHORT LIBENTRY LibDescribeItem (SESSION_P pSession, PSZ pszItem,
                                SEQ_NUM ulLine, DESC_ACTION sAction,
                                PSZ pszText);

SHORT LIBENTRY LibDiscardBlobs (SESSION_P pSession, DISCARD_SCOPE sScope,
                                TRUE_FALSE bTomb, TRUE_FALSE bDrop,
                                PSZ pszItem, PSZ pszRepType,
                                PAGE_NUM ulPart, SHORT sVersionNum,
                                TRUE_FALSE bOverwrite);

SHORT LIBENTRY LibDiscardRequest (SESSION_P pSession, RESP_HANDLE ulReqID);

SHORT LIBENTRY LibDynQuery (SESSION_P pSession, Integer ulRecords,
                            PSZ pszSelect, TRUE_FALSE bFormatted);

#define LIB_MAX_REQBLK_ORDERS    275 // A request block cannot contain
                                     // more than 250 orders

SHORT LIBENTRY LibEndRequest (SESSION_P pSession, void *pAppReqID,
                              PLIBEVENTPROC pEventHandler, CONSIST sCurrency,
                              RETAIN sRetain, TRUE_FALSE bFastPath,
                              LC_RETRYACT sRetry,
                              RESP_HANDLE ulPriorstep, RESP_HANDLE *pulReqID);

SHORT LIBENTRY LibAbortRequest (SESSION_P pSession);

SHORT LIBENTRY LibEndSession (SESSION_P pSession);

SHORT LIBENTRY LibEndTransaction (SESSION_P pSession, COMMIT_ACTION sAction);

SHORT LIBENTRY LibFindItemPart (SESSION_P pSession,
                                PSZ pszItem,
                                PSZ pszRepType,
                                PAGE_NUM ulPart,
                                VERSION sVersionNum,
                                TRUE_FALSE bExclusive,
                                CACHE_HINT storage,
                                HELEMENT *phElement);

SHORT LIBENTRY LibFreeItemPart (SESSION_P pSession, TRUE_FALSE bReclaim,
                                HELEMENT hElement);

SHORT LIBENTRY LibGetResponse (SESSION_P pSession, RESP_HANDLE ulReqID,
                               Milliseconds ulTimeout, HELEMENT *phElement);

/*********************************************************************/
/* Define the LIBREPLYDATA union, used to return response            */
/* information--other than library return codes--to the application. */
/*********************************************************************/

typedef struct {
     USHORT usNumItemsCheckedOut; // The number of items already checked out ...
                                  // ... that the check out request attempted ..
                                  // to check out again.  Attempting to check ..
                                  // out an item that is already checked out ...
                                  // is only an error if a patron other than ...
                                  // the session patron has the item checked ...
                                  // out.
     LIBCHECKEDOUTITEMINFO * pCheckedOutItems;
                            // LibGetReplyInfo () sets this pointer ...
                            // to point to an array of usNumItemsCheckedOut ...
                            // descriptors.  Each descriptor identifies ...
                            // an item checked out by another user, and ...
                            // the name of that user.
} LIBCHECKOUTREPLYINFO;

typedef union {
     /**************************************************/
     /* The following field is returned for those APIs */
     /* which generate integer identifiers.  These     */
     /* routines include LibDefineIndexClassAttr (),   */
     /* LibDefineIndexClass (), and                    */
     /* LibDefineIndexClassView ().                    */
     /**************************************************/

     USHORT usGeneratedID;

     /***********************************************************/
     /* The following field is returned either when the library */
     /* cannot satisfy a check out request (corresponding to a  */
     /* call to LibCheckOut ()), or when a check out action     */
     /* succeeds despite the fact that the patron already has   */
     /* the specified item(s) checked out.                      */
     /***********************************************************/

     LIBCHECKOUTREPLYINFO checkoutInfo;

     /*****************************************************************/
     /* The following Attribute ID is returned by LibSetAttrValues () */
     /* when the Attribute fails an edit check.                       */
     /*****************************************************************/

     USHORT usAttrID;
} LIBREPLYDATA;

SHORT LIBENTRY LibGetReplyInfo (HELEMENT        hResponse,
                                USHORT          usReplyIndex,
                                USHORT *        pusOrderCode,
                                LONG *          plLibCode,
                                LONG *          plSQLCode,
                                LONG *          plObjServCode,
                                LONG *          plCacheCode,
                                LONG *          plIsoCode,
                                LIBREPLYDATA *  pReplyData,
                                LIBORDERTIMES * pOrderTimes);

 #ifndef QUERYCOLUMN_DEFINED

 #define QUERYCOLUMN_DEFINED

 #define   RS_COLNAME_LENGTH         18

 typedef struct {
  USHORT       col_desc_len;               /* Length of this struct */
  USHORT       col_width;                  /* Width of column data  */
                                           /* Note that this field  */
                                           /* is the actual length  */
                                           /* of the column data,   */
                                           /* unless the field is a */
                                           /* DECIMAL field.  For   */
                                           /* DECIMAL fields, the   */
                                           /* col_width field       */
                                           /* consists of two parts:*/
                                           /* 1) col_width % 256    */
                                           /*    yields the total   */
                                           /*    number of digits;  */
                                           /* and                   */
                                           /* 2) col_width / 256    */
                                           /*    yields the number  */
                                           /*    of digits after the*/
                                           /*    decimal point.     */
                                           /* The macros FIELDWIDTH */
                                           /* and DECIMALWIDTHS,    */
                                           /* below, help interpret */
                                           /* the col_width field.  */
  CHAR         col_name[RS_COLNAME_LENGTH];/* Column name           */
  USHORT       col_type;                   /* Column type code      */
 } QUERY_COLUMN;

 #endif

/************************************************************/
/* The FIELDWIDTH macro returns the size of the column data */
/* for a column returned in a query, regardless of the      */
/* column's data type.  This macro is necessary because the */
/* col_width field--in the QUERY_COLUMN structure--is       */
/* encoded for DECIMAL data types.                          */
/************************************************************/

#define FIELDWIDTH(col_type,col_width,bFormatted)                           \
             (col_type == SQLFIELD_DECIMAL ?                                \
                   (bFormatted ? col_width % 256 + 1 + 1                    \
                               : sizeof (double)                            \
                   )                                                        \
                                           :                                \
                   (col_type == SQLFIELD_DECIMAL_WITHNULL ?                 \
                         (bFormatted ? col_width % 256 + 1 + 1 + 1          \
                                     : sizeof (double) + 1                  \
                         )                                                  \
                                                          :                 \
                         (col_width)                                        \
                   )                                                        \
             )

/***********************************************************/
/* The DECIMALWIDTHS macro extracts the lengths associated */
/* with DECIMAL fields.  As input, the macro accepts the   */
/* col_width field--within the QUERY_COLUMN structure--for */
/* the DECIMAL field.  The second and third parameters     */
/* must be the addresses of integer fields, in which the   */
/* macro places the decimal's total number of digits, and  */
/* number of digits after the decimal point, respectively. */
/***********************************************************/

#define DECIMALWIDTHS(col_width,pNumDigits,pNumDigitsAfterDecimalPt)    \
                          *(pNumDigits) = col_width % 256;              \
                          *(pNumDigitsAfterDecimalPt) = col_width / 256

SHORT LIBENTRY LibGetQueryReplyInfo (HELEMENT hResponse,
                                     USHORT usReplyIndex,
                                     LONG * plLibCode,
                                     LONG * plSQLCode,
                                     USHORT usLenTextBuffer,
                                     CHAR szQueryText [],
                                     USHORT * pusNumColumns,
                                     QUERY_COLUMN ** ppColumnDescs,
                                     USHORT * pusRowSize,
                                     USHORT * pusNumRows,
                                     BYTE ** ppbRows);

SHORT LIBENTRY LibItemProperty (SESSION_P   pSession,
                                DOC_ID      pszItem,
                                CHAR *      pchLanguageCode,
                                PROP_ACTION sAction,
                                PSZ         pszPropertyType,
                                PSZ         pszPropertyValue);

typedef union {
     SHORT sValue;
     LONG  lValue;
     CHAR  szShortStrValue [80 + 1];
     PSZ   pszLongStrValue;
} LIBOPERATORUNION;

typedef struct {
     USHORT           usOpcode;

     USHORT           usAttributeID;
     ATTRVALUELIST    value;
     ATTRVALUELIST    value2;
} LIBEXPRESSION;

SHORT LIBENTRY LibItemSearch (SESSION_P             pSession,
                              USHORT                usViewID,
                              LIBQUERYOPTION        queryOption,
                              LIBOPTIMIZATIONOPTION optimizationOption,
                              ULONG                 ulMaxRows,
                              TRUE_FALSE            bFormatted,
                              TRUE_FALSE            bFilterByUserAccess,
                              USHORT                usNumExprs,
                              LIBEXPRESSION         exprs []);

typedef struct {
     BOOL                   bUseTablePrefix;
     CHAR                   achTablePrefix [RS_QUALIFIER_LENGTH + 1];
     BOOL                   bUseColumnLimit;
     USHORT                 usColumnLimit;
     BOOL                   bUseRowLimit;
     ULONG                  ulRowLimit;
     BOOL                   bUseTombstoneReq;
     BOOL                   bTombstoneReq;
     BOOL                   bUseCheckoutMin;
     ULONG                  ulCheckoutMin;
     BOOL                   bUseCheckoutMax;
     ULONG                  ulCheckoutMax;
     BOOL                   bUseMaxFailedLogons;
     SHORT                  sMaxFailedLogons;
     BOOL                   bUsePasswordDuration;
     USHORT                 usPasswordDuration;
     BOOL                   bUseOwnerEnabled;
     BOOL                   bOwnerEnabled;
     BOOL                   bUsePubAccessEnabled;
     BOOL                   bPubAccessEnabled;
     BOOL                   bUseAccessListChoice;
     ACL_USE                sAccessListChoice;
     BOOL                   bUseAccessListItemID;
     DOC_ID                 achAccessListItemID;
     BOOL                   bUseSMSChoice;
     OBJ_SMS_DEFAULT        sSMSChoice;
     BOOL                   bUseMaxVersions;
     USHORT                 usMaxVersions;
     BOOL                   bUseAllowDynQuery;
     BOOL                   bAllowDynQuery;
     BOOL                   bUseDLLThreshold;
     USHORT                 usDLLThreshold;
     BOOL                   bUseQueryThreshold;
     USHORT                 usQueryThreshold;
     BOOL                   bUseCheckRACF;
     BOOL                   bCheckRACF;
     BOOL                   bUseItemReferenceFlag;
     BOOL                   bItemReferenceFlag;
     BOOL                   bUseLibCodepage;
     ULONG                  ulLibCodepage;
     BOOL                   bUseClientTimeout;
     LONG                   lClientTimeout;
     BOOL                   bUseObjServTimeout;
     LONG                   lObjServTimeout;
     BOOL                   bUseProcessMax;
     USHORT                 usProcessMax;
     BOOL                   bUseCacheTableFlags;
     USHORT                 usCacheTableFlags;
     BOOL                   bUseRestrictLogons;
     USHORT                 usRestrictLogons;
     BOOL                   bUseLanguageCode;
     CHAR                   achLanguageCode [RS_LANGUAGE_CODE_LENGTH + 1];
     BOOL                   bUseControlFlags;
     LONG                   lControlFlags;
} LIBCONTROLPARAMS;

#define LIBDEFAULT_CONFIGID               "IBMCONFIG"

#define LIBDEFAULT_TABLEPREFIX            "        "
#define LIBDEFAULT_LANGUAGECODE           "ENU"
#define LIBDEFAULT_MAXCOLUMNS            50
#define LIBDEFAULT_MAXROWS             5000
#define LIBDEFAULT_TOMBSTONEREQ       FALSE
#define LIBDEFAULT_CHECKOUTMIN            0
#define LIBDEFAULT_CHECKOUTMAX          500
#define LIBDEFAULT_MAXFAILEDLOGONS        3
#define LIBDEFAULT_PASSWORDDURATION     365
#define LIBDEFAULT_OWNERENABLED        TRUE
#define LIBDEFAULT_PUBACCESSENABLED    TRUE
#define LIBDEFAULT_ACCESSLISTCHOICE       0
#define LIBDEFAULT_ACCESSLISTCODE         0
#define LIBDEFAULT_ACCESSLISTITEM         "Top Folder      "
#define LIBDEFAULT_SMSCHOICE              0
#define LIBDEFAULT_MAXVERSIONS           10
#define LIBDEFAULT_ALLOWDYNQUERY       TRUE
#define LIBDEFAULT_QUERYTHRESHOLD         5
#define LIBDEFAULT_DLLTHRESHOLD          10
#define LIBDEFAULT_CHECKRACF          FALSE
#define LIBDEFAULT_SETITEMREFFLAG     FALSE
#define LIBDEFAULT_LIBRARYCODEPAGE      500
#define LIBDEFAULT_CLIENTTIMEOUT     600000
#define LIBDEFAULT_OBJSERVTIMEOUT    600000
#define LIBDEFAULT_MAXPROCESSES           1

#define RESTRICTLOGONS_UNRESTRICTED       0
#define RESTRICTLOGONS_ONE_WORKSTATION    1
#define RESTRICTLOGONS_ONE_LOGON          2

#define LIBDEFAULT_RESTRICTLOGONS         0

#define CACHETABLE_SBTCLASSDEFS      0x0001
#define CACHETABLE_SBTVIEWDEFS       0x0002
#define CACHETABLE_SBTATTRDEFS       0x0004
#define CACHETABLE_SBTPATRONS        0x0008
#define CACHETABLE_SBTPRIVILEGES     0x0010
#define CACHETABLE_SBTOBJECTSERVER   0x0020
#define CACHETABLE_SBTCOLLNAME       0x0040
#define CACHETABLE_SBTPATRONGROUP    0x0080
#define CACHETABLE_SBTNLSLANGUAGES   0x0100

#define LIBDEFAULT_CACHETABLEFLAGS   0x01FF

#define CONTROLFLAG_CASE_INSENSITIVE 0x0001

#define CONTROLFLAG_LAN_CACHE          0x0002        // Added for Lan Cache

#define OBJSERVFLAG_LAN_CACHE          0x0001        // Added for Lan Cache

#define LIBDEFAULT_CONTROLFLAGS      0x0001

SHORT LIBENTRY LibDefineControlParams (SESSION_P          pSession,
                                       ACTION_CODE        action,
                                       PSZ                pszConfigID,
                                       LIBCONTROLPARAMS * pControlParams);

SHORT LIBENTRY LibLinkItems (SESSION_P pSession,
                             PSZ pszParent,
                             PSZ pszParentLoc,
                             LINK_KIND sLinkKind,
                             PSZ pszChild,
                             PSZ pszChildLoc,
                             PSZ pszDescriptor,
                             LINK_ACTION sAction);

SHORT LIBENTRY LibMoveBlobs( SESSION_P pSession, DISCARD_SCOPE sAction,
                             PSZ pszItem, PSZ  pszRepType, PAGE_NUM ulPart,
                             TRUE_FALSE bCopy, PMOVE_ATTRS pMoveAttrs );

SHORT LIBENTRY LibNameItem (SESSION_P pSession, PSZ pszItem,
                            NAME_ACTION sAction, PSZ  pszPatron,
                            PSZ  pszName, PSZ pszContext);

SHORT LIBENTRY LibNameItemPart (SESSION_P pSession, HELEMENT hElement,
                                PSZ pszItem,
                                PSZ pszRepType, PAGE_NUM ulPart);

SHORT LIBENTRY LibQueryObjectServers (SESSION_P pSession,
                                      PSZ       pszObjectServerName,
                                      USHORT    usMaxObjectServers,
                                      TRUE_FALSE bFormatted);

SHORT LIBENTRY LibQuerySMSCollections (SESSION_P pSession,
                                       PSZ       pszObjectServerName,
                                       PSZ       pszSMSCollectionName,
                                       USHORT    usMaxCollections,
                                       TRUE_FALSE bFormatted);

#define QUERYITEM_ITEMINFO          0x00000001
#define QUERYITEM_INDEXCLASSATTRS   0x00000002
#define QUERYITEM_PARENTLINKS       0x00000004
#define QUERYITEM_CHILDLINKS        0x00000008
#define QUERYITEM_DESCRIPTIONS      0x00000010
#define QUERYITEM_PROPERTIES        0x00000020
#define QUERYITEM_NAMES             0x00000040
#define QUERYITEM_PARTS             0x00000080

SHORT LIBENTRY LibQueryEvents (SESSION_P pSession,
                               PSZ       achItemID,
                               PSZ       pszRepType,
                               ULONG     ulPart,
                               PSZ       achIntervalBegin,
                               PSZ       achIntervalEnd,
                               ULONG     ulMaxEvents,
                               TRUE_FALSE bFormatted);

SHORT LIBENTRY LibQueryUsers (SESSION_P    pSession,
                              PATRON_SCOPE scope,
                              PSZ          pszUserName,
                              ULONG        ulMaxPatrons,
                              TRUE_FALSE bFormatted);

SHORT LIBENTRY LibQueryCheckedoutItems (SESSION_P pSession,
                                        PSZ       achCheckoutGroupID,
                                        PSZ       achBeginningCreatedTime,
                                        PSZ       achEndingCreatedTime,
                                        PSZ       achBeginningExpirationTime,
                                        PSZ       achEndingExpirationTime,
                                        ULONG     ulMaxRows,
                                        TRUE_FALSE bFormatted);

SHORT LIBENTRY LibQueryPartVersions (SESSION_P pSession,
                                     PSZ       achItemID,

                                     PSZ       pszRepType,
                                     ULONG     ulPartNum,
                                     TRUE_FALSE bFormatted);

SHORT LIBENTRY LibQueryPartCopies (SESSION_P pSession,
                                   PSZ       achItemID,
                                   PSZ       pszRepType,
                                   ULONG     ulPartNum,
                                   TRUE_FALSE bFormatted);

SHORT LIBENTRY LibQueryRequestList (SESSION_P pSession, Integer *pNumReq,
                                    RESP_HANDLE **ppReqID);

/* sKind Types, a.k.a. EventCode.  Reserved: 0 - 4096 */
#define EVENTCODE_RESERVED                        0

#define EVENTCODE_ACTIVITYLOGTRANSITION        1000
#define EVENTCODE_EXPIREDTIMECHECK             1001
#define EVENTCODE_DBREORG                      1002
#define EVENTCODE_DBRUNSTATS                   1003

SHORT LIBENTRY LibRecordEvent (SESSION_P pSession,
                               Token    sKind,
                               PSZ      pszEvent,
                               PSZ      pszItem,
                               PSZ      pszReptype,
                               PAGE_NUM ulPart,
                               SHORT    sVersionNum,
                               PSZ      pszLocation);

SHORT LIBENTRY LibRecordUsage (SESSION_P pSession,
                               Token     sKind,
                               PSZ       pszEvent,
                               UOM       sCode,
                               MEASURE   lValue,
                               PSZ       pszLocation);

SHORT LIBENTRY LibDiscardEvents (SESSION_P pSession,
                                 USHORT    usMinEventCode,
                                 USHORT    usMaxEventCode,
                                 PSZ       pszItemID,
                                 PSZ       pszBeginTimestamp,
                                 PSZ       pszEndTimestamp);

SHORT LIBENTRY LibResizeItemPart (SESSION_P session, PHELEMENT phElement,
                                  ULONG ulNewSize);

SHORT LIBENTRY LibRetrieveItemPart (SESSION_P pSession,
                                    GET_SEC_STG usAction,
                                    PSZ pszItem,
                                    PSZ pszRepType,
                                    PAGE_NUM ulPart,
                                    SHORT sVersionNum);

SHORT LIBENTRY LibRetrieveByName (SESSION_P pSession,
                                  GET_SEC_STG usAction,
                                  PSZ pszName,
                                  PSZ pszContext,
                                  PSZ pszNamer,
                                  PSZ pszRepType,
                                  PAGE_NUM ulPart,
                                  SHORT sVersionNum);

SHORT LIBENTRY LibRetrieveByLabel (SESSION_P pSession,
                                   GET_SEC_STG usAction,
                                   PSZ pszLabel,
                                   PSZ pszRepType,
                                   PAGE_NUM ulPart,
                                   SHORT sVersionNum);

SHORT LIBENTRY LibSaveItemPart (SESSION_P pSession, HELEMENT hElement);

SHORT LIBENTRY LibSetDefaultItemAccess (SESSION_P pSession, PATR_ACT sAction,
                                        PSZ pszPatron, PSZ pszSubject,
                                        PSZ pszPrivStr);

SHORT LIBENTRY LibSetItemAccess (SESSION_P pSession, PATR_ACT sAction,
                                 PSZ pszPatron, PSZ pszPrivStr,
                                 TRUE_FALSE bTree, PSZ pszItem);

SHORT LIBENTRY LibSetItemAttributes (SESSION_P pSession,
                                     PSZ pszItem,
                                     PITEM_ATTRS pOptions);

SHORT LIBENTRY LibSetPartAttributes (SESSION_P pSession,
                                     PARTATTR_SCOPE usScope,
                                     PSZ pszItem,
                                     PSZ pszRepType,
                                     PAGE_NUM ulPart,
                                     VERSION sVersionNum,
                                     PPART_ATTRS pOptions);

SHORT LIBENTRY LibStartSession (PSZ pszLstMgrName, PSZ pszWorklist,
                                PSZ pszPatron, PSZ pszPW,
                                NAT_LANG usLanguage, SESSION_TYPE usOperations,
                                SESSION_P *ppSession, TRUE_FALSE bReconnect);

SHORT LIBENTRY LibDupSession (SESSION_P          pSession,
                              SESSION_P *        ppDupSession,
                              BOOL               bNewDaemonSession);

SHORT LIBENTRY LibStatQuery (SESSION_P pSession, Integer ulClass,
                             Integer ulRecords, TRUE_FALSE bFormatted,
                             TRUE_FALSE bFilterByUserAccess,
                             USHORT usNumAttrs,
                             ATTRVALUELIST  attrList []);

SHORT LIBENTRY LibStoreItemPart (SESSION_P pSession,
                                 STORE_ACT usAction,
                                 PSZ pszItem,
                                 PSZ pszRepType,
                                 PAGE_NUM ulPart,
                                 BLOB_LENGTH ulLength,
                                 HELEMENT hElement,
                                 PPART_ATTRS pOptions);

SHORT LIBENTRY LibStoreItemOnly (SESSION_P pSession,
                                 PITEM_ATTRS pOptions,
                                 PSZ pszItem);

SHORT LIBENTRY LibSubmitRequestQueue (SESSION_P pSession, Interval ulDelay,
                                      PSZ pszSRQList, TRUE_FALSE bDestroyList);

SHORT LIBENTRY LibXtractItemPartLength (HELEMENT hElement, ULONG *length);

SHORT LIBENTRY LibXtractItemPartStorage (HELEMENT hElement, PVOID *ppBuffer);

SHORT LIBENTRY LibSetItemPartStorage (SESSION_P pSession,      // BAPI
                                      HELEMENT  hElement, PVOID pBuffer);

SHORT LIBENTRY LibDefineWorkslip (SESSION_P          pSession,
                                  ACTION_CODE        usScope,
                                  PSZ                pszWorkslipItemID,
                                  PWORKSLIP_ATTRS    pOptions);

SHORT LIBENTRY LibDefineSuspendedItem (SESSION_P          pSession,
                                       ACTION_CODE        usScope,
                                       PSZ                pszItemID,
                                       USHORT             usAwaitingClassID,
                                       PSUSPITEM_ATTRS    pOptions);

SHORT LIBENTRY LibDefinePrivileges( SESSION_P     pSession,
                                    ACTION_CODE   usAction,
                                    PSZ           pszACPrivName,
                                    BOOL          bUpdatePrivilege,
                                    PSZ           pszPrivilege,
                                    BOOL          bUpdatePrivDescr,
                                    PSZ           pszPrivDescr );

SHORT LIBENTRY LibQueryPatronPrivs( SESSION_P     pSession,
                                    BOOL          bUseGivenPatron,
                                    PSZ           pszPatronName );

SHORT LIBENTRY LibSetAccessList( SESSION_P     pSession,
                                 ACTION_CODE   usAction,
                                 PSZ           pszPatronName,
                                 ACL_INFO      usACLInfoType,
                                 USHORT        usViewID,
                                 PSZ           pszItemID,
                                 USER_KIND     sUserKind,
                                 PSZ           pszPrivName );

SHORT LIBENTRY LibQueryPartObjectInfo( SESSION_P  pSession,
                                       PSZ        pszItem,
                                       PSZ        pszRepType,
                                       PAGE_NUM   ulPart,
                                       TRUE_FALSE bFormatted );

SHORT LIBENTRY LibUpdateSMSInfo( SESSION_P     pSession,
                                 PSZ           pszItem,
                                 PSZ           pszRepType,
                                 PAGE_NUM      ulPart,
                                 PUPDSMS_ATTRS pOptions );

SHORT LIBENTRY LibUpdatePartLocation( SESSION_P     pSession,
                                      PSZ           pszObjectName,
                                      PSZ           pszObjectServerName,
                                      PSZ           pszSMSCollectionName );

SHORT LIBENTRY LibEncryptPassword (PCHAR pchPasswordIn,
                                   PCHAR pchPasswordOut);

SHORT LIBENTRY LibQueryActiveUsers (SESSION_P   pSession,
                                    ULONG       ulMaxUsers,
                                    TRUE_FALSE  bFormatted,
                                    BOOL        bComplete,
                                    USHORT     *pusBadOrderCode,
                                    LONG       *plSQLCode,
                                    USHORT     *pusNumRows,
                                    BYTE      **pbRows);

SHORT LIBENTRY LibQueryWBItems (SESSION_P  pSession,
                                CHAR *     pchWBItemID,
                                USHORT     usMaxItems,
                                TRUE_FALSE bCheckout,
                                TRUE_FALSE bFormatted);

SHORT LIBENTRY LibDefineLicenseKey (SESSION_P   pSession,
                                    CHAR       *pchLicenseKey,
                                    CHAR       *pchCustomerID,
                                    SHORT       sMaxUsers,
                                    BOOL        bComplete,
                                    USHORT     *pusBadOrderCode,
                                    LONG       *plSQLCode);

SHORT LIBENTRY LibQueryLicenseViolations (SESSION_P   pSession,
                                          CHAR       *pszMinDate,
                                          CHAR       *pszMaxDate,
                                          ULONG       ulMaxViolations,
                                          TRUE_FALSE  bFormatted,
                                          BOOL        bComplete,
                                          USHORT     *pusBadOrderCode,
                                          LONG       *plSQLCode,
                                          USHORT     *pusNumRows,
                                          BYTE      **pbRows);

SHORT LIBENTRY LibQueryLicenseInfo (SESSION_P   pSession,
                                    TRUE_FALSE  bFormatted,
                                    BOOL        bComplete,
                                    USHORT     *pusBadOrderCode,
                                    LONG       *plSQLCode,
                                    USHORT     *pusNumRows,
                                    BYTE      **pbRows);


#ifndef CICS_ENV
#pragma pack()
#endif

#endif


#ifdef __cplusplus
     }
#endif
