/*BEGINPROLOGUE***************************************************/
/*                                                               */
/* MODULE: FRNPLLDF.H                                            */
/*                                                               */
/* COPYRIGHT:                                                    */
/* ----------                                                    */
/* Digital Library Version 1 - 5648-A08.                         */
/* VisualInfo Version 2 Release 2.0 - 5697-250.                  */
/* (C) Copyright IBM Corp., 1994, 1996.  All Rights Reserved     */
/*                                                               */
/* US Government Users Restricted Rights                         */
/* Use, duplication or disclosure restricted by GSA ADP Schedule */
/* Contract with IBM Corp.  Licensed Materials - Property of IBM */
/*                                                               */
/* Description: FRNPLLDF.H - this include is used by programs    */
/*                           calling the Library Client APIs     */
/*                                                               */
/* Dependencies:                                                 */
/* Restrictions:                                                 */
/*                                                               */
/*                                                               */
/* Notes:                                                        */
/*  - This module is based on Isomisc.h of IRM 1.3               */
/*                                                               */
/*ENDPROLOGUE*****************************************************/


#ifdef __cplusplus
     extern "C" {
#endif

#ifndef FRNPLLDF_INCLUDED

#define FRNPLLDF_INCLUDED

#ifndef CICS_ENV
  #pragma pack(1)
#endif

/************************************************************/
/* Replace all occurrences where the naming convention is   */
/* the same except the omission of the prefix "RS_"         */
/************************************************************/

#define   RS_SET_TO_NULL                0  /* NEVER CHANGE FROM 0 */
#define   RS_USE_NULL_TERMINATED_STRING -1
#define   RS_CACHE_HANDLE_LENGTH        41
#define   RS_CAPABILITY_LENGTH          16
#define   RS_COLNAME_LENGTH             18
#define   RS_TABLENAME_LENGTH           18
#define   RS_SBTABLENAME_LENGTH         27
#define   RS_SBTABLENAME_SIZE           28
#define   RS_INDEXNAMES_LENGTH         320
#define   RS_CURSOR_LENGTH               4
#define   RS_DLLNAME_LENGTH              8
#define   RS_DIRNAME_LENGTH            120
#define   RS_FIELDDATA_LENGTH         1024
#define   RS_ITEM_ID_LENGTH             16
#define   RS_ITEMNAME_LENGTH            80
#define   RS_ITEMSHELD_LENGTH         2000
#define   RS_LABEL_LENGTH               50
#define   RS_LINKNAME_LENGTH            10
#define   RS_LOCATION_LENGTH            98
#define   RS_NETID_LENGTH               17
#define   RS_NETWORK_ADDRESS_LENGTH     64
#define   RS_PASSWORD_LENGTH             8
#define   RS_PARTDESCR_LENGTH          200
#define   RS_PATRONID_LENGTH            26
#define   RS_POSITION_LENGTH            88
#define   RS_PRIVSET_LENGTH            400
#define   RS_PRIVDESCR_LENGTH          254
#define   RS_PROPVALUE_LENGTH          100
#define   RS_PROVENANCE_LENGTH         200
#define   RS_OSID_LENGTH                26
#define   RS_REPTYPE_LENGTH              8
#define   RS_RESOURCE_LENGTH             1
#define   RS_ROWDATA_LENGTH          32766
#define   RS_SEMTYPE_LENGTH              8
#define   RS_STORETYPE_LENGTH           60
#define   RS_STORE_HINT_LENGTH          30
#define   RS_STORE_ID_LENGTH            26
#define   RS_SUBSTORE_ID_LENGTH          8
#define   RS_SUBTYPE_LENGTH              8
#define   RS_TEXTSTRING_LENGTH       16384      //M IR33776 mhsing
#define   RS_ITEMDESCR_LENGTH         3900
#define   RS_TRACE_LENGTH                2
#define   RS_VCDATA_LENGTH           32766
#define   RS_VERSION_LENGTH              4
#define   RS_SERVER_NAME_LENGTH         35
#define   RS_TIMESTAMP_LENGTH           26
#define   RS_DATE_LENGTH                10
#define   RS_TIME_LENGTH                 8
#define   RS_NLSKEYWORD_LENGTH          32
#define   RS_LANGUAGE_CODE_LENGTH        3

/************************************************************/
/* String Lengths                                           */
/************************************************************/
#define   RS_CHAR_BOOLEAN_LENGTH         1
#define   RS_ENCRYPTION_LENGTH           8
#define   RS_EVENT_LENGTH              220
#define   RS_EXT_LENGTH                 60
#define   RS_COLLECTION_NAME_LENGTH     44
#define   RS_OBJECT_NAME_LENGTH         44
#define   RS_DATACLASS_LENGTH            8
#define   RS_MANAGEMENT_CLASS_LENGTH     8
#define   RS_SMSCOLLNAME_LENGTH         80
#define   RS_CONFIGID_LENGTH            16
#define   RS_TABLEPREFIX_LENGTH          8
#define   RS_IC_TABLENAME_LENGTH        18
#define   RS_DBMSVIEWNAME_LENGTH        18
#define   RS_PASSWORD_EXTENDED_LENGTH   16
#define   RS_PRIVNAME_LENGTH            26
#define   RS_PRIVSET_PACKED_LENGTH      50
#define   RS_PRIVSET_DESCR_LENGTH      254
#define   RS_QUALIFIER_LENGTH            8
#define   RS_REPLYTRACE_LENGTH           0
#define   RS_RESERVED_OBJSRV_ID          0
#define   RS_RESERVED_COLL_ID            0
#define   RS_SERVER_NAME_LENGTH         35
#define   RS_STORAGE_CLASS_LENGTH        8
#define   RS_VOLUME_SERIES_LENGTH        6
#define   RS_VOLUME_NAME_MAX_LENGTH     60
#define   RS_CONN_NAME_LENGTH            4
#define   RS_TRANS_NAME_LENGTH           4
#define   KEYWORD_STRING_LENGTH         32
#define   LANGUAGE_CODE_LENGTH           3
#define   RS_WSID_LENGTH                17
#define   RS_FRGNPART_LENGTH            44
#define   RS_ORIG_LENGTH                 8
#define   RS_PROTNUMBER_LENGTH           4  /* added for mvs tcpip */
// gl-license
#define   RS_LICENSEKEY_LENGTH          26
#define   RS_VIOLATIONKEY_LENGTH        40
#define   RS_CUSTOMERID_LENGTH          10
#define   RS_ENCRYPT_MULTIPLE           8
// gl-license

/****************************************************************/
/* size definitions for the vchar fields that must be 1 greater */
/* than the actual length.  Cannot use RS_...+1.  Must hardcode */
/****************************************************************/
#define   RS_LOCATION_SIZE              99
#define   RS_EXT_SIZE                   61
#define   RS_COLLECTION_NAME_SIZE       45
#define   RS_EVENT_SIZE                221
#define   RS_LABEL_SIZE                 51
#define   RS_PARTDESCR_SIZE            201
#define   RS_POSITION_SIZE              89
#define   RS_DIRNAME_SIZE              121
#define   RS_ITEMNAME_SIZE              81
#define   RS_PROVENANCE_SIZE           201
#define   RS_PROPVALUE_SIZE            101
#define   RS_QUALIFIER_SIZE              9
#define   RS_TRANSFORM_SIZE           4097
#define   RS_VOLUME_NAME_SIZE         RS_VOLUME_NAME_MAX_LENGTH + 1
#define   RS_PRIVSET_PACKED_SIZE        31
#define   RS_PRIVSET_DESCR_SIZE       1025
#define   RS_ITEMDESCR_SIZE           3901
#define   RS_NLSKEYWORD_SIZE            33

#define   RS_ITEM_ID_SIZE               17
#define   RS_CONFIGID_SIZE              17
#define   RS_OSID_SIZE                  27
#define   RS_LANGUAGE_CODE_SIZE          4
#define   RS_PATRONID_SIZE              27
#define   RS_REPTYPE_SIZE                9
#define   RS_TIMESTAMP_SIZE             27
#define   RS_WSID_SIZE                  18
#define   RS_DATE_SIZE                  11
#define   RS_TIME_SIZE                   9

/**********************************************/
/* Define an enumeration of SQL column types. */
/**********************************************/
typedef enum { SQLFIELD_NULL                     = 0,
               SQLFIELD_TIMESTAMP                = 392,
               SQLFIELD_VARCHAR                  = 448,
               SQLFIELD_CHAR                     = 452,
               SQLFIELD_LVARCHAR                 = 456,
               SQLFIELD_NULLTERM                 = 460,
               SQLFIELD_VARGRAPHIC               = 464,
               SQLFIELD_GRAPHIC                  = 468,
               SQLFIELD_LVARGRAPHIC              = 472,
               SQLFIELD_FLOAT                    = 480,
               SQLFIELD_DECIMAL                  = 484,
               SQLFIELD_INTEGER                  = 496,
               SQLFIELD_SMALLINT                 = 500,
               SQLFIELD_TIMESTAMP_WITHNULL       = 393,
               SQLFIELD_VARCHAR_WITHNULL         = 449,
               SQLFIELD_CHAR_WITHNULL            = 453,
               SQLFIELD_LVARCHAR_WITHNULL        = 457,
               SQLFIELD_NULLTERM_WITHNULL        = 461,
               SQLFIELD_VARGRAPHIC_WITHNULL      = 465,
               SQLFIELD_GRAPHIC_WITHNULL         = 469,
               SQLFIELD_LVARGRAPHIC_WITHNULL     = 473,
               SQLFIELD_FLOAT_WITHNULL           = 481,
               SQLFIELD_DECIMAL_WITHNULL         = 485,
               SQLFIELD_INTEGER_WITHNULL         = 497,
               SQLFIELD_SMALLINT_WITHNULL        = 501,
               SQLFIELD_TIME                     = 388,
               SQLFIELD_TIME_WITHNULL            = 389,
               SQLFIELD_DATE                     = 384,
               SQLFIELD_DATE_WITHNULL            = 385,

               SQLFIELD_FORCEENUM_TOULONG        = 1000000
} SQLFIELD_TYPES;

typedef enum { ATTRTYPE_NULL                     = SQLFIELD_NULL     ,
               ATTRTYPE_TIMESTAMP                = SQLFIELD_TIMESTAMP,
               ATTRTYPE_VARCHAR                  = SQLFIELD_VARCHAR  ,
               ATTRTYPE_LVARCHAR                 = SQLFIELD_LVARCHAR ,
               ATTRTYPE_CHAR                     = SQLFIELD_CHAR     ,
               ATTRTYPE_DECIMAL                  = SQLFIELD_DECIMAL  ,
               ATTRTYPE_FLOAT                    = SQLFIELD_FLOAT    ,
               ATTRTYPE_INTEGER                  = SQLFIELD_INTEGER  ,
               ATTRTYPE_SMALLINT                 = SQLFIELD_SMALLINT ,
               ATTRTYPE_TIME                     = SQLFIELD_TIME     ,
               ATTRTYPE_DATE                     = SQLFIELD_DATE     ,

               ATTRTYPE_FORCEENUM_TOULONG        = 1000000
} ATTRIBUTETYPE;

/**********************************************/
/* Define an enumeration of SQL return codes. */
/**********************************************/
#ifndef SQLCODE_DEFINED

#define SQLCODE_DEFINED

#ifdef ORACLE_DB
typedef enum {
     SQLCODE_OK                          =    0,
     SQLCODE_BINDERR_BAD_TIMESTAMP       = -818,
     SQLCODE_BINDERR_PROG_NOTFOUND       = -805,
     SQLCODE_UNIQUEINDEX_VIOLATION       = -1,
     SQLCODE_DUPLICATE_TABLE             = -601,
     SQLCODE_DELRESTRICT_VIOLATION       = -532,
     SQLCODE_INVALID_FOREIGNKEY_VAL      = -530,
     SQLCODE_HOSTVAR_NULL_NOTALLOWED     = -1405,
     SQLCODE_UNDEFINED_NAME              = -204,
     SQLCODE_ROW_NOTFOUND                =  1403,

     SQLCODE_FORCEENUM_TOULONG           = 1000000
} SQL_RETURNCODE;

#else
typedef enum {
     SQLCODE_OK                          =    0,
     SQLCODE_BINDERR_BAD_TIMESTAMP       = -818,
     SQLCODE_BINDERR_PROG_NOTFOUND       = -805,
     SQLCODE_UNIQUEINDEX_VIOLATION       = -803,
     SQLCODE_DUPLICATE_TABLE             = -601,
     SQLCODE_DELRESTRICT_VIOLATION       = -532,
     SQLCODE_INVALID_FOREIGNKEY_VAL      = -530,
     SQLCODE_HOSTVAR_NULL_NOTALLOWED     = -305,
     SQLCODE_UNDEFINED_NAME              = -204,
     SQLCODE_ROW_NOTFOUND                =  100,
     ORACLE_UNIQUEINDEX_VIOLATION        = -1,

     SQLCODE_FORCEENUM_TOULONG           = 1000000
} SQL_RETURNCODE;
#endif
#endif

/****************************************/
/* Define flags used in various tables. */
/****************************************/
#define ALL_OFF_FLAGS 0x0000
#define ALL_ON_FLAGS  0xFFFF
#define ALL_FLAGS     0x0000
#define NO_FLAGS      0xFFFF




/*******************************************/
/* Define the special itemID 'Top Folder'. */
/*******************************************/
#define ITEMID_TOPFOLDER "Top Folder      "
#define RESERVED_ITEM_1  "Top Folder"
#define RESERVED_ITEM_2  "ALLPRIVILEGESACL"
#define RESERVED_PATR_1  "FRN$PUBLIC"
#define RESERVED_PRIV_1  "NOPRIVS"
#define RESERVED_PRIV_2  "MAXPRIVS"
#define RESERVED_PRIV_3  "LBOSPRIVS"

/********************************************************************/
/* Define the integer codes assigned to implemented static queries. */
/* NOTE: Command codes are reserved in the range,                   */
/*       1 - 256 for SB defined static query APIs                   */
/*       257 - 1000 for user-defined static query APIs              */
/********************************************************************/

#define LLS_MAX_IRM_QUERY_CLASS   256
#define LLS_MAX_USER_QUERY_CLASS  1000

typedef enum {
     STATICQUERY_QUERYITEM           =  1,  // Query the SBTITEMS row for a ...
                                            // ... specified item ID
     STATICQUERY_QUERYATTRIBUTES     =  2,  // Query rows from the ...
                                            // SBTATTRDEFS table
     STATICQUERY_QUERYINDEXCLASSES   =  3,  // Query rows from the ...
                                            // SBTCLASSDEFS table
     STATICQUERY_QUERYCLASSVIEWS     =  4,  // Query rows from the ...
                                            // SBTVIEWDEFS table
     STATICQUERY_QUERYOBJ            =  5,  // Query one row from ...
                                            // ... the SBTOBJECTSERVER table
     STATICQUERY_QUERYOBJS           =  6,  // Query all rows from ...
                                            // ... the SBTOBJECTSERVER table
     STATICQUERY_QUERYONESMSFOROBJ   =  7,  // Query one row from ...
                                            // ... the SBTCOLLNAME table
     STATICQUERY_QUERYALLSMSFOROBJ   =  8,  // Query all rows from ...
                                            // ... the SBTCOLLNAME table ...
                                            // ... for a given OBJECTSERVER
     STATICQUERY_QUERYALLSMS         =  9,  // Query all rows from ...
                                            // ... the SBTCOLLNAME table
     STATICQUERY_QUERYPART           = 10,  // Query one ore more rows from ...
                                            // ... the SBTVIEWDEFS table
     STATICQUERY_QUERYDBMSINDEXES    = 11,  // Query information about ...
                                            // ... database indexes defined
                                            // ... on a specific index class
     STATICQUERY_QUERY_PATRONPRIVS   = 12,  // Query an individual patrons
                                            // ... basic privileges
     STATICQUERY_QUERYCLASSATTRS     = 13,  // Query rows from the ...
                                            // SBTCLASSDEFS and the ...
                                            // SBTATTRDEFS tables
     STATICQUERY_QUERYVIEWATTRS      = 14,  // Query rows from the ...
                                            // SBTVIEWDEFS and the
                                            // SBTATTRDEFS tables
     STATICQUERY_QRYNLSLANGUAGES     = 15,  // Query a list of supported ...
                                            // ... NLS languages
     STATICQUERY_QRYNLSKEYWORDS      = 16,  // Query NLS keywords
     STATICQUERY_QRYSUSPITEMS        = 17,  // Query NLS keywords
     STATICQUERY_QRYCNTLINFO         = 18,  // Query SBTCNTL info
     STATICQUERY_QRYCHECKEDOUTINFO   = 19,  // Query Checked Out items
     STATICQUERY_QRYEVENTINFO        = 20,  // Query event info
     STATICQUERY_QRYITEMINFO_ITEM    = 21,  // Query item info (item table)
     STATICQUERY_QRYITEMINFO_ACL     = 22,  // Query item info (ACL table)
     STATICQUERY_QRYITEMINFO_LINK    = 23,  // Query item info (link table)
     STATICQUERY_QRYITEMINFO_PROP    = 24,  // Query item info (prop table)
     STATICQUERY_QRYITEMINFO_DESC    = 25,  // Query item info (desc table)
     STATICQUERY_QRYITEMINFO_NAME    = 26,  // Query item info (name table)
     STATICQUERY_QRYITEMINFO_PARTS   = 27,  // Query item info (parts table)

     STATICQUERY_QRYEVENTINFO2       = 28,  // Query events based on ...
                                            // ... location and event code
     STATICQUERY_QUERYVIEWSINCLASS   = 29,  // Query rows from the ...

     STATICQUERY_QRY_PARENTCHILDLINK = 30,  // Query information from the ...
                                            // ... SBTLINKS table for a ...
                                            // ... given parent link item ID.
     STATICQUERY_QUERY_ACTIVEUSERS   = 31,  // Query the list of currently ...
                                            // ... logged on users.
     STATICQUERY_QUERY_FIRSTWBITEM   = 32,  // Query the highest priority ...
                                            // ... item from a workbasket
     STATICQUERY_QUERY_LICVIOLATIONS = 33,  // Query the list of license ...
                                            // ... violations that have
                                            // ... occurred during the use
                                            // ... of this product.
     STATICQUERY_QUERY_LICENSEINFO   = 34,  // Query the licensing info ...
                                            // ... useful for tracking the
                                            // ... violations and max users.
     STATICQUERY_QRYITEMINFO_CHLINK  = 35,  // Query item info (link table)
     STATICQUERY_QRYITEMINFO_PARLINK = 36,  // Query item info (link table)
     STATICQUERY_QRYWIPITEMS         = 37,  // Query the WIPITEMS table
     STATICQUERY_QRYWB_IN_WORKFLOW   = 38,  // get WBs in a workflow
     STATICQUERY_QRYCHILD_ID         = 39,  /* get child's id from links      */
     STATICQUERY_QRYITEM_ACL         = 40,  // get the ACL name for an item
     STATICQUERY_QRYSUSITEMS_COUNT   = 41,  // get the count of suspended items
     STATICQUERY_QRYEVENTS_ITEM      = 42,  // query events tbl based on item id
     STATICQUERY_QRYWIP_STATUS       = 43,  // get wip status from sbtitems
     STATICQUERY_QRYWIP_STATUS_COUNT = 44,  // get count of suspended items
     STATICQUERY_QRYPASSWD_EXP_DATE  = 45,  // get password expiration date
     STATICQUERY_QRYACCLST_NAMES     = 46,  // get access list names and ids
     STATICQUERY_QRYWFLOW_WB         = 47,  // get a list of all WFs and the
                                            // WBs in them
     STATICQUERY_QRYWFITEMCOUNT      = 48,  // get a count of all ITEMS in a
                                            // WORKFLOW
     STATICQUERY_QRYWBITEMCOUNT      = 49,  // get a count of all ITEMS in a
                                            // WORKBASKET
     STATICQUERY_QRYMAXPARTNUM       = 50,  // get the current maximum part
                                            // number for a given ITEM
     STATICQUERY_QRYSUSPITEMSBYID    = 51,  //
     STATICQUERY_QRYSUSPITEMSBYAWAIT = 52,  //
     STATICQUERY_QRYPARTSBYAFFIL     = 53,  //
     STATICQUERY_QRYFORMSPARTS       = 54,  //
     STATICQUERY_QRYLINKSBYKIND      = 55,  //
     STATICQUERY_QRYDLLSTATUS        = 56,  //
     STATICQUERY_QRY_WFITEMS_XREF    = 57,  //
     STATICQUERY_QRYPROPSBYITEMNAME  = 58,  //
     STATICQUERY_QRYDESCSBYITEMNAME  = 59,  //
     STATICQUERY_QRYLINKSBYITEMNAME  = 60,  //
     STATICQUERY_QRYCONTENTSBYITEMNAME = 61,//
     STATICQUERY_QRYPARTSBYITEMNAME  = 62,  //
     STATICQUERY_QRYCHKOSBYITEMNAME  = 63,  //
     STATICQUERY_QRY_WB_USED_BY_WF   = 64,  //
     STATICQUERY_QRYLINKSBYCHANDKIND = 65,  //
     STATICQUERY_QRYPRIVSETS         = 66,  //
     STATICQUERY_QRYPRIVSETBYNAME    = 67,  //
     STATICQUERY_QRYGROUPS           = 68,  //
     STATICQUERY_QRYGROUPBYNAME      = 69,  //
     STATICQUERY_QRYUSERSINGROUP     = 70,  //
     STATICQUERY_QRYGROUPSOFUSER     = 71,  //
     STATICQUERY_QRYUSERS            = 72,  //
     STATICQUERY_QRYUSERBYNAME       = 73,  //
     STATICQUERY_QRYACLS             = 74,  //
     STATICQUERY_QRYACLBYITEMNAME    = 75,  //
     STATICQUERY_QRYACLENTS          = 76,  //
     STATICQUERY_QRYACLENTBYCODE     = 77,  //
     STATICQUERY_QRYINDXREFBYATTR    = 78,  //
     STATICQUERY_QRYCONTAINEDITEMS   = 79,  //
     STATICQUERY_QRYCHILDLINKREFS    = 80,  //
     STATICQUERY_QRYALLACLINFO       = 81,  //
     STATICQUERY_QRYPRIVILEGES       = 82,  //
     STATICQUERY_QRYPATRONS          = 83,  //

     /* -DONT FORGET MAX_STATICQUERY BELOW - 83 !!!  */

     STATICQUERY_FORCEENUM_TOULONG = 1000000
} STATICQUERY_CODE;

#define MIN_STATICQUERY                   1
#define MAX_STATICQUERY                  83

/************************************************************/
/* Define constants which define library client capacities. */
/************************************************************/

#define MAX_CLASS_ATTRS        100
#define MAX_DBMSINDEX_ATTRS    100

/*****************************/
/* Define NLS keyword types. */
/*****************************/

#define KEYWORDTYPE_ALL                   0
#define KEYWORDTYPE_ATTRIBUTE_NAME        1
#define KEYWORDTYPE_INDEXCLASS_NAME       2
#define KEYWORDTYPE_CLASSVIEW_NAME        3
#define KEYWORDTYPE_PROPERTYTYPE          4
#define KEYWORDTYPE_LINKKIND              5
#define KEYWORDTYPE_SECURITY              6
#define KEYWORDTYPE_UOM                   7
        /****************************************************/
        /* The following three NLSKeyword catagories will   */
        /* be used by Ip2ListHistory FM API to get the      */
        /* orginal OIM WF, WB, and Index Class names for    */
        /* archived history log.                            */
        /****************************************************/
#define KEYWORDTYPE_OIMWF_NAME            8   /* for IP/2 Migration */
#define KEYWORDTYPE_OIMWB_ID              9   /* for IP/2 Migration */
#define KEYWORDTYPE_OIMWB_NAME           10   /* for IP/2 Migration */
#define KEYWORDTYPE_OIMINDX_NAME         11   /* for IP/2 Migration */

#define KEYWORDTYPE_USER_KEYWORD        100

/*************************************************************************/
/* The following status codes are used when creating a DLL for Index     */
/* Class.                                                                */
/*************************************************************************/

#define RC_READY_TO_PROCESS              -1
#define RC_VIRGIN_DLL                     1
#define RC_DLL_AVAILABLE                  0
#define RC_AWAITING_PLAN_BIND          -100
#define RC_DLL_BEING_PREPARED             2
#define RC_IN_CLAUSE                      1


/*************************************************************************/
/* The following flags are used when describing included attributes in a */
/* call to LibDefineIndexClassView ().                                   */
/*                                                                       */
/* Define flags indicating access rights to index class view attributes. */
/*************************************************************************/

typedef enum {
     ATTRIBUTEFLAG_READABLE          = 0x0001,
     ATTRIBUTEFLAG_WRITABLE          = 0x0002,
     ATTRIBUTEFLAG_READWRITE         = 0x0003,

     ATTRIBUTEFLAG_FORCEENUM_TOULONG = 1000000
} ATTRIBUTEFLAG;

/*************************************************************************/
/* The following flags are used when describing included attributes in a */
/* call to LibDefineIndexClass ().                                       */
/*                                                                       */
/* Define flags indicating whether an attribute in an index class is     */
/* required or not required.                                             */
/*************************************************************************/

#define ATTRIBUTEFLAG_REQUIRED        0x0000
#define ATTRIBUTEFLAG_NOT_REQUIRED    0x0001

/*************************************************************************/
/* The following flags are used when describing included attributes in a */
/* call to LibDefineIndexOnIndexClass ().                                */
/*                                                                       */
/* Define flags indicating whether an attribute in a DBMS index is       */
/* indexed in ascending or descending order.                             */
/* Define flags indicating whether an entire DBMS index is unique or not */
/* unique.  Duplicate values are not allowed for uniquely indexed tables.*/
/*************************************************************************/

#define INDEXFLAG_ASCENDING           0x0000
#define INDEXFLAG_DESCENDING          0x0001

#define INDEXFLAG_NONUNIQUE           0x0000
#define INDEXFLAG_UNIQUE              0x0001

/****************************************************/
/* Define types used in defining index classes,     */
/* index class views, and indexes on index classes. */
/****************************************************/

typedef struct {
     USHORT usAttrID;
     USHORT usAttrFlags;
} LIBCLASSATTRINFO;

/********************************************************************/
/* Define structures used in querying the contents of DocSS tables. */
/********************************************************************/

typedef struct {
   USHORT usFieldLen;
   CHAR   achField [18];
} VARCHAR18;
typedef struct {
   USHORT usFieldLen;
   CHAR   achField [20];
} VARCHAR20;
typedef struct {
   USHORT usFieldLen;
   CHAR   achField [32];
} VARCHAR32;
typedef struct {
   USHORT usFieldLen;
   CHAR   achField [44];
} VARCHAR44;
typedef struct {
   USHORT usFieldLen;
   CHAR   achField [50];
} VARCHAR50;
typedef struct {
   USHORT usFieldLen;
   CHAR   achField [60];
} VARCHAR60;
typedef struct {
   USHORT usFieldLen;
   CHAR   achField [80];
} VARCHAR80;
typedef struct {
   USHORT usFieldLen;
   CHAR   achField [88];
} VARCHAR88;
typedef struct {
   USHORT usFieldLen;
   CHAR   achField [98];
} VARCHAR98;
typedef struct {
   USHORT usFieldLen;
   CHAR   achField [100];
} VARCHAR100;
typedef struct {
   USHORT usFieldLen;
   CHAR   achField [102];
} VARCHAR102;
typedef struct {
   USHORT usFieldLen;
   CHAR   achField [114];
} VARCHAR114;
typedef struct {
   USHORT usFieldLen;
   CHAR   achField [116];
} VARCHAR116;
typedef struct {
   USHORT usFieldLen;
   CHAR   achField [120];
} VARCHAR120;
typedef struct {
   USHORT usFieldLen;
   CHAR   achField [200];
} VARCHAR200;
typedef struct {
   USHORT usFieldLen;
   CHAR   achField [220];
} VARCHAR220;
typedef struct {
   USHORT usFieldLen;
   CHAR   achField [254];
} VARCHAR254;
typedef struct {
   USHORT usFieldLen;
   CHAR   achField [1024];
} VARCHAR1024;
typedef struct {
   USHORT usFieldLen;
   CHAR   achField [3900];
} VARCHAR3900;

#define INTSTR_LENGTH                    11
#define SMALLINTSTR_LENGTH                6

typedef CHAR INTSTR [INTSTR_LENGTH];
typedef CHAR SZINTSTR [INTSTR_LENGTH + 1];
typedef CHAR SMALLINTSTR [SMALLINTSTR_LENGTH];
typedef CHAR SZSMALLINTSTR [SMALLINTSTR_LENGTH + 1];

typedef enum {
     IS_FALSE,
     IS_TRUE,

     TRUEFALSE_FORCEENUM_TOULONG = 1000000
} TRUE_FALSE;

/****************************************************/
/* Define an enumeration of generally used actions. */
/****************************************************/

#define FEATURE_NOT_IMPLEMENTED -5292
#define TRUE  1
#define FALSE 0
#define US    0                        /* Language type definition    */

/***********************************************************/
/* Define constants that mean low values and high vals for */
/* between SQL searches                                    */
/***********************************************************/
#define BETWEEN_MIN_CONST "@MIN"
#define BETWEEN_MAX_CONST "@MAX"



#define NewBlob "NewBlob"
#define NullBlob "NullBlob"
#define SessPatron "SESS_PATRON"
#define PSZ_DEFAULT_LSTMGR "FRNCACHE"

#define DEFAULT_VERSION 0
#define USE_CURRENT_VERSION -1

typedef enum {
     ACTION_ADD        = 1,
     ACTION_UPDATE     = 2,
     ACTION_DELETE     = 3,

     ACTION_FORCEENUM_TOULONG = 1000000
} ACTION_CODE;

typedef enum {
      CHECKIN_PATRON,
      CHECKIN_GROUP,
      CHECKIN_ITEM,
      CHECKIN_ITEM_FOROTHERPATRON,

      CHECKIN_FORCEENUM_TOULONG = 1000000
} CHECK_IN_SCOPE;

typedef enum {
     SEMTYPE_NONE        = 0,
     SEMTYPE_DOCUMENT    = 1,
     SEMTYPE_FOLDER      = 2,
     SEMTYPE_WORKBASKET  = 4,
     SEMTYPE_ANNOTATION  = 8,
     SEMTYPE_HISTORY     = 16,
     SEMTYPE_WORKFLOW    = 32,
     SEMTYPE_NOTE        = 64,
     SEMTYPE_BASE        = 128,
     SEMTYPE_ALL         = 256,
     SEMTYPE_ACL         = 512,
     SEMTYPE_FOLDER_DOC  = 1024,
     SEMTYPE_MGDS        = 2048,
     SEMTYPE_SYSTEM      = 4096,
     SEMTYPE_USER        = 5000,

     SEMTYPE_FORCEENUM_TOULONG = 1000000
} SEMANTIC_TYPES;

#define SEMTYPE_EVENT SEMTYPE_HISTORY

typedef enum {
     PATRONSCOPE_PATRONONLY          = 1,
     PATRONSCOPE_PATRONANDGROUP      = 2,
     PATRONSCOPE_PATRONGROUP         = 3,
     PATRONSCOPE_ALLPATRONS          = 4,
     PATRONSCOPE_ALLGROUPS           = 5,
     PATRONSCOPE_ALLPATRONSANDGROUPS = 6,

     PATRONSCOPE_FORCEENUM_TOULONG = 1000000
} PATRON_SCOPE;

typedef enum {
     USE_REPLICA,           /* Use cached replicas unconditionally */
     CHECK_REPLICA,         /* Check replica timestamp and warn    */
     UPDATE_REPLICA,

     CONSIST_FORCEENUM_TOULONG = 1000000
} CONSIST; /* Update cached replica if outdated   */

typedef enum {
      EXACTLY_ONCE,
      AT_MOST_ONCE,
      AT_LEAST_ONCE,

      RETRYACT_FORCEENUM_TOULONG = 1000000
} LC_RETRYACT;

typedef enum {
      INSERT_NAME,
      UPDATE_NAME,
      DELETE_NAME,
      DELETE_CONTEXT,
      DELETE_CONTEXT_ALL,
      DELETE_FOR_PATRON,
      DELETE_FOR_PATRON_ALL,

      NAMEACTION_FORCEENUM_TOULONG = 1000000
} NAME_ACTION;

typedef enum {
      INSERT_LINK,
      REPLACE_LINK,
      DELETE_LINK,
      DELETE_CHILDREN,
      DELETE_PARENTS,

      LINKACTION_FORCEENUM_TOULONG = 1000000
} LINK_ACTION;

typedef enum {
      DELETE_DESC,
      APPEND_DESC,
      UPDATE_DESC,
      DELETE_REST,

      DESCACTION_FORCEENUM_TOULONG = 1000000
} DESC_ACTION;

typedef enum {
      INSERT_PROP,
      UPDATE_PROP,
      DELETE_PROP_TYPE,
      DELETE_PROP,

      PROPACTION_FORCEENUM_TOULONG = 1000000
} PROP_ACTION;

typedef enum {
      COMMIT,
      ROLLBACK,

      COMMITACTION_FORCEENUM_TOULONG = 1000000
} COMMIT_ACTION;


typedef enum {
      LRU,
      KEEP_FOREVER,
      KEEP_TIMED,
      KEEP_TIL_USED,

      RETAIN_FORCEENUM_TOULONG = 1000000
} RETAIN;

typedef enum {
      A,
      D,
      M,
      MD,      /* future use - not supported */
      CACHEHINT_FORCEENUM_TOULONG = 1000000
} CACHE_HINT;

typedef enum {
      CL_OFF,
      CL_ON,

      CLSTATE_FORCEENUM_TOULONG = 1000000
} CL_STATE;

typedef enum {
      ANY,
      OFFLINE,
      ONLINE,
      OPTICAL,

      STOREHINT_FORCEENUM_TOULONG = 1000000
} SERVER_STORE_HINT;

typedef enum {
      DATE_ONLY,
      GET_IT,
      NO_MOUNT,
      STAGE_IT,
      GET_IT_PREFETCH,
      NO_MOUNT_PREFETCH,
      STAGE_IT_PREFETCH,

      STAGE_IT_FORCE_READ,   /* future use - not supported */
      GET_IT_FORCE_READ,     /* future use - not supported */
      GETSECSTG_FORCEENUM_TOULONG = 1000000
} GET_SEC_STG;

typedef enum {
      ITEM_PART_CURRENT_VERSION = DEFAULT_VERSION,
      ITEM_PART_ONE_VERSION,
      ITEM_PART_VERSIONS_ONLY,
      ITEM_PART,
      ITEM_REP,
      WHOLE_ITEM,
      ITEM_TREE,
      ITEM_PART_AND_LINKS,
      WHOLE_ITEM_AND_LINKS,
      ITEM_TREE_AND_LINKS,
      WHOLE_ITEM_NO_CONTAINER,

      DISCARDSCOPE_FORCEENUM_TOULONG = 1000000
} DISCARD_SCOPE;

typedef enum {
      CURRENT_VERSION = DEFAULT_VERSION,
      ONE_VERSION,
      ALL_VERSIONS,

      PARTATTRSCOPE_FORCEENUM_TOULONG = 1000000
} PARTATTR_SCOPE;

typedef enum {
      ALL_OPS,
      RETRIEVE,
      STORE,
      DISCARD,
      CATALOG,

      SESSIONTYPE_FORCEENUM_TOULONG = 1000000
}                           SESSION_TYPE;

typedef enum {
      ADD_PART,
      ADD_PART_NUMBER,
      REPLACE_NEW_VERSION,
      REPLACE_CURRENT_VERSION,

      STOREACT_FORCEENUM_TOULONG = 1000000
} STORE_ACT;

typedef enum {
      APPEND_ROW,
      UPDATE_ROW,
      DELETE_ROW,

      PATRACT_FORCEENUM_TOULONG = 1000000
} PATR_ACT;

#define  USER_PATRON 0
#define GROUP_PATRON 1

typedef enum {
      OWNER_ACCESS_ONLY ,
      USE_PATRON_DEFAULTS,

      PRIVSETACT_FORCEENUM_TOULONG = 1000000
} PRIVSET_ACT;

typedef enum {
      DOCSS_MANAGED,
      EXTERNAL_REFERENCE,
      NOT_DOCSS_MANAGED,

      ITEMONLYLOC_FORCEENUM_TOULONG = 1000000
} ITEMONLY_LOC;

typedef enum {
      OBJSMS_PATRON = 0,
      OBJSMS_INDEXCLASS,
      OBJSMS_OBJ_PATR_SMS_IC,
      OBJSMS_OBJ_IC_SMS_PATR,

      OBJSMS_FORCEENUM_TOULONG = 1000000
} OBJ_SMS_DEFAULT;

/*************************************************/
/* Define flags used in defining object servers. */
/*************************************************/

#define UPDATE_OBJECTSERVER_NAME        0x00000001
#define UPDATE_OBJECTSERVER_SYSID       0x00000002
#define UPDATE_OBJECTSERVER_TXNNAME     0x00000004
#define UPDATE_OBJECTSERVER_HLQNAME     0x00000008
#define UPDATE_OBJECTSERVER_FLAGS       0x00000010

/* the next three lines added by ivy for mvs tcpip support */
#define UPDATE_OBJECTSERVER_COMMPROTOCOL 0x00000020
#define UPDATE_OBJECTSERVER_ADDRESS      0x00000040
#define UPDATE_OBJECTSERVER_PORTNUMBER   0x00000080

/* The union of the valid UPDATE_OBJECTSERVER_XXX flags is as follows:
 ivy changed for tcpip 9/13/95 */
#define UPDATE_OBJECTSERVER_VALIDFLAGS  0x000000FF

#define OBJECTSERVER_REALTIMEDELETE     0x00000001
#define OBJECTSERVER_ARCHIVABLE         0x00000010

#define OBJECTSERVER_RESERVED_ONE       0x00000002
#define OBJECTSERVER_RESERVED_TWO       0x00000004
#define OBJECTSERVER_RESERVED_THREE     0x00000008
#define OBJECTSERVER_RESERVED_FOUR      0x00000020

/* The union of valid object server flags is as follows: */
#define OBJECTSERVER_ALLFLAGS           0x00000011

// Note:  fields for capacity, distance, and functionality will be added

/************************************************************/
/* Define an enumeration of opcodes that can be used        */
/* in building expressions submitted with LibItemSearch (). */
/************************************************************/

typedef enum {
     LIBOPCODE_EQUALS              =       1,
     LIBOPCODE_NOTEQUALS           =       2,
     LIBOPCODE_GREATERTHAN         =       3,
     LIBOPCODE_LESSTHAN            =       4,
     LIBOPCODE_LIKE                =       5,

     LIBOPCODE_AND                 =       6,
     LIBOPCODE_OR                  =       7,
     LIBOPCODE_NOT                 =       8,

     LIBOPCODE_NOTLIKE             =       9,
     LIBOPCODE_BETWEEN             =      10,
     LIBOPCODE_IN                  =      11,
     LIBOPCODE_NOTIN               =      12,

     LIBOPCODE_GREATER_OREQUAL     =      13,
     LIBOPCODE_LESSTHAN_OREQUAL    =      14,

     LIBOPCODE_NOTBETWEEN          =      15,

     LIBOPCODE_IS_NULL             =      16,
     LIBOPCODE_ISNOT_NULL          =      17,

     LIBOPCODE_FORCEENUM_TOULONG   = 1000000
} LIBOPCODE;

#define LIBOPCODE_FIRSTOPCODE      LIBOPCODE_EQUALS
#define LIBOPCODE_LASTOPCODE       LIBOPCODE_ISNOT_NULL

/* !!!!IMPORTANT!!!! Any changes made to LIBQUERYOPTION enum
   must also be made to enum definition in LLSDLLS.C (used
   to generate static SQL code) */

typedef enum {
     /************************************/
     /* The following options are valid  */
     /* when passed to LibItemSearch (). */
     /************************************/

     QUERYOPTION_ITEMID              =       1,
     QUERYOPTION_AVTROW              =       2,
     QUERYOPTION_AVTROW_AND_ITEMDEF  =       3,
     QUERYOPTION_NODATA              =       4,

     /**********************************************/
     /* The following options are valid            */
     /* when passed to LibQueryIndexClassViews (). */
     /**********************************************/

     QUERYOPTION_VIEWDEF             =       5,
     QUERYOPTION_VIEWATTRS           =       6,

     /*******************************************/
     /* The following options are valid         */
     /* when passed to LibQueryIndexClasses (). */
     /*******************************************/

     QUERYOPTION_CLASSDEF            =       7,
     QUERYOPTION_CLASSATTRS          =       8,
     QUERYOPTION_CLASSVIEWS          =       9,

     QUERYOPTION_FORCEENUM_TOULONG   = 1000000
} LIBQUERYOPTION;

/* !!!!IMPORTANT!!!! Any changes made to LIBQUERYOPTION enum
   must also be made to enum definition in LLSDLLS.C (used
   to generate static SQL code) */

typedef enum {
     OPTIMIZE_NEVER =                   1,
     OPTIMIZE_NOW =                     2,
     OPTIMIZE_NOPREFERENCE =            3,

     OPTIMIZE_FORCEENUM_TOULONG = 1000000
} LIBOPTIMIZATIONOPTION;

typedef enum {
     ITEMATTRIBUTE_ITEMID             =    -  1,
     ITEMATTRIBUTE_CONTAINER          =    -  2,
     ITEMATTRIBUTE_SEMTYPE            =    -  3,
     ITEMATTRIBUTE_OWNERUSRID         =    -  4,
     ITEMATTRIBUTE_INDEXCLASS         =    -  5,
     ITEMATTRIBUTE_SECURITY           =    -  6,
     ITEMATTRIBUTE_CREATED            =    -  7,
     ITEMATTRIBUTE_CHANGED            =    -  8,
     ITEMATTRIBUTE_WIPSTATUS          =    -  9,
     ITEMATTRIBUTE_USERTS             =    - 10,
     ITEMATTRIBUTE_USERFLAGS          =    - 11,
     ITEMATTRIBUTE_ITEMFLAGS          =    - 12,
     ITEMATTRIBUTE_ITEMNAME           =    - 13,

     ITEMATTRIBUTE_FORCEENUM_TOULONG  = 1000000
} ITEMATTRIBUTE;

#define ITEMATTRIBUTE_FIRSTATTRIBUTE  ITEMATTRIBUTE_ITEMID
#define ITEMATTRIBUTE_LASTATTRIBUTE   ITEMATTRIBUTE_ITEMNAME

/*****************************************************/
/* Define an enumeration of privilege bit positions. */
/*****************************************************/

typedef enum {
     LIBPRIV_CONNECT                =       0,
     LIBPRIV_RESERVED_1             =       1,
     LIBPRIV_RESERVED_2             =       2,
     LIBPRIV_RESERVED_3             =       3,
     LIBPRIV_RESERVED_4             =       4,
     LIBPRIV_RESERVED_5             =       5,
     LIBPRIV_RESERVED_6             =       6,
     LIBPRIV_RESERVED_7             =       7,
     LIBPRIV_SUPER_ACCESS           =       8,
     LIBPRIV_RESERVED_9             =       9,
     LIBPRIV_USER_PROVIDED_ACL      =      10,
     LIBPRIV_RESERVED_11            =      11,
     LIBPRIV_RESERVED_12            =      12,
     LIBPRIV_RESERVED_13            =      13,
     LIBPRIV_RESERVED_14            =      14,
     LIBPRIV_NO_ITEM_VIEW_LEVEL     =      15,
     LIBPRIV_CLIENT_SERVER          =      16,
     LIBPRIV_RESERVED_17            =      17,
     LIBPRIV_RESERVED_18            =      18,
     LIBPRIV_RESERVED_19            =      19,
     LIBPRIV_RESERVED_20            =      20,
     LIBPRIV_RESERVED_21            =      21,
     LIBPRIV_RESERVED_22            =      22,
     LIBPRIV_LOGOFFPATRON           =      23,
     LIBPRIV_SETLICENSEKEY          =      24,
     LIBPRIV_RESERVED_25            =      25,
     LIBPRIV_RESERVED_26            =      26,
     LIBPRIV_RESERVED_27            =      27,
     LIBPRIV_RESERVED_28            =      28,
     LIBPRIV_RESERVED_29            =      29,
     LIBPRIV_DEFPATR_ADDUPD         =      30,
     LIBPRIV_DEFPATR_DELETE         =      31,
     LIBPRIV_DEFGROUP_ADDUPD        =      32,
     LIBPRIV_DEFGROUP_DELETE        =      33,
     LIBPRIV_DEFPRIVS_ADDUPD        =      34,
     LIBPRIV_DEFPRIVS_DELETE        =      35,
     LIBPRIV_RESERVED_36            =      36,
     LIBPRIV_SETACL_ADD             =      37,
     LIBPRIV_SETACL_UPDATE          =      38,
     LIBPRIV_SETACL_DELETE          =      39,
     LIBPRIV_SETCNTL_ADDUPD         =      40,
     LIBPRIV_SETCNTL_DELETE         =      41,
     LIBPRIV_RESERVED_42            =      42,
     LIBPRIV_RESERVED_43            =      43,
     LIBPRIV_QUERY_PATRONPRIVS      =      44,
     LIBPRIV_RESERVED_45            =      45,
     LIBPRIV_RESERVED_46            =      46,
     LIBPRIV_RESERVED_47            =      47,
     LIBPRIV_RESERVED_48            =      48,
     LIBPRIV_STOREITEM_ADD          =      49,
     LIBPRIV_STOREPART_ADD          =      50,
     LIBPRIV_STOREPART_UPDATE       =      51,
     LIBPRIV_SETITEMATTRS           =      52,
     LIBPRIV_SETITEMATTRS_ALL       =      53,
     LIBPRIV_SETPARTATTRS           =      54,
     LIBPRIV_RETRIEVE_PART          =      55,
     LIBPRIV_DISCARD_TOMB           =      56,
     LIBPRIV_DISCARD_NOTOMB         =      57,
     LIBPRIV_DISCARD_TREE           =      58,
     LIBPRIV_DISCARD_VERSIONS       =      59,
     LIBPRIV_RESERVED_60            =      60,
     LIBPRIV_RESERVED_61            =      61,
     LIBPRIV_RESERVED_62            =      62,
     LIBPRIV_DESCRIBE_ADD           =      63,
     LIBPRIV_DESCRIBE_UPDATE        =      64,
     LIBPRIV_DESCRIBE_DELETE        =      65,
     LIBPRIV_CHECKOUT               =      66,
     LIBPRIV_LINK_ADD               =      67,
     LIBPRIV_LINK_UPDATE            =      68,
     LIBPRIV_LINK_DELETE            =      69,
     LIBPRIV_NAME_ADD               =      70,
     LIBPRIV_NAME_DELETE            =      71,
     LIBPRIV_PROPERTY_ADD           =      72,
     LIBPRIV_PROPERTY_DELETE        =      73,
     LIBPRIV_EVENT_ADD              =      74,
     LIBPRIV_EVENT_DELETE           =      75,
     LIBPRIV_RESERVED_76            =      76,
     LIBPRIV_RESERVED_77            =      77,
     LIBPRIV_CHECKIN                =      78,
     LIBPRIV_RESERVED_79            =      79,
     LIBPRIV_RESERVED_80            =      80,
     LIBPRIV_RESERVED_81            =      81,
     LIBPRIV_RESERVED_82            =      82,
     LIBPRIV_RESERVED_83            =      83,
     LIBPRIV_RESERVED_84            =      84,
     LIBPRIV_MOVE                   =      85,
     LIBPRIV_COPY                   =      86,
     LIBPRIV_OBJECTSERVER_ADDUPD    =      87,
     LIBPRIV_OBJECTSERVER_DELETE    =      88,
     LIBPRIV_SMSCOLLECTION_ADDUPD   =      89,
     LIBPRIV_SMSCOLLECTION_DELETE   =      90,
     LIBPRIV_ATTRIBUTE_ADDUPD       =      91,
     LIBPRIV_ATTRIBUTE_DELETE       =      92,
     LIBPRIV_INDEXCLASS_ADDUPD      =      93,
     LIBPRIV_INDEXCLASS_DELETE      =      94,
     LIBPRIV_CLASSVIEW_ADDUPD       =      95,
     LIBPRIV_CLASSVIEW_DELETE       =      96,
     LIBPRIV_CLASSINDEX_ADDUPD      =      97,
     LIBPRIV_CLASSINDEX_DELETE      =      98,
     LIBPRIV_NLSLANG_ADD            =      99,
     LIBPRIV_NLSLANG_DELETE         =     100,
     LIBPRIV_NLSKEYWORD_ADD         =     101,
     LIBPRIV_NLSKEYWORD_UPDATE      =     102,
     LIBPRIV_NLSKEYWORD_DELETE      =     103,
     LIBPRIV_WORKSLIP_ADD           =     104,
     LIBPRIV_WORKSLIP_UPDATE        =     105,
     LIBPRIV_WORKSLIP_DELETE        =     106,
     LIBPRIV_SUSPITEM_ADD           =     107,
     LIBPRIV_SUSPITEM_UPDATE        =     108,
     LIBPRIV_SUSPITEM_DELETE        =     109,
     LIBPRIV_SETATTRVALS_ADD        =     110,
     LIBPRIV_SETATTRVALS_ADD_ACL    =     111,
     LIBPRIV_SETATTRVALS_UPDATE     =     112,
     LIBPRIV_SETATTRVALS_DELETE     =     113,
     LIBPRIV_RESERVED_114           =     114,
     LIBPRIV_RESERVED_115           =     115,
     LIBPRIV_RESERVED_116           =     116,
     LIBPRIV_RESERVED_117           =     117,
     LIBPRIV_RESERVED_118           =     118,
     LIBPRIV_RESERVED_119           =     119,
     LIBPRIV_RESERVED_120           =     120,
     LIBPRIV_RESERVED_121           =     121,
     LIBPRIV_RESERVED_122           =     122,
     LIBPRIV_RESERVED_123           =     123,
     LIBPRIV_QUERY_DYNAMIC          =     124,
     LIBPRIV_ITEMSEARCH             =     125,
     LIBPRIV_QUERY_DYNAMIC_PATRONS  =     126,
     LIBPRIV_QUERY_STATIC_FM        =     127,
     LIBPRIV_QUERY_USER_DEFINED     =     128,
     LIBPRIV_QUERY_ATTRIBUTES       =     129,
     LIBPRIV_QUERY_INDEXCLASSES     =     130,
     LIBPRIV_QUERY_CLASSINDEXES     =     131,
     LIBPRIV_QUERY_CLASSVIEWS       =     132,
     LIBPRIV_QUERY_OBJECTSERVERS    =     133,
     LIBPRIV_QUERY_SMSCOLLECTIONS   =     134,
     LIBPRIV_QUERY_ITEMS            =     135,
     LIBPRIV_QUERY_PARTS            =     136,
     LIBPRIV_QUERY_NLSLANGUAGES     =     137,
     LIBPRIV_QUERY_NLSKEYWORDS      =     138,
     LIBPRIV_QUERY_SUSPITEMS        =     139,
     LIBPRIV_QUERY_CNTLINFO         =     140,
     LIBPRIV_QUERY_CHECKOUT         =     141,
     LIBPRIV_QUERY_EVENTINFO        =     142,
     LIBPRIV_QUERY_ITEM_ITEM        =     143,
     LIBPRIV_QUERY_ITEM_ACL         =     144,
     LIBPRIV_QUERY_ITEM_LINK        =     145,
     LIBPRIV_QUERY_ITEM_PROP        =     146,
     LIBPRIV_QUERY_ITEM_DESC        =     147,
     LIBPRIV_QUERY_ITEM_NAME        =     148,
     LIBPRIV_QUERY_ITEM_PARTS       =     149,
     LIBPRIV_QUERY_EVENTINFO2       =     150,
     LIBPRIV_QUERY_PARENTCHILDLINK  =     151,
     LIBPRIV_QUERY_ACTIVEUSERS      =     152,
     LIBPRIV_QUERY_FIRSTWBITEM      =     153,
     LIBPRIV_QUERY_LICVIOLATIONS    =     154,
     LIBPRIV_QUERY_LICENSEINFO      =     155,
     LIBPRIV_ADVANCE_SEARCH         =     172,

     LIBPRIV_FORCEENUM_TOULONG     = 1000000
} LIBPRIVBITPOS;

typedef ULONG AC_ACTION;

#define AC_NONE 0L
#define AC_VIEWSEARCH 100L

/*********************************************/
/* Define a structure used to provide timing */
/* information for processed library orders. */
/*********************************************/

typedef struct {
  ULONG    ulladder_start;       /* LS order routine start time          */
  ULONG    ulladder_end;         /* LS order routine end time            */
  ULONG    ullib_to_blob;        /* LS time when order sent to OS        */
  ULONG    ulblob_fm_lib;        /* OS time when order received from LS  */
  ULONG    ulblob_to_client;     /* OS time when order sent to LC or     */
                                 /* .. source OS                         */
  ULONG    ulclient_fm_blob;     /* Source OS or LC time when order      */
                                 /* .. received from (target) OS         */
  ULONG    ulclient_to_blob;     /* Source OS or LC time when response   */
                                 /* .. sent to (target) OS               */
  ULONG    ulblob_fm_client;     /* (Target) OS time when response       */
                                 /* .. received from LC or Source OS     */
  ULONG    ulblob_to_lib;        /* OS time when response sent to LS     */
  ULONG    ullib_from_blob;      /* LS time when response received       */
                                 /* .. from OS                           */
} LIBORDERTIMES;

/*****************************************************/
/* Define a structure describing a checked out item. */
/* An array of these structures is returned in the   */
/* the response order corresponding to a call to     */
/* LibCheckOut ().  An application can query a copy  */
/* of the checked out items array with a call to     */
/* LibGetReplyInfo (), passing the index of the reply*/
/* corresponding to a call to LibCheckOut ().  See   */
/* the checkInfo field in the LIBREPLYDATA structure */
/* (defined in frnplcli.h) for more information.     */
/*****************************************************/

typedef struct {
     CHAR achCheckedOutItem [RS_ITEM_ID_LENGTH];
     CHAR achCheckoutPatron [RS_PATRONID_LENGTH];
} LIBCHECKEDOUTITEMINFO;

/******************************************************************/
/* Define macros which equate to minimum and maximum timestamps.  */
/* These provide a convenient way to specify min. and max. times. */
/******************************************************************/

#define MIN_TIMESTAMP "1901-01-01-00.00.00.000000"
#define MAX_TIMESTAMP "9999-12-31-23.59.59.999999"
#define MIN_DATE      "1901-01-01"
#define MAX_DATE      "9999-12-31"
#define MIN_TIME      "00.00.00"
#define MAX_TIME      "23.59.59"

#define CURRENT_CONFIG "CURRENT"

/********************************************************/
/* COMMAND CODES                                        */
/* NOTE: Command codes are reserved in the range,       */
/*       1 - 256 for SB defined static query APIs       */
/*       256 - 1000 for user-defined static query APIs  */
/********************************************************/

typedef enum {
      CHECKIN_ORDER_CL            = 1012,
      CHECKIN_ORDER_LC            = 1021,
      CHECKOUT_ORDER_CL           = 1023,
      CHECKOUT_ORDER_LC           = 1032,
      CONNECT_ORDER_CL            = 1034,
      CONNECT_ORDER_LC            = 1043,
      DESCRIBE_ORDER_CL           = 1045,
      DESCRIBE_ORDER_LC           = 1054,
      DEFPATRON_ORDER_CL          = 1056,
      DEFPATRON_ORDER_LC          = 1065,

      DEFGROUP_ORDER_CL           = 1089,
      DEFGROUP_ORDER_LC           = 1098,
      DISCARD_ORDER_CL            = 1112,
      DISCARD_ORDER_LC            = 1121,
      DISCARD_ORDER_LO            = 1123,
      DISCARD_ORDER_OL            = 1132,
      ENDTRANS_ORDER_CL           = 1134,
      ENDTRANS_ORDER_LC           = 1143,
      ENDTRANS_ORDER_LO           = 1145,
      ENDTRANS_ORDER_OL           = 1154,
      ITEMATTR_ORDER_CL           = 1212,
      ITEMATTR_ORDER_LC           = 1221,
      LINK_ORDER_CL               = 1223,
      LINK_ORDER_LC               = 1232,
      MOVEBLOBS_ORDER_CL          = 1234,
      MOVEBLOBS_ORDER_LC          = 1243,
      MOVEBLOBS_ORDER_LO          = 1245,
      MOVEBLOBS_ORDER_OL          = 1254,
      MOVEBLOBS_ORDER_TS          = 1256,
      MOVEBLOBS_ORDER_ST          = 1265,
      NAME_ORDER_CL               = 1312,
      NAME_ORDER_LC               = 1321,
      PARTATTR_ORDER_CL           = 1323,
      PARTATTR_ORDER_LC           = 1332,
      PREFIX_ORDER_CL             = 1334,
      PREFIX_ORDER_LC             = 1343,
      PROPERTY_ORDER_CL           = 1345,
      PROPERTY_ORDER_LC           = 1354,
      SQUERY_ORDER_CL             = 1356,
      SQUERY_ORDER_LC             = 1365,
      DQUERY_ORDER_CL             = 1367,
      DQUERY_ORDER_LC             = 1376,
      RECORDUSAGE_ORDER_CL        = 1412,
      RECORDUSAGE_ORDER_LC        = 1421,
      RECORDEVENT_ORDER_CL        = 1423,
      RECORDEVENT_ORDER_LC        = 1432,
      RECORD_INTERNAL             = 1434,
      REPLACE_ORDER_LO            = 1445,
      REPLACE_ORDER_OL            = 1454,
      RETRIEVE_ORDER_CL           = 1512,
      RETRNAME_ORDER_CL           = 1523,
      RETRLABEL_ORDER_CL          = 1534,
      RETRIEVE_ORDER_LC           = 1521,
      RETRNAME_ORDER_LC           = 1532,
      RETRLABEL_ORDER_LC          = 1543,
      RETRIEVE_ORDER_LO           = 1545,
      RETRIEVE_ORDER_OL           = 1554,
      RETRIEVE_ORDER_OC           = 1556,
      RETRIEVE_ORDER_CO           = 1565,
      STORE_ORDER_CL              = 1612,
      STORE_ORDER_LC              = 1621,
      STORE_ORDER_LO              = 1623,
      STORE_ORDER_OL              = 1632,
      STORE_ORDER_OC              = 1634,
      STORE_ORDER_CO              = 1643,
      UNFINISHED_ORDER_LC         = 1721,
      SMS_ORDER_CL                = 1812,
      SMS_ORDER_CO                = 1813,
      SMS_ORDER_LC                = 1821,
      SMS_QUERY_LO                = 1845,
      SMS_QUERY_OL                = 1854,
      SMS_UPDATE_LO               = 1856,
      SMS_UPDATE_OL               = 1865,
      OBJ_ORDER_CL                = 1889,
      OBJ_ORDER_LC                = 1898,
      DEFATTRIBUTE_ORDER_CL       = 1912,
      DEFATTRIBUTE_ORDER_LC       = 1921,
      DEFINDEXCLASS_ORDER_CL      = 1923,
      DEFINDEXCLASS_ORDER_LC      = 1932,
      DEFCLASSVIEW_ORDER_CL       = 1934,
      DEFCLASSVIEW_ORDER_LC       = 1943,
      SETATTRVALUES_ORDER_CL      = 1954,
      SETATTRVALUES_ORDER_LC      = 1945,
      VIEWSEARCH_ORDER_CL         = 1965,
      VIEWSEARCH_ORDER_LC         = 1956,
      DEFCLASSDBMSINDEX_ORDER_CL  = 1976,
      DEFCLASSDBMSINDEX_ORDER_LC  = 1967,
      DEFNLSLANGUAGE_ORDER_CL     = 1987,
      DEFNLSLANGUAGE_ORDER_LC     = 1978,
      DEFNLSKEYWORD_ORDER_CL      = 1998,
      DEFNLSKEYWORD_ORDER_LC      = 1989,
      STOREITEM_ORDER_CL          = 2012,
      STOREITEM_ORDER_LC          = 2021,
      DEFWORKSLIP_ORDER_CL        = 2023,
      DEFWORKSLIP_ORDER_LC        = 2032,
      DEFSUSPEND_ORDER_CL         = 2034,
      DEFSUSPEND_ORDER_LC         = 2043,

      DEFPRIVS_ORDER_CL           = 2112,
      DEFPRIVS_ORDER_LC           = 2121,
      QUERYPRIVS_ORDER_CL         = 2123,
      QUERYPRIVS_ORDER_LC         = 2132,
      SETACL_ORDER_CL             = 2134,
      SETACL_ORDER_LC             = 2143,

      DEFCONTROL_ORDER_CL         = 2145,
      DEFCONTROL_ORDER_LC         = 2154,
      DISCARDEVENTS_ORDER_CL      = 2156,
      DISCARDEVENTS_ORDER_LC      = 2165,

      UPDATESMS_ORDER_CL          = 2176,
      UPDATESMS_ORDER_LC          = 2167,
      LOGOFFPATRON_ORDER_CL       = 2196,
      LOGOFFPATRON_ORDER_LC       = 2169,
      UPDATEPARTLOC_ORDER_CL      = 2221,
      UPDATEPARTLOC_ORDER_LC      = 2212,

      MIGRATE_ORDER_ST            = 2312,
      MIGRATE_ORDER_TS            = 2321,

      LICENSEKEY_ORDER_CL         = 2323,
      LICENSEKEY_ORDER_LC         = 2332,
      QRYFIRSTWBITEM_ORDER_CL     = 2334,
      QRYFIRSTWBITEM_ORDER_LC     = 2343,

      UNKNOWN_ORDER_LC            = 9921,
      UNKNOWN_ORDER_OL            = 9912
} COMMAND_CODES;

#ifndef CICS_ENV
  #pragma pack()
#endif

#endif


#ifdef __cplusplus
     }
#endif
