/*BEGINPROLOGUE*************************************************/
/*                                                             */
/* MODULE: FRNPLLQH.H                       VisualInfo         */
/*                                                             */
/* 5697-250, 5655-A01, 5655-A02,                               */
/* 5621-326, 5655-036, 5622-213, 5655-071 and 5655-072         */
/* (C) Copyright IBM Corp. 1993,1996.                          */
/* All Rights Reserved.                                        */
/*                                                             */
/* US Government Users Restricted Rights                       */
/* - Use, duplication or disclosure                            */
/* restricted by GSA ADP Schedule Con-                         */
/* tract with IBM Corp.                                        */
/*                                                             */
/* Licensed Materials - Property of IBM                        */
/*                                                             */
/* Date: July 1993                                             */
/*                                                             */
/* Status: Version 2 Release 1 Modification 0                  */
/*                                                             */
/* Description: FRNPLLQH.H - this include is used by programs  */
/*                           calling the Library Client static */
/*                           query user exit                   */
/*                                                             */
/* Dependencies:                                               */
/* Restrictions:                                               */
/*                                                             */
/*                                                             */
/* Notes:                                                      */
/*                                                             */
/*ENDPROLOGUE***************************************************/


#ifdef __cplusplus
     extern "C" {
#endif

#ifndef FRNPLLQH_INCLUDED

#define FRNPLLQH_INCLUDED

#ifndef CICS_ENV
#pragma pack(1)
#endif

/************************************/
/* Define names for SQL structures. */
/************************************/

#ifndef SQL_STRUCTS_DEFINED

     #define SQL_STRUCTS_DEFINED

     typedef struct sqlda SQLDASTRUCT;

     typedef struct sqlca SQLCASTRUCT;

#endif

/**********************************/
/* Define cursor operation codes. */
/**********************************/

#ifndef CURSOR_OPCODE_DEFINED

#define CURSOR_OPCODE_DEFINED

typedef enum {
     CURSOR_OPCODE_NOOP             = 0,

     CURSOR_OPCODE_OPENCURSOR       = 1,
     CURSOR_OPCODE_FETCH            = 2,
     CURSOR_OPCODE_CLOSECURSOR      = 3,

     CURSOR_OPCODE_DELETECURRENTROW = 4,

     CURSOR_OPCODE_DESCRIBESQLDA    = 5
} CURSOR_OPCODE;

#endif

/***********************************************************/
/* Define types used in the user static query exit module. */
/***********************************************************/

typedef struct {
       SHORT   sSQLType;

       /* Set the sqllen to the database field length                   */
       SHORT   sSQLLen;

       /* Set the sqlname to the database field name                    */
       PSZ     pszSQLName;
} STATICQUERY_FIELDINFO;

typedef VOID (_Optlink QUERYFIELDINFOPROC) (USHORT *,
                                            STATICQUERY_FIELDINFO **);
typedef QUERYFIELDINFOPROC * PQUERYFIELDINFOPROC;

typedef VOID (_Optlink QUERYSELECTCOLSINFOPROC) (USHORT *,
                                                 STATICQUERY_FIELDINFO **);
typedef QUERYSELECTCOLSINFOPROC * PQUERYSELECTCOLSINFOPROC;

typedef LONG (_Optlink OPENCURSORPROC) (USHORT,
                                        BYTE * []);
typedef OPENCURSORPROC * POPENCURSORPROC;

typedef LONG (_Optlink FETCHPROC) (SQLDASTRUCT *);
typedef FETCHPROC * PFETCHPROC;

typedef LONG (_Optlink CLOSECURSORPROC) (VOID);
typedef CLOSECURSORPROC * PCLOSECURSORPROC;

typedef LONG (_Optlink USECURSORPROC) (ULONG         ulReserved,
                                       CURSOR_OPCODE cursorOpcode,
                                       USHORT        usNumFields,
                                       USHORT        ausFieldWidths [],
                                       BYTE *        apbFields [],
                                       SQLDASTRUCT * pSQLDA);
typedef USECURSORPROC * PUSECURSORPROC;

typedef struct {
     PQUERYFIELDINFOPROC   pQueryFieldInfoProc; // Used to edit the incoming
                                                // field data ...
                                                // also used to populate
                                                // an sqlda, used to describe
                                                // returned columns
     PQUERYSELECTCOLSINFOPROC pQuerySelectColsProc; // The routine returns
                                                    // SQLDA information,
                                                    // which describes
                                                    // selected table columns

     PUSECURSORPROC        pUseCursorProc;      // Used for opening and closing
                                                // a cursor, as well as for
                                                // performing fetches with
                                                // the cursor
} STATICQUERY_EXECINFO;

/***************************************************/
/* Define a structure used to view varchar fields. */
/***************************************************/

#ifndef VARCHAR_OVERLAY_DEFINED

     #define VARCHAR_OVERLAY_DEFINED

     typedef struct {
          USHORT usFieldLen;

          BYTE bData [1000];
     } VARCHAR_OVERLAY;
     typedef VARCHAR_OVERLAY * PVARCHAR_OVERLAY;

#endif

#ifndef CICS_ENV
#pragma pack()
#endif

#endif


#ifdef __cplusplus
     }
#endif
