/*BEGINPROLOGUE***************************************************/
/*                                                               */
/* MODULE: FRNPTYPE.H                                            */
/*                                                               */
/* COPYRIGHT:                                                    */
/* ----------                                                    */
/* Digital Library Version 1 - 5648-A08.                         */
/* VisualInfo Version 2 Release 2.0 - 5697-250.                  */
/* (C) Copyright IBM Corp., 1994, 1996.  All Rights Reserved     */
/*                                                               */
/* US Government Users Restricted Rights                         */
/* Use, duplication or disclosure restricted by GSA ADP Schedule */
/* Contract with IBM Corp.  Licensed Materials - Property of IBM */
/*                                                               */
/*                                                               */
/* Description: FRNPTYPE.H - this include is used by programs    */
/*                           calling the Object Manager APIs     */
/*                                                               */
/* Change History:                                               */
/*  Date  Number  Name  Description                              */
/* ------ ------ ------ -------------------------------------    */
/*                                                               */
/* Dependencies:                                                 */
/* Restrictions:                                                 */
/*                                                               */
/*                                                               */
/* Notes:                                                        */
/*  - addtional information may be provided here                 */
/*                                                               */
/*ENDPROLOGUE*****************************************************/

/***/

#ifndef FRNPTYPE
#define FRNPTYPE 1

//
// The following is to support C++ compilers
//
#ifdef __cplusplus
   extern "C" {
#endif

/*
 * Defines to include conditionally for Windows or OS/2
 */
#ifdef _Windows

   // Define flag for Win16
   #ifndef __WIN32__
           #define __WIN16__
   #endif

   /*
    * Defines to include if windows.h is not included
   */
   #ifdef FRNAFX
    #define EXPENTRY           __stdcall
   #endif
   #ifndef __WINDOWS_H
     #define CDECL           cdecl
     #ifdef __WIN32__
       #define APIENTRY        __stdcall
       #define EXPENTRY        __stdcall

       #ifdef MSVC                               
         #define WINAPI   __stdcall               
       #else                                       
         #define WINAPI          __stdcall __import
       #endif                                      

     #else
       #define APIENTRY        __far __cdecl __loadds
       #define EXPENTRY        __far __cdecl __loadds
       #define WINAPI          __far __cdecl __loadds
     #endif
   #endif

   /*
    * Defines to include if windows.h IS included
    */
   #ifdef __WINDOWS_H
                #ifdef __WIN16__
         #define APIENTRY        __far __cdecl __loadds
         #define EXPENTRY        __far __cdecl __loadds
         typedef void *PVOID;
//       typedef long int INT;
         typedef int INT;
         typedef char CHAR;
         typedef unsigned char UCHAR;
         typedef UCHAR *PUCHAR;
         typedef char *PCHAR;
         typedef unsigned short USHORT;
         typedef USHORT *PUSHORT;
         typedef unsigned long ULONG;
         typedef unsigned long BOOL32;
         typedef ULONG *PULONG;
         typedef short SHORT;
         typedef SHORT *PSHORT;
         typedef char *PSZ;
         typedef BOOL *PBOOL;
         #define NO_ERROR  0L
         #define ERROR_SEM_TIMEOUT               121L
         #define ERROR_TOO_MANY_SEM_REQUESTS     103L
         #define ERROR_SEM_OWNER_DIED            105L
         #define ERROR_INVALID_HANDLE            6L
         #define ERROR_MR_MID_NOT_FOUND          317L
                #endif

                #define SHANDLE  HANDLE
                typedef ULONG LHANDLE;
                #define _Packed
                #define TID      ULONG
                #define PID      ULONG
                typedef PVOID   *PPVOID;
                #define SEM_INDEFINITE_WAIT  -1L
                #define huge
                #define ERROR_TIMEOUT           ERROR_SEM_TIMEOUT
                typedef INT COUNTRYCODE[2];

   #endif  //#ifdef __WINDOWS_H

   /*
    * Defines to ALWAYS include for Windows
    */
   #ifdef __WIN16__
      #define _Optlink        __far __cdecl __loadds
      #define _System         __far __cdecl __loadds
   #endif

   #ifdef __WIN32__
      #define _Optlink        _cdecl
      #define _System         __stdcall
   #endif

   typedef int ( APIENTRY _PFN ) ();
   typedef _PFN *PFN;
   #define APIRET          int
   #define DBCSOFF
   #define QUEUETYPE_DOS                    1
   #define QUEUETYPE_PM                     2
   #define QUEUETYPE_DOS_REMOTEPROCCALL     3
   #define QUEUETYPE_PM_REMOTEPROCCALL      4

   #ifndef __COWOPSYS_H                      //D320 -Flowers
   typedef enum { PRIORITY_FIFO = 0,
                     PRIORITY_LIFO,
                     PRIORITY_PRIORITY
                   } MSGPRIORITY;
   #endif                                    //D320 -Flowers

   #define ERROR_SEM_BUSY  100
   typedef unsigned long BOOL32;

   #define EOS2ERR         ENOFILE
   #define _Packed         //Check this
   typedef int HAB;
   typedef unsigned long  ERRORID;          /* errid */
   #define __DEFINED_ERRORID
   typedef ERRORID        *PERRORID;
   #define MAKEERRORID(sev, error) (ERRORID)(MAKEULONG((error), (sev)))
   #define ERRORIDERROR(errid)            (LOUSHORT(errid))

//
// Following 29 lines are added or changed for AIX porting.
//

#else  // not Windows
   #if defined AIX && defined TOOLKIT 

     #define max(a,b) (((a) > (b)) ? (a) : (b))
     #define min(a,b) (((a) < (b)) ? (a) : (b))
     #ifndef cdecl     
       #define cdecl
     #endif
//
// Keywords unknown to AIX complier, redefine to nothing for now
//
    #ifndef USERAPP      
     #include "bseerr.h"
    #endif               
     #define _Optlink
     #define _System
     #define _Packed
     #define _Pascal
     #define _Seg16
     #define _Far16
     #define far
     #define near
     #define pascal
     #define huge
     #define __size_t
//   #define BIT32
     #define EACCESS EACCES
     #define APIENTRY    _System 
     #define EOS2ERR   60        
     #define APIRET          int 
     typedef int HAB;            
     typedef int ( APIENTRY _PFN ) ();
     typedef _PFN *PFN;
     typedef unsigned long BOOL32;
     typedef int COUNTRYCODE[2];
   #endif   // end of AIX redefine
#endif      // end of _Windows check

//#else

#ifndef _Windows
  /*
        * Defines to ALWAYS include for OS/2 & AIX
        */
  #define CDECL            _Optlink

  #ifdef AIX  // BA950jww
    #ifndef APIENTRY
      #define APIENTRY
    #endif
  #else
    #ifndef APIENTRY
      #define APIENTRY _System
    #endif
  #endif      // EA950jww

  #ifdef AIX  // BA950jww
    #ifndef EXPENTRY
      #define EXPENTRY
    #endif
  #else
    #ifndef EXPENTRY
      #define EXPENTRY _System
    #endif
  #endif      // EA950jww
#endif


// #ifdef AIX       
#if !defined(__OS2DEF__) && !defined(__WINDOWS_H)

//
// Below are fundamental types            Hungarian Notation
//
#define VOID             void
#define CHAR             char             // ch
#define SHORT            short            // s
#define INT              int              // i
#define LONG             long             // l

//
// Below are all derived types
//
#ifndef FALSE
   #define FALSE         0
#endif

#ifndef TRUE
   #define TRUE          1
#endif

//
// Void types
//
typedef VOID            *PVOID;           /* pv */
typedef PVOID           *PPVOID;          /* ppv */

//
// Character types
//
typedef CHAR            *PCHAR;
typedef unsigned CHAR    UCHAR;           /* uch */
typedef unsigned CHAR   *NPCH;

#ifndef TOOLKIT     
typedef unsigned CHAR   *PSZ;
typedef unsigned CHAR    BYTE;            /* b   */
typedef unsigned CHAR   *PCH;
#else
typedef CHAR            *PSZ;
typedef CHAR             BYTE;            /* b   */
typedef CHAR            *PCH;
#endif

typedef unsigned CHAR   *NPSZ;
typedef BYTE            *PBYTE;
typedef BYTE            *NPBYTE;
typedef UCHAR           *PUCHAR;

//
// Short types
//
typedef unsigned SHORT   USHORT;          /* us  */
typedef unsigned SHORT   SHANDLE;
typedef SHORT           *PSHORT;
typedef USHORT          *PUSHORT;
// typedef SHANDLE         *PSHANDLE;
#define NULLSHANDLE   ( (SHANDLE) 0)

//
// Int types
//
typedef unsigned INT     UINT;            /* ui  */
typedef INT             *PINT;
typedef UINT            *PUINT;

//
// Long types
//
typedef unsigned LONG    ULONG;           /* ul  */
typedef unsigned LONG    LHANDLE;

#ifndef FRNPCAPI_NOPLONG
   typedef LONG            *PLONG;
#endif
#ifndef FRNPCAPI_NOPULONG
   #define FRNPCAPI_NOPULONG 1 /* indicate PULONG defined 9/93 */
   typedef ULONG *PULONG;
#endif

#define NULLHANDLE    ( (LHANDLE) 0)

//
// Boolean types
//
typedef unsigned LONG    BOOL;            /* f   */
typedef BOOL            *PBOOL;

//
// Nulls types
//
#ifndef NULL
   #define NULL     ((VOID *)0)
#endif

//
// Cast any variable to an instance of the specified type.
//
#define MAKETYPE(v, type)   (*((type *)&v))

//
// Calculate the byte offset of a field in a structure of type type.
//
#define FIELDOFFSET(type, field)    ((SHORT)&(((type *)0)->field))

//
// Combine l & h to form a 32 bit quantity.
//
#define MAKEULONG(l, h)  ((ULONG)(((USHORT)(l)) | ((ULONG)((USHORT)(h))) << 16))
#define MAKELONG(l, h)   ((LONG)MAKEULONG(l, h))

//
// Combine l & h to form a 16 bit quantity.
//
#define MAKEUSHORT(l, h) (((USHORT)(l)) | ((USHORT)(h)) << 8)
#define MAKESHORT(l, h)  ((SHORT)MAKEUSHORT(l, h))

//
// Extract high and low order parts of 16 and 32 bit quantity.
//
#define LOBYTE(w)       LOUCHAR(w)
#define HIBYTE(w)       HIUCHAR(w)
#define LOUCHAR(w)      ((UCHAR)(w))
#define HIUCHAR(w)      ((UCHAR)(((USHORT)(w) >> 8) & 0xff))
#define LOUSHORT(l)     ((USHORT)((ULONG)l))
#define HIUSHORT(l)     ((USHORT)(((ULONG)(l) >> 16) & 0xffff))

//
// *** Common Error definitions ***
//
#ifndef __DEFINED_ERRORID
   typedef ULONG           ERRORID;          /* errid */
#endif
typedef ERRORID        *PERRORID;

//
// Combine severity and error code to produce ERRORID
//
#define MAKEERRORID(sev, error) (ERRORID)(MAKEULONG((error), (sev)))

//
// Extract error number from an errorid
//
#define ERRORIDERROR(errid)            (LOUSHORT(errid))

//
//  Common DOS types
//

#ifdef MSVC                
#else                      
 typedef LHANDLE HMODULE;                  /* hmod */
#endif                     

typedef LHANDLE PID;                      /* pid  */
typedef LHANDLE TID;                      /* tid  */

typedef USHORT  SGID;                     /* sgid */

typedef HMODULE *PHMODULE;
typedef PID *PPID;
typedef TID *PTID;

#ifdef MSVC                
#else                      
 typedef LHANDLE HWND;
#endif                     

#endif   // #ifndef __OS2DEF__


#ifndef __BSEDOS__


typedef LHANDLE HQUEUE;
typedef HQUEUE * PHQUEUE;

#ifndef __WINDOWS_H
typedef LHANDLE HFILE;
#endif
typedef HFILE   *PHFILE;

typedef LHANDLE HSEM;

#define SEM_INDEFINITE_WAIT     -1L

#ifdef _Windows
        #ifndef FAR
                #define FAR _far
        #endif
#else
        #define FAR
#endif

/*  Added for LBOS use  */
typedef LHANDLE HDIR;        /* hdir */
typedef HDIR    *PHDIR;

#define CCHMAXPATHCOMP     256


/*
 * structure packing
 */
#pragma pack(1)

typedef struct _FTIME           /* ftime */
        {
        UINT   twosecs : 5;
        UINT   minutes : 6;
        UINT   hours   : 5;
        } FTIME;
typedef FTIME *PFTIME;

typedef struct _FDATE           /* fdate */
        {
        UINT   day     : 5;
                  UINT   month   : 4;
                  UINT   year    : 7;
        } FDATE;
typedef FDATE   *PFDATE;

#ifndef __COWOPSYS_H       
typedef struct _DATETIME      /* date */
        {
        UCHAR   hours;
        UCHAR   minutes;
        UCHAR   seconds;
   #ifdef AIX              
        UCHAR   reserved;  
        USHORT  hundredths;
   #else
        UCHAR   hundredths;
   #endif                  
        UCHAR   day;
        UCHAR   month;
        USHORT  year;
#ifdef __WIN16__
        SHORT   time_zone;
#else
        SHORT   timezone;
#endif
        UCHAR   weekday;
        } DATETIME;
typedef DATETIME *PDATETIME;
#endif  //cowopsys               

typedef  ULONG     HMTX;

typedef struct _RESULTCODES       /* resc */
                  {
                  ULONG codeTerminate;
                  ULONG codeResult;
        } RESULTCODES;
typedef RESULTCODES *PRESULTCODES;


typedef struct _FILEFINDBUF3                 /* findbuf3 */
        {
        ULONG   oNextEntryOffset;            /* new field */
        FDATE   fdateCreation;
        FTIME   ftimeCreation;
        FDATE   fdateLastAccess;
        FTIME   ftimeLastAccess;
        FDATE   fdateLastWrite;
        FTIME   ftimeLastWrite;
        ULONG   cbFile;
        ULONG   cbFileAlloc;
        ULONG   attrFile;                    /* widened field */
        UCHAR   cchName;
        CHAR    achName[CCHMAXPATHCOMP];
        } FILEFINDBUF3;
typedef FILEFINDBUF3 *PFILEFINDBUF3;

/*
 * structure packing default
 */
#pragma pack()


#endif  // ifndef __BSEDOS__


//
// OS2 specific values that should come out or be redefined
//
#if defined (INCL_DOSERRORS) || defined(INCL_ERROR_H)

#else

#ifdef _Windows
   #define NO_ERROR 0L
   #define ERROR_INVALID_PARAMETER 87L
#else
   #define NO_ERROR 0
   #define ERROR_INVALID_PARAMETER 87
#endif

#endif

#ifndef INCL_DOSSEMAPHORES

   #ifndef __HEV__            /* INCL_SEMAPHORE may also define HEV */
      #define __HEV__
      typedef  ULONG    HEV;             /* hev */
      typedef  HEV      *PHEV;
   #endif

#endif /* ifndef INCL_DOSSEMAPHORES */

//
// Include the lib client headers - these are required below
// Note: Library Client on AIX is available for Digital Library only.

#ifdef AIX  // BA950jww
  #ifndef SIMENTRY
    #define SIMENTRY
  #endif
#else
  #ifndef SIMENTRY
    #define SIMENTRY _System
  #endif
#endif      // EA950jww

//BAf1460.ske
#include "frnpvars.h"
//EAf1460.ske

#include "frnplibc.h"


#define OPEN_ACCESS_READWRITE          0x0002  /* ---- ---- ---- -010 */
#define OPEN_ACCESS_READONLY           0x0000  /* ---- ---- ---- -000 */
#define OPEN_ACCESS_WRITEONLY          0x0001  /* ---- ---- ---- -001 */
#ifndef __WINDOWS_H
#define FILE_BEGIN      0x0000   /* Move relative to beginning of file */
#endif
#define EXLST_EXIT         3
#define DC_SEM_SHARED   0x01   /* DosCreateMutex, DosCreateEvent, and     */


/*
 * hobj length constants
 */
#define SIM_REP_TYPE             9
#define SIM_OBJ_RESERVED_LENGTH 48
//
// Common definitions
//
#define SUCCESS               0X0000
#define FAILURE                !0


//
// Common typedefs
//
#ifndef AIX
typedef PVOID           HPBYTE;  
#endif

/* BA091495-pjs */
#ifdef AIX
 typedef short FTNIP2(PVOID);
#else
/* EA091495-pjs */
 typedef short CDECL    FTNIP2(PVOID);
#endif /* BEA091495-pjs */

typedef FTNIP2         *PFTNIP2;
//typedef ULONG           HERR;

typedef CHAR            *PBUF;

typedef LHANDLE  HOBJACC;
typedef LHANDLE  HSESSION;
//typedef UINT     BITS;
typedef ULONG    BITSL;
typedef DOC_ID   ITEMID;
typedef DOC_ID  *PITEMID;

typedef CHAR     CONTENTCLASSNAME[9];
typedef SHORT    CONTENTCLASSID;
typedef CHAR     DIRECTORYPATH[257];
typedef CHAR     PARMSTRING[129];

#define          FRNDATE_LENGTH         10
typedef CHAR     FRNDATE[FRNDATE_LENGTH+1];

//*************************************************************
//
//       Structures
//
//************************************************************* */

//
// Common API structures - include if not already included
//
#ifndef FRNPCAPI_DEFINED
#include "frnpcapi.h"
#endif

/*
 * structure packing
 */
#pragma pack(1)

//
// Asynchronous control block
//
typedef struct
   {
   ULONG          ulStruct;        // the size of this data structure
   BITS           fOptions;        // Function control option flag
   HWND           hSync;           // Semaphore or Window handle
   USHORT         usMsgId;         // Window message identifier
   } ASYNCCTL;
   typedef ASYNCCTL *PASYNCCTL;

//
// Object structure
//
typedef struct _OBJSTRUCT
   {
   ULONG       ulStruct;     // the size of this data structure
   ULONG       ulPart;       // Part ID
   SHORT       sVersion;     // version of the part within this item
   ITEMID      szItemID;    // Item ID (character array)
   UCHAR       chRepType[SIM_REP_TYPE];  // Rep type (character array)
   UCHAR       chReserved[SIM_OBJ_RESERVED_LENGTH]; // reserved area
   } OBJ;
typedef OBJ *HOBJ;
typedef HOBJ POBJ;

//
// Folder Manager function defines
//
typedef enum {
   FTN_IP2ACTIVATEITEM,
   FTN_IP2ADDCONTENTCLASS,
   FTN_IP2ADDINDEX,
   FTN_IP2ADDWORKBASKETITEM,
   FTN_IP2CHANGEITEMACCESS,
   FTN_IP2CHANGEWORKFLOW,
   FTN_IP2CHECKINITEM,
   FTN_IP2CHECKOUTITEM,
   FTN_IP2CLOSETOC,
   FTN_IP2COMPLETEWORKFLOW,
   FTN_IP2CREATEATTR,
   FTN_IP2CREATECLASS,
   FTN_IP2CREATECONTROLPARAMS,
   FTN_IP2CREATEWORKFLOW,
   FTN_IP2DELETEATTR,
   FTN_IP2DELETECLASS,
   FTN_IP2DELETECONTROLPARAMS,
   FTN_IP2DELETEHISTORY,
   FTN_IP2DELETEINDEX,
   FTN_IP2DELETEWORKFLOW,
   FTN_IP2ENDTRANSACTION,
   FTN_IP2LISTATEATTRS,
   FTN_IP2LISTATTRNAMES,
   FTN_IP2LISTCLASSNAMES,
   FTN_IP2LISTVIEWNAMES,
   FTN_IP2LISTCHECKEDOUTITEMS,
   FTN_IP2LISTCONTROLPARAMS,
   FTN_IP2LISTGROUPSOFUSER,
   FTN_IP2LISTWORKFLOWS,
   FTN_IP2MODIFYATTR,
   FTN_IP2MODIFYCLASS,
   FTN_IP2MODIFYCONTROLPARAMS,
   FTN_IP2MODIFYWORKFLOW,
   FTN_IP2GETCONTENTCLASSHANDLERS,
   FTN_IP2GETNEXTWORKBASKETITEM,
   FTN_IP2GETOBJECTFILENAME,
   FTN_IP2GETSUSPENDCRITERIA,
   FTN_IP2GETTOCUPDATES,
   FTN_IP2GETWORKBASKETINFO,
   FTN_IP2GETWORKBASKETITEMPRTY,       // Ip2GetWorkBasketItemPriority
   FTN_IP2GETWORKFLOWINFO,
   FTN_IP2LISTACCESSLISTS,
   FTN_IP2LISTCONTENTCLASSES,
   FTN_IP2LISTHISTORY,
   FTN_IP2LISTUSEREXITS,
   FTN_IP2MODIFYCONTENTCLASS,
   FTN_IP2NEXTWORKBASKETINWORKFLOW,
   FTN_IP2REMOVEFROMWORKFLOW,
   FTN_IP2REMOVEWORKBASKETITEM,
   FTN_IP2ROUTEWIPITEM,
   FTN_IP2SETUSEREXITS,
   FTN_IP2SETUSERTIMEOUTADJUSTMENT,
   FTN_IP2SETWORKBASKETITEMPRTY,       // Ip2SetWorkBasketItemPriority
   FTN_IP2STARTTRANSACTION,
   FTN_IP2STARTWORKFLOW,
   FTN_IP2SUSPENDITEM,
   FTN_IP2TOCSTATUS,
   FTN_IP2UPDATEACCESSLIST,
   FTN_IP2WRITEHISTORY,
   FTN_IP2XREFATTR,
   FTN_IP2XREFWORKFLOW,
   FTN_SIMLIBADDFOLDERITEM,
   FTN_SIMLIBCATALOGOBJECT,
   FTN_SIMLIBCHANGEINDEXCLASS,
   FTN_SIMLIBCHANGEOBJECTSMS,
   FTN_SIMLIBCLOSEATTR,
   FTN_SIMLIBCLOSEOBJECT,
   FTN_SIMLIBCOPYOBJECT,
   FTN_SIMLIBCREATEITEM,
   FTN_SIMLIBCREATEOBJECT,
   FTN_SIMLIBDELETEITEM,
   FTN_SIMLIBDELETEOBJECT,
   FTN_SIMLIBDELETEOBJECTREF,          // SimLibDeleteObjectReference
   FTN_SIMLIBFREE,
   FTN_SIMLIBGETATTRINFO,
   FTN_SIMLIBGETCLASSINDEXES,
   FTN_SIMLIBGETCLASSINFO,
   FTN_SIMLIBGETITEMAFFILIATEDTOC,
   FTN_SIMLIBGETITEMINFO,
   FTN_SIMLIBGETITEMTYPE,
   FTN_SIMLIBGETINDEXCLASSVIEW,
   FTN_SIMLIBGETITEMXREF,
   FTN_SIMLIBGETSESSIONTYPE,
   FTN_SIMLIBGETTOC,
   FTN_SIMLIBGETITEMSNAPSHOT,
   FTN_SIMLIBGETTOCDATA,
   FTN_SIMLIBLOGON,
   FTN_SIMLIBLOGOFF,
   FTN_SIMLIBLOGOFFPATRON,       
   FTN_IP2LISTATTRS,
   FTN_SIMLIBLISTCLASSES,
   FTN_SIMLIBLISTCLASSVIEWS,
   FTN_SIMLIBOPENITEMATTR,
   FTN_SIMLIBOPENOBJECT,
   FTN_SIMLIBOPENOBJECTBYUNAME,        // SimLibOpenObjectByUniqueName
   FTN_SIMLIBQUERYOBJECT,
   FTN_SIMLIBREADATTR,
   FTN_SIMLIBREADOBJECT,
   FTN_SIMLIBREMOVEFOLDERITEM,
   FTN_SIMLIBREOPENOBJECT,
   FTN_SIMLIBRESIZEOBJECT,
   FTN_SIMLIBSAVEATTR,
   FTN_SIMLIBSEARCH,
   FTN_SIMLIBSETINDEXCLASSVIEW,
   FTN_SIMLIBSEEKOBJECT,
   FTN_SIMLIBSTAGEOBJECT,
   FTN_SIMLIBSTORENEWOBJECT,
   FTN_SIMLIBWRITEATTR,
   FTN_SIMLIBWRITEOBJECT,
   FTN_SMSUPDATE,
   FTN_SMSDELETE,
   FTN_SMSCREATE,
   FTN_SMSASSOC,
   FTN_SMSDISASSOC,
   FTN_SMSQUERY,
   FTN_SMSQUERYENT,
   FTN_SMSVALIDATE,
   FTN_IP2ADDPRIVILEGE,
   FTN_IP2MODPRIVILEGE,
   FTN_IP2LSTPRIVILEGE,
   FTN_IP2DELPRIVILEGE,
   FTN_IP2ADDUSER,
   FTN_IP2MODUSER,
   FTN_IP2LSTUSERS,
   FTN_IP2DELUSER,
   FTN_IP2LSTOBJSERV,
   FTN_IP2LISTOBJSERVCOLL,
   FTN_IP2ADDGROUP,
   FTN_IP2MODIFYGROUP,
   FTN_IP2LISTGROUPS,
   FTN_IP2DELETEGROUP,
   FTN_IP2ADDUSERTOGROUP,
   FTN_IP2REMOVEUSERFROMGROUP,
   FTN_IP2LISTUSERSINGROUP,
   FTN_IP2DELETECONTENTCLASS,
   FTN_IP2GETINDEXCLASSSTATUS,
   FTN_IP2SETRESERVE,
   FTN_IP2DEFINEOBJSERVCOLL,
   FTN_IP2DEFINEOBJSERV,
   FTN_IP2TOCCOUNT,
   FTN_IP2CREATEWORKBASKET,
   FTN_IP2DELETEWORKBASKET,
   FTN_IP2LISTWORKBASKETS,
   FTN_IP2MODIFYWORKBASKET,
   FTN_IP2DEFINENATLANG,
   FTN_IP2LISTNATLANG,
   FTN_IP2LISTSERVERS,
   FTN_IP2GETLIBSESSIONINFO,
   FTN_IP2QUERYCLASSPRIV,
   FTN_SAITERATECONTROL,
   FTN_SAOPENCONTROLDATA,
   FTN_SASAVECONTROL,
   FTN_SACLOSECONTROL,
   FTN_SADELETECONTROL,
   FTN_SAADDCONTROL,
   FTN_SALISTCONTROL,
   FTN_LASTFTN,
   DUMMYVALUE = 1000000
} FLDMGRFUNCTIONS;

//
// Prototype for user timeout function
//
/* BA091495-pjs */
// Note: AIX Folder Manager is available for Digital Library only.
#ifdef AIX
 typedef BOOL FNTIMEOUTFTN(FLDMGRFUNCTIONS,
#else
/* EA091495-pjs */
 #ifdef _Windows
   #ifdef MSVC                                             
        typedef BOOL WINAPI FNTIMEOUTFTN(FLDMGRFUNCTIONS,  
   #else                                                   
        typedef BOOL (WINAPI FNTIMEOUTFTN)(FLDMGRFUNCTIONS,
   #endif                                                  
 #else
   typedef BOOL APIENTRY FNTIMEOUTFTN(FLDMGRFUNCTIONS,
 #endif
#endif /* BEA091495-pjs */
                                   PULONG,
                                   BOOL,
                                   LONG,
                                   SHORT);
typedef FNTIMEOUTFTN *PFNTIMEOUTFTN;

//
// Structures for user exit functions
//
/* BA091495-pjs */
#ifdef AIX
  typedef VOID FNUSEREXIT(HSESSION,FLDMGRFUNCTIONS,PRCSTRUCT);
#else
/* EA091495-pjs */
 #ifdef _Windows
  typedef VOID (APIENTRY FNUSEREXIT)(HSESSION,FLDMGRFUNCTIONS,PRCSTRUCT);
 #else
  typedef VOID APIENTRY FNUSEREXIT(HSESSION,FLDMGRFUNCTIONS,PRCSTRUCT);
 #endif
#endif /* BEA091495-pjs */

typedef FNUSEREXIT *PFNUSEREXIT;

#ifdef _Windows
        #define FTN_NAME_SIZE      50
#else
        #define FTN_NAME_SIZE      20
#endif

typedef struct {
   PFNUSEREXIT pUserExitFtn;
   CHAR        chFtnName[FTN_NAME_SIZE+1];
#ifdef _Windows
        ULONG       ulModule;
#endif
} USEREXITDATA;
typedef USEREXITDATA *PUSEREXITDATA;

//
// User logon structure
//
#define SIM_LANGUAGE_CODE_LENGTH    3
#define SIM_LANGUAGE_NAME_LENGTH    32
#define SIM_SESSION_TYPE_LENGTH     4
#define SIM_PRIVSTRING_LENGTH       400

// version information returned on logon, added for V1.1.2, March 1995

#define FRNFMVERSION  0x01
#define FRNFMRELEASE  0x01
#define FRNFMMODLEVEL 0x02
#define FRNFMCSD      0x00

typedef struct _USERLOGONINFOSTRUCT {
   ULONG        ulStruct;
   ULONG        ulUserType;
   ULONG        ulUserCCSID;
   PSZ          pszUserDescription;
   CHAR         szUserLanguage[SIM_LANGUAGE_CODE_LENGTH+1];
   CHAR         szSessionType[SIM_SESSION_TYPE_LENGTH+1];
   TIMESTAMP    tsPasswordExpire;
   CHAR         szPrivString[SIM_PRIVSTRING_LENGTH+1];
   CHAR         chVersion;     // Folder Manager version
   CHAR         chRelease;     // Folder Manager release
   CHAR         chModLevel;    // Folder Manager release modification level
   CHAR         chCSD;         // Folder Manager CSD or other post-mod update
   } USERLOGONINFOSTRUCT;
   typedef USERLOGONINFOSTRUCT *PUSERLOGONINFOSTRUCT;

//
// Defines for ulAccessLevel in USERACCESSSTRUCT and for Object Manager
//
#define SIM_ACCESS_SHARED_READ  0      // open object for read only
#define SIM_ACCESS_EXCL_READ    1      // open object for exclusive read
#define SIM_ACCESS_READ_WRITE   2      // open object for read/write
#define SIM_ACCESS_UNKNOWN      3      // open object for read/write

#define USERIDENT_LENGTH        26

typedef CHAR   USERIDENT        [USERIDENT_LENGTH+1];

//
// User Access struct
//
typedef struct _USERACCESSSTRUCT {
   ULONG       ulStruct;
   ULONG       ulAccessLevel;
   USERIDENT   useridCheckout;
   ITEMID      szItemID;
}  USERACCESSSTRUCT;

typedef USERACCESSSTRUCT *PUSERACCESSSTRUCT;

typedef PVOID  FWGETTOC;
typedef PVOID  PFWGETTOC;
typedef PVOID  PHTOC;
typedef PVOID  HITEM;
typedef PVOID  HTOC;
typedef PVOID  PSTAGINGCRITERIASTRUCT;

//
// Content Class Entry Structure
//
typedef struct _CONTENTCLASSINFO {
   ULONG             ulStruct;               // size
   USHORT            usContentClsID;         //Content class ID
   CHAR              szContentClsName[9];    //Content class name
   CHAR              szContentClsDesc[41];   //Content class description
} CONTENTCLASSINFO;

typedef CONTENTCLASSINFO *PCONTENTCLASSINFO;

#define LIB_CLIENT_API_NAME_SIZE                 41

//
// Structure for Lib Client/DocSS errors in ulExtReason in PRCSTRUCT
//
typedef struct {
   ULONG    ulStruct;               // the size of this data structure

   USHORT   usReplyNum;
   LONG     lErroneousReply;
   USHORT   usOrderCode;

   LONG     lFMCode;
   LONG     lLibraryCode;
   LONG     lSQLCode;
   LONG     lObjServerCode;
   LONG     lCacheCode;
   LONG     lIsoCode;
   SHORT    sClientCode;
   CHAR     szLibClientAPIName[LIB_CLIENT_API_NAME_SIZE];
} DOCSSRESPONSEINFO;
typedef DOCSSRESPONSEINFO *PDOCSSRESPONSEINFO;

//
// LIB SESSION INFO  struct
//
typedef struct _LIBSESSIONINFOSTRUCT {
   ULONG       ulStruct;
   SESSION_P   pSession;
   CHAR        szDBName[RS_STORE_ID_LENGTH +1];
   CHAR        szApplicationName[RS_STORE_ID_LENGTH+1] ;
   PATRON_ID   szUserIDSession;
}  LIBSESSIONINFOSTRUCT;

typedef LIBSESSIONINFOSTRUCT *PLIBSESSIONINFOSTRUCT;

/*
 * structure packing default
 */
#pragma pack()


/*
 * end support for C++
 */
#ifdef __cplusplus
        }
#endif

#endif // End of FRNPTYPE.H
