/*BEGINPROLOGUE***************************************************/
/*                                                               */
/* MODULE: FRNPVARS.H                                            */
/*                                                               */
/* COPYRIGHT:                                                    */
/* ----------                                                    */
/* Digital Library Version 1 - 5648-A08.                         */
/* VisualInfo Version 2 Release 2.0 - 5697-250.                  */
/* (C) Copyright IBM Corp., 1996.  All Rights Reserved           */
/*                                                               */
/* US Government Users Restricted Rights                         */
/* Use, duplication or disclosure restricted by GSA ADP Schedule */
/* Contract with IBM Corp.  Licensed Materials - Property of IBM */
/*                                                               */
/*                                                               */
/* Description: FRNPVARS.H - this include is used by programs    */
/*                           referencing the DL system           */
/*                           environment variables.              */
/*                                                               */
/* Change History:                                               */
/*  Date  Number  Name  Description                              */
/* ------ ------ ------ -------------------------------------    */
/* 120996 2610   pjs    Fixed Obj. server bind problem           */
/* Dependencies:                                                 */
/* Restrictions:                                                 */
/*                                                               */
/* Notes:                                                        */
/*  - additional information may be provided here                */
/*                                                               */
/*ENDPROLOGUE*****************************************************/

#ifndef FRNPVARS
#define FRNPVARS 1

//
// The following is to support C++ compilers
//
#ifdef __cplusplus
   extern "C" {
#endif

#define ENV_MAXLEN_VAR      15                // length of longest variable name
#define ENV_MAXSIZE_VAR     ENV_MAXLEN_VAR+1  // string size of longest variable

#define ENV_MAXLEN_PATH     1023              // length of longest path
#define ENV_MAXSIZE_PATH    ENV_MAXLEN_PATH+1 // string size of longest path

#define ENV_MAXLEN_BUFF     19                // length of longest non-path vars (*)
#define ENV_MAXSIZE_BUFF    ENV_MAXLEN_BUFF+1 // string size of longest non-path vars

#ifdef AIX
#define ENV_FRNCOMP         "FRNCOMP"         // component name (*)
#define ENV_FRNCOMPID       "FRNCOMPID"       // component instance id (*)
#define ENV_FRNCTL          "FRNCTL"          // path for control files
#define ENV_FRNDBCFG        "FRNDBCFG"        // server configuration name in database (*)
#define ENV_FRNDBNAME       "FRNDBNAME"       // server database name (*)
#define ENV_FRNINST         "FRNINST"         // path for installed product files
#define ENV_FRNLEVEL        "FRNLEVEL"        // product release level (*)
#define ENV_FRNLIB          "FRNLIB"          // path for fixed shared lib product files
#define ENV_FRNROOT         "FRNROOT"         // path for fixed executable product files
#define ENV_FRNSHARED       "FRNSHARED"       // path for dynamic shared product files
#define ENV_FRNSTUFF        "FRNSTUFF"        // path for logs and work files
#define ENV_FRNTEMP         "FRNTEMP"         // path for temporary files
#define ENV_OBJSERV         "OBJECT_SERVER"   // value that defines a object server
#define ENV_OBJSERV_BIND    "/BIND/@FRNXLBLB.BSP" // value that defines a object server bind file @M2610.pjs
#else
#define ENV_FRNCOMP         "FRNCOMP"         // component name (*)
#define ENV_FRNCOMPID       "FRNCOMPID"       // component instance id (*)
#define ENV_FRNCTL          "FRNROOT"         // path for control files
#define ENV_FRNDBCFG        "FRNDBCFG"        // server configuration name in database (*)
#define ENV_FRNDBNAME       "FRNDBNAME"       // server database name (*)
#define ENV_FRNINST         "FRNROOT"         // path for installed product files
#define ENV_FRNLEVEL        "FRNLEVEL"        // product release level (*)
#define ENV_FRNLIB          "FRNROOT"         // path for fixed shared lib product files
#define ENV_FRNROOT         "FRNROOT"         // path for fixed executable product files
#define ENV_FRNSHARED       "FRNROOT"         // path for dynamic shared product files
#define ENV_FRNSTUFF        "FRNROOT"         // path for logs and work files
#define ENV_FRNTEMP         "FRNROOT"         // path for temporary files
#endif

#ifdef AIX
#define ENV_SEP             '/'               // AIX path separator
#else
#define ENV_SEP             '\\'              // non-AIX path separator
#endif

/*
 * end support for C++
 */
#ifdef __cplusplus
        }
#endif

#endif // End of FRNPVARS.H
