/*BEGINPROLOGUE*************************************************/
/*                                                             */
/* MODULE: frnpvw.h                         VisualInfo         */
/*                                                             */
/*      5697-250 5621-326 (C) Copyright IBM Corp. 1993, 1996.  */
/*      All Rights Reserved.                                   */
/*                                                             */
/*      US Government Users Restricted Rights                  */
/*      - Use, duplication or disclosure                       */
/*      restricted by GSA ADP Schedule Con-                    */
/*      tract with IBM Corp.                                   */
/*                                                             */
/*      Licensed Materials - Property of IBM                   */
/*                                                             */
/*                                                             */
/* Date: October 1992                                          */
/*                                                             */
/* Status: Version 1 Release 1 Modification 0                  */
/*                                                             */
/* Description: frnpvw.h   - this include is used by the view  */
/*                           manager and the external content  */
/*                           class handler DLL                 */
/*                                                             */
/* Dependencies:                                               */
/* Restrictions:                                               */
/*                                                             */
/*                                                             */
/* Notes:                                                      */
/*  - addtional information may be provided here               */
/*                                                             */
/*ENDPROLOGUE***************************************************/

#ifdef __cplusplus
   extern "C" {
#endif

#ifndef FRNPVW
#define FRNPVW 1

#define VW_WINPTR_OFFSET        0
#define PART_MAX                99

typedef struct _PARTINFO
{
  SIMWSOBJ    hWsObj;             /* working set leaf object hdl */
  SIMWSOBJ    hWsObjOld;          /* working set leaf object hdl */
  ULONG       ulConClsId;
  ULONG       ulObjType;
  OBJ         Obj;
  BOOL        fChanged;
  BOOL        fDelObj;
  BOOL        fInclAnnot;         /* TRUE = base part includes annot */
} PARTINFO;

typedef struct _NEWPARTINFO
{
  SIMWSOBJ              hWsObj;
  OBJ                   Obj;
  ULONG                 ulConCls;
  struct _NEWPARTINFO   * pNext;
} NEWPARTINFO, * PNEWPARTINFO;

        /* View window private data */
typedef struct _VWINFO
   {
   ULONG       ulComponentId;           /* Id for view manager         */
   HAB         hab;                     /* PM hab                      */
   HMODULE     hmodResources;           /* handle to resources         */
   HOBJ        hObj;                    /* Object handle               */
   USHORT      usUserID;                /* user id                     */
   CHAR        szTitle[254];            /* display window title        */
   BOOL        fScale;                  /* display window scale mode   */
   BOOL        fObjModified;            /* object modified flag        */
   BOOL        fEditPrivs;              /* user'd edit priviledges     */
   BOOL        fSpoolInProgress;        /* print spool flag            */
   BOOL        fDeleteItemPriv;         /* delete priv                 */
   HWND        hwndClient;              /* view window client handle   */
   ULONG       acc_mode;                /* file access mode            */
   SIMMENU     hMenu_prod_info;
   PAFFTOCENTRYSTRUCT pAfToc;
   ULONG       ulNumberObjs;
   BOOL        fStartExtCCS;            /* flag to check whether the   */
                                        /* external app. has ended     */

                /* IWPM/2 information */
   PFNWP       pfnIWPMSubClassProc;     /* frame window procedure      */
   HWND        hFrame;                  /* frame window handle         */
   SWP         swpFrame;                /* frame window size/position  */
   SIMWSOBJ    hMWsObj;                 /* master working set object hdl*/
   SIMWIN      hWin;                    /* display window handle       */
   SIMEVENT    hWsEvent;                /* working set event handle    */
   SIMEVENT    hWsEvent2;               /* working set event handle    */
   SIMEVENT    hDspEvent;               /* display window event handle */
   ULONG       ulhWsObjTotal;
   HSESSION    hSession;                /* session handle              */
   PARTINFO    PartInfo[PART_MAX];
   ULONG       ulNumNewPart;            /* no. of new part to be created */
   PNEWPARTINFO pNewPartInfo;
                                        /* flag for setting menu items  */
   BOOL        Select_Area_flag;        /* this is for ptr 3636         */
   BOOL        Copy_To_Clip_flag;
   BOOL        Paste_flag;
   BOOL        Insert_flag;
   BOOL        Remove_Page_flag;
   BOOL        Create_Note_flag;
   BOOL        Create_Highlight_flag;
   USHORT      usIndexClass;            /* index class of the document  */
   } VWINFO;
typedef VWINFO * PVWINFO;

#endif

#ifdef __cplusplus
   }
#endif

