/*****************************************************************************/
/*                                                                           */
/* MODULE: frnoexcc.H                               ImagePlus VisualInfo     */
/*                                                                           */
/*                                                                           */
/* COPYRIGHT:                                                                */
/* ----------                                                                */
/* 5697-250, 5621-326, 5655-036, 5622-213, 5655-071, 5655-072                */
/* Copyright (C) International Business Machines Corp., 1993, 1994.          */
/*                                                                           */
/*                                                                           */
/* DISCLAIMER OF WARRANTIES:                                                 */
/* -------------------------                                                 */
/* The following [enclosed] code is sample code created by IBM               */
/* Corporation.  This sample code is not part of any standard IBM product    */
/* and is provided to you solely for the purpose of assisting you in the     */
/* development of your applications.  The code is provided "AS IS",          */
/* without warranty of any kind.  IBM shall not be liable for any damages    */
/* arising out of your use of the sample code, even if they have been        */
/* advised of the possibility of such damages.                               */
/*                                                                           */
/*                                                                           */
/* Status       : Version 1 Release 1 Modification 0                         */
/*                                                                           */
/* Description  : Header file for module frnoexcc.C.                         */
/*                                                                           */
/* Dependencies : None.                                                      */
/* Restrictions : None.                                                      */
/*                                                                           */
/* Entry Points:                                                             */
/*                                                                           */
/* Notes        : None.                                                      */
/*                                                                           */
/*****************************************************************************/


/*****************************************************************************/
/* frnoexcc.C Function Prototypes                                            */
/*****************************************************************************/

#ifdef _Windows
#define Logon          frnoexcc_Logon
#define FreeMemory     frnoexcc_FreeMemory
#define Logoff         frnoexcc_Logoff
#define hSession       frnoexcc_hSession
#define ulMemoryBlock  frnoexcc_ulMemoryBlock
#define FolderItemID   frnoexcc_FolderItemID
#endif


ULONG Logon                (VOID)  ;
VOID  FreeMemory           (VOID)  ;
ULONG CreateContentClasses (VOID)  ;
ULONG Logoff               (VOID)  ;

/*****************************************************************************/
/* SimLibLogon Parameter Definitions                                         */
/*****************************************************************************/

#ifdef _Windows
extern char chDbName[];
extern char chUserId[];
extern char chPassword[];
extern int iCreateFlag;

#define PSZDBNAME          chDbName
#define PSZUSERID          chUserId
#define PSZPASSWORD        chPassword
#else
#define PSZDBNAME          "LIBSRVR2"
#define PSZUSERID          "FRNADMIN"
#define PSZPASSWORD        "PASSWORD"
#endif

/*****************************************************************************/
/* Ip2AddContentClasses Parameter Definitions                                    */
/*****************************************************************************/

#define USNEWCCS            37

/***************************************************************/
/* CONTENTCLASSINFO data strucure                              */
/***************************************************************/

CONTENTCLASSINFO cc [ USNEWCCS ] =
{
/***************************************************************/
/* Structure size, content class id, content class name,       */
/* content class description.                                  */
/***************************************************************/

{ sizeof(cc),  45, "MGDS",     "IBM MGDS format for forms and field data" },
{ sizeof(cc), 124, "QUATTRO",  "Quattro Pro spreadsheet" },
{ sizeof(cc), 154, "PFS",      "PFS:First Choice" },
{ sizeof(cc), 155, "MULTIMTE", "Multimate, Multimate Advantage" },
{ sizeof(cc), 156, "VLKSWRTR", "Volkswriter" },
{ sizeof(cc), 157, "IBMWA",    "Writing Assistant" },
{ sizeof(cc), 158, "TOTALWRD", "Total Word" },
{ sizeof(cc), 159, "WORDSTAR", "WordStar DOS or Windows" },
{ sizeof(cc), 160, "DSPWRITE",  "DisplayWrite" },
{ sizeof(cc), 161, "OFSWRITE", "OfficeWriter" },
{ sizeof(cc), 162, "XYWRITE",  "XyWrite III,IIIPlus,IV,XyWrite Windows" },
{ sizeof(cc), 163, "RICHTEXT", "Microsoft Rich Text" },
{ sizeof(cc), 164, "ADVWRITE", "HP AdvanceWrite Plus" },
{ sizeof(cc), 165, "QAWRITE",  "QA Write" },
{ sizeof(cc), 166, "MSCRIPT",  "Lotus Manuscript" },
{ sizeof(cc), 167, "RAPIDFIL", "Rapid File" },
{ sizeof(cc), 168, "WANGPC",   "Wang PC" },
{ sizeof(cc), 169, "PEACHTXT", "PeachText 5000" },
{ sizeof(cc), 170, "ENABLE",   "Enable" },
{ sizeof(cc), 171, "FRAMEWRK", "Framework III, IV" },
{ sizeof(cc), 172, "DIGITAL",  "Digital DX, WPS-Plus" },
{ sizeof(cc), 173, "MASS11",   "MASS 11" },
{ sizeof(cc), 174, "IBMFFT",   "DCA - Final Form Text" },
{ sizeof(cc), 175, "AMIPRO",   "AmiPro" },
{ sizeof(cc), 176, "INTERLF",  "Interleaf Publisher" },
{ sizeof(cc), 177, "LEGACY",   "Legacy" },
{ sizeof(cc), 178, "UNIPLEX",  "Uniplex OnGo" },
{ sizeof(cc), 179, "FRAMEMAK", "FrameMaker" },
{ sizeof(cc), 180, "WINWRITE", "Windows Write" },
{ sizeof(cc), 181, "MACWRITE", "MacWrite, MacWrite II" },
{ sizeof(cc), 182, "WRITENOW", "WriteNow" },
{ sizeof(cc), 183, "PROWRITE", "Professional Write" },
{ sizeof(cc), 203, "WAV",      "WAV sound files" },
{ sizeof(cc), 204, "MIDI",     "MIDI sound files" },
{ sizeof(cc), 205, "AVI",      "AVI movies" },
{ sizeof(cc), 302, "EPS",      "Encapsulated Postscript" },
{ sizeof(cc), 303, "AFP",      "IBM Advanced Function Print datastream" }
} ;

/*****************************************************************************/
/* End of frnoexcc.H                                                         */
/*****************************************************************************/

