/*****************************************************************************/
/*                                                                           */
/* MODULE: FRNOEXRE.H                               ImagePlus VisualInfo     */
/*                                                                           */
/*                                                                           */
/* COPYRIGHT:                                                                */
/* ----------                                                                */
/* 5697-250, 5621-326, 5655-036, 5622-213, 5655-071, 5655-072                */
/* Copyright (C) International Business Machines Corp., 1993, 1995.          */
/*                                                                           */
/*                                                                           */
/* DISCLAIMER OF WARRANTIES:                                                 */
/* -------------------------                                                 */
/* The following [enclosed] code is sample code created by IBM               */
/* Corporation.  This sample code is not part of any standard IBM product    */
/* and is provided to you solely for the purpose of assisting you in the     */
/* development of your applications.  The code is provided "AS IS",          */
/* without warranty of any kind.  IBM shall not be liable for any damages    */
/* arising out of your use of the sample code, even if they have been        */
/* advised of the possibility of such damages.                               */
/*                                                                           */
/* Status       : Version 1 Release 1 Modification 0                         */
/*                                                                           */
/* Description  : Header file for module FRNOEXRE.C.                         */
/*                                                                           */
/* Dependencies : None.                                                      */
/* Restrictions : None.                                                      */
/*                                                                           */
/* Entry Points:                                                             */
/*                                                                           */
/* Notes        : None.                                                      */
/*                                                                           */
/* Changes      : D288 - eliminated use of GUI to input filename;            */
/*                       reverted to original approach to simplify NLS.      */
/*****************************************************************************/

/*****************************************************************************/
/* FRNOEXRE.C Function Prototypes                                            */
/*****************************************************************************/

#ifdef _Windows
#define Logon          frnoexre_Logon
#define FreeMemory     frnoexre_FreeMemory
#define Logoff         frnoexre_Logoff
#define hSession       frnoexre_hSession
#define ulMemoryBlock  frnoexre_ulMemoryBlock
#define DocItemID      frnoexre_DocItemID
#define ObjectAccessHandle  frnoexre_ObjectAccessHandle
#define fCommit        frnoexre_fCommit
#endif


ULONG Logon         (VOID)  ;
VOID  FreeMemory    (VOID)  ;
ULONG OpenObject    (VOID)  ;
ULONG ReplaceObject (VOID)  ;
ULONG ResizeObject  (VOID)  ;
ULONG CloseObject   (VOID)  ;
ULONG Logoff        (VOID)  ;

/*****************************************************************************/
/* SimLibLogon Parameter Definitions                                         */
/*****************************************************************************/

#ifdef _Windows
#include "frnwexda.h"     /* code sync - ivy 9/18/95 */

#define PSZDBNAME          DbName()  /* code sync - ivy 9/18/95 */
#define PSZUSERID          UserId()  /* code sync - ivy 9/18/95 */
#define PSZPASSWORD        Password() /* code sync - ivy 9/18/95 */
#else
#define PSZDBNAME          "LIBSRVR2"
#define PSZUSERID          "FRNADMIN"
#define PSZPASSWORD        "PASSWORD"
#endif

/*****************************************************************************/
/* SimLibOpenObject Parameter Definitions                                    */
/*****************************************************************************/

#ifdef _Windows
#define DOCITEMID           ItemId()    /* code sync - ivy 9/18/95 */
#else
#define DOCITEMID    "XXXXXXXXXXXXXXXX" /* Item ID of object to be replaced  */
#endif

#define ULPARTID     1                  /* Part number of object to replace  */

/*****************************************************************************/
/* SimLibWriteObject Parameter Definitions                                   */
/*****************************************************************************/

/*****************************************/
/*The replacement object must have a     */
/*content class of OS/2 Version 2 bitmap.*/
/*****************************************/

#ifdef _Windows
// #define PSZFILENAME     Filename()          //D288 and 1091
#define PSZFILENAME     "C:\\AUTOEXEC.BAT"     //D288 and 1091
#else
#define PSZFILENAME   "C:\\OS2\\BITMAP\\OS2LOGO.BMP"
#endif

/*****************************************************************************/
/* End of FRNOEXRE.H                                                         */
/*****************************************************************************/

