/*BEGINPROLOGUE*************************************************/
/*                                                             */
/* MODULE: frnolbux.h                    VisualInfo            */
/*                                                             */
/*     5697-250                                                */
/*     5621-326, 5655-036, 5622-213, 5655-071, 5655-072        */
/*     (C) Copyright IBM Corp. 1993, 1996. All Rights Reserved.*/
/*         US Government Users Restricted Rights -             */
/*         Use, duplication or disclosure restricted by GSA    */
/*         ADP Schedule Contract with IBM Corp.                */
/*                                                             */
/*     Licensed Materials - Property of IBM                    */
/*                                                             */
/* Date: July 1993                                             */
/*                                                             */
/* Status: Version 2 Release 1 Modification 0                  */
/*                                                             */
/* Description : frnolbux.h - Header for the Lan Base Object Server User     */
/*               exit. This file provide a description of the structures     */
/*               used to take advantage of the user defined function.        */
/*                                                             */
/* Dependencies:                                               */
/* Restrictions:                                               */
/*                                                             */
/*                                                             */
/* Change History:                                             */
/*                                                             */
/*  Sep 1995 002 lah AIX changes
/* Notes:                                                      */
/*                                                             */
/*ENDPROLOGUE***************************************************/


#if __cplusplus
extern "C" {
#endif

#include <frnosmsa.h>

typedef enum
{
  LBEXITOPCODE_VOLUME_SELECT,
  LBEXITOPCODE_LONG_VALUE = 32768

} LBEXITOPCODE;

typedef struct
{
 VOLUMEINFOSTRUCT      volInfo; // Volume Information


} LBVOLUMESELECTIN;
typedef LBVOLUMESELECTIN * PLBVOLUMESELECTIN;


typedef struct
{
 USHORT        cbStruct;     // Size of structure
 UCHAR         ucStatus;     // Status of the volume

} LBVOLUMESELECTOUT;
typedef LBVOLUMESELECTOUT * PLBVOLUMESELECTOUT;


ULONG SIMENTRY Ip2LBOSExit(LBEXITOPCODE           exitOpCode,
                           PVOID                  pInput,
                           PVOID                  pOutput,
                           PRCSTRUCT              pRC);


#if __cplusplus
}
#endif

/*****************************************************************************/
/* End of frnolbux.h                                                         */
/*****************************************************************************/
