/****************************************************************************/
/*                                                                          */
/* MODULE: CHGINDEX.CMD                                                     */
/*                                                                          */
/* 5697-250                                                                 */
/* (C) Copyright IBM Corporation 1996.  All Rights Reserved.                */
/*                                                                          */
/* DERIVATIVE RIGHTS:                                                       */
/* ------------------                                                       */
/* This program is provided for the customer's use and the customer is      */
/* granted permission to copy this program to the extent reasonably         */
/* required for such use.  All title, ownership, and rights to this         */
/* program and any copies remain with IBM, irrespective of the ownership    */
/* of the media on which the program resides.  The customer is permitted    */
/* to create derivative works to this program.  However, all copies of      */
/* the program and its derivative works must contain the IBM copyright      */
/* notice.  The customer understands and agrees that this program in and    */
/* of itself is not to be sold or distributed.  The customer is free to     */
/* sell, distribute, and commercially exploit any derivative works          */
/* created from this program.                                               */
/*                                                                          */
/* DISCLAIMER OF WARRANTIES:                                                */
/* -------------------------                                                */
/* The following "enclosed" code is sample code created by IBM              */
/* Corporation.  This sample code is not part of any standard IBM product   */
/* and is provided to you solely for the purpose of assisting you in the    */
/* development of your applications.  The code is provided "AS IS",         */
/* without warranty of any kind.  IBM shall not be liable for any damages   */
/* arising out of your use of the sample code, even if they have been       */
/* advised of the possibility of such damages.                              */
/*                                                                          */
/* DESCRIPTION:                                                             */
/* ------------                                                             */
/* This program demonstrates the use of the RxVhlChangeItemIndex VHLPI REXX */
/* function which changes an Item's index class and/or attributes.          */
/*                                                                          */
/****************************************************************************/
'@echo on'

/*******************************************************/
/*   Change an Item's Index Class                      */
/*******************************************************/
If RxFuncQuery('RxVhlChangeItemIndex') <> 0 Then Do
   rc = RxFuncAdd('RxVhlLoadFuncs','FRNOWFRX','RxVhlLoadFuncs')
   say 'RxFuncAdd( RxVhlLoadFuncs ) rc =' rc
   rc = RxVhlLoadFuncs()
   say 'RxVhlLoadFuncs() rc =' rc
end

IndxClass = "Claim"
AttrNam1  = "First name"
AttrVal1  = "Ed"
ItemID    = "W2P4HCMBMLGCR8FR"

say '---------------------------------'
say 'Executing ChangeItemIndex now,'
say '   ItemID    =' ItemID
say '   IndxClass = 'IndxClass
say '   AttrNam1  = 'AttrNam1
say '   AttrVal1  = 'AttrVal1

rc = RxVhlChangeItemIndex( ItemID, IndxClass, AttrNam1, AttrVal1 )
say 'RxVhlChangeItemIndex rc =' rc

rc = RxVhlDropFuncs()
say 'RxVhlDropFuncs() rc =' rc
exit
