#Ŀ
# 5697-250                                                               
# (C) Copyright IBM Corporation 1995, 1996.  All Rights Reserved.        
#                                                                        
# DERIVATIVE RIGHTS:                                                     
# ------------------                                                     
# This program is provided for the customer's use and the customer is    
# granted permission to copy this program to the extent reasonably       
# required for such use.  All title, ownership, and rights to this       
# program and any copies remain with IBM, irrespective of the ownership  
# of the media on which the program resides.  The customer is permitted  
# to create derivative works to this program.  However, all copies of    
# the program and its derivative works must contain the IBM copyright    
# notice.  The customer understands and agrees that this program in and  
# of itself is not to be sold or distributed.  The customer is free to   
# sell, distribute, and commercially exploit any derivative works        
# created from this program.                                             
#                                                                        
# DISCLAIMER OF WARRANTIES:                                              
# -------------------------                                              
# The following "enclosed" code is sample code created by IBM            
# Corporation.  This sample code is not part of any standard IBM product 
# and is provided to you solely for the purpose of assisting you in the  
# development of your applications.  The code is provided "AS IS",       
# without warranty of any kind.  IBM shall not be liable for any damages 
# arising out of your use of the sample code, even if they have been     
# advised of the possibility of such damages.                            
#                                                                        
# US Government Users Restricted Rights - Use, duplication or            
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.      
#                                                                        
#
#
# External Environment Variables Used
#
#   SB_ROOT       This environment variable defines where the
#                 Dist App  directory is located.  It maybe set
#                 either in the config.sys file or from the
#                 command line. For example,
#
#                     SET SB_ROOT=\FRNROOT
#
#   DEBUG         This environment variable defines whether a
#                 Debug or Non-Debug build is to be performed.
#                 It maybe set either in the config.sys file or
#                 from the command line(when switching back and
#                 forth is desired).  The variable may be set
#                 according to
#
#                     SET DEBUG=1  --> perform Debug build
#
#                     or,
#
#                     SET DEBUG=0  --> perform Non-Debug build
#
#   DBCSOFF       This environment variable defines whether the
#                 DBCS C Library string functions are to be substituted
#                 for the C-Set++ C Library string functions.
#                 It maybe set either in the config.sys file or
#                 from the command line(when switching back and
#                 forth is desired).  The variable may be set
#                 according to
#
#                     SET DBCSOFF=1  --> do not use DBCS C String functions
#
#                     or,
#
#    default -->>     SET DBCSOFF=0  --> use DBCS C String functions
#
#
#   PROFILEOFF    This environment variable defines whether the
#                 C-SET++ profile information is generated for use with
#                 C-Set++ profiler.
#                 It maybe set either in the config.sys file or
#                 from the command line(when switching back and
#                 forth is desired).  The variable may be set
#                 according to
#
#                     SET PROFILEOFF=1  --> do not generate profile info
#
#                     or,
#
#   default -->>      SET PROFILEOFF=0  --> generate profile info
#
#
#   NOMEMDEBUG    This environment variable defines whether the
#                 C-SET++ DEBUG_ALLOC memory options should be enabled
#                 It maybe set either in the config.sys file or
#                 from the command line(when switching back and
#                 forth is desired).  The variable may be set
#                 according to
#
#                     SET NOMEMDEBUG=1  --> do not enable memory debugging
#
#                     or,
#
#   default -->>      SET NOMEMDEBUG=0  --> enable memory debugging
#
#
#     OPTIMIZE    This environment variable defines whether
#                 optimization should be enabled
#                 It maybe set either in the config.sys file or
#                 from the command line(when switching back and
#                 forth is desired).  The variable may be set
#                 according to
#
#                     SET   OPTIMIZE=1  --> optimize
#
#                     or,
#
#   default -->>      SET   OPTIMIZE=0  --> do not optimize
#
#
#     MAKE_EXE    This variable defines whether to create an EXE or DLL
#                 module. It should be defined in each MAKEFILE before
#                 the inclusion of this include file.
#                 (Or not defined if the default is desired)
#
#                     SET   MAKE_EXE=1  --> create .EXE
#
#                     or,
#
#   default -->>      SET   MAKE_EXE=0  --> create .DLL
#
#
#     COMP_INFO   This variable defines what compile options will be used
#                 to generate compiler Informational messages. It should
#                 be defined in each MAKEFILE before the inclusion of
#                 this include file.
#                 (Or not defined if the default is desired)
#
#                     SET COMP_INFO=/W<compiler switches>
#
#                     or,
#
#   default -->>      SET COMP_INFO=/Wall+ext-ppc-ppt-
#
#
#     OBJS_LIST   This variable defines the name of an inline file which
#                 contains the list of .OBJ files to link. It should
#                 be defined in each MAKEFILE before the inclusion of
#                 this include file.
#                 (Or not defined if no file is provided. The macro OBJS
#                  will be used if this macro is undefined)
#
#                     SET OBJS_LIST=$(OBJDIR)\makefile.lnk
#                         where makefile.lnk contains a list of .OBJ files
#
#                     or,
#
#   default -->>      $(OBJS) used as the list of .OBJ files to for linking
#
#
# Compiler Options Used
#


#Ŀ
# Set up defaults                                                     
#

!ifndef DEBUG
DEBUG=0
!endif

!ifndef DBCSOFF
DBCSOFF=0
!endif

!ifndef PROFILEOFF
PROFILEOFF=0
!endif

!ifndef NOMEMDEBUG
NOMEMDEBUG=0
!endif

!ifndef OPTIMIZE
OPTIMIZE=0
!endif

!ifndef MAKE_EXE
MAKE_EXE=0
!endif

!ifndef COMP_INFO
COMP_INFO=/W3
!endif

!ifndef CSET_VER
CSET_VER=3
!endif


#Ŀ
# DBCS C Library Functions                                            
#

!if $(DBCSOFF)
DBCSOPTS = /DDBCSOFF
!else
!if $(CSET_VER)==3
DBCSOPTS = /DMSC
!else
DBCSOPTS = /DBIT32 /DDLL
!endif
!endif

#Ŀ
# C-Set++ Profiler                                                    
#

!if $(PROFILEOFF) || $(DEBUG)==0
PROFILEOPTS =
PROFILEOBJ =
!else
PROFILEOPTS = /Gh+
!if $(CSET_VER)==3
PROFILEOBJ = CPPOPA3.OBJ
!else
PROFILEOBJ = DDE4XTRA.OBJ
!endif
!endif

#Ŀ
# Memory Debug Routines                                               
#

!if $(NOMEMDEBUG)
DEBUGALLOC =
!else
DEBUGALLOC = /Tm
!endif


#Ŀ
# Optimization                                                        
#

!if $(OPTIMIZE)
OPTIMIZER = /O /Ol
!else
OPTIMIZER =
!endif


#Ŀ
# Set Link objects to default if no inline file provided              
#
!ifndef OBJS_LIST
OBJSLIST = $(OBJS)
!else
OBJSLIST = @$(OBJS_LIST)
!endif

#Ŀ
# Generic/Common Macros                                               
#
INCLUDES  = $(SB_ROOT)\INCLUDE;$(SB_ROOT)\INC
INCLS     = -I $(SB_ROOT)\INCLUDE -I $(SB_ROOT)\INC
!if $(MAKE_EXE)
LLEXTRA = /BASE:0x10000
!else
CCEXTRA = /Ge-
!endif

CCFLAGS   = /C /G5dfims $(CCEXTRA) /Q /Smnp1s /I$(INCLUDES) $(COMP_INFO)
LLFLAGS   = $(LLEXTRA) /E /NOD /NOE /NOI /NOL /M

SRCDIR    = .
MAKEDIR   = .
HELPDIR   = .
BINDIR    = .
OBJDIR    = .
LIBDIR    = $(SB_ROOT)\LIB

#Ŀ
# Debug/Non-debug macros                                              
#
!if $(DEBUG)
CFLAGS  = /Ti $(CCFLAGS) $(DEBUGALLOC) $(PROFILEOPTS) $(DBCSOPTS)
LFLAGS  = /CO $(LLFLAGS) /NOP        # KTB - Explicitly No-PACKCODE
!else
CFLAGS  = $(CCFLAGS) $(OPTIMIZER) $(DBCSOPTS)
LFLAGS  = $(LLFLAGS)
!endif

#Ŀ
# System libraries                                                    
#
SYSLIBS = OS2386.LIB $(LIBDIR)\frnococl.lib

#Ŀ
# Compile and link macros                                             
#
COMPILE = $(CC) $(CFLAGS)
!if $(CSET_VER)==3
LINK    = ILINK $(LFLAGS) /O:$@
!else
LINK    = $(CC) /B"$(LFLAGS)" /Fe$@
!endif

DO_LINK = $(LINK) $(OBJSLIST) $(PROFILEOBJ) $(SYSLIBS) $(LIBS) $(DEF)
MAKELIB = IMPLIB /NOI /NOL $@ $**

#Ŀ
# Inference rules                                                     
#
{$(SRCDIR)}.c{$(OBJDIR)}.obj:
        $(COMPILE) -Fo$@ $<
