/****************************************************************************/
/*                                                                          */
/* MODULE: SEARCHAD.CMD                                                     */
/*                                                                          */
/* 5697-250                                                                 */
/* (C) Copyright IBM Corporation 1996.  All Rights Reserved.                */
/*                                                                          */
/* DERIVATIVE RIGHTS:                                                       */
/* ------------------                                                       */
/* This program is provided for the customer's use and the customer is      */
/* granted permission to copy this program to the extent reasonably         */
/* required for such use.  All title, ownership, and rights to this         */
/* program and any copies remain with IBM, irrespective of the ownership    */
/* of the media on which the program resides.  The customer is permitted    */
/* to create derivative works to this program.  However, all copies of      */
/* the program and its derivative works must contain the IBM copyright      */
/* notice.  The customer understands and agrees that this program in and    */
/* of itself is not to be sold or distributed.  The customer is free to     */
/* sell, distribute, and commercially exploit any derivative works          */
/* created from this program.                                               */
/*                                                                          */
/* DISCLAIMER OF WARRANTIES:                                                */
/* -------------------------                                                */
/* The following "enclosed" code is sample code created by IBM              */
/* Corporation.  This sample code is not part of any standard IBM product   */
/* and is provided to you solely for the purpose of assisting you in the    */
/* development of your applications.  The code is provided "AS IS",         */
/* without warranty of any kind.  IBM shall not be liable for any damages   */
/* arising out of your use of the sample code, even if they have been       */
/* advised of the possibility of such damages.                              */
/*                                                                          */
/* DESCRIPTION:                                                             */
/* ------------                                                             */
/* This program demonstrates the use of the RxVhlSearchAdv VHLPI            */
/* REXX function which searched for Items matching a search critera.        */
/*                                                                          */
/****************************************************************************/
'@echo on'

/*******************************************************/
/*   search  for  specified  Items  (Advanced)         */
/*******************************************************/
If RxFuncQuery('RxVhlSearchAdv') <> 0 Then Do
   rc = RxFuncAdd('RxVhlLoadFuncs','FRNOWFRX','RxVhlLoadFuncs')
   say 'RxFuncAdd( RxVhlLoadFuncs ) rc =' rc
   rc = RxVhlLoadFuncs()
   say 'RxVhlLoadFuncs() rc =' rc
end

IndxClass = "Claim"
IndxClass = "NOINDEX"
Attr1     = "Source"
Value1    = " > 0"
Value2    = ' LIKE "E%"'
Value3    = ' == "Ed"'

/*******************************************************/
/*  SQLType ---                                        */
/*           SIM_SEARCH_BUILD_ONLY            0        */
/*           SIM_SEARCH_STATIC                1        */
/*           SIM_SEARCH_DYNAMIC               2        */
/*           SIM_SEARCH_STATIC_ONLY           3        */
/*  TypeFilter ---                                     */
/*           SIM_DOCUMENT                     1        */
/*           SIM_FOLDER                       2        */
/*           SIM_FOLDER_DOC                1024        */
/*  WipFilter ---                                      */
/*           OIM_ITEMS_NOT_IN_WORKFLOW        1        */
/*           OIM_CURRENT_WORKFLOW_ITEMS       2        */
/*           OIM_COMPLETED_WORKFLOW_ITEMS     4        */
/*           OIM_CANCELLED_WORKFLOW_ITEMS     8        */
/*           OIM_FINISHED_WORKFLOW_ITEMS     16        */
/*           OIM_ALL                        128        */
/*  SuspendFilter ---                                  */
/*           OIM_ITEMS_SUSPENDED             32        */
/*           OIM_ITEMS_NOT_SUSPENDED         64        */
/*           OIM_ALL                        128        */
/*******************************************************/
SQLType       = 2
TypeFilter    = 1024
WipFilter     = 128
SuspendFilter = 128
FolderClass   = ""
say 'Executing VhlSearchAdv now ItemID.0=' ItemID.0

rc = RxVhlSearchAdv( "ItemID", IndxClass,
                 ,'(A(Source) == "Ed") AND (A(Userid) == NULL)',
                 ,SQLType, TypeFilter, WipFilter, SuspendFilter, FolderClass )
say 'rc from VhlSearchAdv rc=' rc

if rc  <> 0 then do
   say ' VhlSearchAdv failed '
   exit(99)
end

say ' return total items = ' ItemID.0

do i = 1 to ItemID.0
   say ' i='i  ' item=' ItemID.i
end

rc = RxVhlDropFuncs()
say 'RxVhlDropFuncs() rc =' rc
exit
