/*BEGINPROLOGUE************************************************************/
/*                                                                        */
/* MODULE: Deletold.c                       VisualInfo                    */
/*                                                                        */
/* 5697-250 5621-326                                                      */
/* (C) Copyright IBM Corporation 1995, 1996.  All Rights Reserved.        */
/*                                                                        */
/* DERIVATIVE RIGHTS:                                                     */
/* ------------------                                                     */
/* This program is provided for the customer's use and the customer is    */
/* granted permission to copy this program to the extent reasonably       */
/* required for such use.  All title, ownership, and rights to this       */
/* program and any copies remain with IBM, irrespective of the ownership  */
/* of the media on which the program resides.  The customer is permitted  */
/* to create derivative works to this program.  However, all copies of    */
/* the program and its derivative works must contain the IBM copyright    */
/* notice.  The customer understands and agrees that this program in and  */
/* of itself is not to be sold or distributed.  The customer is free to   */
/* sell, distribute, and commercially exploit any derivative works        */
/* created from this program.                                             */
/*                                                                        */
/* DISCLAIMER OF WARRANTIES:                                              */
/* -------------------------                                              */
/* The following "enclosed" code is sample code created by IBM            */
/* Corporation.  This sample code is not part of any standard IBM product */
/* and is provided to you solely for the purpose of assisting you in the  */
/* development of your applications.  The code is provided "AS IS",       */
/* without warranty of any kind.  IBM shall not be liable for any damages */
/* arising out of your use of the sample code, even if they have been     */
/* advised of the possibility of such damages.                            */
/*                                                                        */
/*                                                                        */
/* US Government Users Restricted Rights                                  */
/* - Use, duplication or disclosure                                       */
/* restricted by GSA ADP Schedule Con-                                    */
/* tract with IBM Corp.                                                   */
/*                                                                        */
/* Licensed Materials - Property of IBM                                   */
/*                                                                        */
/* Date: May      1995                                                    */
/*                                                                        */
/* Status: Version 1 Release 1 Modification 0                             */
/*                                                                        */
/* Description: deletocl.c - this source contains sample code             */
/*                           to delete index class items created          */
/*                           prior to a user entered date.                */
/*                                                                        */
/*              main()     - established the PM Environment               */
/* Dependencies:                                                          */
/* Restrictions:                                                          */
/*                                                                        */
/* Notes:                                                                 */
/*                                                                        */
/*ENDPROLOGUE**************************************************************/

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <time.h>

#define INCL_BASE
#define INCL_PM
#define INCL_WIN
#define INCL_DOSNLS
#define FRN_INCL_FI
#define FRN_INCL_FO

#include <os2.h>

#include <frnp.h>
#include <frnpcapi.h>
#include <frnpauer.h>
#include <frnpaucf.h>
#include <frnolg.h>
#include <frnplw.h>
#include "deletold.h"

// globals
HAB habMain     = 0;                   // main thread anchor block handle
HMQ hmqMain     = 0;                   // main thread queue handle
HWND hwndFrame  = 0;                   // frame control handle
HWND hwndClient = 0;                   // client area handle
HWND hwndMenu   = 0;                   // menu handle
HWND hwndLOW    = 0;                   // Library Object Window handle

QMSG qmsgMain ;                        // main thread message queue

USERDATASTRUCT  userdata = { 0 } ;     // used in IP2Logon, holds hsession
USERDATASTRUCT *puserdata = NULL ;

PNAMESTRUCT pIndexNames = NULL;        // pointer to index class names
ULONG       ulIndexNum = 0;            // number of index classes

ITEMID   idSearchResult = "" ;         // Search Folder ID

PITEMID  pSearchList = NULL;           // pointer to memory list

HEV      hevClose = 0;                 // close event semaphore

USHORT   usAttr = 1;                   // verify delete

char szStartTS[50] = "1995-01-01-07.30.00.000000";  // initial timestamp
char szIndexClass[SIM_CLASS_NAME_LENGTH+1] = "";    // selected index class

typedef enum { NOLOW, PENDLOW, AVAILLOW } LOWSTATUS; // status of LOW
LOWSTATUS    fLOW = NOLOW ;

// function prototypes
MRESULT EXPENTRY ClientWinProc(HWND hwnd,ULONG msg,MPARAM mp1,MPARAM mp2);
MRESULT EXPENTRY SearchDlgProc(HWND hwnd,ULONG msg,MPARAM mp1,MPARAM mp2);
VOID RecordError(ULONG ulRc,PSZ pszText,BOOL bExitPgm);
VOID DoSearch( HWND hwnd );
VOID DoDisplay( HWND hwnd );
VOID OpenLOW( HWND hwnd );
VOID DeleteSearchFolder( HWND hwnd );
VOID DoClose ( HWND hwnd );
VOID GetIndexCls( VOID );
BOOL APIENTRY TimeoutExit( FLDMGRFUNCTIONS FldMgrFunc, PULONG pulTimeoutList,
                           BOOL bTimeoutError, LONG lRequestLength,
                           SHORT sRetryCount );

/*BEGINPROLOGUE*************************************************/
/*  Function  : main             Originating Date: Dec 94      */
/*  Module    : deletold.c                                     */
/*                                                             */
/*  Description: Initialize PM environment                     */
/*                                                             */
/*                                                             */
/*ENDPROLOGUE***************************************************/
int main( )
{
LONG      cyScreen = 0L;
ULONG     flCreate = 0L;
RCSTRUCT  rcStruct = { sizeof(RCSTRUCT) };
APIRET    usRc = 0;
CHAR      szClientClass[] = IS_CLASSNAME; // Must match the class name used
                                          // in exits (FIWZXMNU.C,FIWSXCLS.C)

// get the main anchor block handle
habMain = WinInitialize( NULLHANDLE );
if ( !habMain )
   {
   RcChk( usRc != 0,
          (ULONG)usRc,
          "WinInitialize",
          EXITPGM );

   return ( FALSE );
   }

// get the main message queue handle
hmqMain = WinCreateMsgQueue( habMain, 1500 );
if ( !hmqMain )
   {
   RcChk( usRc != 0,
          (ULONG)usRc,
          "WinCreateMsgQueue",
          EXITPGM );
   return ( FALSE );
   }

// register the main window class
if ( !WinRegisterClass( habMain,
                        szClientClass,
                        ClientWinProc,
                        CS_SIZEREDRAW,
                        0 ) )
   {
   RcChk( usRc != 0,
          (ULONG)usRc,
          "WinRegisterClass",
          EXITPGM );
   return (FALSE);
   }

// create a processing window
flCreate =   FCF_SYSMENU
           | FCF_SIZEBORDER
           | FCF_TITLEBAR
           | FCF_MENU
           | FCF_MINMAX
           | FCF_TASKLIST;

hwndFrame = WinCreateStdWindow( HWND_DESKTOP,
                                WS_VISIBLE,
                                &flCreate,
                                szClientClass,
                                "Delete Older Index Class Items",
                                WS_MAXIMIZED | WS_CLIPCHILDREN,
                                0,
                                IDM_ACTIONBAR,
                                &hwndClient );

if ( !hwndFrame )
   {
   RcChk( usRc != 0,
          (ULONG)usRc,
          "WinCreateStdWindow",
          EXITPGM );
   return ( FALSE );
   }

// Calculate initial window position and size
cyScreen = WinQuerySysValue( HWND_DESKTOP, SV_CYSCREEN );
WinSetWindowPos( hwndFrame,
                 HWND_TOP,
                 20,                          // xOrigin
                 cyScreen-160,                // yOrigin
                 630,                         // width
                 160,                         // height
                 SWP_SIZE|SWP_MOVE|SWP_ACTIVATE|SWP_SHOW|SWP_NOADJUST );


// Enter PM dispatch loop
while ( WinGetMsg( habMain,
                   &qmsgMain,
                   (HWND)0,
                   0,
                   0) != FALSE )
   {
   WinDispatchMsg( habMain, &qmsgMain );
   }


//  Cleanup at termination
WinDestroyMsgQueue(hmqMain);
WinTerminate(habMain);
return 0;
}

/*BEGINPROLOGUE*************************************************/
/*  Function  : ClientWinProc    Originating Date: Dec 94      */
/*  Module    : deletodl.c                                     */
/*                                                             */
/*  Description: Initialize PM environment                     */
/*                                                             */
/*                                                             */
/*ENDPROLOGUE***************************************************/
MRESULT EXPENTRY ClientWinProc( HWND hwnd, ULONG msg, MPARAM mp1, MPARAM mp2)
{
RCSTRUCT          rcStruct = { sizeof(RCSTRUCT) };
RCSTRUCT          *prcStruct = NULL ;
HPS               hpsMain = 0;
USHORT            usRc = 0;
ULONG             ulRC = 0L;
BOOL              fSuccess = TRUE;
static BOOL       fLogon = FALSE;
ULONG             ulResult = 0;
BOOL              bModal = FALSE;
ULONG             ulCount = 0;
PASYNCCTLSTRUCT   pAsynchCtl   = NULL ;

switch (msg)
   {
   case  WM_CREATE :

      return (MRESULT)NULL;

   case  WM_INITMENU :

      hwndMenu = HWNDFROMMP( mp2 );
      if ( !fLogon )
         {
         //disable all but PROCESS/LOGON
         fSuccess = WinEnableMenuItem( hwndMenu, IDM_SEARCH, FALSE );
         if ( !fSuccess )
            {
            RcChk( fSuccess,
                   (ULONG)usRc,
                   "WinEnableMenuItem",
                   EXITPGM );
            }
         fSuccess = WinEnableMenuItem( hwndMenu, IDM_DISPLAY, FALSE );
         if ( !fSuccess )
            {
            RcChk( fSuccess,
                   (ULONG)usRc,
                   "WinEnableMenuItem",
                   EXITPGM );
            }
         fSuccess = WinEnableMenuItem( hwndMenu, IDM_CLOSE, FALSE );
         if ( !fSuccess )
            {
            RcChk( fSuccess,
                   (ULONG)usRc,
                   "WinEnableMenuItem",
                   EXITPGM );
            }

         // set up event semaphore for close
         fSuccess = DosCreateEventSem( "\\deletold\\close", &hevClose, 0, TRUE );
         if ( !fSuccess )
            {
            RcChk( fSuccess,
                   (ULONG)usRc,
                   "DosCreateEventSem",
                   EXITPGM );
            }


         }

      return (MRESULT)NULL;


   case  WM_PAINT :

      hpsMain = WinBeginPaint(hwnd, (HPS)0, NULL);
      GpiErase(hpsMain);
      WinEndPaint(hpsMain);
      return (MRESULT)NULL;

   case  WM_CLOSE :

      if ( userdata.hSession != 0)
         {
         // close the LOW
         if (fLOW != NOLOW )
            {
            // set semaphore to wait for closure
            fSuccess = DosResetEventSem( hevClose, &ulCount );
            if ( !fSuccess )
               {
               RcChk( fSuccess,
                      (ULONG)usRc,
                      "DosResetEventSem",
                      NOEXIT );
               }

            DoClose( hwnd );

            // wait for closure
            fSuccess = DosWaitEventSem( hevClose, 10000 );
            if ( !fSuccess )
               {
               RcChk( fSuccess,
                      (ULONG)usRc,
                      "DosWaitEventSem",
                      NOEXIT );
               }
            }
         else
            {
            // no LOW but maybe a search folder
            if ( strlen ( idSearchResult ) > 0 )
               {
               DeleteSearchFolder( hwnd );
               }
            }

         // close the user preference info
         usRc = Ip2TermAuCnf( userdata.szUserId );
         if ( usRc != SIM_RC_OK )
            {
            RcChk( usRc != 0,
                  (ULONG)usRc,
                  "Ip2TermAuCnf",
                  NOEXIT );
            }

         // log off the Library
         ulRC = SimLibLogoff( userdata.hSession,       // session handle
                              (PASYNCCTLSTRUCT)NULL,   // synchronous call
                              &rcStruct );
         if ( ulRC != SIM_RC_OK )
            {
            RcChk( ulRC != 0,
                  (ULONG)ulRC,
                  "SimLibLogoff",
                  NOEXIT );
            }
         }

      WinPostMsg( hwnd,
                  WM_QUIT,
                  0L,
                  0L );
      return (MRESULT)NULL;


   case LW_CLOSE :
      // the user closed the Library object Window
      // the hwndLOW is not valid and the search folder is deleted
      hwndLOW = 0 ;
      fLOW = NOLOW;
      strcpy ( idSearchResult, "" );

      // disable the menu items
      fSuccess = WinEnableMenuItem( hwndMenu, IDM_DISPLAY, FALSE );
      if ( !fSuccess )
         {
         RcChk( fSuccess,
                (ULONG)fSuccess,
                "WinEnableMenuItem",
                NOEXIT );
         }
      fSuccess = WinEnableMenuItem( hwndMenu, IDM_CLOSE, FALSE );
      if ( !fSuccess )
         {
         RcChk( fSuccess,
                (ULONG)fSuccess,
                "WinEnableMenuItem",
                NOEXIT );
         }
      fSuccess = WinEnableMenuItem( hwndMenu, IDM_SEARCH, TRUE );
      if ( !fSuccess )
         {
         RcChk( fSuccess,
                (ULONG)fSuccess,
                "WinEnableMenuItem",
                NOEXIT );
         }

      // create another LOW
      OpenLOW( hwnd );

      break;

   case USER_LOW_OPEN :
      // a LOW was opened
      if ( mp1 != LO_SUCCESS )
         {
         RcChk( fSuccess,
                (ULONG)prcStruct->ulRC,
                "Ip2LibObjCreateWin",
                EXITPGM );
         }
      prcStruct = (PRCSTRUCT) mp2;
      hwndLOW = (HWND) prcStruct->ulParam1;
      fLOW = AVAILLOW;

      // make window invisible
      fSuccess = WinShowWindow( WinQueryWindow ( hwndLOW, QW_PARENT ),
                                FALSE );
      if ( !fSuccess )
         {
         RcChk( fSuccess,
                (ULONG)fSuccess,
               "WinShowWindow",
               NOEXIT );
         }

      free ( (PVOID) prcStruct );

      // enable the menu items
      if ( strlen (idSearchResult) > 0 )
         {
         fSuccess = WinEnableMenuItem( hwndMenu, IDM_DISPLAY, TRUE );
         if ( !fSuccess )
            {
            RcChk( fSuccess,
                   (ULONG)fSuccess,
                   "WinEnableMenuItem",
                  EXITPGM );
            }
         fSuccess = WinEnableMenuItem( hwndMenu, IDM_CLOSE, TRUE );
         if ( !fSuccess )
            {
            RcChk( fSuccess,
                   (ULONG)fSuccess,
                   "WinEnableMenuItem",
                  EXITPGM );
            }
         }




      break;

   case USER_LOW_DISPLAY :
      // Open Object was called
      prcStruct = (PRCSTRUCT) mp2;
      if ( mp1 != LO_SUCCESS )
         {
         RcChk( fSuccess,
                (ULONG)prcStruct->ulRC,
                "Ip2LibObjOpenObject",
                EXITPGM );
         }
      prcStruct = (PRCSTRUCT) mp2;
      free ( (PVOID) prcStruct );

      // disable display and search options
      fSuccess = WinEnableMenuItem( hwndMenu, IDM_DISPLAY, FALSE );
      if ( !fSuccess )
         {
         RcChk( fSuccess,
                (ULONG)fSuccess,
                "WinEnableMenuItem",
               EXITPGM );
         }

      // since we have to pass in the same ItemID when we close the LOW
      fSuccess = WinEnableMenuItem( hwndMenu, IDM_SEARCH, FALSE );
      if ( !fSuccess )
         {
         RcChk( fSuccess,
                (ULONG)fSuccess,
                "WinEnableMenuItem",
               EXITPGM );
         }

        // make window visible
      fSuccess = WinShowWindow( WinQueryWindow ( hwndLOW, QW_PARENT ),
                                TRUE );
      if ( !fSuccess )
         {
         RcChk( fSuccess,
                (ULONG)fSuccess,
                "WinShowWindow",
                EXITPGM );
         }

      break;

   case USER_LOW_CLOSE :
      // Close Object was called
      // the hwndLOW is still valid but the
      // search result folder has been deleted
      prcStruct = (PRCSTRUCT) mp2;
      if ( mp1 != LO_SUCCESS )
         {
         RcChk( fSuccess,
                (ULONG)prcStruct->ulRC,
                "Ip2LibObjCloseObject",
                EXITPGM );
         }
      prcStruct = (PRCSTRUCT) mp2;
      free ( (PVOID) prcStruct );

      // make window invisible
      fSuccess = WinShowWindow( WinQueryWindow ( hwndLOW, QW_PARENT ),
                                FALSE );
      if ( !fSuccess )
         {
         RcChk( fSuccess,
                (ULONG)fSuccess,
               "WinShowWindow",
               NOEXIT );
         }

      // disable the menu items
      fSuccess = WinEnableMenuItem( hwndMenu, IDM_CLOSE, FALSE );
      if ( !fSuccess )
         {
         RcChk( fSuccess,
                (ULONG)fSuccess,
                "WinEnableMenuItem",
               EXITPGM );
         }
      fSuccess = WinEnableMenuItem( hwndMenu, IDM_DISPLAY, FALSE );
      if ( !fSuccess )
         {
         RcChk( fSuccess,
                (ULONG)fSuccess,
                "WinEnableMenuItem",
               EXITPGM );
         }
      fSuccess = WinEnableMenuItem( hwndMenu, IDM_SEARCH, TRUE );
      if ( !fSuccess )
         {
         RcChk( fSuccess,
                (ULONG)fSuccess,
                "WinEnableMenuItem",
               EXITPGM );
         }

      // reset the semaphore to allow closing
      fSuccess = DosPostEventSem( hevClose );
      if ( !fSuccess )
         {
         RcChk( fSuccess,
                (ULONG)usRc,
                "DosPostEventSem",
                EXITPGM );
         }


      break;


   case WM_COMMAND :

         switch (SHORT1FROMMP(mp1))
            {
            case IDM_LOGON :

               // logon to VI library
               puserdata = &userdata;
               strcpy( userdata.szProductName, "Delete Older Items Logon" );
               userdata.fSessionType = SIM_SS_CONFIG;
               userdata.fInitImageServices = TRUE;
               userdata.fInitConfigServer = TRUE;

               ulRC = Ip2Logon( puserdata );
               if ( ulRC != SIM_RC_OK )
                  {
                  RcChk( ulRC != 0,
                        ulRC,
                        "Ip2Logon",
                        EXITPGM );
                  }

               // disable PROCESS/LOGON, enable PROCESS/SEARCH
               fLogon = TRUE ;
               fSuccess = WinEnableMenuItem( hwndMenu, IDM_SEARCH, TRUE );
               if ( !fSuccess )
                  {
                  RcChk( fSuccess,
                         (ULONG)fSuccess,
                         "WinEnableMenuItem",
                         EXITPGM );
                  }
               fSuccess = WinEnableMenuItem( hwndMenu, IDM_LOGON, FALSE );
               if ( !fSuccess )
                  {
                  RcChk( fSuccess,
                         (ULONG)usRc,
                         "WinEnableMenuItem",
                         EXITPGM );
                  }

               // create a Library Object Window
               OpenLOW( hwnd );

               // get the list of index classes
               GetIndexCls(  );

               // adjust the timeout for search

               Ip2SetUserTimeoutAdjustment( userdata.hSession,
                                            (PFNTIMEOUTFTN) (&TimeoutExit),
                                            NULL,  //     pAsynchCtl,
                                            &rcStruct );
               if (rcStruct.ulRC != SIM_RC_OK )
                  {
                  RcChk( rcStruct.ulRC != 0,
                        rcStruct.ulRC,
                        "Ip2SetTimeoutAdjustment",
                        EXITPGM );
                  }


               break;

            case IDM_SEARCH :
               bModal = TRUE ;
               ulResult = WinDlgBox ( HWND_DESKTOP,
                                      hwnd,
                                      SearchDlgProc,
                                      NULLHANDLE,
                                      IDD_EXAMPLE,
                                      ( PVOID ) &bModal ) ;

               if ( ulResult )
                  {
                  // set things up for display
                  DoSearch( hwnd );
                  }

               break;

            case IDM_DISPLAY :
               DoDisplay( hwnd );

               // enable/disable the menu items
               fSuccess = WinEnableMenuItem( hwndMenu, IDM_CLOSE, TRUE );
               if ( !fSuccess )
                  {
                  RcChk( fSuccess,
                         (ULONG)fSuccess,
                        "WinEnableMenuItem",
                        EXITPGM );
                  }
               fSuccess = WinEnableMenuItem( hwndMenu, IDM_DISPLAY, FALSE );
               if ( !fSuccess )
                  {
                  RcChk( fSuccess,
                         (ULONG)fSuccess,
                        "WinEnableMenuItem",
                        EXITPGM );
                  }


               break;

            case IDM_CLOSE :
               // remove the item being shown
               DoClose( hwnd );

               break;

            case IDM_VERIFY :
               // verify the next search results set
               {
               HWND hwndMenu = WinWindowFromID ( WinQueryWindow ( hwnd,
                                                                  QW_PARENT) ,
                                                 FID_MENU ) ;

               usAttr = SHORT1FROMMR( WinSendMsg ( hwndMenu,
                                          MM_QUERYITEMATTR,
                                          MPFROM2SHORT ( IDM_VERIFY,
                                                         TRUE) ,
                                          MPFROMSHORT( MIA_CHECKED ) ) ) ;

               usAttr ^= MIA_CHECKED ; // if usAttr != 0 then item is checked

               // reverse the state of usAttr
               WinSendMsg ( hwndMenu,
                            MM_SETITEMATTR,
                            MPFROM2SHORT ( IDM_VERIFY, TRUE ) ,
                            MPFROM2SHORT ( MIA_CHECKED, usAttr ) ) ;

               }

               break;


            default :
               break;

            } // end switch on WM_COMMAND
         break;

   default  :
      break;

   } // endswitch

return WinDefWindowProc( hwnd, msg, mp1, mp2 );
}

//***************************************************************************
//
//  Name        : RecordError
//
//  Description :
//                This routine is called when an error return code has been
//                set.  It is invoked by the RcChk Macro.  The routine
//                causes a short beep and displays the API and return code
//                to the user.
//
//  Parameters  : ULONG - Return Code
//                PSZ   - String that identifies API called
//                BOOL  - Flag to indicate whether or not to end program
//
//***************************************************************************
VOID RecordError( ULONG ulRc, PSZ pszText, BOOL bExitPgm)
{
CHAR szErrorMsg[100] = "";

DosBeep( 100, 20 );

sprintf( szErrorMsg,
         "\nAPI: %s      Return Code: %lu\n",
         pszText,
         ulRc );

if ( hwndFrame != 0 )
   {
   WinMessageBox( HWND_DESKTOP,
                  hwndFrame,
                  szErrorMsg,
                  "Error Detected",
                  0,
                  MB_ERROR | MB_OK );
   }
else
   {
   printf( "%s", szErrorMsg );
   }

if (bExitPgm)
   {
   exit( 999 );
   }
}

/*BEGINPROLOGUE*************************************************/
/*  Function  : SearchDlgProc    Originating Date: Dec 94      */
/*  Module    : deletold.c                                     */
/*                                                             */
/*  Description: Search Dialog Box                             */
/*                                                             */
/*                                                             */
/*ENDPROLOGUE***************************************************/
MRESULT EXPENTRY SearchDlgProc ( HWND hwndWnd,
                                 ULONG ulMsg,
                                 MPARAM mpParm1,
                                 MPARAM mpParm2 )
{

switch ( ulMsg ) {

   case WM_INITDLG:
      {
      BOOL bModal = FALSE ;

      WinSetDlgItemText( hwndWnd, DLG_START, szStartTS );
      WinSendDlgItemMsg( hwndWnd, DLG_START, EM_SETTEXTLIMIT,
                         MPFROM2SHORT( strlen(szStartTS), 0 ), NULL );
      bModal = *(( PBOOL ) PVOIDFROMMP ( mpParm2 )) ;

      WinSetWindowPos ( hwndWnd,
                        NULLHANDLE,
                        10,
                        ( bModal?100:150 ) ,
                        0,
                        0,
                        SWP_MOVE ) ;

      // load the index classes into the dropdown list
      {
      int i = 0;
      SHORT sRC = 0;
      HWND  hwndCombo = WinWindowFromID ( hwndWnd, DLG_INDEX );

      for ( ; i < ulIndexNum ; i++ )
         {
         if ( strncmp( pIndexNames[i].szName, "FRN$", 4 ) != 0 )
            {
            sRC = WinInsertLboxItem( hwndCombo,
                                     LIT_END,
                                     (PSZ) &pIndexNames[i].szName );
            if ( strncmp( szIndexClass,
                          pIndexNames[i].szName,
                          SIM_CLASS_NAME_LENGTH) == 0 )
               {
               WinSendDlgItemMsg ( hwndWnd,
                                   DLG_INDEX,
                                   LM_SELECTITEM,
                                   MPFROMSHORT( i ),
                                   MPFROMSHORT( TRUE ) );
               }
            }
         }
      }

      }
      break ;

   case WM_COMMAND:

      switch ( SHORT1FROMMP ( mpParm1 ))
         {
         case DID_OK:
            // get the start time and index class
            // NOTE>  I have done NO verification of the timestamp!!!!
            WinQueryDlgItemText ( hwndWnd,
                                  DLG_START,
                                  sizeof ( szStartTS ),
                                  szStartTS ) ;

            WinQueryDlgItemText ( hwndWnd,
                                  DLG_INDEX,
                                  sizeof ( szIndexClass ),
                                  szIndexClass ) ;

            WinDismissDlg ( hwndWnd, TRUE ) ;
            break ;

         case DID_CANCEL:
            WinDismissDlg ( hwndWnd, FALSE ) ;
            break ;

         default:
            return WinDefDlgProc ( hwndWnd,
                                   ulMsg,
                                   mpParm1,
                                   mpParm2 ) ;
         } /* endswitch */
   break ;

   default:
      return WinDefDlgProc ( hwndWnd, ulMsg, mpParm1, mpParm2 ) ;
   } /* endswitch */

return MRFROMSHORT ( FALSE ) ;
}

/*BEGINPROLOGUE*************************************************/
/*  Function  : DoSearch         Originating Date: Jan 95      */
/*  Module    : deletodl.c                                     */
/*                                                             */
/*  Description: Format the search criteria  and search        */
/*                                                             */
/*                                                             */
/*ENDPROLOGUE***************************************************/
VOID DoSearch( HWND hwnd )
{
BOOL                    fSuccess     = TRUE;
USHORT                  usStatDyn    = SIM_SEARCH_DYNAMIC ;
USHORT                  usTypeFilter = SIM_FOLDER_DOC ;
BITS                    fWipFilter   = OIM_ALL ;
USHORT                  usSuspendFilter = OIM_ALL ;
USHORT                  usIndexClass = 7 ;   // Search result folder
USHORT                  usNumCriteria = 1 ;
LIBSEARCHCRITERIASTRUCT Criteria     = { sizeof ( LIBSEARCHCRITERIASTRUCT ) };
BOOL                    ulMemListRequest = SIM_SEARCH_MAKE_FOLDER ;
PASYNCCTLSTRUCT         pAsynchCtl   = NULL ;
RCSTRUCT                RC           = { sizeof ( RCSTRUCT ) };
ULONG                   ulRC         = 0 ;
int                     i            = 0 ;  // loop index
char  szSearchString[200] = "" ;


// clear previous search folder
if ( strlen (idSearchResult) > 0 )
   {
   DeleteSearchFolder( hwnd );
   }

// complete the search string
sprintf( szSearchString, "A%d LT \"", ITEMATTRIBUTE_CREATED );
strcat( szSearchString, szStartTS ) ;
strcat( szSearchString, "\" " ) ;

// establish the index class id
if ( strlen(  szIndexClass ) > 0 )
   {
   for ( ; i < ulIndexNum ; i++ )
      {
      if ( strncmp( pIndexNames[i].szName,
           szIndexClass,
           SIM_CLASS_NAME_LENGTH ) == 0 )
         {
         Criteria.usViewID = pIndexNames[i].usID;
         }
      }
   }


// complete the criteria structure
Criteria.ulReturnLimit = 201 ;
Criteria.fSearch       = SIM_SEARCH_VIEW ;
Criteria.pszSearchString = (CHAR *)szSearchString ;

ulRC = SimLibSearch( userdata.hSession,      // library session
                     (PITEMID) NULL,         // Reserved for future use
                     (PVOID) NULL,           // Reserved for future use
                     usStatDyn,              // static or dynamic search
                     usTypeFilter,           // doc, folder, both
                     fWipFilter,             // WIP status
                     usSuspendFilter,        // suspend status
                     usIndexClass,           // index class of result folder
                     usNumCriteria,          // # search criteria
                     &Criteria,              // pointer to criteria struct
                     ulMemListRequest,       // return as folder
                     pAsynchCtl,             // synch or asynch
                     &RC ) ;

if ( ulRC == SIM_RC_OK )
   {
   if ( RC.usParam > 0 )
      {
      // get the search result folder ID
      strcat ( idSearchResult, ( PVOID ) RC.ulParam1 );
      SimLibFree( userdata.hSession, (PVOID) RC.ulParam1, &RC );

      // enable the menu item
      if ( fLOW == AVAILLOW )
         {
         fSuccess = WinEnableMenuItem( hwndMenu, IDM_DISPLAY, TRUE );
         if ( !fSuccess )
            {
            RcChk( fSuccess,
                   (ULONG)fSuccess,
                   "WinEnableMenuItem",
                  EXITPGM );
            }
         }

      // notify user if more than 200 items found
      if ( RC.ulParam2 > 200 )
         {
         WinMessageBox ( HWND_DESKTOP,
                         hwndFrame,
                         "Too many items found to display all",
                         "SimLibSearch",
                         0,
                         MB_OK );
         }

      }
   else
      {
      // no items meet search criteria
      WinMessageBox ( HWND_DESKTOP,
                      hwndFrame,
                      "No items meet search criteria",
                      "SimLibSearch",
                      0,
                      MB_OK );
      }
   }
else
   {
   RcChk( ulRC != 0,
          RC.ulExtRC,
          idSearchResult,
          NOEXIT );
   RcChk( ulRC != 0,
          ulRC,
          "SimLibSearch",
          NOEXIT );
   }

}

/*BEGINPROLOGUE*************************************************/
/*  Function  : DoDisplay        Originating Date: Jan 95      */
/*  Module    : deletold.c                                     */
/*                                                             */
/*  Description: Display the search result folder              */
/*                                                             */
/*                                                             */
/*ENDPROLOGUE***************************************************/
VOID DoDisplay( HWND hwnd )
{
ULONG       ulResult = 0;
USHORT      usOpenMode = LOO_EXCLWRITE;      // shared read
USHORT      usViewWin  = LOO_USECURRENT;
USHORT      usNoteWin  = LOO_USECURRENT;
USHORT      usIndxWin  = LOO_USECURRENT;
USHORT      usPageNum  = 1;
BOOL        fTOCMode   = TRUE;                // display TOC
BITS        fDisable   = 0;
ULONG       ulResultMsg = USER_LOW_DISPLAY;
BOOL        fSuccess = TRUE;
PRCSTRUCT   pRC = NULL ;
LOWITEMSTRUCT  LowItemInfo = { (ULONG) sizeof ( LOWITEMSTRUCT ) };


// set up item id
LowItemInfo.usIndexClass = 7;                    // search result
LowItemInfo.usObjectType = SIM_FOLDER;

strcpy( LowItemInfo.szItemID, (CHAR *)idSearchResult );

// set up return code
pRC = (PRCSTRUCT) malloc ( sizeof ( RCSTRUCT ) );
pRC->ulStruct = (ULONG) sizeof ( RCSTRUCT ) ;

ulResult = Ip2LibObjOpenObject (
                                 userdata.hSession,    // Library session
                                 hwnd,                 // completion message
                                 hwndLOW,              // LOW
                                 &LowItemInfo,         // item to disply
                                 usOpenMode,           // open mode
                                 usViewWin,            // display view wnd?
                                 usNoteWin,            // display note wnd?
                                 usIndxWin,            // display index wnd?
                                 usPageNum,            // display which page?
                                 fTOCMode,             // display TOC
                                 fDisable,             // extra access control
                                 ulResultMsg,
                                 pRC );


if ( ulResult != LO_SUCCESS )
   {
   RcChk( ulResult,
          (ULONG)pRC->ulRC,
          "Ip2LibObjOpenObject",
          EXITPGM );
   }

// make window invisible
fSuccess = WinShowWindow( WinQueryWindow ( hwndLOW, QW_PARENT ),
                          FALSE );
if ( !fSuccess )
   {
   RcChk( fSuccess,
          (ULONG)fSuccess,
         "WinShowWindow",
         NOEXIT );
   }

}

/*BEGINPROLOGUE*************************************************/
/*  Function  : OpenLOW          Originating Date: Jan 95      */
/*  Module    : deletold.c                                     */
/*                                                             */
/*  Description: Open a Library Object Window                  */
/*                                                             */
/*                                                             */
/*ENDPROLOGUE***************************************************/
VOID OpenLOW( HWND hwnd )
{
PRCSTRUCT prcStruct = NULL;
BOOL      fSuccess = TRUE;
ULONG     ulResult = 0;

// Do I already have a valid LOW
if ( ( fLOW == AVAILLOW ) || ( fLOW == PENDLOW ) )
   {
   return;
   }

// set up return code struct
prcStruct = (PRCSTRUCT) malloc ( sizeof ( RCSTRUCT ) );
prcStruct->ulStruct = (ULONG) sizeof ( RCSTRUCT ) ;

// open LOW
ulResult =  Ip2LibObjCreateWin ( userdata.hSession,    // Library Session
                          hwnd,                 // parent window
                          NULL,                 // reserved
                          LOC_PMDEFAULT,        // horz offset
                          LOC_PMDEFAULT,        // vert offset
                          LOC_PMDEFAULT,        // horz size
                          LOC_PMDEFAULT,        // vert size
                          LOC_DEFAULT,          // window size
                          USER_LOW_OPEN,        // message ID
                          prcStruct ) ;

if (ulResult != LO_SUCCESS )
   {
   RcChk( fSuccess,
          (ULONG)prcStruct->ulRC,
          "Ip2LibObjCreateWin",
          EXITPGM );
   }
else
   {
   hwndLOW = (HWND) prcStruct->ulParam1;
   fLOW = PENDLOW ;
   }
}

/*BEGINPROLOGUE*************************************************/
/*  Function  : DeleteSearchFolder  Originating Date: Jan 95   */
/*  Module    : deletold.c                                     */
/*                                                             */
/*  Description: Delete the search result folder               */
/*                                                             */
/*                                                             */
/*ENDPROLOGUE***************************************************/
VOID DeleteSearchFolder( HWND hwnd )
{
ULONG ulRC = 0;
RCSTRUCT rcStruct = { sizeof ( RCSTRUCT ) };
ITEMID  szItemID = "";


if ( strlen (idSearchResult) > 0 )
   {
   strcpy( szItemID, (CHAR *)idSearchResult );

   ulRC = SimLibDeleteItem( userdata.hSession,
                            &szItemID,
                            NULL,
                            &rcStruct );
   if ( ulRC != SIM_RC_OK )
      {

      RcChk( ulRC != SIM_RC_OK,
             rcStruct.ulRC,
             "SimLibDeleteItem",
             NOEXIT );
      }
   strcpy( idSearchResult, "" );
   }

}

/*BEGINPROLOGUE*************************************************/
/*  Function  : DoClose             Originating Date: Jan 95   */
/*  Module    : deletold.c                                     */
/*                                                             */
/*  Description: Close a Library Object Window                 */
/*                                                             */
/*  Dependencies: Global Variables :                           */
/*                Static External  :                           */
/*                Includes         : frnp.h                    */
/*                Product Functions:                           */
/*                                                             */
/*  Restrictions:                                              */
/*                                                             */
/*  Function type: int                                         */
/*                                                             */
/*  Input Parameters:                                          */
/*                                                             */
/*  Output Parameters:                                         */
/*                                                             */
/*  Synopsis:                                                  */
/*                                                             */
/*                                                             */
/*  Return values:                                             */
/*                                                             */
/*  Process Flow:                                              */
/*                                                             */
/*  Notes:                                                     */
/*                                                             */
/*                                                             */
/*ENDPROLOGUE***************************************************/
VOID DoClose ( HWND hwnd )
{
ULONG ulResult = 0;
PRCSTRUCT prcStruct = NULL ;
PITEMID   pszItemID = NULL ;

// allocate pszitemid
pszItemID = &idSearchResult;

// set up return code struct
prcStruct = (PRCSTRUCT) malloc ( sizeof ( RCSTRUCT ) );
prcStruct->ulStruct = (ULONG) sizeof ( RCSTRUCT ) ;


ulResult = Ip2LibObjCloseObject ( userdata.hSession,
                                  hwnd,
                                  hwndLOW,
                                  pszItemID,
                                  USER_LOW_CLOSE,
                                  prcStruct );


if (ulResult != LO_SUCCESS )
   {
   RcChk( ulResult != LO_SUCCESS,
          (ULONG)prcStruct->ulRC,
          "Ip2LibObjCloseObject",
          EXITPGM );
   }

strcpy( idSearchResult, "" );

}

/*BEGINPROLOGUE*************************************************/
/*  Function  : GetIndexCls         Originating Date: Jun 95   */
/*  Module    : deletold.c                                     */
/*                                                             */
/*  Description: Get the list of Index Classes                 */
/*                                                             */
/*  Dependencies: Global Variables :                           */
/*                Static External  :                           */
/*                Includes         : frnp.h                    */
/*                Product Functions:                           */
/*                                                             */
/*  Restrictions:                                              */
/*                                                             */
/*  Function type: int                                         */
/*                                                             */
/*  Input Parameters:                                          */
/*                                                             */
/*  Output Parameters:                                         */
/*                                                             */
/*  Synopsis:                                                  */
/*                                                             */
/*                                                             */
/*  Return values:                                             */
/*                                                             */
/*  Process Flow:                                              */
/*                                                             */
/*  Notes:                                                     */
/*                                                             */
/*                                                             */
/*ENDPROLOGUE***************************************************/

VOID GetIndexCls( VOID )
{
ULONG                   ulRC = 0;
RCSTRUCT                RCStruct = { sizeof(RCSTRUCT) };

ulRC = SimLibListClasses(userdata.hSession,
                         SIM_LIST_ALL,
                         NULL,
                         &RCStruct);

if ( ulRC != SUCCESS)
   {
   RcChk( ulRC != LO_SUCCESS,
          RCStruct.ulRC,
          "SimLibListClasses",
          EXITPGM );
   }

if ( RCStruct.usParam == 1 )
   {
   pIndexNames = (PNAMESTRUCT) RCStruct.ulParam1;
   ulIndexNum  = RCStruct.ulParam2;
   }


}

/*BEGINPROLOGUE*************************************************/
/*  Function  : TimeoutExit         Originating Date: Aug 95   */
/*  Module    : deletold.c                                     */
/*                                                             */
/*  Description: Adjust the timeout for search                 */
/*                                                             */
/*  Dependencies: Global Variables :                           */
/*                Static External  :                           */
/*                Includes         : frnp.h                    */
/*                Product Functions:                           */
/*                                                             */
/*  Restrictions:                                              */
/*                                                             */
/*  Function type: int                                         */
/*                                                             */
/*  Input Parameters:                                          */
/*                                                             */
/*  Output Parameters:                                         */
/*                                                             */
/*  Synopsis:                                                  */
/*                                                             */
/*                                                             */
/*  Return values:                                             */
/*                                                             */
/*  Process Flow:                                              */
/*                                                             */
/*  Notes:                                                     */
/*                                                             */
/*                                                             */
/*ENDPROLOGUE***************************************************/

BOOL APIENTRY TimeoutExit( FLDMGRFUNCTIONS FldMgrFunc,
                           PULONG pulTimeoutList,
                           BOOL bTimeoutError,
                           LONG lRequestLength,
                           SHORT sRetryCount )
{
BOOL bContinue = TRUE;
PULONG pulTimeout = (PULONG)0;

if ( bTimeoutError )    // timeout occurred
   {
   /* Find the current timeout value */
   pulTimeout = pulTimeoutList + FldMgrFunc;

   if( *pulTimeout==0 )                   // timeout value not set
      {
      *pulTimeout = ONE_MINUTE;           // note units of one minute
      bContinue = TRUE;
      }

   else
      {
      if (FldMgrFunc == FTN_SIMLIBSEARCH )    // it was a SimLibSearch
         {
         RcChk( bTimeoutError,
                (ULONG)FldMgrFunc,
                "TimeoutExit",
                NOEXIT );

         if (sRetryCount <= MAX_SEARCH_TRIES )
            {
            bContinue = TRUE;
            }
         else
                 {
                 bContinue = FALSE;
              }
         }
      else                                   // a 'real' timeout
         {
         bContinue = FALSE;

         RcChk( bTimeoutError,
                (ULONG)FldMgrFunc,
                "TimeoutExit",
                NOEXIT );
         }
      }
   }
return ( bContinue );
}
