/*****************************************************************************/
/*                                                                           */
/* MODULE: FRNOEXDI.H                                         VisualInfo     */
/*                                                                           */
/* 5697-250                                                                  */
/* 5697-250, 5621-326, 5655-036, 5622-213, 5655-071, 5655-072                */
/*                                                                           */
/* (C) Copyright IBM Corporation 1993, 1996.                                 */
/* All Rights Reserved.                                                      */
/*                                                                           */
/* This program is provided for the customer's use and the customer is       */
/* granted permission to copy this program to the extent reasonably          */
/* required for such use.  All title, ownership, and rights to this          */
/* program and any copies remain with IBM, irrespective of the ownership     */
/* of the media on which the program resides.  The customer is permitted     */
/* to create derivative works to this program.  However, all copies of       */
/* the program and its derivative works must contain the IBM copyright       */
/* notice.  The customer understands and agrees that this program in and     */
/* of itself is not to be sold or distributed.  The customer is free to      */
/* sell, distribute, and commercially exploit any derivative works           */
/* created from this program.                                                */
/*                                                                           */
/*                                                                           */
/* DISCLAIMER OF WARRANTIES:                                                 */
/* -------------------------                                                 */
/* The following [enclosed] code is sample code created by IBM               */
/* Corporation.  This sample code is not part of any standard IBM product    */
/* and is provided to you solely for the purpose of assisting you in the     */
/* development of your applications.  The code is provided "AS IS",          */
/* without warranty of any kind.  IBM shall not be liable for any damages    */
/* arising out of your use of the sample code, even if they have been        */
/* advised of the possibility of such damages.                               */
/*                                                                           */
/*                                                                           */
/* Status: Version 2 Release 1 Modification 0                                */
/*                                                                           */
/*****************************************************************************/
/* Description  : Header file for module FRNOEXDI.C.                         */
/*                                                                           */
/* Dependencies : None.                                                      */
/* Restrictions : None.                                                      */
/*                                                                           */
/* Entry Points:                                                             */
/*                                                                           */
/* Notes        : None.                                                      */
/*                                                                           */
/*****************************************************************************/

/*****************************************************************************/
/* FRNOEXDI.C Function Prototypes                                            */
/*****************************************************************************/

ULONG InitializePM         (VOID)  ;
ULONG CreateMsgQueue       (VOID)  ;
ULONG Logon                (VOID)  ;
VOID  FreeMemory           (VOID)  ;
ULONG GetDocumentTOC       (VOID)  ;
ULONG DisplayDocument      (VOID)  ;
ULONG InitEnvironment      (VOID)  ;
ULONG CreateWorkingSet     (VOID)  ;
ULONG LoadWorkingSet       (VOID)  ;
ULONG CreateDispWindow     (VOID)  ;
ULONG FreeWorkingSet       (VOID)  ;
ULONG Logoff               (VOID)  ;
VOID  ShowMessageBox       (ULONG) ;
VOID  DestroyMsgQueue      (VOID)  ;
VOID  Terminate            (VOID)  ;

/**************************************************/
/* Shared memory name for DosAllocSharedMem       */
/**************************************************/

#define PSZMEMNAME        "\\sharemem\\FRNOEXDI"

/*****************************************************************************/
/* SimLibLogon Parameter Definitions                                         */
/*****************************************************************************/

#define PSZDBNAME          "LIBSRVR2"
#define PSZUSERID          "FRNADMIN"
#define PSZPASSWORD        "PASSWORD"

/*****************************************************************************/
/* SimLibGetItemAffiliatedTOC Parameter Definition                           */
/*****************************************************************************/

#define DOCITEMID           "XXXXXXXXXXXXXXXX"

/*****************************************************************************/
/* SimOpsInitEnv Parameter Definitions                                       */
/*****************************************************************************/

#define PSZAPPLDESC         "Sample scenario to display a document."
#define PSZWORKINGDIR       "D:\\FRNV1R0\\WORK"
#define PSZEXITDIR          "D:\\FRNV1R0\\SAMPLES\\SRC"
#define PSZOMANAGER         "D:\\FRNV1R0\\DLL\\FRNOFO.DLL"

/*********************************************/
/* SimOpsInitEnv Parameter Maximum Lengths.  */
/* These lengths are defined for the purpose */
/* of this sample only.  They do not reflect */
/* actual parameter length requirments.      */
/*********************************************/

#define MAXDIRNAME           255        /* Maximum size of pszWorkingDir,    */
                                        /* pszExitDir, pszOIManager,         */
                                        /* and pszOManager                   */

/*****************************************************/
/* SimOpsInitEnv and SimDspCreateWin Maximum Lengths */
/*****************************************************/

#define MAXDESC              40         /* Maximum size of pszDesc           */

/*****************************************************************************/
/* End of FRNOEXDI.H                                                         */
/*****************************************************************************/
