/*****************************************************************************/
/*                                                                           */
/* MODULE: FRNOEXDO.H                                         VisualInfo     */
/*                                                                           */
/* 5697-250                                                                  */
/* 5697-250, 5621-326, 5655-036, 5622-213, 5655-071, 5655-072                */
/*                                                                           */
/* (C) Copyright IBM Corporation 1993, 1996.                                 */
/* All Rights Reserved.                                                      */
/*                                                                           */
/* DERIVATIVE RIGHTS:                                                        */
/* ------------------                                                        */
/* This program is provided for the customer's use and the customer is       */
/* granted permission to copy this program to the extent reasonably          */
/* required for such use.  All title, ownership, and rights to this          */
/* program and any copies remain with IBM, irrespective of the ownership     */
/* of the media on which the program resides.  The customer is permitted     */
/* to create derivative works to this program.  However, all copies of       */
/* the program and its derivative works must contain the IBM copyright       */
/* notice.  The customer understands and agrees that this program in and     */
/* of itself is not to be sold or distributed.  The customer is free to      */
/* sell, distribute, and commercially exploit any derivative works           */
/* created from this program.                                                */
/*                                                                           */
/*                                                                           */
/* DISCLAIMER OF WARRANTIES:                                                 */
/* -------------------------                                                 */
/* The following [enclosed] code is sample code created by IBM               */
/* Corporation.  This sample code is not part of any standard IBM product    */
/* and is provided to you solely for the purpose of assisting you in the     */
/* development of your applications.  The code is provided "AS IS",          */
/* without warranty of any kind.  IBM shall not be liable for any damages    */
/* arising out of your use of the sample code, even if they have been        */
/* advised of the possibility of such damages.                               */
/*                                                                           */
/*                                                                           */
/* Status: Version 2 Release 1 Modification 0                                */
/*                                                                           */
/*****************************************************************************/
/* Description  : Header file for module FRNOEXDO.C.                         */
/*                                                                           */
/* Dependencies : None.                                                      */
/* Restrictions : None.                                                      */
/*                                                                           */
/* Entry Points:                                                             */
/*                                                                           */
/* Notes        : None.                                                      */
/*                                                                           */
/* Changes      : D288 - eliminated use of GUI to input filename;            */
/*                       reverted to original approach to simplify NLS.      */
/*                                                                           */
/*****************************************************************************/

/*****************************************************************************/
/* FRNOEXDO.C Function Prototypes                                            */
/*****************************************************************************/

#ifdef _Windows
#define Logon          frnoexdo_Logon
#define FreeMemory     frnoexdo_FreeMemory
#define Logoff         frnoexdo_Logoff
#define hSession       frnoexdo_hSession
#define ulMemoryBlock  frnoexdo_ulMemoryBlock
#define FolderItemID   frnoexdo_FolderItemID
#define CreateFolderItemID frnoexdo_CreateFolderItemID
#define FOLDER         frnoexdo_FOLDER
#endif

ULONG Logon                (VOID)  ;
VOID  FreeMemory           (VOID)  ;
ULONG CreateFolderItemID   (VOID)  ;
ULONG CreateDocumentItemID (VOID)  ;
ULONG StoreObject          (VOID)  ;
ULONG AddToFolder          (VOID)  ;
ULONG Logoff               (VOID)  ;

/*****************************************************************************/
/* SimLibLogon Parameter Definitions                                         */
/*****************************************************************************/
#ifdef _Windows
#include "frnwexda.h"

#define PSZDBNAME          DbName()
#define PSZUSERID          UserId()
#define PSZPASSWORD        Password()
#else
#define PSZDBNAME          "LIBSRVR2"
#define PSZUSERID          "FRNADMIN"
#define PSZPASSWORD        "PASSWORD"
#endif

/*****************************************************************************/
/* SimLibCreateItem Parameter Definitions                                    */
/*****************************************************************************/

/***************************************************************/
/* Folder attribute definitions                                */
/***************************************************************/

#define USFOLDATTRS         2           /*Number of attribute data structures*/

/***************************************************************/
/* Folder attributes data structure                            */
/***************************************************************/

ATTRLISTSTRUCT FOLDER [ USFOLDATTRS ] =
{
/***************************************************************/
/* Structure size, attribute value, attribute flags,           */
/* attribute ID (attribute 40 for SIM_INDEX_NOINDEX = SOURCE,  */
/*               attribute 41 for SIM_INDEX_NOINDEX = USERID), */
/* attribute type.                                             */
/***************************************************************/

   { sizeof(FOLDER), "FRNOEXDO", SIM_ATTR_READWRITE, 40, SIM_ATTR_FSTRING },
   { sizeof(FOLDER), "FRNADMIN", SIM_ATTR_READWRITE, 41, SIM_ATTR_FSTRING }
} ;

/***************************************************************/
/* Doucument attribute definitions                             */
/***************************************************************/

#define USDOCUATTRS         1           /*Number of attribute data structures*/

/***************************************************************/
/* Document attributes data structure                          */
/***************************************************************/

ATTRLISTSTRUCT DOCU [ USDOCUATTRS ] =
{
/***************************************************************/
/* Structure size, attribute value, attribute flags,           */
/* attribute ID (attribute 40 for SIM_INDEX_NOINDEX = SOURCE,  */
/*               attribute 41 for SIM_INDEX_NOINDEX = USERID), */
/* attribute type.                                             */
/***************************************************************/

        { sizeof(DOCU), "OS2LOGO", SIM_ATTR_READWRITE, 40, SIM_ATTR_FSTRING }
} ;

/*****************************************************************************/
/* SimLibCatalogObject Parameter Definitions                                 */
/*****************************************************************************/

#define ULPARTID            0

/*****************************************/
/* The object must have a content class  */
/* of OS/2 Version 2 bitmap.             */
/*****************************************/

#ifdef _Windows
// #define PSZFULLFILENAME     Filename()          //D288
#define PSZFULLFILENAME     "C:\\AUTOEXEC.BAT"     //D288
#else
#define PSZFULLFILENAME     "C:\\OS2\\BITMAP\\OS2LOGO.BMP"
#endif

/*****************************************************************************/
/* End of FRNOEXDO.H                                                         */
/*****************************************************************************/

