/*****************************************************************************/
/*                                                                           */
/* MODULE: FRNOEXNO.H                                         VisualInfo     */
/*                                                                           */
/* 5697-250                                                                  */
/* 5621-326, 5655-036, 5622-213, 5655-071, 5655-072                          */
/*                                                                           */
/* (C) Copyright IBM Corporation 1993, 1996.                                 */
/* All Rights Reserved.                                                      */
/*                                                                           */
/* DERIVATIVE RIGHTS:                                                        */
/* ------------------                                                        */
/* This program is provided for the customer's use and the customer is       */
/* granted permission to copy this program to the extent reasonably          */
/* required for such use.  All title, ownership, and rights to this          */
/* program and any copies remain with IBM, irrespective of the ownership     */
/* of the media on which the program resides.  The customer is permitted     */
/* to create derivative works to this program.  However, all copies of       */
/* the program and its derivative works must contain the IBM copyright       */
/* notice.  The customer understands and agrees that this program in and     */
/* of itself is not to be sold or distributed.  The customer is free to      */
/* sell, distribute, and commercially exploit any derivative works           */
/* created from this program.                                                */
/*                                                                           */
/*                                                                           */
/* DISCLAIMER OF WARRANTIES:                                                 */
/* -------------------------                                                 */
/* The following [enclosed] code is sample code created by IBM               */
/* Corporation.  This sample code is not part of any standard IBM product    */
/* and is provided to you solely for the purpose of assisting you in the     */
/* development of your applications.  The code is provided "AS IS",          */
/* without warranty of any kind.  IBM shall not be liable for any damages    */
/* arising out of your use of the sample code, even if they have been        */
/* advised of the possibility of such damages.                               */
/*                                                                           */
/*                                                                           */
/* Status: Version 2 Release 1 Modification 0                                */
/*                                                                           */
/*****************************************************************************/
/* Description  : Header file for module FRNOEXNO.C.                         */
/*                                                                           */
/* Dependencies : None.                                                      */
/* Restrictions : None.                                                      */
/*                                                                           */
/* Entry Points:                                                             */
/*                                                                           */
/* Notes        : None.                                                      */
/*                                                                           */
/*****************************************************************************/

/*****************************************************************************/
/* FRNOEXNO.C Function Prototypes                                            */
/*****************************************************************************/

#ifdef _Windows
#define Logon          frnoexno_Logon
#define FreeMemory     frnoexno_FreeMemory
#define Logoff         frnoexno_Logoff
#define hSession       frnoexno_hSession
#define ulMemoryBlock  frnoexno_ulMemoryBlock
#endif

ULONG Logon                (VOID)  ;
VOID  FreeMemory           (VOID)  ;
ULONG GetNoteTOC           (VOID)  ;
ULONG OpenNote             (VOID)  ;
ULONG PositionAtNoteEnd    (VOID)  ;
ULONG CreateNote           (VOID)  ;
ULONG WriteNote            (VOID)  ;
ULONG CloseNote            (VOID)  ;
ULONG Logoff               (VOID)  ;

/*****************************************************************************/
/* SimLibLogon Parameter Definitions                                         */
/*****************************************************************************/

#ifdef _Windows
#include "frnwexda.h"    /* code sync - ivy 9/18/95 */

#define PSZDBNAME          DbName()     /* code sync - ivy 9/18/95 */
#define PSZUSERID          UserId()     /* code sync - ivy 9/18/95 */
#define PSZPASSWORD        Password()   /* code sync - ivy 9/18/95 */
#else
#define PSZDBNAME          "LIBSRVR2"
#define PSZUSERID          "FRNADMIN"
#define PSZPASSWORD        "PASSWORD"
#endif

/*****************************************************************************/
/* SimLibGetItemAffiliatedTOC & SimLibCreateObject Parameter Definitions     */
/*****************************************************************************/

#ifdef _Windows
#define DOCITEMID           ItemId()    /* code sync - ivy 9/18/95 */
#else
#define DOCITEMID           "XXXXXXXXXXXXXXXX"
#endif

/*****************************************************************************/
/* SimLibCreateObject Parameter Definitions                                  */
/*****************************************************************************/

#define ULPARTID            0

/*****************************************************************************/
/* SimLibWriteObject Parameter Definition                                    */
/*****************************************************************************/

/*****************************************/
/* The note must have a content class    */
/* of ASCII.                             */
/*****************************************/

#define PBUFFER             "Add this note to an existing document."

/*****************************************************************************/
/* End of FRNOEXNO.H                                                         */
/*****************************************************************************/

