/*BEGINPROLOGUE**************************************************************/
/*                                                                          */
/* MODULE: FRNOICXT.C                   VisualInfo                          */
/*                                                                          */
/*                                                                          */
/* 5697-250, 5621-326, 5655-036, 5622-213, 5655-071, 5655-072               */
/* (C) Copyright IBM Corp. 1993, 1994. All Rights Reserved.                 */
/*                                                                          */
/* DERIVATIVE RIGHTS:                                                       */
/* ------------------                                                       */
/* This program is provided for the customer's use and the customer is      */
/* granted permission to copy this program to the extent reasonably         */
/* required for such use.  All title, ownership, and rights to this         */
/* program and any copies remain with IBM, irrespective of the ownership    */
/* of the media on which the program resides.  The customer is permitted    */
/* to create derivative works to this program.  However, all copies of      */
/* the program and its derivative works must contain the IBM copyright      */
/* notice.  The customer understands and agrees that this program in and    */
/* of itself is not to be sold or distributed.  The customer is free to     */
/* sell, distribute, and commercially exploit any derivative works          */
/* created from this program.                                               */
/*                                                                          */
/*                                                                          */
/* DISCLAIMER OF WARRANTIES:                                                */
/* -------------------------                                                */
/* The following [enclosed] code is sample code created by IBM              */
/* Corporation.  This sample code is not part of any standard IBM product   */
/* and is provided to you solely for the purpose of assisting you in the    */
/* development of your applications.  The code is provided "AS IS",         */
/* without warranty of any kind.  IBM shall not be liable for any damages   */
/* arising out of your use of the sample code, even if they have been       */
/* advised of the possibility of such damages.                              */
/*                                                                          */
/*                                                                          */
/* Programmer: Mark S. Raine                                                */
/*                                                                          */
/* Date: May      1993                                                      */
/*                                                                          */
/* Status: Version 1 Release 1 Modification 0                               */
/*                                                                          */
/* Description: FRNOICXT.C -                                                */
/*                                                                          */
/* Dependencies:                                                            */
/* Restrictions:                                                            */
/*                                                                          */
/* Entry Points:                                                            */
/*                                                                          */
/*                                                                          */
/* Change History:                                                          */
/*                                                                          */
/*                                                                          */
/* Notes:                                                                   */
/*                                                                          */
/*ENDPROLOGUE****************************************************************/


#include   <stdio.h>
#include   <stdlib.h>
#include   <string.h>
#include   <ctype.h>
#include   <os2.h>
#define    FRN_INCL_FO           // include folder manager includes
#define    FRN_INCL_FI           // include folder manager includes
#include   <FRNP.H>             // Include global public structures
#include "FRNOICGD.H"
#include "FRNOICFP.H"
#include "FRNOICSP.H"
#include <frnoicxt.h>


ULONG _Optlink Ip2ImportSetupAttrExit(HSESSION hSession,
                                      BOOL    *fUserAttr,
                                      BOOL    *fIndexClass,
                                      ULONG   ulIndex,
                                      USHORT  *pusNewID,
                                      USHORT  *pusIndexClass,
                                      PINTCIFHEADER   pCIFHeader,
                                      PINTCIUDATALIST pCIUData)

{
  CHAR                     szTempAttrName[SIM_ATTR_NAME_LENGTH+1];
  ULONG                    ulNameIndex;               // loop counter
  ULONG                    ulNumNames;
  ULONG                    ulRC;
  USHORT                   usClassLength = 0;
  PNAMESTRUCT              pNames;
  PNAMESTRUCT              pSaveNamesPtr;
  BOOL                     fFoundClass;
  RCSTRUCT                 RCStruct;
  *fUserAttr = FALSE;
  fFoundClass = FALSE;

/*-------------------------------------------------------------------------*/
/*  For FAF, there are 4 index classes reflected in this sample exit:      */
/*                        RECEIPTS                                         */
/*                        W2                                               */
/*                        1040                                             */
/*                        TAXES                                            */
/*                                                                         */
/*       The attributes used by these classes are:                         */
/*                                                                         */
/*                 DOCUMENT_TYPE   char length 40                          */
/*                 SSN             char length 26                          */
/*                 NAME            char length 32                          */
/*                 CREATED         timestamp                               */
/*                 VERSION         Integer                                 */
/*                                                                         */
/*  NOTE:  This exit can be modified to 'hardcode' attribute IDs and       */
/*         index class IDS instead of using names.  There are lines        */
/*         for sample purposes commented out.                              */
/*-------------------------------------------------------------------------*/
  if (pCIFHeader->Header.pszSourceType != NULL)
  {
    if (strnicmp(pCIFHeader->Header.pszSourceType, "FAF", 3) == 0)
    {
      if ((pCIUData->pItemAttrs->aAttributes[ulIndex]->fAttrSys == TRUE) &&
          (pCIUData->pItemAttrs->aAttributes[ulIndex]->usAttrID == 3))
      {
//      *pusNewID = 47;
        strcpy(szTempAttrName, "DOCUMENT_TYPE");
        *fUserAttr = TRUE;
      }

      if ((pCIUData->pItemAttrs->aAttributes[ulIndex]->fAttrSys == TRUE) &&
          (pCIUData->pItemAttrs->aAttributes[ulIndex]->usAttrID == 8))
      {
//      *pusNewID = 48;
        strcpy(szTempAttrName, "SSN");
        *fUserAttr = TRUE;
      }

      if ((pCIUData->pItemAttrs->aAttributes[ulIndex]->fAttrSys == TRUE) &&
          (pCIUData->pItemAttrs->aAttributes[ulIndex]->usAttrID == 5))
      {
//      *pusNewID = 50;
        strcpy(szTempAttrName, "CREATED");
        *fUserAttr = TRUE;
      }

      if ((pCIUData->pItemAttrs->aAttributes[ulIndex]->fAttrSys == TRUE) &&
          (pCIUData->pItemAttrs->aAttributes[ulIndex]->usAttrID == 29))
      {
//      *pusNewID = 51;
        strcpy(szTempAttrName, "VERSION");
        *fUserAttr = TRUE;
      }

      if ((pCIUData->pItemAttrs->aAttributes[ulIndex]->fAttrSys == FALSE) &&
          (pCIUData->pItemAttrs->aAttributes[ulIndex]->usAttrID == 2))
      {
//      *pusNewID = 49;
        strcpy(szTempAttrName, "NAME");
        *fUserAttr = TRUE;
      }

      if ((pCIUData->pItemAttrs->aAttributes[ulIndex]->usAttrID == 11) ||
          (pCIUData->pItemAttrs->aAttributes[ulIndex]->usAttrID == 20))
      {
        if (strnicmp(pCIUData->pItemAttrs->aAttributes[ulIndex]->pAttrValue,
                     "TAXES", 5) == 0)
        {
//        *pusIndexClass = 12;
//        *fIndexClass = TRUE;
          fFoundClass = TRUE;
          usClassLength = 5;
        }

        if (strnicmp(pCIUData->pItemAttrs->aAttributes[ulIndex]->pAttrValue,
                     "RECEIPTS", 8) == 0)
        {
//        *pusIndexClass = 9;
//        *fIndexClass = TRUE;
          fFoundClass = TRUE;
          usClassLength = 8;
        }

        if (strnicmp(pCIUData->pItemAttrs->aAttributes[ulIndex]->pAttrValue,
                     "W2", 2) == 0)
        {
//        *pusIndexClass = 10;
//        *fIndexClass = TRUE;
          fFoundClass = TRUE;
          usClassLength = 2;
        }

        if (strnicmp(pCIUData->pItemAttrs->aAttributes[ulIndex]->pAttrValue,
                     "1040", 4) == 0)
        {
//        *pusIndexClass = 11;
//        *fIndexClass = TRUE;
          fFoundClass = TRUE;
          usClassLength = 4;
        }
      }
      if (*fUserAttr)
      {
        *fUserAttr = FALSE;    // reset the flag if an error occurs
        ulRC = Ip2ListAttrs(hSession,
                            NULL,
                            &RCStruct);
        if ( ulRC != SUCCESS)
          return(INT_GET_ATTR_INFO_FAILED);

        pNames = (PNAMESTRUCT) RCStruct.ulParam1;
        pSaveNamesPtr = pNames;
        ulNumNames = RCStruct.ulParam2;
        for ( ulNameIndex = 0; ulNameIndex < ulNumNames; ulNameIndex++)
        {
          if (strcmpi(szTempAttrName, pNames->szName) == 0)
          {
             *fUserAttr = TRUE;
             *pusNewID = pNames->usID;
             break;
          }
          pNames++;
        }
        if ((PVOID) pSaveNamesPtr != NULL)
          SimLibFree(hSession, (PVOID) pSaveNamesPtr, &RCStruct);
      }

      if (fFoundClass)
      {
        ulRC = SimLibListClasses(hSession,
                                 SIM_ENUM_USER_ACCESS|
                                 SIM_ENUM_USER_OWNER|
                                 SIM_ENUM_APPL,
                                 NULL,
                                 &RCStruct);
        if ( ulRC != SUCCESS)
            return(INT_LIST_CLASSES_FAILED);

        pNames = (PNAMESTRUCT) RCStruct.ulParam1;
        pSaveNamesPtr = pNames;
        ulNumNames = RCStruct.ulParam2;
        for ( ulNameIndex = 0; ulNameIndex < ulNumNames; ulNameIndex++)
        {
          if (strnicmp(pCIUData->pItemAttrs->aAttributes[ulIndex]->pAttrValue,
              pNames->szName, usClassLength) == 0)
          {
             *fIndexClass = TRUE;
             *pusIndexClass = pNames->usID;
             break;
          }
          pNames++;
        }
        if ((PVOID) pSaveNamesPtr != NULL)
          SimLibFree(hSession, (PVOID) pSaveNamesPtr, &RCStruct);
      }
    }
  }
}


ULONG _Optlink Ip2ImportAttrExit(HSESSION hSession,
                                 PSZ    pszInputAttrName,
                                 PINTCIFHEADER   pCIFHeader,
                                 PSZ    pszOutputAttrName,
                                 BOOL  *pfAttrMatch,
                                 BOOL  *pfBypassAttrTypeCheck)

{
  USHORT           usIndex;
  INTMAPSTRUCT aAttrList [] = {
                            { "EXAMPLEINPUT", "EXAMPLEOUTPUT"},
                            { "NULL", "NULL"},
                              };


  usIndex = 0;
  *pfAttrMatch = FALSE;
  while (strcmp(aAttrList[usIndex].szSourceName, "NULL") != 0)
  {
    if (strcmp(pszInputAttrName, aAttrList[usIndex].szSourceName) == 0)
    {
      *pfAttrMatch = TRUE;
      strcpy(pszOutputAttrName, aAttrList[usIndex].szTargetName);
    }
    usIndex++;
  }

  if (strnicmp(pCIFHeader->Header.pszSourceType, "IP/2", 4) == 0)
    *pfBypassAttrTypeCheck = TRUE;

  return(0L);
}


ULONG _Optlink Ip2ImportClassExit(HSESSION hSession,
                                  PSZ    pszInputClassName,
                                  PSZ    pszOutputClassName,
                                  BOOL  *pfClassMatch)

{
  USHORT           usIndex;
  INTMAPSTRUCT aClassList [] = {
                            { "IP2FIRSTCLASS", "SBIDFIRSTCLASS"},
                            { "IP2LASTCLASS", "SBIDSOMECLASS"},
                            { "NULL", "NULL"},
                              };


  usIndex = 0;
  *pfClassMatch = FALSE;
  while (strcmp(aClassList[usIndex].szSourceName, "NULL") != 0)
  {
    if (strcmp(pszInputClassName, aClassList[usIndex].szSourceName) == 0)
    {
      *pfClassMatch = TRUE;
      strcpy(pszOutputClassName, aClassList[usIndex].szTargetName);
    }
    usIndex++;
  }

  return(0L);
}

