/*BEGINPROLOGUE**************************************************************/
/*                                                                          */
/* MODULE: FRNOLBUX.C                   VisualInfo                          */
/*                                                                          */
/*                  5697-250                                                */
/*                  5621-326, 5655-036, 5622-213, 5655-071, 5655-072        */
/*                  (C) Copyright IBM Corp. 1993, 1996. All Rights Reserved.*/
/*                      US Government Users Restricted Rights -             */
/*                      Use, duplication or disclosure restricted by GSA    */
/*                      ADP Schedule Contract with IBM Corp.                */
/*                                                                          */
/* DERIVATIVE RIGHTS:                                                       */
/* ------------------                                                       */
/* This program is provided for the customer's use and the customer is      */
/* granted permission to copy this program to the extent reasonably         */
/* required for such use.  All title, ownership, and rights to this         */
/* program and any copies remain with IBM, irrespective of the ownership    */
/* of the media on which the program resides.  The customer is permitted    */
/* to create derivative works to this program.  However, all copies of      */
/* the program and its derivative works must contain the IBM copyright      */
/* notice.  The customer understands and agrees that this program in and    */
/* of itself is not to be sold or distributed.  The customer is free to     */
/* sell, distribute, and commercially exploit any derivative works          */
/* created from this program.                                               */
/*                                                                          */
/*                                                                          */
/* DISCLAIMER OF WARRANTIES:                                                */
/* -------------------------                                                */
/* The following [enclosed] code is sample code created by IBM              */
/* Corporation.  This sample code is not part of any standard IBM product   */
/* and is provided to you solely for the purpose of assisting you in the    */
/* development of your applications.  The code is provided "AS IS",         */
/* without warranty of any kind.  IBM shall not be liable for any damages   */
/* arising out of your use of the sample code, even if they have been       */
/* advised of the possibility of such damages.                              */
/*                                                                          */
/*                                                                          */
/* Programmer: Davey Thornton                                               */
/*                                                                          */
/* Date: May      1993                                                      */
/*                                                                          */
/* Status: Version 2 Release 1 Modification 0                               */
/*                                                                          */
/* Description : frnolbux.c - Sample for the Lan Base Object Server User     */
/*               exit. This file provide a description of the basic          */
/*               code required to take advantage of the user defined         */
/*               function.                                                  */
/*                                                                          */
/* Dependencies:                                                            */
/* Restrictions:                                                            */
/*                                                                          */
/* Entry Points:                                                            */
/*                                                                          */
/*                                                                          */
/* Change History:                                                          */
/*                                                                          */
/*                                                                          */
/* Notes:                                                                   */
/*                                                                          */
/*ENDPROLOGUE****************************************************************/


#include <frnptype.h>
#include <frnperr.h>
#include <frnolbux.h>


ULONG SIMENTRY Ip2LBOSExit(LBEXITOPCODE           exitOpCode,
                           PVOID                  pvInput,
                           PVOID                  pvOutput,
                           PRCSTRUCT              pRC)
{
 PLBVOLUMESELECTIN    pInput  = NULL;
 PLBVOLUMESELECTOUT   pOutput = NULL;


 // determine the type of Exit
 switch (exitOpCode)
  {
   case LBEXITOPCODE_VOLUME_SELECT:

    // address the exit parameters
    pInput = (PLBVOLUMESELECTIN)pvInput;
    pOutput = (PLBVOLUMESELECTOUT)pvOutput;

    // default Volume Select Exit doesn't change any of the output parameters
    ;

    break; // case LBEXITOPCODE_VOLUME_SELECT:


   default:   ;

  } // switch

 pRC->ulRC = NO_ERROR;

 return(NO_ERROR);
}


/*****************************************************************************/
/* End of frnolbux.c                                                         */
/*****************************************************************************/
