/*BEGINPROLOGUE**************************************************************/
/*                                                                          */
/* MODULE: frnolg.c                         VisualInfo                      */
/*                                                                          */
/* 5697-250, 5621-326                                                       */
/* (C) Copyright IBM Corp. 1993,1995.                                       */
/* All Rights Reserved.                                                     */
/*                                                                          */
/* DERIVATIVE RIGHTS:                                                       */
/* ------------------                                                       */
/* This program is provided for the customer's use and the customer is      */
/* granted permission to copy this program to the extent reasonably         */
/* required for such use.  All title, ownership, and rights to this         */
/* program and any copies remain with IBM, irrespective of the ownership    */
/* of the media on which the program resides.  The customer is permitted    */
/* to create derivative works to this program.  However, all copies of      */
/* the program and its derivative works must contain the IBM copyright      */
/* notice.  The customer understands and agrees that this program in and    */
/* of itself is not to be sold or distributed.  The customer is free to     */
/* sell, distribute, and commercially exploit any derivative works          */
/* created from this program.                                               */
/*                                                                          */
/*                                                                          */
/* DISCLAIMER OF WARRANTIES:                                                */
/* -------------------------                                                */
/* The following [enclosed] code is sample code created by IBM              */
/* Corporation.  This sample code is not part of any standard IBM product   */
/* and is provided to you solely for the purpose of assisting you in the    */
/* development of your applications.  The code is provided "AS IS",         */
/* without warranty of any kind.  IBM shall not be liable for any damages   */
/* arising out of your use of the sample code, even if they have been       */
/* advised of the possibility of such damages.                              */
/*                                                                          */
/*                                                                          */
/* Date: October 1992                                                       */
/*                                                                          */
/* Status: Version 1 Release 1 Modification 0                               */
/*                                                                          */
/* Description: frnolg.c - this file contains all the C souce               */
/*                         to the logon building block                      */
/*                                                                          */
/* Dependencies:                                                            */
/* Restrictions:                                                            */
/*                                                                          */
/*                                                                          */
/* Notes:                                                                   */
/*  - addtional information may be provided here                            */
/*                                                                          */
/*ENDPROLOGUE****************************************************************/

/*------------------------------------------*/
/* pragma definitions                       */
/*------------------------------------------*/
#pragma strings(readonly)
#pragma alloc_text( MAINSEG,   LogonDlgProc )
#pragma alloc_text( MAINSEG,   LogoMsgProc )
#pragma alloc_text( MAINSEG,   SetDefaultButton )
#pragma alloc_text( MAINSEG,   TabPastDisabledButton )
#pragma alloc_text( SECONDSEG, LogoBitMapMsgProc )
#pragma alloc_text( SECONDSEG, WinCenterWindow )
#pragma alloc_text( SECONDSEG, Ip2Logon )
#pragma alloc_text( SECONDSEG, DisplayLogo2 )
#pragma alloc_text( SECONDSEG, DisplayLogo )
#pragma alloc_text( SECONDSEG, Logon_RequestThreadProc )
#pragma alloc_text( SECONDSEG, KickOffLogonThread )
#pragma alloc_text( SECONDSEG, QueryNewPwdDlgProc )
#pragma alloc_text( SECONDSEG, MsgDisplayMsg )
#pragma alloc_text( THIRDSEG,  MsgDisplayErr )
#pragma alloc_text( THIRDSEG,  StripBlanks )
//
/*------------------------------------------*/
/* compiler and OS/2 supplied include files */
/*------------------------------------------*/
#define INCL_BASE
#define INCL_DOSERRORS
#define INCL_WIN
#define INCL_PM
#define INCL_GPI
#define INCL_WINPOINTERS
#include <os2.h>
#include <string.h>
#include <stdlib.h>
#include <stdio.h>
#include <stdarg.h>

//----------------------------------------
// VisualInfo Client App specific include files
//----------------------------------------
#define FRN_INCL_FO
#define FRN_INCL_FI
#define FRNPCAPI_NOPPULONG
#include <fiws.h>            // For: IS/2 Environment includes
#include <fiwsenv.h>
#include <frnpcapi.h>
#include <frnpauer.h>
#include <frnp.h>
#include <frnolgar.h>        // For: logon resource defines
#include <frnolg.h>          // For: internal logon defines
#include <frnpaucf.h>        // For: Ip2InitAuCnf prototype
#include <frnpfi.h>          // For: SimLibLogoffPatron
//------------------------------
// global variables (publics)
//------------------------------
BOOL     fAsyncLogonDone = FALSE;            // TRUE = async oim logon completed
HBITMAP  hbm;                                // Handle to a Bitmap

USHORT   usWindowArray [MAX_LOGO_TEXT] = { IDC_ABOUT_TXT12, IDC_ABOUT_TXT11,
                                           IDC_ABOUT_TXT10, IDC_ABOUT_TXT9,
                                           IDC_ABOUT_TXT8,  IDC_ABOUT_TXT7,
                                           IDC_ABOUT_TXT6,  IDC_ABOUT_TXT5,
                                           IDC_ABOUT_TXT4,  IDC_ABOUT_TXT3,
                                           IDC_ABOUT_TXT2,  IDC_ABOUT_TXT1 };
SHORT    sResult = SIM_RC_OK;
HWND     hwndFrame;              // main window frame of the application
HAB      habLogon;
HMODULE  hmodLogonResources;     // handle to resource DLL
static   HWND     hwndHelpInstance = 0;     // handle to help instance
CHAR gszPassword[ 8 + 1 ] = "\0";
CHAR gszPrivString[ SIM_PRIVSTRING_LENGTH+1 ] = "\0" ;


//---------------------------
// local function prototypes
//---------------------------

MRESULT _System QueryNewPwdDlgProc(HWND, ULONG, MPARAM, MPARAM);
MRESULT EXPENTRY LogoBitMapMsgProc(HWND, USHORT, MPARAM, MPARAM);
MRESULT EXPENTRY LogoMsgProc(HWND, USHORT, MPARAM, MPARAM);
VOID APIENTRY DisplayLogo2(PPRODINFOSTRUCT);
ULONG KickOffLogonThread(PLOGONTHREADDATA);
VOID Logon_RequestThreadProc(PLOGONTHREADDATA);
VOID EXPENTRY WinCenterWindow(HWND, HWND, BOOL);
BOOL EXPENTRY TabPastDisabledButton(HWND, USHORT, USHORT, ULONG, ULONG, ULONG, ULONG);
VOID EXPENTRY SetDefaultButton(HWND, ULONG);
MRESULT EXPENTRY LogonDlgProc(HWND, ULONG, MPARAM, MPARAM);
VOID EXPENTRY StripBlanks(PSZ);
BOOL PutPrivString( PSZ pszPriv     );
BOOL PutPassword( PSZ pszPassword );


/*BEGINPROLOGUE*************************************************/
/*  Function  : Ip2Logon         Originating Date: November 93 */
/*  Module    : frnolg.c                                       */
/*                                                             */
/*  Description: Disply logon dialog and logon to server       */
/*                                                             */
/*  Dependencies: Global Variables :                           */
/*                Static External  :                           */
/*                Includes         : frnolg.h                  */
/*                                 : frnpcapi.h                */
/*                                 : frnperr.h                 */
/*                                 : frnpfi.h                  */
/*                                 : frnpfo.h                  */
/*                Product Functions:                           */
/*                                                             */
/*  Restrictions:                                              */
/*                                                             */
/*  Function type: ULONG                                       */
/*                                                             */
/*  Input Parameters:                                          */
/*     PUSERDATASTRUCT puserdata - user data info structure    */
/*                                 that the user gets back     */
/*                                 after SUCCESSFUL completion */
/*                                 of this function. (See      */
/*                                 frnolg.h for a discussion   */
/*                                 of data strucure).          */
/*                                                             */
/*  Output Parameters:                                         */
/*     PUSERDATASTRUCT puserdata - user data info structure    */
/*                                 that the user gets back     */
/*                                 after SUCCESSFUL completion */
/*                                 of this function. (See      */
/*                                 frnolg.h for a discussion   */
/*                                 of data strucure).          */
/*                                                             */
/*  Synopsis: ULONG Ip2Logon()                                 */
/*               PUSERDATASTRUCT puserdata;                    */
/*                                                             */
/*  Return values: TRUE   -> Successful completion             */
/*                 FALSE  -> Could not logon                   */
/*                                                             */
/*  Process Flow:                                              */
/*                                                             */
/*  Notes:                                                     */
/*                                                             */
/*                                                             */
/*ENDPROLOGUE***************************************************/

ULONG SIMENTRY Ip2Logon(
   PUSERDATASTRUCT puserdata )
{
  RCSTRUCT         RC;
  ULONG            ulRC;
  HSWITCH          hswMain;                // Handle to the main Switch
  SWCNTRL          swControl;              // Switch List Control DS
  CHAR             *pszBasePath;
  CHAR             szWorkPath[MAX_FILE_PATH_LENGTH];
  CHAR             szDllPath[MAX_FILE_PATH_LENGTH];

   //---------------
   // Initialize...
   //---------------
   ulRC = SIM_RC_OK;
   puserdata->fAuCnfInit_status = TRUE;
   puserdata->ulMinorRC = SIM_RC_OK;

   //------------------------------------
   // Load up the resouce DLL for logon
   //------------------------------------
   if ( puserdata->hmodResources == (HMODULE) 0 )
   {
      ulRC = (ULONG) DosLoadModule( NULL, 0, "FRNOLGAR", &hmodLogonResources );
      if ( ulRC == NO_ERROR )
      {
         ulRC = SIM_RC_OK;
      }
   }
   else
      hmodLogonResources = puserdata->hmodResources;

   if ( ulRC == SIM_RC_OK )
   {
      //-------------------------------------------------------
      // Save main switch handle and handle to main cnr frame
      //-------------------------------------------------------
      hwndFrame = WinQueryWindow( puserdata->hwnd, QW_PARENT );
      hswMain   = WinQuerySwitchHandle( hwndFrame, 0 );
      puserdata->hSession = (HSESSION) 0;

      //----------------------------
      // Bring up Logon dialog box
      //----------------------------
      ulRC = (ULONG) WinDlgBox( HWND_DESKTOP,         // owner
                                puserdata->hwnd,      // parent
                                (PFNWP)LogonDlgProc,  // dialog proc
                                hmodLogonResources,   // loc. of resources
                                IDD_LOGON_DLG,        // dialog template
                                (PVOID)puserdata );   // our data

      // display the wait pointer
      WinSetPointer( HWND_DESKTOP,
                     WinQuerySysPointer( HWND_DESKTOP, SPTR_WAIT, FALSE ) );

      if ( ( sResult == SIM_RC_OK ) && ( puserdata->hSession != (HSESSION) 0 ) )
      {
         ulRC = SIM_RC_OK;
         //--------------------------------------------------------
         // Okay, logon is complete...
         // Query to see if the user wants to initialize IS/2
         //--------------------------------------------------------
         if ( puserdata->fInitImageServices )
         {
            HMODULE hmodIWPM;
            PFN     pfnIWPM;
            //-------------------------------------------------------
            // Go ahead and start her up...
            //--------------------------------------------------------
            // Change Task List Title/Entry to reference back to the
            // main Frame window since we already changed it to
            // reference the Logon panel in LogonDlgProc()
            //--------------------------------------------------------
            if ( hswMain != (HSWITCH) NULL )
            {
              WinQuerySwitchEntry(hswMain, &swControl);
              swControl.hwnd = hwndFrame;
              WinChangeSwitchEntry(hswMain, &swControl);
            }

            //---------------------------------------------------------
            // Load up the FIWSENV dll dynamically
            //---------------------------------------------------------
            ulRC = (ULONG) DosLoadModule( NULL,
                                          0,
                                          LG_IS2_INIT_DLL_NAME,
                                          &hmodIWPM );

            if ( ulRC != NO_ERROR )
            {
               puserdata->ulMinorRC = SIM_RC_DLL_NOTFOUND;
               ulRC = LG_SIMOPSINIT_ERROR;
            }
            else
            {
               //---------------------------------------------------------
               // Locate SimOpsInitEnv within FIWSENV.DLL
               //---------------------------------------------------------
               ulRC = (ULONG) DosQueryProcAddr( hmodIWPM,
                                                0L,
                                                LG_IS2_INIT_FUN_NAME,
                                                &pfnIWPM );

               if ( ulRC != NO_ERROR )
               {
                  puserdata->ulMinorRC = SIM_RC_PGM_NOTFOUND;
                  ulRC = LG_SIMOPSINIT_ERROR;
               }
               else
               {
                  //---------------------------------------------------------
                  // Search for the driver and dir where we're installed....
                  //---------------------------------------------------------
                  pszBasePath = getenv("FRNROOT");
                  strcpy(szWorkPath, pszBasePath);
                  strcat(szWorkPath, "\\WORK");
                  strcpy(szDllPath, pszBasePath);
                  strcat(szDllPath, "\\DAPEXITS");

                  //---------------------------------------------
                  // Initialize the IS/2 Environment
                  //---------------------------------------------
                  RC.ulStruct = sizeof(RCSTRUCT);
                  ulRC = pfnIWPM( NULL,           // description
                                  FALSE,          // IS/2 is not running unattended
                                  szWorkPath,     // use current directory as the
                                                  // working directory
                                  szDllPath,      // use current directory as the
                                                  // directory to search for the
                                                  // user exit DLLs
                                  "FRNOFI",       // name of the OIM DLL
                                  "FRNOFO",       // name of the OM DLL
                                  "FRNODAMS.HLP", // help file name
                                  &RC );

                  if ( ulRC != SIM_RC_OK )
                  {
                     puserdata->ulMinorRC = ulRC;
                     ulRC = LG_SIMOPSINIT_ERROR;
                  }
               }
            }

            if ( ulRC != SIM_RC_OK )
            {  //---------------------------------
               // Failed to init the IS/2 env...
               //---------------------------------
               MsgDisplayErr(puserdata->hwnd,
                             hmodLogonResources,
                             0,
                             puserdata->szProductName,
                             LG_SIMOPSINIT_ERROR,
                             MB_OK,
                             LG_SIMOPSINIT_ERROR,
                             0,
                             NULL );

               SimLibLogoff( puserdata->hSession, NULL, &RC );
            }
         } // endif Init IS/2

         if ( ( puserdata->fInitConfigServer ) && ( ulRC == SIM_RC_OK ) )
         {
            HMODULE hmodAuCnf;
            PFN     pfnAuCnf;
            //---------------------------------------------------------
            // Load up the FIWSENV dll dynamically
            //---------------------------------------------------------
            ulRC = (ULONG) DosLoadModule( NULL,
                                          0,
                                          LG_CNF_INIT_DLL_NAME,
                                          &hmodAuCnf );

            if ( ulRC != NO_ERROR )
            {
               puserdata->ulMinorRC = SIM_RC_DLL_NOTFOUND;
               ulRC = LG_AUCNFINIT_ERROR;
            }
            else
            {
               //---------------------------------------------------------
               // Locate SimOpsInitEnv within FIWSENV.DLL
               //---------------------------------------------------------
               ulRC = (ULONG) DosQueryProcAddr( hmodAuCnf,
                                                0L,
                                                LG_CNF_INIT_FUN_NAME,
                                                &pfnAuCnf );

               if ( ulRC != NO_ERROR )
               {
                  puserdata->ulMinorRC = SIM_RC_PGM_NOTFOUND;
                  ulRC = LG_AUCNFINIT_ERROR;
               }
               else
               {
                  USHORT   usMsgTemp;

                  usMsgTemp = CRITICAL_ERR;

                  //-----------------------------------------
                  // Initialize the configuration server...
                  //-----------------------------------------
                  ulRC = pfnAuCnf( puserdata->hSession,
                                   puserdata->szUserId,
                                   puserdata->hwnd,
                                   habLogon,
                                   usMsgTemp,
                                   puserdata->szLibName );

                  if ( ulRC != SIM_RC_OK )
                  {
                     puserdata->ulMinorRC = ulRC;
                     ulRC = LG_AUCNFINIT_ERROR;
                  }
               }
            }

            if ( ulRC != SIM_RC_OK )
            {  //-----------------------------------------------------------
               // Failed to init the Aucnf f(x)...notify user can't continue
               //-----------------------------------------------------------
               MsgDisplayErr(puserdata->hwnd,
                             hmodLogonResources,
                             0,
                             puserdata->szProductName,
                             LG_AUCNFINIT_ERROR,
                             MB_OK,
                             LG_AUCNFINIT_ERROR,
                             0,
                             NULL );

               puserdata->fAuCnfInit_status = FALSE;
               SimLibLogoff( puserdata->hSession, NULL, &RC );
            }

         } // end Init Config Server

      }
      //------------------------------------------------------------
      // Code to detect Ip2ListServers times out
      //------------------------------------------------------------
      else if ( sResult == LG_IP2LISTSERVERS_ERROR )
      {
         ulRC = LG_IP2LISTSERVERS_ERROR;
      }
      //------------------------------------------------------------
      // Code to detect SimLibLogon gives error
      //------------------------------------------------------------
      else if ( sResult == LG_SIMLIBLOGON_ERROR )
      {
         ulRC = LG_SIMLIBLOGON_ERROR;
      }
      //------------------------------------------------------------
      // Code to detect out of memory condition
      //------------------------------------------------------------
      else if ( sResult == SIM_RC_OUT_OF_MEMORY )
      {
         ulRC = SIM_RC_OUT_OF_MEMORY;
      }
      //------------------------------------------------------------
      // Code to detect if Cancel was slected
      //------------------------------------------------------------
      else if ( sResult == DID_CANCEL )
      {
         ulRC = SIM_RC_OK;
      }
      else
      { // error bringing up the logon dialog box
         puserdata->ulMinorRC =
              (ULONG) WinGetLastError( WinQueryAnchorBlock( puserdata->hwnd ) );
         ulRC = DA_WIN_API_ERROR;
      } // end if WinDlgBox()

      // put back the normal mouse pointer
      WinSetPointer( HWND_DESKTOP,
                     WinQuerySysPointer( HWND_DESKTOP, SPTR_ARROW, FALSE ) );

   }
   else
   { // Bad return from DosLoadModule() for logon resource DLL
      puserdata->ulMinorRC = ulRC;
      ulRC = SIM_RC_DLL_NOTFOUND;
   }

   WinDestroyHelpInstance( hwndHelpInstance );

   return( ulRC );
}  // end Ip2Logon()


/*BEGINPROLOGUE*************************************************/
/*  Function  : LogonDlgProc     Originating Date: November 93 */
/*  Module    : frnolg.c                                       */
/*                                                             */
/*  Description: Dialog procedure for the logon dialog         */
/*                                                             */
/*  Dependencies: Global Variables :                           */
/*                Static External  :                           */
/*                Includes         :                           */
/*                Product Functions:                           */
/*                                                             */
/*  Restrictions:                                              */
/*                                                             */
/*  Function type: MRESULT EXPENTRY                            */
/*                                                             */
/*  Input Parameters:                                          */
/*               HWND hwndDlg - dialog window handle           */
/*               ULONG msg    - message id                     */
/*               MPARAM mp1   - message parameter 1            */
/*               MPARAM mp2   - message parameter 2            */
/*                                                             */
/*  Output Parameters:                                         */
/*                                                             */
/*  Synopsis: MRESULT EXPENTRY LogonDlgProc()                  */
/*               HWND hwndDlg;                                 */
/*               ULONG msg;                                    */
/*               MPARAM mp1;                                   */
/*               MPARAM mp2;                                   */
/*                                                             */
/*  Return values: This dialog is returns the value sent back  */
/*     from WinDismissDlg, which is TRUE if everything went OK */
/*     and FALSE if it didn't. The actual return from the      */
/*     function is False (OL), although no one actually pays   */
/*     any attention to that.                                  */
/*                                                             */
/*  Process Flow:                                              */
/*                                                             */
/*  Notes:                                                     */
/*                                                             */
/*                                                             */
/*ENDPROLOGUE***************************************************/

MRESULT EXPENTRY LogonDlgProc(HWND hwndDlg, ULONG msg, MPARAM mp1, MPARAM mp2)
{
  RCSTRUCT               RC;            // struct from Simxxx calls
  SHORT                  sLBIndex;      // listbox item index
  SERVERINFOSTRUCT       *pServerInfo;  // returned server info.
  ULONG                  ulNumServers;  // number of servers in array
  SWCNTRL                swControl;     // Switch List data structure
  HSWITCH                hswMain;       // Handle to the main switch
  PID                    pidMain;       // Process id
  TID                    tidMain;       // Main thread id
  ULONG                  ulRc,hereRC,elseRC;          // ulRc
  ULONG                  forceofflo = 0;
  static PUSERDATASTRUCT pUserDataInfo;
  static HPOINTER        hOld;          // Last value of appl. ptr
  static HPOINTER        hPtr;          // Curr value of appl. ptr
  static HPOINTER        hCurrent;      // Curr value of appl. ptr
  static BOOL            fChangingPwd;
  static BOOL            fLoggingOn;
  static BOOL            fBypassingDlg; // On if caller passed data, and bypassing dialog box
  CHAR                   szBuffer[4];
  ULONG                  ulServerType;
  HWND                   hwndList;      // Hwnd of library listbox
  SHORT                  sLib;          // Index of desired library in listbox

  switch (msg)
  {
    case WM_INITDLG:
    {
      CHAR     szHelpTitle[ TITLESTRINGSIZE ];
      CHAR     szHelpString[ MAX_CAPTION ];
      PSZ      pszTemp;
      HELPINIT HelpData;

      fChangingPwd = FALSE;
      fLoggingOn = FALSE;
      fBypassingDlg = FALSE;

      pUserDataInfo = (PUSERDATASTRUCT) mp2;

      //----------------------------------------------------------
      // If the caller has supplied userid, password, and library,
      // then make the dialog invisible.
      //----------------------------------------------------------
      if ( (pUserDataInfo->szUserId[0]   != '\0' )  &&
           (pUserDataInfo->szPassWord[0] != '\0' )  &&
           (pUserDataInfo->szLibName[0]  != '\0' )  &&
           (strlen(pUserDataInfo->szUserId  ) <= MAXIMUM_USERID_LENGTH )  &&
           (strlen(pUserDataInfo->szPassWord) <= MAX_PASSWORD_LENGTH   )  &&
           (strlen(pUserDataInfo->szLibName ) <= SERVERNAME_LENG       )     )
      {
        fBypassingDlg = TRUE;
      }

      //----------------------------------------------------
      // Set the window text to the string passed to Ip2Logon
      //----------------------------------------------------
      if ( 0 != strlen( pUserDataInfo->szProductName ) )
      {
         WinSetWindowText( hwndDlg, pUserDataInfo->szProductName );
      }

      //-------------------------------------------------------
      // Create the help instance for the logon building block
      //-------------------------------------------------------
      habLogon = WinQueryAnchorBlock( pUserDataInfo->hwnd );

      strcpy( szHelpTitle, pUserDataInfo->szProductName );
      pszTemp = strrchr( szHelpTitle, '-' );
      if ( pszTemp != NULL )
      {
         *pszTemp = '\0';
      }

      WinLoadString( habLogon,
                     hmodLogonResources,
                     IDS_HELPTITLE,
                     MAX_CAPTION,
                     szHelpString );

      strcat( szHelpTitle, szHelpString );

      memset( &HelpData, '\0', sizeof( HelpData ) );

      //------------------------------------------
      // Initialize the HelpData data structure
      //------------------------------------------
      HelpData.cb                       = sizeof( HelpData );
      HelpData.ulReturnCode             = 0;
      HelpData.pszTutorialName          = NULL;
      HelpData.idAccelTable             = 0;
      HelpData.idActionBar              = 0;
      HelpData.pszHelpWindowTitle       = szHelpTitle;
      HelpData.hmodHelpTableModule      = hmodLogonResources;
      HelpData.fShowPanelId             = CMIC_SHOW_PANEL_ID;
      HelpData.pszHelpLibraryName       = pUserDataInfo->szHelpLibraryName;
      HelpData.phtHelpTable             = (PVOID) (0xffff0000 | ID_LOG_RESOURCE);
      HelpData.hmodAccelActionBarModule = 0;

      //------------------------------------------------------------------------
      // Create the help instance...
      //------------------------------------------------------------------------
      hwndHelpInstance = WinCreateHelpInstance( habLogon,
                                                &HelpData );

      if ( !hwndHelpInstance )
      {
        //-------------------------------------------------------------------
        // Put up an info msg saying no help is available...keep on going...
        //-------------------------------------------------------------------
        MsgDisplayMsg(hwndDlg,                         // Window handle of caller
                      hmodLogonResources,
                      0,                               // String id for caption
                      pUserDataInfo->szProductName,    // String for caption
                      DA_HELP_INIT_FAILED_INFO,        // String id for message
                      MB_INFORMATION | MB_OK,          // Message box style
                      DA_HELP_INIT_FAILED_INFO,        // Message box id - used for help
                      NULL );
      }
      // end of help stuff

      //----------------------------------------------------
      // Disable the OK pushbutton; make cancel the default
      //----------------------------------------------------
      WinEnableWindow(WinWindowFromID(hwndDlg, IDC_LOGON_OK), FALSE);
      WinEnableWindow(WinWindowFromID(hwndDlg, IDC_LOGON_CHGPASSWORD), FALSE);
      SetDefaultButton (hwndDlg, IDC_LOGON_CANCEL);

      //-----------------------------------------------------------
      // Set up pointer info so that when we are busy we can put up
      // the hourglass pointer instead of the arrow
      //-----------------------------------------------------------
      hOld     = WinQuerySysPointer( HWND_DESKTOP, SPTR_ARROW, FALSE );
      hPtr     = WinQuerySysPointer( HWND_DESKTOP, SPTR_WAIT, FALSE );
      hCurrent = hPtr;
      WinSetPointer( HWND_DESKTOP, hCurrent );

      //--------------------------------------------------------
      // Associate help with our window...
      //--------------------------------------------------------
      WinAssociateHelpInstance(hwndHelpInstance, hwndDlg);
      WinCenterWindow(HWND_DESKTOP, hwndDlg, !(fBypassingDlg) );

      //----------------------------------------------------------
      // Change Task List Title/Entry to reference back to this
      // Logon panel while it is being displayed.  SALogon() in
      // SAWMAIN module will switch it back to the main Frame
      // window later when this dialog is dismissed - KTB.
      //
      // As the frame is still not displayed we want to change
      // task list entry to this panel. If not done this way,
      // selecting the Sys Admin from task list will bring the
      // empty frame up.
      //--------------------------------------------------------
      if ( WinQueryWindowProcess(hwndFrame, &pidMain, &tidMain ) &&
          (hswMain = WinQuerySwitchHandle( hwndFrame, pidMain )) )
      {
         CHAR   chTempBuf[MAXTEXT_SIZE];   // Buf to contain dlg title

         memset(&swControl, '\0', sizeof(SWCNTRL));
         memset(&chTempBuf, '\0', MAXTEXT_SIZE);
         WinQuerySwitchEntry(hswMain, &swControl);
         WinQueryWindowText(hwndDlg, MAXTEXT_SIZE-1, (PCH) &chTempBuf);
         if (chTempBuf[0] != '\0')
           strncpy(swControl.szSwtitle, chTempBuf, MAXNAMEL);
         swControl.hwnd = hwndDlg;
         WinChangeSwitchEntry(hswMain, &swControl);
      }

      //-------------------------------------------------------
      // use Ip2ListServers API to get the servers that are
      // accessible to the system instead of the iso API calls
      //-------------------------------------------------------
      ulNumServers = 50;
      ulRc = OIM_RC_INPUTBUF_TOO_SMALL;

      pServerInfo = (PSERVERINFOSTRUCT)
                              malloc( ulNumServers * sizeof(SERVERINFOSTRUCT) );

      while ( ulRc == OIM_RC_INPUTBUF_TOO_SMALL )
      {
         ulRc = Ip2ListServers( pServerInfo,
                                ulNumServers * sizeof(SERVERINFOSTRUCT),
                                0,
                                &RC );

         if ( ulRc == OIM_RC_INPUTBUF_TOO_SMALL )
         {
            pServerInfo = (PSERVERINFOSTRUCT) RC.ulParam1;
            free( pServerInfo );
            ulNumServers = RC.ulParam2;
            pServerInfo = (PSERVERINFOSTRUCT)
                              malloc( ulNumServers * sizeof(SERVERINFOSTRUCT) );
         }
      }

      if (ulRc == SIM_RC_OK)
      {
        pServerInfo = (PSERVERINFOSTRUCT) RC.ulParam1;
        ulNumServers = RC.ulParam2;

        //---------------------------------------------------
        // initialize combo box with valid Library Servers
        //---------------------------------------------------
        sLBIndex = 0;
        while (ulNumServers-- > 0)
        {
          if ( strncmp( pServerInfo[ulNumServers].szServerType,
                        LSTYPE,
                        SERVERTYPE_LENGTH ) == 0 )
          { //------------------------------------
            // insert Library Name into list box
            //------------------------------------
            sLBIndex = (SHORT)WinSendMsg( WinWindowFromID( hwndDlg, IDC_LIBSVR_NAME),
                              LM_INSERTITEM,
                              MPFROMSHORT(LIT_SORTASCENDING),
                              MPFROMP(pServerInfo[ulNumServers].szServerName) );

            //-----------------------------------------------------------------
            // Put use a server type handle in the
            // list box to insure we return the proper library type
            //-----------------------------------------------------------------
            if ( sLBIndex >= 0 )
            {

               if ( 0 == strcmp( pServerInfo[ulNumServers].szServerType,
                                 LG_LSTYPE_LBLS_STRING ) )
               {
                  ulServerType = LG_LSTYPE_LBLS_HANDLE;
               }
               else if ( 0 == strcmp( pServerInfo[ulNumServers].szServerType,
                                      LG_LSTYPE_HBLS_STRING ) )
               {
                  ulServerType = LG_LSTYPE_HBLS_HANDLE;
               }
               else if ( 0 == strcmp( pServerInfo[ulNumServers].szServerType,
                                      LG_LSTYPE_ABLS_STRING ) )
               {
                  ulServerType = LG_LSTYPE_ABLS_HANDLE;
               }
               else
                  ulServerType = 0;

               WinSendMsg( WinWindowFromID( hwndDlg, IDC_LIBSVR_NAME),
                           LM_SETITEMHANDLE,
                           MPFROMSHORT( sLBIndex ),
                           (MPARAM) ulServerType );
            }
          }
        } // end while
        free( pServerInfo );

        //---------------------------------------------------------------------
        // The information whether a field has data or not is maintained in the
        // window word. When the field data is changed then the window word
        // is updated indicating that the data has changed.
        // Initialize the windowword indicating that data has not changed
        //---------------------------------------------------------------------
        WinSetWindowULong(WinWindowFromID(hwndDlg, IDC_LOGON_USERID),
                          QWL_USER,
                          0L);
        //--------------------------------------------------------------------
        // In the case of "logon retry" the user would have already selected
        // a library server. So if we know of a lib server, select it.
        //--------------------------------------------------------------------
        sLBIndex = (SHORT)WinSendMsg( WinWindowFromID(hwndDlg, IDC_LIBSVR_NAME),
                                      LM_SEARCHSTRING,
                                      MPFROM2SHORT(LSS_CASESENSITIVE, LIT_FIRST),
                                      MPFROMP((PSZ)pUserDataInfo->szLibName) );
        switch (sLBIndex)
        {
          case LIT_ERROR:
          case LIT_NONE:
            break;

          default:
            //------------------------
            // Select the lib server...
            //------------------------
            WinSendMsg( WinWindowFromID(hwndDlg, IDC_LIBSVR_NAME),
                        LM_SELECTITEM,
                        MPFROMSHORT(sLBIndex),
                        MPFROMSHORT(TRUE) );
            break;
        } // end switch(sLBIndex)

        //-----------------------------------------------------------
        // Set the limits for the userid and password entry controls
        //-----------------------------------------------------------
        WinSendDlgItemMsg(hwndDlg,
                          IDC_LOGON_PASSWORD,
                          EM_SETTEXTLIMIT,
                          MPFROM2SHORT(MAX_PASSWORD_LENGTH,0),
                          0);
        WinSendDlgItemMsg(hwndDlg,
                          IDC_LOGON_USERID,
                          EM_SETTEXTLIMIT,
                          MPFROM2SHORT(MAX_PASSWORD_LENGTH, 0),
                          0);
        WinSetDlgItemText(hwndDlg, IDC_LOGON_USERID, (PSZ) pUserDataInfo->szUserId);
        WinSetDlgItemText(hwndDlg, IDC_LOGON_PASSWORD, (PSZ)pUserDataInfo->szPassWord);

        //----------------------------------
        // Select the first item in the list
        //----------------------------------
        WinSendMsg( WinWindowFromID(hwndDlg, IDC_LIBSVR_NAME),
                    LM_SELECTITEM,
                    MPFROMSHORT(0),
                    MPFROMSHORT(TRUE) );
      }
      else
      { // bad return from Ip2ListServers()
        sResult = LG_IP2LISTSERVERS_ERROR;
        pUserDataInfo->ulMinorRC = ulRc;
        WinDismissDlg( hwndDlg, FALSE );
        return ( (MRESULT) LG_IP2LISTSERVERS_ERROR );
      }

      //-------------------------------------------------------------
      // Get rid of hour glass pointer...restore to previous pointer
      //-------------------------------------------------------------
      hCurrent = hOld;
      WinSetPointer( HWND_DESKTOP, hCurrent );

      //--------------------------------------------------------------------
      // If bypassing the dialog because the caller passed in the data,
      // put the userid and passwords in the input fields, select the library,
      // enable the ok button, and post ourselves an OK message.
      //--------------------------------------------------------------------
      if (fBypassingDlg)
      {
       WinSetDlgItemText( hwndDlg, IDC_LOGON_USERID,   pUserDataInfo->szUserId   );
       WinSetDlgItemText( hwndDlg, IDC_LOGON_PASSWORD, pUserDataInfo->szPassWord );

       hwndList = WinWindowFromID (hwndDlg, IDC_LIBSVR_NAME );
       sLib = (SHORT)WinSendMsg( hwndList,
                     LM_SEARCHSTRING,
                     MPFROM2SHORT((USHORT) 0, (SHORT)LIT_FIRST),
                     MPFROMP(pUserDataInfo->szLibName) );
       if (sLib < 0)
         sLib = 0;
       WinSendMsg( hwndList, LM_SELECTITEM, MPFROMSHORT(sLib), MPFROMSHORT(TRUE) );

       WinEnableWindow( WinWindowFromID( hwndDlg, IDC_LOGON_OK ), TRUE );
       WinPostMsg( hwndDlg, WM_COMMAND, MPFROMSHORT( IDC_LOGON_OK ), NULL );
       return(MRESULT)TRUE;
      }


      break;
    } // end case WM_INITDLG

    case WM_PAINT:
    {
        if (fBypassingDlg)
           WinShowWindow ( hwndDlg, FALSE );
        return( WinDefDlgProc(hwndDlg, msg, mp1, mp2) );
    }

   case WM_CHAR:
   {
      if ( fLoggingOn == TRUE )
      {
         return( (MRESULT) TRUE );
      }

      //---------------------------------------------------
      // Check to see if the user has typed the minimum
      // number of characters into the user id edit control
      // if they have then enable the logon push button
      //----------------------------------------------------
      if ( ( WinQueryDlgItemTextLength( hwndDlg, IDC_LOGON_USERID )
             >= MINIMUM_USERID_LENGTH )
        && ( WinQueryDlgItemTextLength( hwndDlg, IDC_LOGON_PASSWORD )
             >= MINIMUM_USERID_LENGTH ) )
      {
        WinEnableWindow( WinWindowFromID( hwndDlg, IDC_LOGON_OK ), TRUE );

        //----------------------------------------------------
        // This is to disable the change password pushbutton if the userid
        // is "FRNADMIN", as this user's password can not be changed
        //----------------------------------------------------
        if ( WinQueryDlgItemTextLength( hwndDlg, IDC_LOGON_USERID )
             == MAXIMUM_USERID_LENGTH )
        {
           CHAR szUserid[ MAXIMUM_USERID_LENGTH + 1 ];

           memset( szUserid, '\0', MAXIMUM_USERID_LENGTH + 1 );

           WinQueryDlgItemText( hwndDlg,
                                IDC_LOGON_USERID,
                                sizeof( szUserid ),
                                szUserid );

           if ( 0 == strcmpi( "FRNADMIN", szUserid ) )
           {
              WinEnableWindow( WinWindowFromID( hwndDlg, IDC_LOGON_CHGPASSWORD ),
                               FALSE );
           }
           else
           {
              WinEnableWindow( WinWindowFromID( hwndDlg, IDC_LOGON_CHGPASSWORD ),
                               TRUE );
           }
        }
        else
        {
           WinEnableWindow( WinWindowFromID( hwndDlg, IDC_LOGON_CHGPASSWORD ),
                            TRUE );
        }

        if ((WinQueryFocus(HWND_DESKTOP) != WinWindowFromID(hwndDlg, IDC_LOGON_CHGPASSWORD))
         && (WinQueryFocus(HWND_DESKTOP) != WinWindowFromID(hwndDlg, IDC_LOGON_CANCEL)))
        {
           SetDefaultButton (hwndDlg, IDC_LOGON_OK);
        }
      }
      //---------------------------------------------------
      // If on the other hand, they have not typed enough
      // characters into the userid or password edit controls,
      // disable the logon push button and change password push button
      //----------------------------------------------------
      else if (!((WinQueryDlgItemTextLength(hwndDlg, IDC_LOGON_USERID) >=
               MINIMUM_USERID_LENGTH) &&
              (WinQueryDlgItemTextLength(hwndDlg, IDC_LOGON_PASSWORD) >=
               MINIMUM_USERID_LENGTH)))
      {
         WinEnableWindow(WinWindowFromID(hwndDlg, IDC_LOGON_OK), FALSE);
         WinEnableWindow(WinWindowFromID(hwndDlg, IDC_LOGON_CHGPASSWORD), FALSE);
         SetDefaultButton (hwndDlg, IDC_LOGON_CANCEL);

         if ( TabPastDisabledButton(hwndDlg,
                                    SHORT2FROMMP(mp2),
                                    SHORT1FROMMP(mp1),
                                    IDC_LOGON_OK,
                                    IDC_LOGON_CANCEL,
                                    IDC_LOGON_USERID,
                                    IDC_LIBSVR_NAME) )
         {
           return ( (MRESULT)TRUE );
         }
      }

      return( WinDefDlgProc(hwndDlg, msg, mp1, mp2) );
      break;
   } // end case WM_CHAR

   case WM_CLOSE:
   { //-------------------------------------------
      // simulate user pressing the cancel button
      //-------------------------------------------
      WinPostMsg(hwndDlg, WM_COMMAND, MPFROMSHORT(IDC_LOGON_CANCEL), 0);

      break;
   } // end case WM_CLOSE

   case WM_CONTROLPOINTER:
   {
     // Set the pointer we want...
     return( (MRESULT) hCurrent );
   }

   case WM_LOGON_DONE:
   {
     PLOGONTHREADDATA pLogonThreadData;    // local to hold thread stuff...
     ULONG ulRC;

     fBypassingDlg = FALSE;
     //-------------------------------------------------
     // Enable the system menu
     //-------------------------------------------------
     {
        HWND hwndSysMenu;

        hwndSysMenu = WinWindowFromID(hwndDlg, FID_SYSMENU);
        WinSendMsg(hwndSysMenu, MM_SETITEMATTR,
                   MPFROM2SHORT(SC_SYSMENU, TRUE),
                   MPFROM2SHORT(MIA_DISABLED, FALSE));

        fLoggingOn = FALSE;
     }

     //-----------------------------------------------------------------
     // Get rid of hour glass pointer...restore to previous pointer
     //-----------------------------------------------------------------
     hCurrent = hOld;
     WinSetPointer( HWND_DESKTOP, hCurrent );

     //----------------------------
     // Get thread info out of MP2
     //----------------------------
     pLogonThreadData = PVOIDFROMMP(mp1);

     //--------------------------------------------------------------------
     // Get info out of thread data structure and into local data structure
     //--------------------------------------------------------------------
        // Return code information...
     ulRC = pLogonThreadData->RC.ulRC;
        // Userid information....
     strcpy(pUserDataInfo->szUserId, pLogonThreadData->szUserId);
        // Library Server infomation....
     strcpy(pUserDataInfo->szLibName, pLogonThreadData->szLibName);
        // Password information...
     strcpy(pUserDataInfo->szPassWord, pLogonThreadData->szPWD);
     PutPassword(pUserDataInfo->szPassWord);
        // Server type information...
     sLBIndex = (SHORT)WinSendMsg( WinWindowFromID(hwndDlg, IDC_LIBSVR_NAME),
                                   LM_QUERYSELECTION,
                                   MPFROMSHORT(LIT_FIRST),
                                   MPFROMSHORT( 0 ) );

     ulServerType = (ULONG) WinSendMsg( WinWindowFromID(hwndDlg, IDC_LIBSVR_NAME),
                                        LM_QUERYITEMHANDLE,
                                        MPFROMSHORT( sLBIndex ),
                                        MPFROMSHORT( 0 ) );

     switch ( ulServerType )
     {
        case LG_LSTYPE_LBLS_HANDLE:
           strcpy( pUserDataInfo->szLibType, LG_LSTYPE_LBLS_STRING );
           break;
        case LG_LSTYPE_HBLS_HANDLE:
           strcpy( pUserDataInfo->szLibType, LG_LSTYPE_HBLS_STRING );
           break;
        case LG_LSTYPE_ABLS_HANDLE:
           strcpy( pUserDataInfo->szLibType, LG_LSTYPE_ABLS_STRING );
           break;
        default:
           strcpy( pUserDataInfo->szLibType, "" );
           break;
     }

     switch (ulRC)
     { //--------------------------------------
       // Check for bad userid or password...
       //--------------------------------------

       case SIM_RC_USERID_INVALID:
       case SIM_RC_USERID_UNKNOWN:
       case SIM_RC_INVALID_USERID:
       case SIM_RC_INVALID_USERID_CHARS:
       case SIM_RC_PASSWORD_WRONG:
       case SIM_RC_PASSWORD_INVALID:
       case SIM_RC_INVALID_PASSWORD_CHARS:
       { //-------------------------------------------------
         // Either the userid or password field are invalid
         // Display a message to the end user, re-enable the
         // OK and Cancel pusbhbuttons, reset the password
         // in the data structure and let the user try again.
         //-------------------------------------------------
         MsgDisplayErr(hwndDlg,
                       hmodLogonResources,
                       0,
                       pUserDataInfo->szProductName,
                       LG_INVALID_USER_ID_PW,
                       MB_OK,
                       LG_INVALID_USER_ID_PW,
                       0,
                       _itoa( ulRC, szBuffer, 10 ),
                       NULL );
         //---------------------------------------
         // Enable/disable necessary buttons...
         //---------------------------------------
         WinEnableWindow(WinWindowFromID(hwndDlg, IDC_LOGON_CHGPASSWORD), FALSE);
         WinEnableWindow(WinWindowFromID(hwndDlg, IDC_LOGON_OK), FALSE);
         WinEnableWindow(WinWindowFromID(hwndDlg, IDC_LOGON_CANCEL), TRUE);
         WinEnableWindow(WinWindowFromID(hwndDlg, IDC_LOGON_HELP), TRUE);

         //------------------------------
         // Reset our password field...
         //------------------------------
         pUserDataInfo->chUserNewPsw[0] = '\0';
         WinSetDlgItemText(hwndDlg, IDC_LOGON_PASSWORD, (PSZ)pUserDataInfo->chUserNewPsw );
         SetDefaultButton(hwndDlg, IDC_LOGON_CANCEL);
         WinPostMsg( hwndDlg,
                     WM_CHAR,
                     MPFROM2SHORT( KC_VIRTUALKEY, 0 ),
                     MPFROM2SHORT( 0, VK_TAB ) );
         WinPostMsg( hwndDlg,
                     WM_CHAR,
                     MPFROM2SHORT( KC_VIRTUALKEY, 0 ),
                     MPFROM2SHORT( 0, VK_TAB ) );
         WinPostMsg( hwndDlg,
                     WM_CHAR,
                     MPFROM2SHORT( KC_VIRTUALKEY, 0 ),
                     MPFROM2SHORT( 0, VK_TAB ) );
         fChangingPwd = FALSE;
         break;
       }  // end case SIM_RC_PASSWORD_WRONG


       case SIM_RC_ALREADY_LOGGED_ON:
       if (pLogonThreadData->RC.ulExtRC == RC_ALREADY_LOGGED_ON_HERE)
         { //-------------------------------------------------
           // The user is already logged on at this workstation
           //-------------------------------------------------
           hereRC = MsgDisplayMsg(hwndDlg,
                           hmodLogonResources,
                           0,
                           pUserDataInfo->szProductName,
                           LG_ALREADY_LOGON_HERE,
                           MB_ICONEXCLAMATION | MB_OKCANCEL ,
                           LG_ALREADY_LOGON_HERE,
                           _itoa( ulRC, szBuffer, 10 ),
                           NULL );
           if (hereRC == MBID_OK)
           {
               RC.ulStruct = sizeof(RCSTRUCT);
               hereRC = SimLibLogoffPatron(pLogonThreadData->RC.ulParam1,
                                  pUserDataInfo->szUserId,
                                  pUserDataInfo->szPassWord,
                                  NULL,
                                  &RC);
               //---------------------------------------
               // Enable/disable necessary buttons...
               //---------------------------------------
               WinEnableWindow(WinWindowFromID(hwndDlg, IDC_LOGON_CHGPASSWORD), TRUE);
               WinEnableWindow(WinWindowFromID(hwndDlg, IDC_LOGON_OK), TRUE);
               WinEnableWindow(WinWindowFromID(hwndDlg, IDC_LOGON_CANCEL), TRUE);
               WinEnableWindow(WinWindowFromID(hwndDlg, IDC_LOGON_HELP), TRUE);
           } else {

               //---------------------------------------
               // Enable/disable necessary buttons...
               //---------------------------------------
               WinEnableWindow(WinWindowFromID(hwndDlg, IDC_LOGON_CHGPASSWORD), FALSE);
               WinEnableWindow(WinWindowFromID(hwndDlg, IDC_LOGON_OK), FALSE);
               WinEnableWindow(WinWindowFromID(hwndDlg, IDC_LOGON_CANCEL), TRUE);
               WinEnableWindow(WinWindowFromID(hwndDlg, IDC_LOGON_HELP), TRUE);

               //------------------------------
               // Reset our password field...
               //------------------------------
               pUserDataInfo->chUserNewPsw[0] = '\0';
               WinSetDlgItemText(hwndDlg, IDC_LOGON_PASSWORD, (PSZ)pUserDataInfo->chUserNewPsw );
               SetDefaultButton(hwndDlg, IDC_LOGON_OK);
               WinPostMsg( hwndDlg,
                          WM_CHAR,
                          MPFROM2SHORT( KC_VIRTUALKEY, 0 ),
                          MPFROM2SHORT( 0, VK_TAB ) );
               fChangingPwd = FALSE;
           }
           break;
         }  // end case SIM_RC_ALREADY_LOGGED_ON_HERE
       else
         { //-------------------------------------------------
           // The user is already logged on at another workstation
           //-------------------------------------------------
           elseRC = MsgDisplayMsg(hwndDlg,
                         hmodLogonResources,
                         0,
                         pUserDataInfo->szProductName,
                         LG_ALREADY_LOGON_ELSEWHERE,
                         MB_ICONEXCLAMATION | MB_OKCANCEL ,
                         LG_ALREADY_LOGON_ELSEWHERE,
                         _itoa( ulRC, szBuffer, 10 ),
                         NULL );
           if (elseRC == MBID_OK)
           {
               RC.ulStruct = sizeof(RCSTRUCT);
               elseRC = SimLibLogoffPatron(pLogonThreadData->RC.ulParam1,
                                  pUserDataInfo->szUserId,
                                  pUserDataInfo->szPassWord,
                                  NULL,
                                  &RC);
               //---------------------------------------
               // Enable/disable necessary buttons...
               //---------------------------------------
               WinEnableWindow(WinWindowFromID(hwndDlg, IDC_LOGON_CHGPASSWORD), TRUE);
               WinEnableWindow(WinWindowFromID(hwndDlg, IDC_LOGON_OK), TRUE);
               WinEnableWindow(WinWindowFromID(hwndDlg, IDC_LOGON_CANCEL), TRUE);
               WinEnableWindow(WinWindowFromID(hwndDlg, IDC_LOGON_HELP), TRUE);
           } else {

               //---------------------------------------
               // Enable/disable necessary buttons...
               //---------------------------------------
               WinEnableWindow(WinWindowFromID(hwndDlg, IDC_LOGON_CHGPASSWORD), FALSE);
               WinEnableWindow(WinWindowFromID(hwndDlg, IDC_LOGON_OK), FALSE);
               WinEnableWindow(WinWindowFromID(hwndDlg, IDC_LOGON_CANCEL), TRUE);
               WinEnableWindow(WinWindowFromID(hwndDlg, IDC_LOGON_HELP), TRUE);

               //------------------------------
               // Reset our password field...
               //------------------------------
               //  pUserDataInfo->chUserNewPsw[0] = '\0';
               //  WinSetDlgItemText(hwndDlg, IDC_LOGON_PASSWORD, (PSZ)pUserDataInfo->chUserNewPsw );
               SetDefaultButton(hwndDlg, IDC_LOGON_OK);
               WinPostMsg( hwndDlg,
                          WM_CHAR,
                          MPFROM2SHORT( KC_VIRTUALKEY, 0 ),
                          MPFROM2SHORT( 0, VK_TAB ) );
               fChangingPwd = FALSE;
           }
           break;
         }  // end case SIM_RC_ALREADY_LOGGED_ON_ELSEWHERE

       case SIM_RC_LIB_CLIENT_ERROR:
       { //--------------------------------------------------------
         // check secondary return code for better diagnostics....
         //--------------------------------------------------------
         if (pLogonThreadData->RC.ulExtRC == LCERR_GETRESPONSE_TIMEOUT)
         {
            MsgDisplayErr(hwndDlg,
                          hmodLogonResources,
                          0,
                          pUserDataInfo->szProductName,
                          LG_TIMEOUT_ERROR,
                          MB_OK,
                          LG_TIMEOUT_ERROR,
                          0,
                          NULL );
            //---------------------------------------
            // Enable/disable necessary buttons...
            //---------------------------------------
            WinEnableWindow(WinWindowFromID(hwndDlg, IDC_LOGON_CHGPASSWORD), FALSE);
            WinEnableWindow(WinWindowFromID(hwndDlg, IDC_LOGON_OK), FALSE);
            WinEnableWindow(WinWindowFromID(hwndDlg, IDC_LOGON_CANCEL), TRUE);
            WinEnableWindow(WinWindowFromID(hwndDlg, IDC_LOGON_HELP), TRUE);


            //------------------------------
            // Reset our password field...
            //------------------------------
            pUserDataInfo->chUserNewPsw[0] = '\0';
            WinSetDlgItemText(hwndDlg, IDC_LOGON_PASSWORD, (PSZ)pUserDataInfo->chUserNewPsw );
            SetDefaultButton(hwndDlg, IDC_LOGON_CANCEL);
            WinPostMsg( hwndDlg,
                        WM_CHAR,
                        MPFROM2SHORT( KC_VIRTUALKEY, 0 ),
                        MPFROM2SHORT( 0, VK_TAB ) );
            fChangingPwd = FALSE;
         }
         else if(pLogonThreadData->RC.ulExtRC == LCERR_ILLEGAL_UPDATE_PATRON)
         {
            MsgDisplayErr(hwndDlg,
                          hmodLogonResources,
                          0,
                          pUserDataInfo->szProductName,
                          LG_ILLEGAL_UPDATE_PATRON,
                          MB_OK,
                          LG_ILLEGAL_UPDATE_PATRON,
                          0,
                          NULL );

            WinEnableWindow(WinWindowFromID(hwndDlg, IDC_LOGON_CHGPASSWORD), FALSE);
            WinEnableWindow(WinWindowFromID(hwndDlg, IDC_LOGON_OK), FALSE);
            WinEnableWindow(WinWindowFromID(hwndDlg, IDC_LOGON_CANCEL), TRUE);
            WinEnableWindow(WinWindowFromID(hwndDlg, IDC_LOGON_HELP), TRUE);

            //------------------------------
            // Reset our password field...
            //------------------------------
            pUserDataInfo->chUserNewPsw[0] = '\0';
            WinSetDlgItemText(hwndDlg, IDC_LOGON_PASSWORD, (PSZ)pUserDataInfo->chUserNewPsw );
            SetDefaultButton(hwndDlg, IDC_LOGON_CANCEL);
            WinPostMsg( hwndDlg,
                        WM_CHAR,
                        MPFROM2SHORT( KC_VIRTUALKEY, 0 ),
                        MPFROM2SHORT( 0, VK_TAB ) );
            WinPostMsg( hwndDlg,
                        WM_CHAR,
                        MPFROM2SHORT( KC_VIRTUALKEY, 0 ),
                        MPFROM2SHORT( 0, VK_TAB ) );
            WinPostMsg( hwndDlg,
                        WM_CHAR,
                        MPFROM2SHORT( KC_VIRTUALKEY, 0 ),
                        MPFROM2SHORT( 0, VK_TAB ) );
            fChangingPwd = FALSE;
         }
         else
         {
            sResult = LG_SIMLIBLOGON_ERROR;
            pUserDataInfo->ulMinorRC = ulRC;
            WinDismissDlg(hwndDlg, FALSE);
            fChangingPwd = FALSE;
            return( (MRESULT) ulRC );
         }
         break;
       } // end case SIM_RC_LIB_CLIENT_ERROR

       case SIM_RC_ALLOWED_ATTEMPTS_EXCEEDED:
       {
         sResult = LG_SIMLIBLOGON_ERROR;
         pUserDataInfo->ulMinorRC = ulRC;
         WinDismissDlg(hwndDlg, FALSE);
         fChangingPwd = FALSE;
         return( (MRESULT) ulRC );
       } // end case SIM_RC_ALLOWED_ATTEMPTS_EXCEEDED

       case SIM_RC_MAX_LIBRARY_LOGONS_REACHED:
       {
         sResult = LG_SIMLIBLOGON_ERROR;
         pUserDataInfo->ulMinorRC = ulRC;
         WinDismissDlg(hwndDlg, FALSE);
         fChangingPwd = FALSE;
         return( (MRESULT) ulRC );
       } // end case SIM_RC_MAX_LIBRARY_LOGONS_REACHED

       case SIM_RC_PASSWORD_EXPIRED:
       { //------------------------------
         // Reset the new password field
         //------------------------------
         pUserDataInfo->chUserNewPsw[0]='\0';
         MsgDisplayMsg(hwndDlg,
                       hmodLogonResources,
                       0,
                       pUserDataInfo->szProductName,
                       LG_PASSWORD_EXPIRED,
                       MB_INFORMATION | MB_OK,
                       LG_PASSWORD_EXPIRED,
                       NULL );

          //--------------------------------------
          // Display change password dialog box...
          //--------------------------------------
          if ( WinDlgBox(HWND_DESKTOP,
                         hwndDlg,
                         QueryNewPwdDlgProc,
                         hmodLogonResources,
                         IDD_LOGON_DL_CHGPASSWORD_DLG,
                         (PVOID)pUserDataInfo) )
          {
            fChangingPwd = TRUE;
            //-----------------------------------------------
            // User gave new password...try logging on again
            // Copy new password to logon thread data structure...
            //----------------------------------------------------
            strcpy(pLogonThreadData->sznewPWD, pUserDataInfo->chUserNewPsw);

            //-----------------------------------------------------------
            // Try logging on again...emulate OK button being pressed...
            // disable control
            //-----------------------------------------------------------
            WinEnableWindow(WinWindowFromID(hwndDlg, IDC_LOGON_OK), FALSE);
            WinPostMsg(hwndDlg, WM_COMMAND, MPFROMSHORT(IDC_LOGON_OK), 0);
          }
          break;
       }  // end case SIM_RC_PASSWORD_EXPIRED

       case SIM_RC_OK:
       {
         //---------------------------------------------------------------
         // everything is happy...
         // RC.ulparam1 contains a session handle and RC.ulParam2 contains
         // a pointer to a buffer of type PUSERLOGONINFOSTRUCT
         //---------------------------------------------------------------
         pUserDataInfo->hSession = pLogonThreadData->RC.ulParam1;
         pUserDataInfo->pUserInfoStruct =
                         (PUSERLOGONINFOSTRUCT)pLogonThreadData->RC.ulParam2;
         PutPrivString((PSZ)(pUserDataInfo->pUserInfoStruct)->szPrivString);

         if ( fChangingPwd == TRUE )
         {
            strcpy(pUserDataInfo->szPassWord, pLogonThreadData->sznewPWD);
            PutPassword(pUserDataInfo->szPassWord);
            MsgDisplayMsg( hwndDlg,
                           hmodLogonResources,
                           0,
                           pUserDataInfo->szProductName,
                           LG_PWD_CHANGED_SUCCESS,
                           MB_INFORMATION | MB_OK,
                           LG_PWD_CHANGED_SUCCESS,
                           NULL );

            fChangingPwd = FALSE;
         }
         //-----------------------------------------
         // Close the dialog...everything is ok....
         //-----------------------------------------
         sResult = SIM_RC_OK;
         pUserDataInfo->ulMinorRC = SIM_RC_OK;
         WinDismissDlg(hwndDlg, TRUE);
         return( (MRESULT) SIM_RC_OK );
       } // end case SIM_RC_OK

       case SIM_RC_GRACE_PERIOD_UNDER_LIMIT :
       case SIM_RC_GRACE_PERIOD_OVER_LIMIT :
       case SIM_RC_GRACE_PERIOD_ENDED :
       case SIM_RC_WARNING_INVALID_LANGUAGE_CODE :
       {
          /* get some warning message back, will tell the user, */
          /* keep going                                         */

         pUserDataInfo->hSession = pLogonThreadData->RC.ulParam1;
         pUserDataInfo->pUserInfoStruct =
                         (PUSERLOGONINFOSTRUCT)pLogonThreadData->RC.ulParam2;
         PutPrivString((PSZ)(pUserDataInfo->pUserInfoStruct)->szPrivString);

         if ( fChangingPwd == TRUE )
         {
            strcpy(pUserDataInfo->szPassWord, pLogonThreadData->sznewPWD);
            PutPassword(pUserDataInfo->szPassWord);
            MsgDisplayMsg( hwndDlg,
                           hmodLogonResources,
                           0,
                           pUserDataInfo->szProductName,
                           LG_PWD_CHANGED_SUCCESS,
                           MB_INFORMATION | MB_OK,
                           LG_PWD_CHANGED_SUCCESS,
                           NULL );

            fChangingPwd = FALSE;
         }

         WinAlarm( HWND_DESKTOP, WA_WARNING );
         MsgDisplayErr(hwndDlg,
                       hmodLogonResources,
                       0,
                       pUserDataInfo->szProductName,
                       LG_WARNING,
                       MB_INFORMATION | MB_OK,
                       LG_WARNING,
                       0,
                       _itoa(ulRC, szBuffer, 10),
                       NULL );
         //-----------------------------------------
         // Close the dialog...
         //-----------------------------------------
         sResult = SIM_RC_OK;
         pUserDataInfo->ulMinorRC = ulRC;
         WinDismissDlg(hwndDlg, TRUE);
         return( (MRESULT) SIM_RC_OK );
       }

       case SIM_RC_DOCSS_ERROR:
       {
         // some unanticipated low level error occurred...
         // fail and tell user to go look at FFST.
         sResult = LG_SIMLIBLOGON_ERROR;
         pUserDataInfo->ulMinorRC = ulRC;

         //------------------------------------------------------
         // Cancel the dialog...they don't get to try anymore...
         //------------------------------------------------------
         WinDismissDlg(hwndDlg, FALSE);
         fChangingPwd = FALSE;
         return( (MRESULT) ulRC );
       }  // end case SIM_RC_DOCSS_ERROR

       default:
       { //--------------------------------------------------------------
         // default case for all other errors...put up a generic message
         //--------------------------------------------------------------
         sResult = LG_SIMLIBLOGON_ERROR;
         pUserDataInfo->ulMinorRC = ulRC;
         WinDismissDlg(hwndDlg, FALSE);
         fChangingPwd = FALSE;
         return( (MRESULT) ulRC );
       }
     } // end switch ulRC

     //------------------------
     // free up memory used...
     //------------------------

     free(pLogonThreadData);

     break;
   } // end WM_LOGON_DONE

   case WM_MOUSEMOVE:
   {
     // Set the pointer to whatever it should be for our application
     WinSetPointer( HWND_DESKTOP, hCurrent );
     break;
   } // end WM_MOUSEMOVE

   case WM_COMMAND:
   {
      switch (COMMANDMSG(&msg)->cmd)
      {
        case IDC_LOGON_CHGPASSWORD:
        {
           WinQueryDlgItemText(hwndDlg,
                               IDC_LOGON_USERID,
                               sizeof(pUserDataInfo->szUserId),
                               pUserDataInfo->szUserId);

           WinQueryDlgItemText(hwndDlg,
                               IDC_LOGON_PASSWORD,
                               sizeof(pUserDataInfo->szPassWord),
                               pUserDataInfo->szPassWord);

           if ( WinDlgBox(HWND_DESKTOP, hwndDlg,
                          QueryNewPwdDlgProc,
                          hmodLogonResources,
                          IDD_LOGON_DL_CHGPASSWORD_DLG,
                          (PVOID)pUserDataInfo) )
           {
             fChangingPwd = TRUE;
             //-----------------------------------------------------------
             // Try logging on again...emulate OK button being pressed...
             // disable control
             //-----------------------------------------------------------
             WinPostMsg(hwndDlg, WM_COMMAND, MPFROMSHORT(IDC_LOGON_OK), 0);
           }
           break;
        } // end case IDC_LOGON_CHGPASSWORD

        case IDC_LOGON_HELP:
        {
           hwndHelpInstance = WinQueryHelpInstance( hwndDlg );

           WinSendMsg ( hwndHelpInstance,
                        HM_DISPLAY_HELP,
                        MPFROMSHORT (IDH_LOGON),
                        MPFROMSHORT (HM_RESOURCEID) );

           return ( (MRESULT) 0 );
        }

        case IDC_LOGON_OK:
        {
          PLOGONTHREADDATA pLogonThreadData;    // to hold thread stuff...

          //---------------------------------
          // Allocate memory for thread data
          //---------------------------------
          pLogonThreadData=(PLOGONTHREADDATA)malloc(sizeof(LOGONTHREADDATA));
          if (pLogonThreadData != NULL)
          { //-----------------------------
            // Initialize the memory to 0
            //-----------------------------
            memset( pLogonThreadData, '\0', sizeof(LOGONTHREADDATA) );

            //----------------------------------------------------------
            // First, disable the Logon, Cancel and Help PBs sot that
            // request cannot come in...leave the dialog up....
            //----------------------------------------------------------
            WinEnableWindow(WinWindowFromID(hwndDlg, IDC_LOGON_OK), FALSE);
            WinEnableWindow(WinWindowFromID(hwndDlg, IDC_LOGON_CANCEL), FALSE);
            WinEnableWindow(WinWindowFromID(hwndDlg, IDC_LOGON_HELP), FALSE);
            WinEnableWindow(WinWindowFromID(hwndDlg, IDC_LOGON_CHGPASSWORD), FALSE);

            //-------------------------------------------------
            // Disable the system menu
            //-------------------------------------------------
            {
               HWND hwndSysMenu;

               hwndSysMenu = WinWindowFromID(hwndDlg, FID_SYSMENU);
               WinSendMsg( hwndSysMenu, MM_SETITEMATTR,
                           MPFROM2SHORT(SC_SYSMENU, TRUE),
                           MPFROM2SHORT(MIA_DISABLED, MIA_DISABLED));

               fLoggingOn = TRUE;
            }

            //-------------------------------------------------
            // Get the user id, password & library server name
            //-------------------------------------------------
            WinQueryDlgItemText( hwndDlg,
                                 IDC_LOGON_USERID,
                                 sizeof( pLogonThreadData->szUserId ),
                                 pLogonThreadData->szUserId );

            WinQueryDlgItemText(hwndDlg,
                                IDC_LOGON_PASSWORD,
                                sizeof(pLogonThreadData->szPWD),
                                pLogonThreadData->szPWD);

            WinQueryDlgItemText(hwndDlg,
                                IDC_LIBSVR_NAME,
                                sizeof(pLogonThreadData->szLibName),
                                pLogonThreadData->szLibName);

            //-------------------------------------------------
            // Strip trailing blanks from userid and password
            //-------------------------------------------------
            StripBlanks( pLogonThreadData->szUserId );
            StripBlanks( pLogonThreadData->szPWD );

            //-------------------------------------------------
            // Set up rest of data needed for logon thread...
            //-------------------------------------------------
            strcpy(pLogonThreadData->szApplicationName, "");
            pLogonThreadData->fSessionType = pUserDataInfo->fSessionType;
            pLogonThreadData->pszProxyID = NULL;
            pLogonThreadData->pszProxyScope = NULL;
            pLogonThreadData->pAsyncCtl = (PASYNCCTLSTRUCT)NULL;
            strcpy(pLogonThreadData->sznewPWD, pUserDataInfo->chUserNewPsw);
            pLogonThreadData->RC.ulStruct = sizeof(RCSTRUCT);
            strcpy( pUserDataInfo->szLibType, "" );

            //----------------------------------------------------------
            // Need the handle to this dialog so that we can post a msg
            // back to this window proc. fron the second thread...
            //----------------------------------------------------------
            pLogonThreadData->hwndLogonDialog = hwndDlg;

            //----------------------------------------------------
            // Request the logon via a second thread....
            // Put up hour glass to show that we are waiting...
            // Store old pointer so that we can restore it later...
            //----------------------------------------------------
            hCurrent = hPtr;
            WinSetPointer( HWND_DESKTOP, hCurrent );
            KickOffLogonThread( pLogonThreadData );
          }
          else
          { // out of memory...
            sResult = SIM_RC_OUT_OF_MEMORY;
            pUserDataInfo->ulMinorRC = SIM_RC_OUT_OF_MEMORY;
            MsgDisplayErr(hwndDlg,
                          hmodLogonResources,
                          0,
                          pUserDataInfo->szProductName,
                          DA_INSUFFICIENT_MEMORY,
                          MB_OK,
                          DA_INSUFFICIENT_MEMORY,
                          0,
                          NULL );
            return( (MRESULT) SIM_RC_OUT_OF_MEMORY );
          }
          break;
        }  // end case IDC_LOGON_OK

        case DID_CANCEL:                 // Escape key from keyboard...
        case IDC_LOGON_CANCEL:           // Cancel pushbutton on dialog...
        {
          if (!fAsyncLogonDone)
             fAsyncLogonDone = TRUE;


          //-------------------------------------------------------
          // Send back a dialog error...error handling in caller...
          //-------------------------------------------------------
          WinDismissDlg(hwndDlg, FALSE);
          sResult = DID_CANCEL;
          pUserDataInfo->ulMinorRC = DID_CANCEL;
          return( (MRESULT) DID_CANCEL );
        } // end case IDC_LOGON_CANCEL
      } // end switch (COMMANDMSG(&msg)->cmd)
      break;
    } // end case WM_COMMAND
    case HM_QUERY_KEYS_HELP:
      //--------------------------------------
      // User has asked for keys help within the help manager
      //--------------------------------------
      return ( (MRESULT) IDH_LOG_KEYSHELP_ITSELF );
    default:
      return( WinDefDlgProc(hwndDlg, msg, mp1, mp2) );
  } // end switch (msg)
  return( (MRESULT) FALSE );
} // end LogonDlgProc


/*BEGINPROLOGUE*************************************************/
/*  Function  : QueryNewPwdDlgProc Originating Date: November 93 */
/*  Module    : frnolg.c                                       */
/*                                                             */
/*  Description: This function queries from the user           */
/*               information needed to change the user's password. */
/*                                                             */
/*  Dependencies: Global Variables : SASCB                     */
/*                Static External  :                           */
/*                Includes         : See include files above   */
/*                Product Functions:                           */
/*                                                             */
/*  Restrictions:  None.                                                     */
/*                                                                           */
/*  Function type:  MRESULT.                                                 */
/*                                                                           */
/*  Input Parameters:  HWND hwnd  - Dialog handle                            */
/*                     ULONG msg  - System message id to be processed        */
/*                     MPARAM mp1 - First input parameter                    */
/*                     MPARAM mp2 - Second input parameter.                  */
/*                                                                           */
/*  Output Parameters:  None.                                                */
/*                                                                           */
/*  Synopsis:  MRESULT SAQueryNewPwdDlgProc ( HWND hwnd,                     */
/*                                            ULONG msg,                     */
/*                                            MPARAM mp1,                    */
/*                                            MPARAM mp2);                   */
/*                                                                           */
/*  Return values:      (MRESULT) TRUE                                       */
/*                      (MRESULT) FALSE                                      */
/*                      (MRESULT) (result returned from WinDefDlgProc ())    */
/*                      See Note below.                                      */
/*                                                                           */
/*  Process Flow:                                                            */
/*                                                                           */
/*      switch( on msg )                                                     */
/*         case WM_INITDLG:                                                  */
/*                If Help Instance handle exists,                            */
/*                  Associate Help Instance.                                 */
/*                Reset System Menu                                          */
/*                Position the dialog window.                                */
/*                Grey out OK pushbutton and move tab over to Cancel.        */
/*                                                                           */
/*         case WM_CONTROL                                                   */
/*              switch (SHORT1FROMMP (mp1))  -- Dialog Control (EF,RB,etc)   */
/*                 case NEWPASSWORDFIELD                                     */
/*                   call SACheckFieldForData()  to check the NEWPASSWORD    */
/*                   entry field and to grey/ungrey OK/Cancel buttons.       */
/*                   break;                                                  */
/*                 case NEWPASSWORDVERIFICATIONFIELD                         */
/*                   call SACheckFieldForData()  to check this Entryfield    */
/*                   entry field and to grey/ungrey OK/Cancel buttons.       */
/*                   break;                                                  */
/*              break;                                                       */
/*                                                                           */
/*         case WM_COMMAND:                                                  */
/*              switch (SHORT1FROMMP (mp1))  -- Dialog Push Button           */
/*                 case OK:                                                  */
/*                   retrieve                                                */
/*                     New Password from NEWPASSWORDFIELD into SASCB         */
/*                     Verification Pwd from NEWPASSWORDVERIFICATIONFIELD    */
/*                     if (new pwd does not verify)                          */
/*                        {                                                  */
/*                        Set focus back on Verification field               */
/*                        Display an error message                           */
/*                        return false;                                      */
/*                        }                                                  */
/*                     else                                                  */
/*                        {                                                  */
/*                        put the new password in the SASCB                  */
/*                        dismiss dialog indicating successful retrieval.    */
/*                        }                                                  */
/*                                                                           */
/*                 case CANCEL:                                              */
/*                   reset the new password field in SASCB.                  */
/*                   dismiss dialog indicating unsuccessful retrieval.       */
/*                   return false;                                           */
/*              break;                                                       */
/*                                                                           */
/*         case WM_CLOSE:                                                    */
/*              Post WM_COMMAND to cancel                                    */
/*              return false;                                                */
/*              break;                                                       */
/*                                                                           */
/*         default:                     // For all other messages            */
/*              Pass all input parameters to WinDefDlgProc () for it         */
/*              to handle the message as default                             */
/*              return with the result got back from WinDefDlgProc ()        */
/*                                                                           */
/*      return ((MRESULT) FALSE)        // Tell system/PM to process the     */
/*                                      // msg as default                    */
/*                                                                           */
/*  Notes:  The return value varies upon the type of message id received,    */
/*          how this Dialog Procedure processes the message and/or how       */
/*          this Dialog Procedure would like the system/PM to handle the     */
/*          message on its behalf (See OS/2 Programming Reference Vol. III   */
/*          for more information).                                           */
/*                                                                           */
/*****************************************************************************/
MRESULT _System QueryNewPwdDlgProc ( HWND hwndDlg, ULONG msg, MPARAM mp1, MPARAM mp2)
{
  MRESULT    mresult;       // return code of dlg proc
  CHAR       szChgPassword[MAX_PASSWORD_LENGTH + 1];

 static PUSERDATASTRUCT pLogondata;

  switch (msg)
  {
    case WM_INITDLG:
     {
         UCHAR   szTitleText[TITLESTRINGSIZE];
         UCHAR   *pvTable[1];
         ULONG   ulMsgLn;
         UCHAR   szRetText[TITLESTRINGSIZE];
         PUCHAR  pUserid;
         ULONG   ullvCount;

         memset(szChgPassword, (int) '\0', MAX_PASSWORD_LENGTH);
         WinCenterWindow(HWND_DESKTOP, hwndDlg, TRUE);
         pLogondata = (PUSERDATASTRUCT) mp2;
         pUserid = pLogondata->szUserId;

         //--------------------------------------------
         //  Set the Change Password Dlgbox Title Text
         //--------------------------------------------
         memset(szTitleText, '\0', TITLESTRINGSIZE);
         WinQueryWindowText(hwndDlg, TITLESTRINGSIZE-1, szTitleText);
         ullvCount = 1;
         pvTable[0] = pUserid;

         memset( szRetText, '\0', TITLESTRINGSIZE);
         DosInsertMessage(pvTable,
                          (ULONG)ullvCount,
                          szTitleText,
                          strlen(szTitleText),
                          szRetText,
                          TITLESTRINGSIZE-1,
                          &ulMsgLn);

         WinSetWindowText(hwndDlg, szRetText);

      /***********************************************************************/
      /*The information whether a field has data or not is maintained in the */
      /*window word. When the field data is changed then the window word     */
      /*is updated indicating that the data has changed.                     */
      /***********************************************************************/

      /* Initialize the windowword indicating that data has not changed */
      WinSetWindowULong( WinWindowFromID( hwndDlg, IDC_LOGON_NEWPASSWORD),
                         QWL_USER,
                         0L);


         /*
         ** Set the length limits for the password entry
         ** controls
         */
         WinSendDlgItemMsg( hwndDlg,
                            IDC_LOGON_NEWPASSWORD,
                            EM_SETTEXTLIMIT,
                            MPFROM2SHORT(MAX_PASSWORD_LENGTH,0),
                            0 );
         WinSendDlgItemMsg( hwndDlg,
                            IDC_LOGON_VRYPASSWORD,
                            EM_SETTEXTLIMIT,
                            MPFROM2SHORT(MAX_PASSWORD_LENGTH,0),
                            0 );

        // -----------------------------------------------------------------
        // Disable the save button until the newpassword and verify password
        // have been entered
        // -----------------------------------------------------------------
        WinEnableWindow(WinWindowFromID(hwndDlg, IDC_LOGON_CHG_OK), FALSE);
        SetDefaultButton (hwndDlg, IDC_LOGON_CHG_CANCEL);

        //----------------------------
        // Enable help, if possible...
        //----------------------------
        WinAssociateHelpInstance(hwndHelpInstance, hwndDlg);
        }
        return(FALSE);

      case WM_CHAR:
         /*
         ** Check to see if the user has enter the minimum
         ** number of characters into the user id edit control
         ** if they have then enable the ok push button
         */

         if ((WinQueryDlgItemTextLength(hwndDlg, IDC_LOGON_NEWPASSWORD) >=
             MINIMUM_USERID_LENGTH) &&
          (WinQueryDlgItemTextLength(hwndDlg, IDC_LOGON_VRYPASSWORD) >=
             MINIMUM_USERID_LENGTH))
           {
            WinEnableWindow(WinWindowFromID(hwndDlg, IDC_LOGON_CHG_OK), TRUE);
            SetDefaultButton (hwndDlg, IDC_LOGON_CHG_OK);
           }
         else
            {
            WinEnableWindow(WinWindowFromID(hwndDlg, IDC_LOGON_CHG_OK), FALSE);

            if (TabPastDisabledButton(hwndDlg,
                                      SHORT2FROMMP (mp2),
                                      SHORT1FROMMP (mp1),
                                      IDC_LOGON_CHG_OK,
                                      IDC_LOGON_CHG_CANCEL,
                                      IDC_LOGON_NEWPASSWORD,
                                      IDC_LOGON_VRYPASSWORD ))
               {
               return ( (MRESULT)TRUE );
               }
            }
         break;

    case WM_COMMAND:
      switch ( SHORT1FROMMP (mp1) )
      {
        case IDC_LOGON_CHG_OK:
          {
          CHAR szVfyPassword [MAX_PASSWORD_LENGTH + 1]; // Verify Pwd storage
          //--------------------
          // get New Password
          //--------------------
          WinQueryDlgItemText(hwndDlg,
                              IDC_LOGON_NEWPASSWORD,
                              (LONG)(MAX_PASSWORD_LENGTH + 1),
                              (PSZ)pLogondata->chUserNewPsw);

          if (!stricmp ((PSZ)pLogondata->chUserNewPsw,
                        (PSZ)pLogondata->szPassWord))
            {
                  MsgDisplayErr( hwndDlg,
                                 hmodLogonResources,
                                 0,
                                 pLogondata->szProductName,
                                 LG_PWD_SAME,
                                 MB_INFORMATION | MB_OK,
                                 LG_PWD_SAME,
                                 0,
                                 NULL );

                  WinSetFocus (HWND_DESKTOP, WinWindowFromID(hwndDlg,
                               IDC_LOGON_NEWPASSWORD));
                  return( (MRESULT)FALSE);
             }

          //---------------------
          // get Verify Password
          //---------------------
          WinQueryDlgItemText(hwndDlg,
                              IDC_LOGON_VRYPASSWORD,
                              (LONG)(MAX_PASSWORD_LENGTH + 1),
                              (PSZ)szVfyPassword);


          if (!stricmp ((PSZ)pLogondata->chUserNewPsw,(PSZ)szVfyPassword))
          {
            WinDismissDlg( hwndDlg, TRUE);
            return( (MRESULT)FALSE);
          }
          else
            MsgDisplayErr(hwndDlg,
                          hmodLogonResources,
                          0,
                          pLogondata->szProductName,
                          LG_PASSWORD_VALIDATION_ERR,
                          MB_OK,
                          LG_PASSWORD_VALIDATION_ERR,
                          0,
                          NULL );

            WinSetFocus (HWND_DESKTOP,
                         WinWindowFromID(hwndDlg, IDC_LOGON_VRYPASSWORD));

            return( (MRESULT)FALSE);
          }

        case DID_CANCEL:                     /* Escape key on the keyboard   */
        case IDC_LOGON_CHG_CANCEL:           /* Cancel pushbutton on the dlg */
          pLogondata->chUserNewPsw[0]='\0'; /* Reset the new password field */
          WinDismissDlg( hwndDlg, FALSE);
          return( (MRESULT)0);

        case IDC_LOGON_CHG_HELP:
        {
           hwndHelpInstance = WinQueryHelpInstance( hwndDlg );

           WinSendMsg ( hwndHelpInstance,
                        HM_DISPLAY_HELP,
                        MPFROMSHORT (IDH_LOGON_DL_CHGPASSWORD),
                        MPFROMSHORT (HM_RESOURCEID) );

           return ( (MRESULT) 0 );
        }
      }
      break;

    case HM_QUERY_KEYS_HELP:
      //--------------------------------------
      // User has asked for keys help within the help manager
      //--------------------------------------
      return ( (MRESULT) IDH_LOG_KEYSHELP_ITSELF );

    case WM_CLOSE:
      //--------------------------------------
      // Send a cancel message via WM_COMMAND
      //--------------------------------------
      WinPostMsg(hwndDlg,
                 WM_COMMAND,
                 MPFROMSHORT(DID_CANCEL),
                 (MPARAM)NULL);
      return((MRESULT)0);

    default:
      mresult = WinDefDlgProc(hwndDlg, msg, mp1, mp2);
      return(mresult);
  }

  mresult = WinDefDlgProc(hwndDlg, msg, mp1, mp2);
  return(mresult);
} // end QueryNewPwdDlgProc()


/*BEGINPROLOGUE*************************************************/
/*  Function  : LogoMsgProc      Originating Date: November 93 */
/*  Module    : frnolg.c                                       */
/*                                                             */
/*  Description: The purpose of this function is to display    */
/*               the IBM logo along with up to MAX_LOGO_TEXT   */
/*               strings of additional text.                   */
/*                                                             */
/*  Dependencies: Global Variables :                           */
/*                Static External  :                           */
/*                Includes         :                           */
/*                Product Functions:                           */
/*                                                             */
/*  Restrictions:                                              */
/*                                                             */
/*  Function type: MRESULT EXPENTRY                            */
/*                                                             */
/*  Input Parameters:                                          */
/*     hWndDlg HWND - window handle of the window using this   */
/*                    message procedure                        */
/*     message USHORT - message ID                             */
/*     mp1     MPARM - first parameter of the message          */
/*     mp2     MPARM - second parameter of the message         */
/*             NOTE: during the WM_INITDLG message this        */
/*             parameter points to an PRODINFOSTRUCT           */
/*                                                             */
/*  Output Parameters: NONE                                    */
/*                                                             */
/*  Synopsis: MRESULT EXPENTRY LogoMsgProc()                   */
/*                                                             */
/*  Return values: NONE                                        */
/*                                                             */
/*  Process Flow:                                              */
/*                                                             */
/*  Notes:                                                     */
/*                                                             */
/*     External References:  WinQueryWindowPos                 */
/*                           WinWindowFromID                   */
/*                           WinSetWindowPos                   */
/*                           CenterWindow                      */
/*                           WinShowWindow                     */
/*                           WinQueryAnchorBlock               */
/*                           WinSetPresParam                   */
/*                           WinLoadString                     */
/*                           WinSetDlgItemText                 */
/*                           WinStartTimer                     */
/*                           WinDismissDlg                     */
/*                           WinStopTimer                      */
/*                           WinDefDlgProc                     */
/*                                                             */
/*ENDPROLOGUE***************************************************/

MRESULT EXPENTRY LogoMsgProc (HWND hwnd, USHORT msg, MPARAM mp1, MPARAM mp2)
{
   PPRODINFOSTRUCT pIBMLogoData;
   HWND           hwndLogo;
   HAB            hab;
   HPS            hps;
   RECTL          rcl;
   SWP            swp1, swp2;
   USHORT         usCy, i;
   CHAR           szLogoStr[MAX_LOGO_TEXT_LEN];
   static USHORT  idTimer = 0;                 // Timer Identity

   switch (msg)
   {
      case WM_INITDLG:

         // First we need to get the IBMLogo Data from the message parameter

         pIBMLogoData = PVOIDFROMMP (mp2);

         // Calculate the distance between the top string and the max desired
         // and subtract that distance from the size of the box. Then move
         // the IBM bitmap down that same distance and center the dialog box.

         WinQueryWindowPos (
            WinWindowFromID (hwnd, usWindowArray[MAX_LOGO_TEXT - 1]),
            &swp1);

         // if the number of strings is within the valid range and greater than
         // zero, measure the distance to the top desired string, else measure
         // the distance to the top of the OK button

         if ((pIBMLogoData->usStrings > 0)
           &&(pIBMLogoData->usStrings <= MAX_LOGO_TEXT))
         {
            WinQueryWindowPos (
               WinWindowFromID (hwnd, usWindowArray[pIBMLogoData->usStrings - 1]),
               &swp2);
         }
         else
         {
            WinQueryWindowPos (
               WinWindowFromID (hwnd, IDC_ABOUT_OK),
               &swp2);
         }

         usCy = swp1.y - swp2.y;

         // get the size of the dialog box

         WinQueryWindowPos (
            hwnd,
            &swp1);

         // subtract the unneeded space

         WinSetWindowPos (
            hwnd,
            HWND_TOP,
            swp1.x,
            swp1.y,
            swp1.cx,
            swp1.cy - usCy,
            SWP_SIZE);

         // get the position of the IBM logo

         hwndLogo = WinWindowFromID (hwnd, IDC_ABOUT_BMP);

         WinQueryWindowPos (
            hwndLogo,
            &swp1);

         // move it down the same distance

         WinSetWindowPos (
            hwndLogo,
            HWND_TOP,
            swp1.x,
            swp1.y - usCy,
            swp1.cx,
            swp1.cy,
            SWP_MOVE);

         // load the bitmab for the logo now and then make this window
         // visible.

         hps = WinBeginPaint (hwndLogo, (HPS)NULL, (PRECTL)NULL);

         // Calculate size of the Bitmap rectangle

         WinQueryWindowRect (hwndLogo, &rcl);

         // Load the bitmap into memory.

         hbm = GpiLoadBitmap(hps,
                             pIBMLogoData->hmod,
                             IDC_ABOUT_BMP,
                             rcl.xRight,
                             rcl.yTop);

         WinEndPaint (hps);

         WinCenterWindow (HWND_DESKTOP, hwnd, TRUE);

         // hide all the text strings that are not to be shown

         i = pIBMLogoData->usStrings;

         while (i < MAX_LOGO_TEXT)
         {
            WinShowWindow (
               WinWindowFromID (hwnd, usWindowArray[i++]),
               FALSE);
         }

         // set the color and text for all the desired strings

         i = pIBMLogoData->usStrings;

         hab = WinQueryAnchorBlock (hwnd);

         while (i--)
         {
            WinSetPresParam (
               WinWindowFromID (hwnd, usWindowArray[i]),
               PP_FOREGROUNDCOLORINDEX,
               (LONG) sizeof (LONG),
               &pIBMLogoData->lColor);

            WinLoadString (
               hab,
               pIBMLogoData->hmod,
               pIBMLogoData->usStr[i],
               sizeof (szLogoStr),
               szLogoStr);

            WinSetDlgItemText (hwnd, usWindowArray[i], szLogoStr);
         }

         // load the trademark symbol, and reposition it next to the IBM logo

         WinLoadString (
            hab,
            pIBMLogoData->hmod,
            IDS_ABOUT_R_SIGN,
            sizeof (szLogoStr),
            szLogoStr);

         WinSetDlgItemText (hwnd, IDC_ABOUT_R_SIGN,  szLogoStr);

         WinQueryWindowPos (
            WinWindowFromID (hwnd, IDC_ABOUT_R_SIGN),
            &swp1);

         WinSetWindowPos (
            WinWindowFromID (hwnd, IDC_ABOUT_R_SIGN),
            HWND_TOP,
            swp1.x,
            swp1.y - usCy,
            swp1.cx,
            swp1.cy,
            SWP_MOVE);


         WinLoadString (
            hab,
            pIBMLogoData->hmod,
            pIBMLogoData->usTitle,
            sizeof (szLogoStr),
            szLogoStr);

         WinSetWindowText (
            WinWindowFromID (hwnd, FID_TITLEBAR),
            szLogoStr);

         // If a positive display time was specified -> start a timer
         // to signal when the dialog should be destroyed.

         if ( pIBMLogoData->sLogoDisplayTime > 0 )
         {
            WinStartTimer (
               hab,
               hwnd,
               idTimer++,
               pIBMLogoData->sLogoDisplayTime);
         }

         break;

      case WM_COMMAND:
         switch (COMMANDMSG (&msg)->cmd)
         {
           case IDC_ABOUT_OK:
           case DID_CANCEL:
             //-------------------------------------------------------
             // dismiss the dialog when the user hits "OK" or Esc and
             // delete the bitmap
             //-------------------------------------------------------
             GpiDeleteBitmap (hbm);
             WinDismissDlg(hwnd, TRUE);
             break;
         }
         break;

      case WM_TIMER:

         //---------------------------------------------------------
         // Destroy the Logo window now after the appropriate delay.
         //---------------------------------------------------------
         WinStopTimer(WinQueryAnchorBlock(hwnd),
                      hwnd,
                      SHORT1FROMMP(mp1));
         WinPostMsg( hwnd, WM_COMMAND, MPFROMSHORT(IDC_ABOUT_OK), 0L);
         break;

      case WM_CLOSE:

         WinPostMsg( hwnd, WM_COMMAND, MPFROMSHORT(IDC_ABOUT_OK), 0L);
         break;

      default:
         return (WinDefDlgProc(hwnd, msg, mp1, mp2));

   }
   return (0);
}


/*BEGINPROLOGUE*************************************************/
/*  Function  : LogoBitMapMsgProc Originating Date: November 93 */
/*  Module    : frnolg.c                                       */
/*                                                             */
/*  Description: The purpose of this function is to display    */
/*               the IBM bitmap in the window associated with  */
/*               the registered class IBMLOGOCLASS.            */
/*                                                             */
/*  Dependencies: Global Variables :                           */
/*                Static External  :                           */
/*                Includes         :                           */
/*                Product Functions:                           */
/*                                                             */
/*  Restrictions:                                              */
/*                                                             */
/*  Function type: MRESULT EXPENTRY                            */
/*                                                             */
/*  Input Parameters:                                          */
/*     hWndDlg HWND - window handle of the window using this   */
/*                    message procedure                        */
/*     message USHORT - message ID                             */
/*     mp1     MPARM - first parameter of the message          */
/*     mp2     MPARM - second parameter of the message         */
/*                                                             */
/*  Output Parameters: NONE                                    */
/*                                                             */
/*  Synopsis: MRESULT EXPENTRY LogoBitMapMsgProc()             */
/*                                                             */
/*  Return values:                                             */
/*                                                             */
/*  Process Flow:                                              */
/*                                                             */
/*  Notes:                                                     */
/*                                                             */
/*     External References:   WinBeginPaint                    */
/*                           WinFillRect                       */
/*                           WinQueryWindowRect                */
/*                           GpiLoadBitmap                     */
/*                           WinDrawBitmap                     */
/*                           WinEndPaint                       */
/*                           GpiDeleteBitmap                   */
/*                           WinDefWindowProc                  */
/*                                                             */
/*ENDPROLOGUE***************************************************/

MRESULT EXPENTRY LogoBitMapMsgProc( HWND hwnd, USHORT msg, MPARAM mp1, MPARAM mp2 )
{
   HPS       hps;        // Handle to a Presentation Space
   RECTL     rcl;
   MRESULT   MR = 0;
   POINTL    ptl;        // the point where the bitmap is drawn

   if (msg == WM_PAINT)
   {
      //  Erase the background of the window
      hps = WinBeginPaint ( hwnd, (HPS)NULL, &rcl);
      WinQueryWindowRect ( hwnd, &rcl);
      WinFillRect ( hps, (PRECTL) &rcl, CLR_WHITE);

      // Now Display the Bitmap.
      ptl.x = rcl.xLeft;
      ptl.y = rcl.yBottom;

      WinDrawBitmap ( hps, hbm, NULL, &ptl, CLR_BLUE, CLR_BACKGROUND, DBM_NORMAL);

      // Finish off
      WinEndPaint (hps);
   }
   else
   {
      // Let the default Window Procedure handle the other messages
      MR = WinDefWindowProc (hwnd, msg, mp1, mp2);
   }
   return (MR);
}


/*BEGINPROLOGUE*************************************************/
/*  Function  : DisplayLogo      Originating Date: November 93 */
/*  Module    : frnolg.c                                       */
/*                                                             */
/*  Description: This function sets parameters to the          */
/*               IBMLogoStruct and calls DisplayLogo2          */
/*                                                             */
/*  Dependencies: Global Variables :                           */
/*                Static External  :                           */
/*                Includes         :                           */
/*                Product Functions:                           */
/*                                                             */
/*  Restrictions:                                              */
/*                                                             */
/*  Function type: VOID                                        */
/*                                                             */
/*  Input Parameters:                                          */
/*    hwndOwner     HWND - window handle of parent             */
/*    fDisableTimer BOOL - a boolean flag to disable the timer */
/*                                                             */
/*                  NOTE: FALSE means check the profile and    */
/*                  display the logo according to the users    */
/*                  wishes. TRUE means display the logo and    */
/*                  wait until the user presses the button.    */
/*                                                             */
/*  Output Parameters: NONE                                    */
/*                                                             */
/*  Synopsis: VOID DisplayLogo()                               */
/*                                                             */
/*  Return values: NONE                                        */
/*                                                             */
/*  Process Flow:                                              */
/*                                                             */
/*  Notes:                                                     */
/*                                                             */
/*                                                             */
/*ENDPROLOGUE***************************************************/

VOID DisplayLogo(
   HWND hwndOwner,
   BOOL fDisableTimer )
{
   PRODINFOSTRUCT IBMLogoData;

   //--------------------------------
   // this is the logo setup code
   //--------------------------------
   DosLoadModule(NULL, 0, "FRNOLGAR", &hmodLogonResources);

   IBMLogoData.hwnd = hwndOwner;
   IBMLogoData.hmod = hmodLogonResources;

   IBMLogoData.usStrings = 12;    // or less
   IBMLogoData.usStr[0]  = IDS_ABOUT_TXT1;
   IBMLogoData.usStr[1]  = IDS_ABOUT_TXT2;
   IBMLogoData.usStr[2]  = IDS_ABOUT_TXT3;
   IBMLogoData.usStr[3]  = IDS_ABOUT_TXT4;
   IBMLogoData.usStr[4]  = IDS_ABOUT_TXT5;
   IBMLogoData.usStr[5]  = IDS_ABOUT_TXT6;
   IBMLogoData.usStr[6]  = IDS_ABOUT_TXT7;
   IBMLogoData.usStr[7]  = IDS_ABOUT_TXT8;
   IBMLogoData.usStr[8]  = IDS_ABOUT_TXT9;
   IBMLogoData.usStr[9]  = IDS_ABOUT_TXT10;
   IBMLogoData.usStr[10] = IDS_ABOUT_TXT11;
   IBMLogoData.usStr[11] = IDS_ABOUT_TXT12;

   IBMLogoData.usTitle = IDS_ABOUT_TXT;
   IBMLogoData.lColor  = CLR_BLACK;
   IBMLogoData.fDisableTimer = fDisableTimer;

   DisplayLogo2 (&IBMLogoData);
}


/*BEGINPROLOGUE*************************************************/
/*  Function  : DisplayLogo2     Originating Date: November 93 */
/*  Module    : frnolg.c                                       */
/*                                                             */
/*  Description: The purpose of this function is to display    */
/*               the IBM logo along with up to MAX_LOGO_TEXT   */
/*               strings of additional text.                   */
/*                                                             */
/*  Dependencies: Global Variables :                           */
/*                Static External  :                           */
/*                Includes         :                           */
/*                Product Functions:                           */
/*                                                             */
/*  Restrictions:                                              */
/*                                                             */
/*  Function type: VOID APIENTRY                               */
/*                                                             */
/*  Input Parameters:                                          */
/*     pIBMLogoStruct PPRODINFOSTRUCT - a pointer to the       */
/*                       structure which contains the string   */
/*                       resource ID's, the resource DLL module*/
/*                       handle, the parent window hanle, the  */
/*                       desired text color and a timer flag   */
/*                       for the display of the IBM logo.      */
/*                                                             */
/*  Output Parameters: NONE                                    */
/*                                                             */
/*  Synopsis: VOID APIENTRY DisplayLogo2()                     */
/*                                                             */
/*  Return values: NONE                                        */
/*                                                             */
/*  Process Flow:                                              */
/*                                                             */
/*  Notes:                                                     */
/*                                                             */
/*                                                             */
/*ENDPROLOGUE***************************************************/

VOID APIENTRY DisplayLogo2(PPRODINFOSTRUCT pIBMLogoData)
{
   static BOOL Registered = FALSE;   // Flag for registration of IBMLogo class

   if (pIBMLogoData->lColor == 0)
   {
      pIBMLogoData->lColor = CLR_BLACK;
   }

   // if the timer is disabled put up the box no matter what
   if (pIBMLogoData->fDisableTimer)
   {
      pIBMLogoData->sLogoDisplayTime = 0xFFFF;
   }
   else
   {
      // if we need to use a timer, get the Timer Value from OS2.INI
      pIBMLogoData->sLogoDisplayTime = PrfQueryProfileInt (
                                          HINI_USERPROFILE,
                                          "PM_ControlPanel",
                                          "LogoDisplayTime",
                                          (LONG) -1);
   }
   // if the timer is set to 0 we quit
   if (pIBMLogoData->sLogoDisplayTime != 0)
   {
      if (Registered == FALSE)
      {
         WinRegisterClass (
            WinQueryAnchorBlock (pIBMLogoData->hwnd),
            "IBMLogoClass",
            (PFNWP)LogoBitMapMsgProc,
            CS_SIZEREDRAW,
            0);

         Registered = TRUE;
      }

      //----------------------------
      // Create the IBMLogo window.
      //---------------------------
      WinDlgBox ( HWND_DESKTOP,
                  pIBMLogoData->hwnd,
                  (PFNWP)LogoMsgProc,
                  pIBMLogoData->hmod,
                  IDD_ABOUT_DLG,
                  pIBMLogoData);
   }
}


/*BEGINPROLOGUE*************************************************/
/*  Function  : MsgDisplayMsg Originating Date: January 90     */
/*  Module    : frnolg.c                                       */
/*                                                             */
/*  Description: Display Message                               */
/*                                                             */
/*  Dependencies: Global Variables :                           */
/*                Includes         : os2.h                     */
/*                                 : stdlib.h                  */
/*                                                             */
/*  Restrictions:                                              */
/*                                                             */
/*  Function type: USHORT EXPENTRY                             */
/*                                                             */
/*  Input Parameters:                                          */
/*                                                             */
/*  Output Parameters: NONE                                    */
/*                                                             */
/*  Synopsis: USHORT EXPENTRY MsgDisplayMsg()                  */
/*                                                             */
/*  Return values:                                             */
/*             MBID_NO - if cancel selected                    */
/*             MBID_YES - otherwise                            */
/*                                                             */
/*  Process Flow:                                              */
/*                                                             */
/*  Notes:                                                     */
/*                                                             */
/*                                                             */
/*ENDPROLOGUE***************************************************/

#define  MSG_BUTTON_MASK 0x000F   /* Button styles are low 4 bits */

USHORT EXPENTRY MsgDisplayMsg(
   HWND        hwndCaller,    /* i - Window handle of caller */
   HMODULE     hmod_local,
   USHORT      usTitleCd,     /* i - String id for caption */
   PSZ         pszTitle,      /* i - String for caption */
   ULONG       ulMsgCd,       /* i - String id for message */
   ULONG       ulStyle,       /* i - Message box style */
   USHORT      usMsgBoxId,    /* i - Message box id - used for help */
   ...)
{
   ULONG       ulParmCnt;           /* Number of replacement parms */
   ULONG       ulMsgOutLen;        /* Final Message length */
   PSZ         pszStringTable[10]; /* String Table for DosInsMessage*/
   CHAR        szTitle[81];        /* Message title string */
   CHAR        szMsgStr[MAX_MSG];  /* Message (%N's replaced) */
   USHORT      usRC;
   va_list     pParms;             /* Variables Parameters list */

   if ( hwndCaller == 0 )
   {
      return ( MBID_NO );
   }

   /*-------------------------------------------------------------------------*/
   /* Initialize variable error message parameter pointer.                    */
   /*-------------------------------------------------------------------------*/
   va_start( pParms, usMsgBoxId );

   /*-------------------------------------------------------------------------*/
   /* Store Variable parameters into pszStringTable. There can be no more than*/
   /* nine (9) variable parameters.                                           */
   /*-------------------------------------------------------------------------*/
   ulParmCnt = 0;
   while ( ( ulParmCnt < 9 )
        && ( ( pszStringTable[ ulParmCnt ] = va_arg( pParms, PSZ ) ) != NULL ) )
   {
      ulParmCnt++;
   }

   va_end ( pParms );

   strcpy( szTitle, pszTitle );

   /*-------------------------------------------------------------------------*/
   /* Display Error Message and return user response.                         */
   /*-------------------------------------------------------------------------*/
   if ( ulStyle & MB_ICONEXCLAMATION )
      WinAlarm( HWND_DESKTOP, WA_WARNING );

   memset (szMsgStr, '\0', MAX_MSG-1);

   DosGetMessage (pszStringTable,
                  ulParmCnt,
                  szMsgStr,
                  (ULONG) MAX_MSG,
                  ulMsgCd,
                  "FRNOUTMS.MSG",
                  &ulMsgOutLen);

   usRC = (USHORT) WinMessageBox( HWND_DESKTOP,
                                  hwndCaller,
                                  szMsgStr,
                                  szTitle,
                                  usMsgBoxId,
                                  ulStyle | MB_MOVEABLE );

   if ( ( ( ulStyle & MSG_BUTTON_MASK ) == MB_YESNO ) && ( usRC == MBID_CANCEL ) )
      if ( ( ulStyle & MB_DEFBUTTON2 ) == MB_DEFBUTTON2 )
         usRC = MBID_NO;
      else
         usRC = MBID_YES;

   return( usRC );
}


/*BEGINPROLOGUE*************************************************/
/*  Function  : MsgDisplayErr   Originating Date: January 90   */
/*  Module    : frnolg.c                                       */
/*                                                             */
/*  Description: Display Error Message                         */
/*                                                             */
/*  Dependencies: Global Variables :                           */
/*                                 :                           */
/*                Static External  :                           */
/*                Includes         : os2.h                     */
/*                                 : stdlib.h                  */
/*                Product Functions:                           */
/*                                                             */
/*  Restrictions:                                              */
/*                                                             */
/*  Function type: USHORT EXPENTRY                             */
/*                                                             */
/*  Input Parameters:                                          */
/*                                                             */
/*  Output Parameters: NONE                                    */
/*                                                             */
/*  Synopsis:  USHORT EXPENTRY MsgDisplayErr()                 */
/*                                                             */
/*  Return values: NONE                                        */
/*                                                             */
/*  Process Flow:                                              */
/*                                                             */
/*  Notes:                                                     */
/*                                                             */
/*                                                             */
/*ENDPROLOGUE***************************************************/

USHORT EXPENTRY MsgDisplayErr(
   HWND        hwndCaller,    /* i - Window handle of caller                  */
   HMODULE     hmod_local,
   USHORT      usTitleCd,     /* i - String id for caption                    */
   PSZ         pszTitle,      /* i - String for caption                       */
   USHORT      usErrCd,       /* i - String id for error message              */
   USHORT      usStyle,       /* i - Message box style                        */
   USHORT      usMsgBoxId,    /* i - Message box id - used for help           */
   HERR        hErrLog,       /* i - Error log handle to be displayed         */
   ...)
{
   USHORT      usRC;
   ULONG       ulParmCnt;           /* Number of replacement parms */
   ULONG       ulErrOutLen;        /* Final Error Message length */
   PSZ         pszStringTable[10]; /* String Table for DosInsMessage*/
   CHAR        szTitle[80];        /* Error Message title string */
   CHAR        szErrStr[MAX_MSG];  /* Error Message (%N's replaced) */
   va_list     pParms;             /* Variables Parameters list */

   /*-------------------------------------------------------------------------*/
   /* Initialize variable error message parameter pointer.                    */
   /*-------------------------------------------------------------------------*/
   va_start( pParms, hErrLog );

   /*-------------------------------------------------------------------------*/
   /* Store Variable parameters into pszStringTable. There can be no more than*/
   /* nine (9) variable parameters.                                           */
   /*-------------------------------------------------------------------------*/
   ulParmCnt = 0;
   while ( ( ulParmCnt < 9 )
        && ( ( pszStringTable[ ulParmCnt ] = va_arg( pParms, PSZ ) ) != NULL ) )
   {
      ulParmCnt++;
   }

   va_end ( pParms );

   /*-------------------------------------------------------------------------*/
   /* Load Error Message strings:                                             */
   /*-------------------------------------------------------------------------*/
   strcpy( szTitle, pszTitle );

   memset( szErrStr, '\0', MAX_MSG - 1 );

   DosGetMessage( pszStringTable,
                  ulParmCnt,
                  szErrStr,
                  (ULONG) MAX_MSG,
                  usErrCd,
                  "FRNOUTMS.MSG",
                  &ulErrOutLen );

   WinAlarm( HWND_DESKTOP, WA_ERROR );

   //--------------------------------------
   // Window may have been hidden, reenable
   //--------------------------------------
   WinShowWindow ( hwndCaller, TRUE );


   usRC = (USHORT) WinMessageBox( HWND_DESKTOP,
                                  hwndCaller,
                                  szErrStr,
                                  szTitle,
                                  usMsgBoxId,
                                  usStyle     | MB_HELP |
                                  MB_MOVEABLE | MB_ICONHAND );

   return( usRC );
}


/*BEGINPROLOGUE*************************************************/
/*  Function  : StripBlanks   Originating Date: January 90     */
/*  Module    : frnolg.c                                       */
/*                                                             */
/*  Description: Strips trailing blanks from strings.          */
/*                                                             */
/*  Dependencies: Global Variables :                           */
/*                                 :                           */
/*                Static External  :                           */
/*                Includes         : os2.h                     */
/*                                 : stdlib.h                  */
/*                Product Functions:                           */
/*                                                             */
/*  Restrictions:                                              */
/*                                                             */
/*  Function type: VOID EXPENTRY                               */
/*                                                             */
/*  Input Parameters:                                          */
/*                                                             */
/*  Output Parameters:                                         */
/*                                                             */
/*  Synopsis:  VOID EXPENTRY StripBlanks()                     */
/*                                                             */
/*  Return values:                                             */
/*                                                             */
/*  Process Flow:  Starting with the last byte, set bytes to   */
/*                 zero only if they are a space. Stop when a  */
/*                 non-blank character is encountered.         */
/*                                                             */
/*ENDPROLOGUE***************************************************/

VOID EXPENTRY StripBlanks( PSZ pszStr )
{
   SHORT  i;

   //----------------------------------
   // Set all trailing blanks to zero
   //----------------------------------
   for ( i = strlen( pszStr ) - 1 ;
         ( i >= 0 ) && ( pszStr[ i ] == ' ' ) ;
         i-- )
   {
      pszStr[ i ] = '\0';
   }
   return;
}


/*BEGINPROLOGUE*************************************************/
/*  Function  : KickOffLogonThread Originating Date: November 93 */
/*  Module    : frnolg.c                                       */
/*                                                             */
/*  Description: Starts background thread where SimLibLogon is */
/*               called                                        */
/*                                                             */
/*  Dependencies: Global Variables :                           */
/*                Static External  :                           */
/*                Includes         :                           */
/*                Product Functions:                           */
/*                                                             */
/*  Restrictions:                                              */
/*                                                             */
/*  Function type: ULONG                                       */
/*                                                             */
/*  Input Parameters:                                          */
/*                                                             */
/*  Output Parameters:                                         */
/*                                                             */
/*  Synopsis: ULONG KickOffLogonThread()                       */
/*                                                             */
/*  Return values:                                             */
/*                SIM_RC_OK - success starting thread          */
/*                ACCESS_ERROR - failure starting thread       */
/*                                                             */
/*  Process Flow:                                              */
/*                                                             */
/*  Notes:                                                     */
/*                                                             */
/*                                                             */
/*ENDPROLOGUE***************************************************/

ULONG KickOffLogonThread( PLOGONTHREADDATA pLogonThreadData )
{
  ULONG  ulRC = SIM_RC_OK;       // Good return code
  LONG   tid = 0L;               // thread id

  //----------------------------------------------
  // Start a logon request processing thread...
  //----------------------------------------------
  tid = _beginthread( (MYPFNTHREAD)Logon_RequestThreadProc,
                       (PVOID)NULL,
                       LG_STACKSIZE,
                       pLogonThreadData);
  if (tid == -1)
  {
    //----------------------------
    // Error starting the thread
    //----------------------------
    ulRC = DA_START_THREAD_FAILURE;
  }
  //---------------
  // Return status
  //---------------
  return( ulRC );
} // end KickOffLogonThread


/*BEGINPROLOGUE*************************************************/
/*  Function  : Logon_RequestThreadProc Originating Date: November 93 */
/*  Module    : frnolg.c                                       */
/*                                                             */
/*  Description:                                               */
/*                                                             */
/*  Dependencies: Global Variables :                           */
/*                Static External  :                           */
/*                Includes         :                           */
/*                Product Functions:                           */
/*                                                             */
/*  Restrictions:                                              */
/*                                                             */
/*  Function type: VOID                                        */
/*                                                             */
/*  Input Parameters:                                          */
/*                                                             */
/*  Output Parameters: NONE                                    */
/*                                                             */
/*  Synopsis: VOID Logon_RequestThreadProc()                   */
/*                                                             */
/*  Return values: NONE                                        */
/*                                                             */
/*  Process Flow:                                              */
/*                                                             */
/*  Notes:                                                     */
/*                                                             */
/*                                                             */
/*ENDPROLOGUE***************************************************/

VOID Logon_RequestThreadProc(PLOGONTHREADDATA pLogonThreadData)
{
  PSZ  psztemp;

  if (!strcmp(pLogonThreadData->sznewPWD,""))
     psztemp = NULL;
  else
      psztemp = pLogonThreadData->sznewPWD;

  //-------------------------------------------------------------
  // Request the logon....
  // No need to check return codes since that is passed and and
  // checked by the calling function
  //-------------------------------------------------------------
  SimLibLogon(pLogonThreadData->szLibName,
              pLogonThreadData->szApplicationName,
              pLogonThreadData->szUserId,
              pLogonThreadData->szPWD,
              psztemp,
              pLogonThreadData->pszProxyID,
              pLogonThreadData->pszProxyScope,
              pLogonThreadData->fSessionType,
              pLogonThreadData->pAsyncCtl,
              &(pLogonThreadData->RC));

  //----------------------------------------------------------------------
  // Signal that the logon has completed...
  // Post message to logon dialog proc...gotta post it since we don't have
  // a message queue in thread number two.
  //----------------------------------------------------------------------
  WinPostMsg(pLogonThreadData->hwndLogonDialog,
             WM_LOGON_DONE,
             MPFROMP(pLogonThreadData),
             NULL);

  return;
} // end LogonRequestThreadProc()


/*BEGINPROLOGUE*************************************************/
/*  Function  : WinCenterWindow  Originating Date: November 93 */
/*  Module    : frnolg.c                                       */
/*                                                             */
/*  Description:                                               */
/*                                                             */
/*  Dependencies: Global Variables :                           */
/*                Static External  :                           */
/*                Includes         :                           */
/*                Product Functions:                           */
/*                                                             */
/*  Restrictions:                                              */
/*                                                             */
/*  Function type: VOID EXPENTRY                               */
/*                                                             */
/*  Input Parameters:                                          */
/*                                                             */
/*  Output Parameters: NONE                                    */
/*                                                             */
/*  Synopsis: VOID EXPENTRY WinCenterWindow()                  */
/*                                                             */
/*  Return values: NONE                                        */
/*                                                             */
/*  Process Flow:                                              */
/*                                                             */
/*  Notes:                                                     */
/*                                                             */
/*                                                             */
/*ENDPROLOGUE***************************************************/
VOID EXPENTRY WinCenterWindow(
   HWND hwndParent,
   HWND hwndChild,
   BOOL fShow
   )
{
   SWP   swpParent, swpChild;

   /*
   ** Get the current size of each window
   */
   WinQueryWindowPos(hwndParent, &swpParent);
   WinQueryWindowPos(hwndChild,  &swpChild);

   /*
   ** Center the child within the parent
   */
   WinSetWindowPos(
      hwndChild,
      swpChild.hwndInsertBehind,
      max((swpParent.cx - swpChild.cx) / 2, 0),
      max((swpParent.cy - swpChild.cy) / 2, 0),
      swpChild.cx,
      swpChild.cy,
      SWP_MOVE | SWP_NOREDRAW  | SWP_SIZE
      );

   /*
   ** Display the child according to the fShow flag
   */
   WinShowWindow(hwndChild, fShow);

   return;
}


/*BEGINPROLOGUE*************************************************/
/*  Function  : SetDefaultButton Originating Date: November 93 */
/*  Module    : frnolg.c                                       */
/*                                                             */
/*  Description: This is a little routine that determines the  */
/*               default pushbutton and assigns it.            */
/*                                                             */
/*  Dependencies: Global Variables :                           */
/*                Static External  :                           */
/*                Includes         :                           */
/*                Product Functions:                           */
/*                                                             */
/*  Restrictions:                                              */
/*                                                             */
/*  Function type: VOID EXPENTRY                               */
/*                                                             */
/*  Input Parameters:                                          */
/*                                                             */
/*  Output Parameters: NONE                                    */
/*                                                             */
/*  Synopsis: VOID EXPENTRY SetDefaultButton()                 */
/*                                                             */
/*  Return values: NONE                                        */
/*                                                             */
/*  Process Flow:                                              */
/*                                                             */
/*  Notes:                                                     */
/*                                                             */
/*                                                             */
/*ENDPROLOGUE***************************************************/

VOID EXPENTRY SetDefaultButton(HWND hwndDlgBox, ULONG ulButtonID)
{
  CHAR  szWinClass[WINCLASSLENGTH];
  LONG  lWinClass;
  HENUM henum;
  HWND  hwndNext;
  SHORT sResults;
  HWND  hwndButton;

  //------------------------------------------------------------
  // Enumerate dlg box controls; find default PB.
  // If same as button id - do nothing.
  // If different, tell button that has default to let it go
  // and assign default to specified button.
  //------------------------------------------------------------
  hwndButton = WinWindowFromID(hwndDlgBox, ulButtonID);
  henum = WinBeginEnumWindows(hwndDlgBox);

  while ((hwndNext = WinGetNextWindow (henum)) != 0)
  { //-------------------------
    // query for current class
    //-------------------------
    WinQueryClassName(hwndNext, WINCLASSLENGTH, szWinClass);

    //------------------------------
    // convert class value to long
    //------------------------------
    lWinClass = atol(&szWinClass[1]);

    if (lWinClass == ISBUTTON)
    {
      sResults = (SHORT)WinSendMsg(hwndNext, WM_QUERYDLGCODE, 0L, 0L);

      if ( (sResults & DLGC_DEFAULT) == DLGC_DEFAULT )
      {
         if (hwndButton == hwndNext)
         { // This button already has the default, so do nothing
            break;
         }
         else
         { // Take default away from hwndNext
           WinSendMsg(hwndNext, BM_SETDEFAULT, MPFROMSHORT((USHORT) FALSE), 0L);
           break;
         }
      }  // end if default
    } // end if button
  } // end while

  WinEndEnumWindows(henum);

  //----------------------------
  // give button the default...
  //----------------------------
  WinSendMsg(hwndButton, BM_SETDEFAULT, MPFROMSHORT( (USHORT)TRUE ), 0L);
  return;
}


/*BEGINPROLOGUE*************************************************/
/*  Function  : TabPastDisabledButton Originating Date: November 93 */
/*  Module    : frnolg.c                                       */
/*                                                             */
/*  Description: Function to force tab to jump over disabled   */
/*               pushbuttons on the logon dialog               */
/*                                                             */
/*  Dependencies: Global Variables :                           */
/*                Static External  :                           */
/*                Includes         :                           */
/*                Product Functions:                           */
/*                                                             */
/*  Restrictions:                                              */
/*                                                             */
/*  Function type: BOOL EXPENTRY                               */
/*                                                             */
/*  Input Parameters:                                          */
/*                                                             */
/*  Output Parameters:                                         */
/*                                                             */
/*  Synopsis: BOOL EXPENTRY TabPastDisabledButton()            */
/*                                                             */
/*  Return values:                                             */
/*                TRUE -                                       */
/*                FALSE -                                      */
/*                                                             */
/*  Process Flow:                                              */
/*                                                             */
/*  Notes:                                                     */
/*                                                             */
/*                                                             */
/*ENDPROLOGUE***************************************************/

BOOL EXPENTRY TabPastDisabledButton ( HWND hwndDlgBox, USHORT vkey,
              USHORT fs, ULONG  ulFirstButtonID, ULONG  ulSecondButtonID,
              ULONG  ulFirstControlID, ULONG  ulLastControlID )
{
  BOOL  fEnabled;
  HWND  hwndFocus;
  HWND  hwndControl;
  CHAR  szWinClass[WINCLASSLENGTH];
  LONG  lWinClass;
  HENUM henum;

  if (((vkey == VK_TAB) || (vkey == VK_BACKTAB)) && (!(fs & KC_KEYUP)))
  { // Okay, this was a tab or backtab ... Get state of first button
    fEnabled = WinIsWindowEnabled(WinWindowFromID(hwndDlgBox, ulFirstButtonID));

    if (fEnabled == TRUE)
    { //-----------------------------------------------------------
      // If the first button is enabled, then tabbing can function
      // normally, so there is nothing for us to do.  Just return.
      //-----------------------------------------------------------
      return(FALSE);
    }
    //--------------------------------------------------------------
    // First button is disabled... Figure out who has the focus &
    // determine if tab or backtab was requested.
    //--------------------------------------------------------------
    hwndFocus = WinQueryFocus(HWND_DESKTOP);

    if ((vkey == VK_TAB) && (!(fs & KC_KEYUP)))
    { //------------------------------------------------------------
      // Tab request.  If focus is on Last Control before buttons
      // then skip first button and tab to second button.
      // Otherwise, don't worry about it.
      //------------------------------------------------------------
      hwndControl = WinWindowFromID(hwndDlgBox, ulLastControlID);

      //----------------------------------------------------------------------
      // Query for current class.  If combo box, we need to enumerate windows
      //----------------------------------------------------------------------
      WinQueryClassName(hwndControl, WINCLASSLENGTH, szWinClass);
      lWinClass = atol(&szWinClass[1]);

      if (lWinClass == ISCOMBOBOX)
      {  // control is for combo box
        henum = WinBeginEnumWindows(hwndControl);
        while ((hwndControl = WinGetNextWindow (henum)) != 0)
        {
          if (hwndFocus == hwndControl)
          {
            WinSetFocus(HWND_DESKTOP, WinWindowFromID(hwndDlgBox,
                                                      ulSecondButtonID));
            SetDefaultButton(hwndDlgBox, ulSecondButtonID);
            WinEndEnumWindows(henum);
            return (TRUE);
          }
        } // end while
        WinEndEnumWindows(henum);
      }
      else
      { // normal control
        if (hwndFocus == hwndControl)
        {
          WinSetFocus(HWND_DESKTOP, WinWindowFromID(hwndDlgBox,
                                                    ulSecondButtonID));
          SetDefaultButton(hwndDlgBox, ulSecondButtonID);
          return(TRUE);
        }
      }
    }  // end tab

    if ((vkey == VK_BACKTAB) && (!(fs & KC_KEYUP)))
    { //-----------------------------------------------------------------
      // BackTab request.  If focus is on First Control before buttons,
      // then skip first button and tab to second button.
      // Otherwise, don't worry about it.
      //-----------------------------------------------------------------
      hwndControl = WinWindowFromID(hwndDlgBox, ulFirstControlID);

      //---------------------------------------------------------------------
      // Query for current class.  If combo box, we need to enumerate windows
      //---------------------------------------------------------------------
      WinQueryClassName(hwndControl, WINCLASSLENGTH, szWinClass);
      lWinClass = atol(&szWinClass[1]);

      if (lWinClass == ISCOMBOBOX)
      { // control is for combo box
        henum = WinBeginEnumWindows(hwndControl);
        while ((hwndControl = WinGetNextWindow (henum)) != 0)
        {
          if (hwndFocus == hwndControl)
          {
            WinSetFocus(HWND_DESKTOP, WinWindowFromID(hwndDlgBox,
                                                      ulSecondButtonID));
            SetDefaultButton(hwndDlgBox, ulSecondButtonID);
            return(TRUE);
          }
        } // end while
        WinEndEnumWindows(henum);
      }
      else
      { // normal control
        if (hwndFocus == hwndControl)
        {
          WinSetFocus(HWND_DESKTOP, WinWindowFromID(hwndDlgBox,
                                                    ulSecondButtonID));
          SetDefaultButton(hwndDlgBox, ulSecondButtonID);
          return(TRUE);
        }
      }
    }  // end backtab
  }  // end if tab - back tab
  return(FALSE);
} // end TabPastDisabledButton()


/*BEGINPROLOGUE*************************************************/
/*  Function  : PutPassword       Originating Date: October 93 */
/*  Module    : auocfg.c                                       */
/*                                                             */
/*  Description:  Puts a password in a global area for later   */
/*   retrieval via GetPassword.                                */
/*                                                             */
/*  Dependencies: Global Variables :                           */
/*                Static External  :                           */
/*                Includes         :                           */
/*                Product Functions:                           */
/*                                                             */
/*  Restrictions:                                              */
/*                                                             */
/*  Function type: BOOL CALLBACK                               */
/*                                                             */
/*  Input Parameters:                                          */
/*                                                             */
/*  Output Parameters:                                         */
/*                                                             */
/*  Synopsis:  BOOL CALLBACK PutPassword( )                    */
/*                PSZ pszPassword;                             */
/*                                                             */
/*  Return values:                                             */
/*                                                             */
/*  Process Flow:                                              */
/*                                                             */
/*  Notes:                                                     */
/*                                                             */
/*                                                             */
/*ENDPROLOGUE***************************************************/

BOOL PutPassword( PSZ pszPassword )
{
   /*-------------------------------------------------------------------------*/
   /* Insure the password is not too short and not too long                   */
   /*-------------------------------------------------------------------------*/
   if ( ( strlen( pszPassword ) == 0 )
     || ( strlen( pszPassword ) > 8 ) )
   {
      return( FALSE );
   }
   else
   {
      /*----------------------------------------------------------------------*/
      /* Copy the password into the global area                               */
      /*----------------------------------------------------------------------*/
      strcpy( gszPassword, pszPassword );
      return( TRUE );
   }
}


/*BEGINPROLOGUE*************************************************/
/*  Function  : GetPassword       Originating Date: October 93 */
/*  Module    : auocfg.c                                       */
/*                                                             */
/*  Description:  Gets a password from a global area that was  */
/*   stored via PutPassword.                                   */
/*                                                             */
/*  Dependencies: Global Variables :                           */
/*                Static External  :                           */
/*                Includes         :                           */
/*                Product Functions:                           */
/*                                                             */
/*  Restrictions:                                              */
/*                                                             */
/*  Function type: BOOL CALLBACK                               */
/*                                                             */
/*  Input Parameters:                                          */
/*                                                             */
/*  Output Parameters:                                         */
/*                                                             */
/*  Synopsis:  BOOL CALLBACK GetPassword( )                    */
/*                PSZ pszPassword;                             */
/*                                                             */
/*  Return values:                                             */
/*                                                             */
/*  Process Flow:                                              */
/*                                                             */
/*  Notes:                                                     */
/*                                                             */
/*                                                             */
/*ENDPROLOGUE***************************************************/

BOOL EXPENTRY GetPassword( PSZ pszPassword )
{
   /*-------------------------------------------------------------------------*/
   /* Insure the pointer to accept the password is not null                   */
   /*-------------------------------------------------------------------------*/
   if ( pszPassword == NULL )
   {
      return( FALSE );
   }
   else
   {
      /*----------------------------------------------------------------------*/
      /* Copy the password from the global area                               */
      /*----------------------------------------------------------------------*/
      strcpy( pszPassword, gszPassword );
      return( TRUE );
   }
}


/*BEGINPROLOGUE*************************************************/
/*  Function  : PutPrivString     Originating Date: May 94     */
/*  Module    : auocfg.c                                       */
/*                                                             */
/*  Description:  Stores aprivelege string in a global area    */
/*   to be retrieved by  GetPrivString                         */
/*                                                             */
/*  Dependencies: Global Variables :                           */
/*                Static External  :                           */
/*                Includes         :                           */
/*                Product Functions:                           */
/*                                                             */
/*  Restrictions:                                              */
/*                                                             */
/*  Function type: BOOL CALLBACK                               */
/*                                                             */
/*  Input Parameters:                                          */
/*                                                             */
/*  Output Parameters:                                         */
/*                                                             */
/*  Synopsis:  BOOL CALLBACK PutPrivString(                    */
/*                PSZ pszPrivString;                           */
/*                                                             */
/*  Return values:                                             */
/*                                                             */
/*  Process Flow:                                              */
/*                                                             */
/*  Notes:                                                     */
/*                                                             */
/*                                                             */
/*ENDPROLOGUE***************************************************/

BOOL PutPrivString( PSZ pszPriv     )
{
   /*-------------------------------------------------------------------------*/
   /* Insure the privelege string is not too short and not too long           */
   /*-------------------------------------------------------------------------*/
   if ( ( strlen( pszPriv ) == 0 )
     || ( strlen( pszPriv ) > SIM_PRIVSTRING_LENGTH ) )
   {
      return( FALSE );
   }
   else
   {
      /*----------------------------------------------------------------------*/
      /* Copy the privelege string into the global area                       */
      /*----------------------------------------------------------------------*/
      strcpy( gszPrivString, pszPriv );
      return( TRUE );
   }
}


/*BEGINPROLOGUE*************************************************/
/*  Function  : GetPrivString     Originating Date: May 94     */
/*  Module    : auocfg.c                                       */
/*                                                             */
/*  Description:  Gets a privelege string from a global area   */
/*   that was stored via PutPrivString                         */
/*                                                             */
/*  Dependencies: Global Variables :                           */
/*                Static External  :                           */
/*                Includes         :                           */
/*                Product Functions:                           */
/*                                                             */
/*  Restrictions:                                              */
/*                                                             */
/*  Function type: BOOL CALLBACK                               */
/*                                                             */
/*  Input Parameters:                                          */
/*                                                             */
/*  Output Parameters:                                         */
/*                                                             */
/*  Synopsis:  BOOL CALLBACK GetPrivString(                    */
/*                PSZ pszPrivString;                           */
/*                                                             */
/*  Return values:                                             */
/*                                                             */
/*  Process Flow:                                              */
/*                                                             */
/*  Notes:                                                     */
/*                                                             */
/*                                                             */
/*ENDPROLOGUE***************************************************/

BOOL EXPENTRY GetPrivString( PSZ pszPriv     )
{
   /*-------------------------------------------------------------------------*/
   /* Insure the pointer to accept the privelege string is not null           */
   /*-------------------------------------------------------------------------*/
   if ( pszPriv == NULL )
   {
      return( FALSE );
   }
   else
   {
      /*----------------------------------------------------------------------*/
      /* Copy the privelege string from the global area                       */
      /*----------------------------------------------------------------------*/
      strcpy( pszPriv    , gszPrivString);
      return( TRUE );
   }
}

