/*****************************************************************************/
/*                                                                           */
/*      5621-326, 5697-250 (C) Copyright IBM Corp. 1993, 1996.               */
/*      All Rights Reserved.                                                 */
/*                                                                           */
/*      US Government Users Restricted Rights                                */
/*      - Use, duplication or disclosure                                     */
/*      restricted by GSA ADP Schedule Con-                                  */
/*      tract with IBM Corp.                                                 */
/*                                                                           */
/* DERIVATIVE RIGHTS:                                                        */
/* ------------------                                                        */
/* This program is provided for the customer's use and the customer is       */
/* granted permission to copy this program to the extent reasonably          */
/* required for such use.  All title, ownership, and rights to this          */
/* program and any copies remain with IBM, irrespective of the ownership     */
/* of the media on which the program resides.  The customer is permitted     */
/* to create derivative works to this program.  However, all copies of       */
/* the program and its derivative works must contain the IBM copyright       */
/* notice.  The customer understands and agrees that this program in and     */
/* of itself is not to be sold or distributed.  The customer is free to      */
/* sell, distribute, and commercially exploit any derivative works           */
/* created from this program.                                                */
/*                                                                           */
/*                                                                           */
/* DISCLAIMER OF WARRANTIES:                                                 */
/* -------------------------                                                 */
/* The following [enclosed] code is sample code created by IBM               */
/* Corporation.  This sample code is not part of any standard IBM product    */
/* and is provided to you solely for the purpose of assisting you in the     */
/* development of your applications.  The code is provided "AS IS",          */
/* without warranty of any kind.  IBM shall not be liable for any damages    */
/* arising out of your use of the sample code, even if they have been        */
/* advised of the possibility of such damages.                               */
/*                                                                           */
/* MODULE: FRNOSAXT.C                                                        */
/*                                                                           */
/* Status: Version 1 Release 1 Modification 0                                */
/*                                                                           */
/* Description:  User exits for changing application privileges and          */
/*               sorting.                                                    */
/*                                                                           */
/*                                                                           */
/* System      : IBM PS/2                                                    */
/* OS          : OS/2 WARP                                                   */
/* Compiler    : IBM VisualAge C++ 3.0                                       */
/*                                                                           */
/* Entry Points:   Ip2ExitChangeApplPriv ()                                  */
/*                 Ip2ExitCompareStrings ()                                  */
/*                                                                           */
/* ************************************************************************* */

#define INCL_PM                         /* Include all PM header files       */
#define INCL_DOSNLS                     /* Include DosQueryCtryInfo headers  */
#include <os2.h>                        /* Main OS/2 header files            */

#include "frnp.h"                       /* Folder Manager header file        */
#include "frnosaxt.h"                   /* Prototypes for user exits         */


/* ************************************************************************* */
/* This function Ip2ExitChangeApplPriv simply returns FALSE. An application  */
/* may use application-specific privileges by calling appropriate Folder Mgr */
/* functions to reset szPrivBuffer.                                          */
/* ************************************************************************* */
ULONG  APIENTRY Ip2ExitChangeApplPriv (HSESSION       hSession,
                                       PSZ            szUserID,
                                       HWND           hwndFrame,
                                       HWND           hwndDialog,
                                       HMODULE        hHelpRes,
                                       PSZ            szPrivBuffer)
{
   /* ********************************************************************** */
   /* Set application specific privileges here.                              */
   /* ********************************************************************** */
   return ((ULONG) SIM_RC_OK);
}


/* ************************************************************************* */
/* This is the sort routine used to sort objects in containers (windows) in  */
/* Sys Admin component.  A user may write their own function to replace      */
/* this as long as the function conforms to the conventions specified.       */
/* Currently, this routine sorts objects in alphabetical (ascending) order.  */
/* ************************************************************************* */
SHORT  APIENTRY Ip2ExitCompareStrings (HAB             habMain,
                                       PSZ             szString1,
                                       PSZ             szString2)
{
   COUNTRYCODE     Country;
   COUNTRYINFO     CountryBuffer;
   SHORT           sRc;
   ULONG           ulDataLength;
   ULONG           ulCodePageID;
   ULONG           ulCountryCodeID;

   Country.country  = 0;
   Country.codepage = 0;

   /* ********************************************************************** */
   /* Query country-dependent formatting information that resides in the     */
   /* country file.                                                          */
   /* ********************************************************************** */

   DosQueryCtryInfo (sizeof (COUNTRYCODE),            /* size of the input   */
                     &Country,                        /* input structure     */
                     &CountryBuffer,                  /* output structure    */
                     &ulDataLength);                  /* size of the output  */

   ulCountryCodeID = CountryBuffer.country;
   ulCodePageID    = CountryBuffer.codepage;


   /* ********************************************************************** */
   /* Compare two null-terminated strings defined using the same code page.  */
   /* ********************************************************************** */

   sRc = (SHORT)  WinCompareStrings (habMain,         /* anchor-block handle */
                                     ulCodePageID,    /* code page           */
                                     ulCountryCodeID, /* country code        */
                                     szString1,       /* string 1            */
                                     szString2,       /* string 2            */
                                     0L);             /* Reserved            */

   return (sRc);
}
