/*BEGINPROLOGUE**************************************************************/
/*                                                                          */
/* MODULE: frnoutfx.c                   VisualInfo                          */
/*                                                                          */
/* COPYRIGHT:                                                               */
/* ----------                                                               */
/* 5697-250                                                                 */
/* Copyright (C) International Business Machines Corp., 1993, 1994.         */
/*                                                                          */
/*                                                                          */
/* DERIVATIVE RIGHTS:                                                       */
/* ------------------                                                       */
/* This program is provided for the customer's use and the customer is      */
/* granted permission to copy this program to the extent reasonably         */
/* required for such use.  All title, ownership, and rights to this         */
/* program and any copies remain with IBM, irrespective of the ownership    */
/* of the media on which the program resides.  The customer is permitted    */
/* to create derivative works to this program.  However, all copies of      */
/* the program and its derivative works must contain the IBM copyright      */
/* notice.  The customer understands and agrees that this program in and    */
/* of itself is not to be sold or distributed.  The customer is free to     */
/* sell, distribute, and commercially exploit any derivative works          */
/* created from this program.                                               */
/*                                                                          */
/*                                                                          */
/* DISCLAIMER OF WARRANTIES:                                                */
/* -------------------------                                                */
/* The following [enclosed] code is sample code created by IBM              */
/* Corporation.  This sample code is not part of any standard IBM product   */
/* and is provided to you solely for the purpose of assisting you in the    */
/* development of your applications.  The code is provided "AS IS",         */
/* without warranty of any kind.  IBM shall not be liable for any damages   */
/* arising out of your use of the sample code, even if they have been       */
/* advised of the possibility of such damages.                              */
/*                                                                          */
/*                                                                          */
/* Status: Version 1 Release 1 Modification 0                               */
/*                                                                          */
/* Description : frnoutfx.c   - Sample for the First Failure Support        */
/*               Technology user exit for defining system alerts.           */
/*               This function is passed the Message ID and other values    */
/*               that indicate what action should be taken                  */
/*                                                                          */
/*                                                                          */
/* Notes:                                                                   */
/*                                                                          */
/*ENDPROLOGUE****************************************************************/

#include <os2.h>
#include <frnoutfx.h>
#include <frnperr.h>


#define  PLACEHOLDERMSG 0


ULONG EXPENTRY Ip2UtAlertExit(ULONG ulMsgID, ULONG ulState, ULONG hFFST)
{

 switch (ulMsgID)
    {
    case LBSERR_MNT_DLL_INIT_FAILED:        /* add alert messages here */
    case LBSERR_ERROR_STARTING_THREAD:
    case LBSERR_OPEN_FILE_LIMIT_REACHED:
    case LBSERR_MOUNT_LIMIT_REACHED:
    case LBSERR_NETWORK_FAILURE:
    case LBSERR_STAGE_SPACE:
    case LBSERR_DISK_SPACE:
    case LBSERR_INSUFFICIENT_MEMORY:
    case LBSERR_INSUFFICIENT_DISK_SPACE:
    case LBSERR_INTERNAL_FAILURE:
    case LBSRCOD_INSUFFICIENT_MEMORY:
    case LBSRCOD_COMMUNICATIONS_ERROR:
    case SIM_RC_OUT_OF_MEMORY:              /* FM error codes begin   */
    case SIM_RC_GETRESPONSE_TIMEOUT:
    case SIM_RC_MAX_NUM_THREADS_EXCEEDED:
    case OIM_MUTEX_NOT_OPEN:
    case OIM_MUTEX_REQUEST_ERROR:
    case OIM_RC_ISO_CONNECT_FAILED:
    case OIM_RC_ISO_LISTSVR_FAILED:
    case OIM_ERROR_UNKNOWN_RESPONSEORDER:
    case OIM_CANNOT_MAKE_SEM:               /* FM error codes end     */
    case RC_ORDER_MEMORY_ALLOC_FAILED:      /* Lib Server codes begin */
    case RC_LLSGMEM_NO_STORAGE:
    case RC_UNK_ERROR:
    case RC_ORDER_ISO_ALLOC_ERR:
    case RC_LLSCONN_GETSTORAGE_ERROR:
    case RC_LLSCONN_MEMORYTABLE_ERROR:
    case RC_LOGOFFPATR_PROCSYM_FAILED:
    case RC_LOGOFFPATR_INSTSYM_FAILED:
    case RC_LOGOFFPATR_REMLOGON_FAILED:
    case RC_LOGOFFPATR_REMPATR_FAILED:
    case RC_LLSSTORE_OBJ_SELECT_FAIL:
    case RC_LLS_CREATE_DIST_THREAD:
    case RC_LLS_DIST_PM:
    case RC_LLS_DIST_MSG:
    case RC_LLS_DIST_REG:
    case RC_LLS_DIST_WND:
    case RC_LLS_DIST_SND:
    case RC_LLS_DIST_PRM:
    case RC_LLS_DIST_SEM:
    case RC_LLS_DIST_DBUSE:
    case RC_LLS_DIST_ISOSVR:
    case RC_LLS_DIST_ISOINITSVR:
    case RC_LLS_DIST_MEM:
    case RC_LLS_DIST_NOMEM:
    case RC_LLS_DIST_LOAD:
    case RC_LLS_DIST_CON:
    case RC_LLS_DIST_WAIT:
    case RC_LLS_DIST_RESET:
    case RC_LLS_DIST_ISO:
    case RC_LLS_DIST_JOB:
    case RC_LLS_DIST_JOBWAIT:
    case RC_LLS_DIST_DEALLOC:
    case RC_LLS_DIST_NO:
    case RC_LLS_DIST_SEMREQ:
    case RC_LLSMOVE_ISOGETNETID_FAILED:
    case RC_LLS_DIST_SHAREDMEM:
    case RC_DOS_WRITE_FAILED:
    case RC_DOS_CLOSE_FAILED:
    case RC_DOS_OPEN_SQC_FAILED:
    case RC_DOS_CREATE_QUEUE_FAILED:
    case RC_DOS_GETINFO_FAILED:
    case RC_DOS_START_SESSION_FAILED:
    case RC_DOS_SET_SESSION_FAILED:
    case RC_DOS_READ_QUEUE_FAILED:
    case RC_FREE_MEM_FAILED:
    case RC_PROCESS_FAILED:
    case RC_STARTING_PREP_FAILED:
    case RC_ERROR_LOADING_AVT_DLL:
    case RC_ERROR_QUERY_PROC_ADDR:
    case RC_CAN_NOT_ALLOCATE_SQLDA:
    case LLSERR_INSUFFICIENT_MEMORY:
    case RC_FATAL_ERROR_IN_ORDER:
    case LLSERR_INSUFFICIENT_DISK_SPACE:
    case LLSERR_ISO_SESSION_FAILURE:
    case LLSERR_INITIALIZATION_FAILURE:
    case LLSERR_PROCESSOR_PROD_FAILURE:
    case LLSERR_START_DBM_FAILURE:
    case LLSERR_PROCESSOR_CONS_FAILURE:
    case LLSERR_CREATETHREAD_ERROR:
    case LLSERR_MEMORYTABLE_ERROR:
    case LLSERR_INTERNAL_FAILURE:
    case LLSERR_SYSTEM_ERROR:
    case RC_PACK_NETFIELDS_FAILED:
    case RC_UNPACK_NETFIELDS_FAILED:
    case RC_JOBBER_NO_MEMORY:
    case RC_JOBBER_LOG_ERROR:
    case RC_JOBBER_CONNECT:
    case RC_JOBBER_INIT_CLIENT:
    case RC_JOBBER_SESSION_FAILED:
    case RC_JOBBER_SESSION_LOG:
    case RC_JOBBER_REGISTER_FAILED:
    case RC_JOBBER_INIT_CLIENT_JOB:
    case RC_JOBBER_START_DBM_FAILED:
    case RC_JOBBER_SEND_INIT:
    case RC_JOBBER_RCV_PCONTROL:
    case RC_JOBBER_BAD_CMD_CODE:
    case RC_JOBBER_DEALLOC_MSG:
    case RC_JOBBER_DEREGISTER:
    case RC_JOBBER_ANCHOR:
    case RC_JOBBER_ERROR_COUNT:
    case RC_JOBBER_ERROR_RCV_MSG:
    case RC_JOBBER_UNREC_CMD:
    case RC_ADD_QUERY_NON_MEM:
    case RC_CRE_EXPR_NO_MEM:
    case RC_CHILD_ERRORS:
    case RC_PROD_NO_MEMORY:
    case RC_PROD_DORMANT:
    case RC_PROD_PANCHOR:
    case RC_PROD_RAM:
    case RC_PROD_CLEAR:
    case RC_PROD_CHILD:
    case RC_PROD_CHILD_RCV:
    case RC_PROD_CHILD_INIT:
    case RC_PROD_CHILD_DEALLOC:
    case RC_PROD_INIT_CONTROL:
    case RC_PROD_SEND_CONTROL:
    case RC_PROD_RCV_CHILD:
    case RC_PROD_POST:
    case RC_CRPKG_INTRDR_ENQ_FAILED:
    case RC_CRPKG_TSQ_READ_FAILED:
    case RC_CRPKG_TDQ_WRITE_FAILED:
    case RC_CRPKG_TSQTOTDQ_COPY_FAILED:
    case RC_CRPKG_INTRDR_LRECL_ERROR:
    case RC_CRPKG_TEXTSUB_ERROR:
    case RC_ORDER_ISO_PACK_MSG_ERR:
    case RC_ORDER_ISO_DEALLOC_ERR:
    case RC_ORDER_ISO_SEND_ERR:
    case RC_ORDER_ISO_RECV_ERR:
    case RC_ORDER_ISO_UNPACK_MSG_ERR:
    case RC_AVT_LINK_FAILED:
    case LLSERR_MEMORY_ALLOC_ERROR:         /* Lib Server codes end   */
    case LCERR_NO_CONNECT_REPLY:            /* Lib Client codes begin */
    case LCERR_NO_SESS_BLK_STG:
    case LCERR_NO_REQ_BLK_ARRAY_STORAGE:
    case LCERR_UNABLE_OPEN_FILE:
    case LCERR_INSUFFICIENT_MEMORY:
    case LCERR_XTRACT_STORAGE_FAIL:
    case LCERR_NO_REQ_BLOCK_STG:
    case LCERR_NO_ORDER_BLOCK_STG:
    case LCERR_INVALID_REPLYORDER:
    case LCERR_CANNOT_CREATE_SEMAPHORE:
    case LCERR_SEMAPHORE_ERROR:             /* Lib Client codes end   */
    case RC_ISORECV_ERROR:                  /* Host Obj. Server begin */
    case RC_ISOSEND_ERROR:
    case RC_ISOINIT_ERROR:
    case RC_ISOINSV_ERROR:
    case RC_ISOINCL_ERROR:
    case RC_ISOENDC_ERROR:
    case RC_GETMAIN_NO_STORAGE:
    case RC_GETMAIN_MAX_EXCEEDED:
    case RC_OBJECT_SIZE_ERROR:
    case RC_ISOALM_ERROR:
    case RC_CICS_RETRIEVE_ERROR:
    case RC_CICS_START_ERROR:               /* Host Obj. Server end   */
       return(LOG_AND_ALERT);
    case PLACEHOLDERMSG:                    /* add no alert and no log here */
       return(NO_ALERT_AND_NO_LOG);
    default :
       return(LOG_AND_NO_ALERT);
    }
}


/*****************************************************************************/
/* End of frnoutfx.c                                                         */
/*****************************************************************************/
