/*BEGINPROLOGUE***************************************************************/
/*                                                                           */
/* MODULE: FRNPLCPW.C                       VisualInfo                       */
/*                                                                           */
/* 5697-250, 5621-326, 5655-036, 5622-213, 5655-071, 5655-072                */
/* (C) Copyright IBM Corp. 1993,1994. All Rights Reserved.                   */
/*         US Government Users Restricted Rights -                           */
/*         Use, duplication or disclosure restricted by GSA                  */
/*         ADP Schedule Contract with IBM Corp.                              */
/*                                                                           */
/* DERIVATIVE RIGHTS:                                                        */
/* ------------------                                                        */
/* This program is provided for the customer's use and the customer is       */
/* granted permission to copy this program to the extent reasonably          */
/* required for such use.  All title, ownership, and rights to this          */
/* program and any copies remain with IBM, irrespective of the ownership     */
/* of the media on which the program resides.  The customer is permitted     */
/* to create derivative works to this program.  However, all copies of       */
/* the program and its derivative works must contain the IBM copyright       */
/* notice.  The customer understands and agrees that this program in and     */
/* of itself is not to be sold or distributed.  The customer is free to      */
/* sell, distribute, and commercially exploit any derivative works           */
/* created from this program.                                                */
/*                                                                           */
/*                                                                           */
/* DISCLAIMER OF WARRANTIES:                                                 */
/* -------------------------                                                 */
/* The following [enclosed] code is sample code created by IBM               */
/* Corporation.  This sample code is not part of any standard IBM product    */
/* and is provided to you solely for the purpose of assisting you in the     */
/* development of your applications.  The code is provided "AS IS",          */
/* without warranty of any kind.  IBM shall not be liable for any damages    */
/* arising out of your use of the sample code, even if they have been        */
/* advised of the possibility of such damages.                               */
/*                                                                           */
/* Date: May  1993                                                           */
/*                                                                           */
/* Status: Version 1 Release 1 Modification 0                                */
/*                                                                           */
/* Program Name: FRNPLCPW.C     (LibEncryptPassword)                         */
/*                                                                           */
/*                                                                           */
/* Input Params  : pchPasswordIn - pointer to the unencrypted                */
/*                                 password (1-8 characters)                 */
/* Output Params : pchPasswordIn - pointer to the encrypted                  */
/*                                 password (8 characters)                   */
/*                                                                           */
/* Returns:  0 = Success                                                     */
/*          -1 = Failure                                                     */
/*                                                                           */
/* Calls: CmnEncrypt()                                                       */
/*                                                                           */
/* Called By: LibChooseLibrary()                                             */
/*            LibUpdateSessionPatron()                                       */
/*            LibDefinePatron()                                              */
/*                                                                           */
/* Description: Encrypts a password for security.                            */
/*                                                                           */
/* Dependencies:                                                             */
/*                                                                           */
/* Restrictions:                                                             */
/*                                                                           */
/* Notes:                                                                    */
/*                                                                           */
/*                                                                           */
/*ENDPROLOGUE*****************************************************************/

#ifdef __WIN32__
#include <windows.h>
typedef unsigned long  LHANDLE;
typedef PVOID * PPVOID;
#define _Optlink __cdecl
#define _System __stdcall

#else
#define INCL_BASE
  #ifdef AIX                 // Added for AIX porting.  TSL
#include "frnptype.h"        // Added for AIX porting.  PMD
  #else                      // Added for AIX porting.  TSL
#include <os2.h>             // Added for AIX porting.  TSL
  #endif                     // Added for AIX porting.  TSL
#endif

#include "frnplcli.h"

SHORT LIBENTRY LibEncryptPassword( PCHAR pchPasswordIn,
                                   PCHAR pchPasswordOut )
  {
  SHORT sResult = 0;

  /*******************************************/
  /**** ADD USER ENCRYPTION ROUTINE HERE. ****/
  /*******************************************/
  /*   - If the first character returned in  */
  /*     pchPasswordOut is anything except   */
  /*     NULL, then pchPasswordOut will be   */
  /*     used as the password.  Otherwise,   */
  /*     the system's encryption algorithm   */
  /*     will be used.                       */
  /*******************************************/

  return( sResult );
  } /* LibEncryptPassword () */
